#include "impldef-server.h"

/* This is the runtime type information */
char *flick_interface_parents_CORBA_ImplementationDef[] = {
	"IDL:CORBA/ImplementationDef:1.0",
	0
};

char *flick_interface_parents_CORBA_CreationImplDef[] = {
	"IDL:CORBA/CreationImplDef:1.0",
	"IDL:CORBA/ImplementationDef:1.0",
	0
};

char *flick_interface_parents_CORBA_Activator[] = {
	"IDL:CORBA/Activator:1.0",
	0
};

char *flick_interface_parents_CORBA_ActivationImplDef[] = {
	"IDL:CORBA/ActivationImplDef:1.0",
	"IDL:CORBA/ImplementationDef:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  CORBA_unsigned_long _t3_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort0);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_unsigned32_t _t5_temp_string_len;

      flick_cdr_stringlen(CORBA_char *, _data->_buffer[_t3_array_iter], flick_unsigned32_t , _t5_temp_string_len);

      flick_khazana_encode_new_glob(7, _flick_abort10);
      flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _t5_temp_string_len, flick_unsigned32_t );
      flick_khazana_encode_end_chunk(4);
      flick_khazana_encode_end_glob(7);
      flick_khazana_encode_new_glob(1 * _t5_temp_string_len, _flick_abort10);
      flick_khazana_encode_new_chunk(1 * _t5_temp_string_len);
      flick_cdr_encode_bcopy(0, _data->_buffer[_t3_array_iter], 1 * _t5_temp_string_len);
      CORBA_flick_free(_data->_buffer[_t3_array_iter]);
      flick_khazana_encode_end_chunk(1 * _t5_temp_string_len);
      flick_khazana_encode_end_glob(1 * _t5_temp_string_len);
      continue;
      {
      _flick_abort10:
        goto _flick_abort0;
      }
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  CORBA_unsigned_long _t9_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort16);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    CORBA_char **_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char **)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *)));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_unsigned32_t _t11_temp_string_len;

      flick_khazana_decode_new_glob(7);
      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
      flick_khazana_check_span(4, _flick_abort30);
      flick_cdr_decode_unsigned32(0, _t11_temp_string_len, flick_unsigned32_t );
      flick_khazana_decode_end_chunk(4);
      flick_khazana_decode_end_glob(7);
      flick_khazana_decode_new_glob(1 * _t11_temp_string_len);
      flick_khazana_check_span(1 * _t11_temp_string_len, _flick_abort30);
      flick_khazana_decode_new_chunk(1 * _t11_temp_string_len);
      {
        CORBA_char *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t11_temp_string_len * sizeof(CORBA_char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort30);
        _data->_buffer[_t9_array_iter] = _t_alloc_ptr;
      }
      flick_cdr_decode_bcopy(0, _data->_buffer[_t9_array_iter], 1 * _t11_temp_string_len);
      flick_khazana_decode_end_chunk(1 * _t11_temp_string_len);
      flick_khazana_decode_end_glob(1 * _t11_temp_string_len);
      continue;
      {
      _flick_abort40:
        _t9_array_iter--;
        CORBA_flick_free(_data->_buffer[_t9_array_iter]);
      _flick_abort30:
        if ((unsigned int )_t9_array_iter > 0)
          goto _flick_abort40;
        goto _flick_abort29;
      }
    }
  return 0;
  {
  _flick_abort29:
    CORBA_flick_free(_data->_buffer);
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_StringSequence_swap(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  CORBA_unsigned_long _t15_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort43);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    CORBA_char **_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char **)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *)));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort43);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  for (_t15_array_iter = 0; _t15_array_iter < _data->_length; _t15_array_iter++)
    {
      flick_unsigned32_t _t17_temp_string_len;

      flick_khazana_decode_new_glob(7);
      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
      flick_khazana_check_span(4, _flick_abort57);
      flick_cdr_swap_decode_unsigned32(0, _t17_temp_string_len, flick_unsigned32_t );
      flick_khazana_decode_end_chunk(4);
      flick_khazana_decode_end_glob(7);
      flick_khazana_decode_new_glob(1 * _t17_temp_string_len);
      flick_khazana_check_span(1 * _t17_temp_string_len, _flick_abort57);
      flick_khazana_decode_new_chunk(1 * _t17_temp_string_len);
      {
        CORBA_char *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t17_temp_string_len * sizeof(CORBA_char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
        _data->_buffer[_t15_array_iter] = _t_alloc_ptr;
      }
      flick_cdr_swap_decode_bcopy(0, _data->_buffer[_t15_array_iter], 1 * _t17_temp_string_len);
      flick_khazana_decode_end_chunk(1 * _t17_temp_string_len);
      flick_khazana_decode_end_glob(1 * _t17_temp_string_len);
      continue;
      {
      _flick_abort67:
        _t15_array_iter--;
        CORBA_flick_free(_data->_buffer[_t15_array_iter]);
      _flick_abort57:
        if ((unsigned int )_t15_array_iter > 0)
          goto _flick_abort67;
        goto _flick_abort56;
      }
    }
  return 0;
  {
  _flick_abort56:
    CORBA_flick_free(_data->_buffer);
  _flick_abort43:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort70);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(1 * _data->_length, _flick_abort70);
  flick_khazana_encode_new_chunk(1 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_khazana_encode_end_chunk(1 * _data->_length);
  flick_khazana_encode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort70:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort73);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(1 * _data->_length);
  flick_khazana_check_span(1 * _data->_length, _flick_abort73);
  flick_khazana_decode_new_chunk(1 * _data->_length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort73);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_khazana_decode_end_chunk(1 * _data->_length);
  flick_khazana_decode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort73:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_OctetSequence_swap(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort77);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(1 * _data->_length);
  flick_khazana_check_span(1 * _data->_length, _flick_abort77);
  flick_khazana_decode_new_chunk(1 * _data->_length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort77);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_cdr_swap_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_khazana_decode_end_chunk(1 * _data->_length);
  flick_khazana_decode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort77:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort81);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(4 * _data->_length, _flick_abort81);
  flick_khazana_encode_new_chunk(4 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_khazana_encode_end_chunk(4 * _data->_length);
  flick_khazana_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort81:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort84);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->_length);
  flick_khazana_check_span(4 * _data->_length, _flick_abort84);
  flick_khazana_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort84);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_khazana_decode_end_chunk(4 * _data->_length);
  flick_khazana_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort84:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_LongSequence_swap(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  CORBA_unsigned_long _t18_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort88);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort88);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_khazana_check_span(_data->_length * 4, _flick_abort92);
  for (_t18_array_iter = 0; _t18_array_iter < _data->_length; _t18_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t18_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort92:
    CORBA_flick_free(_data->_buffer);
  _flick_abort88:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort95);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(1 * _data->_length, _flick_abort95);
  flick_khazana_encode_new_chunk(1 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_khazana_encode_end_chunk(1 * _data->_length);
  flick_khazana_encode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort95:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort98);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(1 * _data->_length);
  flick_khazana_check_span(1 * _data->_length, _flick_abort98);
  flick_khazana_decode_new_chunk(1 * _data->_length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort98);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_khazana_decode_end_chunk(1 * _data->_length);
  flick_khazana_decode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort98:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_ReferenceData_swap(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort102);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(1 * _data->_length);
  flick_khazana_check_span(1 * _data->_length, _flick_abort102);
  flick_khazana_decode_new_chunk(1 * _data->_length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort102);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_cdr_swap_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_khazana_decode_end_chunk(1 * _data->_length);
  flick_khazana_decode_end_glob(1 * _data->_length);
  return 0;
  {
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  CORBA_unsigned_long _t22_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort106);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  for (_t22_array_iter = 0; _t22_array_iter < _data->_length; _t22_array_iter++)
    {
      flick_unsigned32_t _t24_temp_string_len;

      flick_cdr_stringlen(CORBA_char *, _data->_buffer[_t22_array_iter], flick_unsigned32_t , _t24_temp_string_len);

      flick_khazana_encode_new_glob(7, _flick_abort116);
      flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _t24_temp_string_len, flick_unsigned32_t );
      flick_khazana_encode_end_chunk(4);
      flick_khazana_encode_end_glob(7);
      flick_khazana_encode_new_glob(1 * _t24_temp_string_len, _flick_abort116);
      flick_khazana_encode_new_chunk(1 * _t24_temp_string_len);
      flick_cdr_encode_bcopy(0, _data->_buffer[_t22_array_iter], 1 * _t24_temp_string_len);
      CORBA_flick_free(_data->_buffer[_t22_array_iter]);
      flick_khazana_encode_end_chunk(1 * _t24_temp_string_len);
      flick_khazana_encode_end_glob(1 * _t24_temp_string_len);
      continue;
      {
      _flick_abort116:
        goto _flick_abort106;
      }
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  return 0;
  {
  _flick_abort106:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  CORBA_unsigned_long _t28_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort122);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    CORBA_char **_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char **)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *)));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort122);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  for (_t28_array_iter = 0; _t28_array_iter < _data->_length; _t28_array_iter++)
    {
      flick_unsigned32_t _t30_temp_string_len;

      flick_khazana_decode_new_glob(7);
      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
      flick_khazana_check_span(4, _flick_abort136);
      flick_cdr_decode_unsigned32(0, _t30_temp_string_len, flick_unsigned32_t );
      flick_khazana_decode_end_chunk(4);
      flick_khazana_decode_end_glob(7);
      flick_khazana_decode_new_glob(1 * _t30_temp_string_len);
      flick_khazana_check_span(1 * _t30_temp_string_len, _flick_abort136);
      flick_khazana_decode_new_chunk(1 * _t30_temp_string_len);
      {
        CORBA_char *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t30_temp_string_len * sizeof(CORBA_char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort136);
        _data->_buffer[_t28_array_iter] = _t_alloc_ptr;
      }
      flick_cdr_decode_bcopy(0, _data->_buffer[_t28_array_iter], 1 * _t30_temp_string_len);
      flick_khazana_decode_end_chunk(1 * _t30_temp_string_len);
      flick_khazana_decode_end_glob(1 * _t30_temp_string_len);
      continue;
      {
      _flick_abort146:
        _t28_array_iter--;
        CORBA_flick_free(_data->_buffer[_t28_array_iter]);
      _flick_abort136:
        if ((unsigned int )_t28_array_iter > 0)
          goto _flick_abort146;
        goto _flick_abort135;
      }
    }
  return 0;
  {
  _flick_abort135:
    CORBA_flick_free(_data->_buffer);
  _flick_abort122:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_ReferenceString_swap(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  CORBA_unsigned_long _t34_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort149);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    CORBA_char **_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char **)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *)));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort149);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  for (_t34_array_iter = 0; _t34_array_iter < _data->_length; _t34_array_iter++)
    {
      flick_unsigned32_t _t36_temp_string_len;

      flick_khazana_decode_new_glob(7);
      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
      flick_khazana_check_span(4, _flick_abort163);
      flick_cdr_swap_decode_unsigned32(0, _t36_temp_string_len, flick_unsigned32_t );
      flick_khazana_decode_end_chunk(4);
      flick_khazana_decode_end_glob(7);
      flick_khazana_decode_new_glob(1 * _t36_temp_string_len);
      flick_khazana_check_span(1 * _t36_temp_string_len, _flick_abort163);
      flick_khazana_decode_new_chunk(1 * _t36_temp_string_len);
      {
        CORBA_char *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t36_temp_string_len * sizeof(CORBA_char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort163);
        _data->_buffer[_t34_array_iter] = _t_alloc_ptr;
      }
      flick_cdr_swap_decode_bcopy(0, _data->_buffer[_t34_array_iter], 1 * _t36_temp_string_len);
      flick_khazana_decode_end_chunk(1 * _t36_temp_string_len);
      flick_khazana_decode_end_glob(1 * _t36_temp_string_len);
      continue;
      {
      _flick_abort173:
        _t34_array_iter--;
        CORBA_flick_free(_data->_buffer[_t34_array_iter]);
      _flick_abort163:
        if ((unsigned int )_t34_array_iter > 0)
          goto _flick_abort173;
        goto _flick_abort162;
      }
    }
  return 0;
  {
  _flick_abort162:
    CORBA_flick_free(_data->_buffer);
  _flick_abort149:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort176);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(4 * _data->_length, _flick_abort176);
  flick_khazana_encode_new_chunk(4 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_khazana_encode_end_chunk(4 * _data->_length);
  flick_khazana_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort176:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort179);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->_length);
  flick_khazana_check_span(4 * _data->_length, _flick_abort179);
  flick_khazana_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort179);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_khazana_decode_end_chunk(4 * _data->_length);
  flick_khazana_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort179:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_ReferenceLong_swap(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  CORBA_unsigned_long _t37_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort183);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort183);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_khazana_check_span(_data->_length * 4, _flick_abort187);
  for (_t37_array_iter = 0; _t37_array_iter < _data->_length; _t37_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t37_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort187:
    CORBA_flick_free(_data->_buffer);
  _flick_abort183:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort190);
  return 0;
  {
  _flick_abort190:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_CORBA_ImplementationDef_swap(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t CORBA_ImplementationDef_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t176_switch_tag;

    flick_khazana_decode_new_glob(28);
    flick_khazana_check_span(16, _flick_abort195);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t176_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t176_switch_tag)
      {
      case (unsigned int) 20:
        {
          unsigned int _t177_switch_tag;

          flick_khazana_check_span(24, _flick_abort195);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t177_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t177_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t178_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t178_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t178_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t179_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t179_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t179_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t180_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t180_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t180_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t181_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t181_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t181_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          unsigned int _t182_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t183_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort448);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t182_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t182_principal_len, _flick_abort448);
                                          flick_khazana_decode_new_glob(_t182_principal_len);
                                          flick_khazana_decode_new_chunk(_t182_principal_len);
                                          flick_khazana_decode_end_chunk(_t182_principal_len);
                                          flick_khazana_decode_end_glob(_t182_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t183_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_ImplementationDef__get_interface_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort448);
                                            flick_khazana_encode_new_glob(8, _flick_abort448);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t185_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t185_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t185_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t185_temp_string_len, _flick_abort455);
                                                  flick_khazana_encode_new_chunk(1 * _t185_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t185_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t185_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t185_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort455:
                                                    goto _flick_abort448;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort458);
                                                  break;
                                                  {
                                                  _flick_abort458:
                                                    goto _flick_abort448;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort459);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort459:
                                                    goto _flick_abort448;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort448:
                                            goto _flick_abort447;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort447:
                                          goto _flick_abort195;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t186_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t186_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t186_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t187_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t187_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t187_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t188_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t188_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t188_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t189_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t189_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t189_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          unsigned int _t190_principal_len;
                                          CORBA_char *_local_interface_name;
                                          flick_unsigned32_t _t191_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t192_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort461);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t190_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t190_principal_len, _flick_abort461);
                                          flick_khazana_decode_new_glob(_t190_principal_len);
                                          flick_khazana_decode_new_chunk(_t190_principal_len);
                                          flick_khazana_decode_end_chunk(_t190_principal_len);
                                          flick_khazana_decode_end_glob(_t190_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort461);
                                          flick_cdr_swap_decode_unsigned32(0, _t191_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t191_temp_string_len);
                                          flick_khazana_check_span(1 * _t191_temp_string_len, _flick_abort461);
                                          flick_khazana_decode_new_chunk(1 * _t191_temp_string_len);
                                          flick_cdr_swap_decode_msgptr(0, _local_interface_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t191_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t191_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t192_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_ImplementationDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort461);
                                            flick_khazana_encode_new_glob(4, _flick_abort461);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort469);
                                                  break;
                                                  {
                                                  _flick_abort469:
                                                    goto _flick_abort461;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort470);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort470:
                                                    goto _flick_abort461;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort461:
                                            goto _flick_abort460;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort460:
                                          goto _flick_abort195;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t193_switch_tag;

          flick_khazana_check_span(24, _flick_abort195);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t193_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t193_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t194_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t194_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t194_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t195_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t195_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t195_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t196_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t196_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t196_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t197_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t197_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t197_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          unsigned int _t198_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t199_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort472);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t198_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t198_principal_len, _flick_abort472);
                                          flick_khazana_decode_new_glob(_t198_principal_len);
                                          flick_khazana_decode_new_chunk(_t198_principal_len);
                                          flick_khazana_decode_end_chunk(_t198_principal_len);
                                          flick_khazana_decode_end_glob(_t198_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t199_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_ImplementationDef__get_object_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort472);
                                            flick_khazana_encode_new_glob(8, _flick_abort472);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t201_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t201_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t201_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t201_temp_string_len, _flick_abort479);
                                                  flick_khazana_encode_new_chunk(1 * _t201_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t201_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t201_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t201_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort479:
                                                    goto _flick_abort472;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort482);
                                                  break;
                                                  {
                                                  _flick_abort482:
                                                    goto _flick_abort472;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort483);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort483:
                                                    goto _flick_abort472;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort472:
                                            goto _flick_abort471;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort471:
                                          goto _flick_abort195;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t202_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t202_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t202_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t203_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t203_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t203_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t204_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t204_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t204_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t205_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t205_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t205_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          unsigned int _t206_principal_len;
                                          CORBA_char *_local_object_name;
                                          flick_unsigned32_t _t207_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t208_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort485);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t206_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t206_principal_len, _flick_abort485);
                                          flick_khazana_decode_new_glob(_t206_principal_len);
                                          flick_khazana_decode_new_chunk(_t206_principal_len);
                                          flick_khazana_decode_end_chunk(_t206_principal_len);
                                          flick_khazana_decode_end_glob(_t206_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort485);
                                          flick_cdr_swap_decode_unsigned32(0, _t207_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t207_temp_string_len);
                                          flick_khazana_check_span(1 * _t207_temp_string_len, _flick_abort485);
                                          flick_khazana_decode_new_chunk(1 * _t207_temp_string_len);
                                          flick_cdr_swap_decode_msgptr(0, _local_object_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t207_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t207_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t208_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_ImplementationDef__set_object_name(_obj, _local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort485);
                                            flick_khazana_encode_new_glob(4, _flick_abort485);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort493);
                                                  break;
                                                  {
                                                  _flick_abort493:
                                                    goto _flick_abort485;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort494);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort494:
                                                    goto _flick_abort485;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort485:
                                            goto _flick_abort484;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort484:
                                          goto _flick_abort195;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t209_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t209_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t209_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t210_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t210_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t210_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ImplementationDef _obj;
                        unsigned int _t211_principal_len;
                        CORBA_ReferenceData *_return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t212_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort496);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t211_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t211_principal_len, _flick_abort496);
                        flick_khazana_decode_new_glob(_t211_principal_len);
                        flick_khazana_decode_new_chunk(_t211_principal_len);
                        flick_khazana_decode_end_chunk(_t211_principal_len);
                        flick_khazana_decode_end_glob(_t211_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t212_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_ImplementationDef__get_id(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort496);
                          flick_khazana_encode_new_glob(8, _flick_abort496);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _return->_length, _flick_abort503);
                                flick_khazana_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = 0;
                                flick_khazana_encode_end_chunk(1 * _return->_length);
                                flick_khazana_encode_end_glob(1 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = 0;
                                break;
                                {
                                _flick_abort503:
                                  goto _flick_abort496;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort506);
                                break;
                                {
                                _flick_abort506:
                                  goto _flick_abort496;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort507);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort507:
                                  goto _flick_abort496;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort496:
                          goto _flick_abort495;
                        }
                      }
                      break;
                      {
                      _flick_abort495:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t213_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t213_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t213_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ImplementationDef _obj;
                        unsigned int _t214_principal_len;
                        CORBA_ReferenceData *_local_id;
                        CORBA_ReferenceData _t215_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t216_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort509);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t214_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t214_principal_len, _flick_abort509);
                        flick_khazana_decode_new_glob(_t214_principal_len);
                        flick_khazana_decode_new_chunk(_t214_principal_len);
                        flick_khazana_decode_end_chunk(_t214_principal_len);
                        flick_khazana_decode_end_glob(_t214_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = (CORBA_ReferenceData *)(&_t215_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort509);
                        flick_cdr_swap_decode_unsigned32(0, _local_id->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _local_id->_length);
                        flick_khazana_check_span(1 * _local_id->_length, _flick_abort509);
                        flick_khazana_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_swap_decode_msgptr(0, _local_id->_buffer, CORBA_octet *);
                        _local_id->_maximum = _local_id->_length;
                        _local_id->_release = 0;
                        flick_khazana_decode_end_chunk(1 * _local_id->_length);
                        flick_khazana_decode_end_glob(1 * _local_id->_length);
                        _ev = (CORBA_Environment *)(&_t216_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        CORBA_ImplementationDef__set_id(_obj, _local_id, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort509);
                          flick_khazana_encode_new_glob(4, _flick_abort509);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort517);
                                break;
                                {
                                _flick_abort517:
                                  goto _flick_abort509;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort518);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort518:
                                  goto _flick_abort509;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort509:
                          goto _flick_abort508;
                        }
                      }
                      break;
                      {
                      _flick_abort508:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t217_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t217_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t217_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t218_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t218_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t218_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t219_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t220_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t221_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort520);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t219_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t219_principal_len, _flick_abort520);
                        flick_khazana_decode_new_glob(_t219_principal_len);
                        flick_khazana_decode_new_chunk(_t219_principal_len);
                        flick_khazana_decode_end_chunk(_t219_principal_len);
                        flick_khazana_decode_end_glob(_t219_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort520);
                        flick_cdr_swap_decode_unsigned32(0, _t220_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t220_temp_string_len);
                        flick_khazana_check_span(1 * _t220_temp_string_len, _flick_abort520);
                        flick_khazana_decode_new_chunk(1 * _t220_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t220_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t220_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t221_storage);
                        _par = flick_interface_parents_CORBA_ImplementationDef;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort520);
                          flick_khazana_encode_new_glob(5, _flick_abort520);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort528);
                                break;
                                {
                                _flick_abort528:
                                  goto _flick_abort520;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort529);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort529:
                                  goto _flick_abort520;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort520:
                          goto _flick_abort519;
                        }
                      }
                      break;
                      {
                      _flick_abort519:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
          flick_khazana_decode_end_glob(28);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t84_switch_tag;

    flick_khazana_decode_new_glob(28);
    flick_khazana_check_span(16, _flick_abort195);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t84_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t84_switch_tag)
      {
      case (unsigned int) 20:
        {
          unsigned int _t85_switch_tag;

          flick_khazana_check_span(24, _flick_abort195);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t85_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t85_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t86_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t86_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t87_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t87_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t87_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t88_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t88_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t88_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t89_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t89_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t89_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          unsigned int _t90_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t91_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort281);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t90_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t90_principal_len, _flick_abort281);
                                          flick_khazana_decode_new_glob(_t90_principal_len);
                                          flick_khazana_decode_new_chunk(_t90_principal_len);
                                          flick_khazana_decode_end_chunk(_t90_principal_len);
                                          flick_khazana_decode_end_glob(_t90_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t91_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_ImplementationDef__get_interface_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort281);
                                            flick_khazana_encode_new_glob(8, _flick_abort281);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t93_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t93_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t93_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t93_temp_string_len, _flick_abort288);
                                                  flick_khazana_encode_new_chunk(1 * _t93_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t93_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t93_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t93_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort288:
                                                    goto _flick_abort281;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort291);
                                                  break;
                                                  {
                                                  _flick_abort291:
                                                    goto _flick_abort281;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort292);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort292:
                                                    goto _flick_abort281;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort281:
                                            goto _flick_abort280;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort280:
                                          goto _flick_abort195;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t94_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t94_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t94_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t95_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t95_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t95_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t96_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t96_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t96_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t97_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t97_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t97_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          unsigned int _t98_principal_len;
                                          CORBA_char *_local_interface_name;
                                          flick_unsigned32_t _t99_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t100_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort294);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t98_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t98_principal_len, _flick_abort294);
                                          flick_khazana_decode_new_glob(_t98_principal_len);
                                          flick_khazana_decode_new_chunk(_t98_principal_len);
                                          flick_khazana_decode_end_chunk(_t98_principal_len);
                                          flick_khazana_decode_end_glob(_t98_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort294);
                                          flick_cdr_decode_unsigned32(0, _t99_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t99_temp_string_len);
                                          flick_khazana_check_span(1 * _t99_temp_string_len, _flick_abort294);
                                          flick_khazana_decode_new_chunk(1 * _t99_temp_string_len);
                                          flick_cdr_decode_msgptr(0, _local_interface_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t99_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t99_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t100_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_ImplementationDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort294);
                                            flick_khazana_encode_new_glob(4, _flick_abort294);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort302);
                                                  break;
                                                  {
                                                  _flick_abort302:
                                                    goto _flick_abort294;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort303);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort303:
                                                    goto _flick_abort294;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort294:
                                            goto _flick_abort293;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort293:
                                          goto _flick_abort195;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t101_switch_tag;

          flick_khazana_check_span(24, _flick_abort195);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t101_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t101_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t102_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t102_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t102_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t103_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t103_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t103_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t104_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t104_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t104_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t105_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t105_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t105_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          unsigned int _t106_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t107_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort305);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t106_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t106_principal_len, _flick_abort305);
                                          flick_khazana_decode_new_glob(_t106_principal_len);
                                          flick_khazana_decode_new_chunk(_t106_principal_len);
                                          flick_khazana_decode_end_chunk(_t106_principal_len);
                                          flick_khazana_decode_end_glob(_t106_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t107_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_ImplementationDef__get_object_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort305);
                                            flick_khazana_encode_new_glob(8, _flick_abort305);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t109_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t109_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t109_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t109_temp_string_len, _flick_abort312);
                                                  flick_khazana_encode_new_chunk(1 * _t109_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t109_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t109_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t109_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort312:
                                                    goto _flick_abort305;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort315);
                                                  break;
                                                  {
                                                  _flick_abort315:
                                                    goto _flick_abort305;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort316);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort316:
                                                    goto _flick_abort305;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort305:
                                            goto _flick_abort304;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort304:
                                          goto _flick_abort195;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t110_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t110_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t110_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t111_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t111_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t111_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t112_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t112_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t112_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t113_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t113_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t113_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          unsigned int _t114_principal_len;
                                          CORBA_char *_local_object_name;
                                          flick_unsigned32_t _t115_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t116_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort318);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t114_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t114_principal_len, _flick_abort318);
                                          flick_khazana_decode_new_glob(_t114_principal_len);
                                          flick_khazana_decode_new_chunk(_t114_principal_len);
                                          flick_khazana_decode_end_chunk(_t114_principal_len);
                                          flick_khazana_decode_end_glob(_t114_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort318);
                                          flick_cdr_decode_unsigned32(0, _t115_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t115_temp_string_len);
                                          flick_khazana_check_span(1 * _t115_temp_string_len, _flick_abort318);
                                          flick_khazana_decode_new_chunk(1 * _t115_temp_string_len);
                                          flick_cdr_decode_msgptr(0, _local_object_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t115_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t115_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t116_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_ImplementationDef__set_object_name(_obj, _local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort318);
                                            flick_khazana_encode_new_glob(4, _flick_abort318);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort326);
                                                  break;
                                                  {
                                                  _flick_abort326:
                                                    goto _flick_abort318;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort327);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort327:
                                                    goto _flick_abort318;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort318:
                                            goto _flick_abort317;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort317:
                                          goto _flick_abort195;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t117_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t117_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t117_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t118_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t118_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t118_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ImplementationDef _obj;
                        unsigned int _t119_principal_len;
                        CORBA_ReferenceData *_return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t120_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort329);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t119_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t119_principal_len, _flick_abort329);
                        flick_khazana_decode_new_glob(_t119_principal_len);
                        flick_khazana_decode_new_chunk(_t119_principal_len);
                        flick_khazana_decode_end_chunk(_t119_principal_len);
                        flick_khazana_decode_end_glob(_t119_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t120_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_ImplementationDef__get_id(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort329);
                          flick_khazana_encode_new_glob(8, _flick_abort329);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _return->_length, _flick_abort336);
                                flick_khazana_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = 0;
                                flick_khazana_encode_end_chunk(1 * _return->_length);
                                flick_khazana_encode_end_glob(1 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = 0;
                                break;
                                {
                                _flick_abort336:
                                  goto _flick_abort329;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort339);
                                break;
                                {
                                _flick_abort339:
                                  goto _flick_abort329;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort340);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort340:
                                  goto _flick_abort329;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort329:
                          goto _flick_abort328;
                        }
                      }
                      break;
                      {
                      _flick_abort328:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t121_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t121_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t121_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ImplementationDef _obj;
                        unsigned int _t122_principal_len;
                        CORBA_ReferenceData *_local_id;
                        CORBA_ReferenceData _t123_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t124_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort342);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t122_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t122_principal_len, _flick_abort342);
                        flick_khazana_decode_new_glob(_t122_principal_len);
                        flick_khazana_decode_new_chunk(_t122_principal_len);
                        flick_khazana_decode_end_chunk(_t122_principal_len);
                        flick_khazana_decode_end_glob(_t122_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = (CORBA_ReferenceData *)(&_t123_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort342);
                        flick_cdr_decode_unsigned32(0, _local_id->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _local_id->_length);
                        flick_khazana_check_span(1 * _local_id->_length, _flick_abort342);
                        flick_khazana_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_decode_msgptr(0, _local_id->_buffer, CORBA_octet *);
                        _local_id->_maximum = _local_id->_length;
                        _local_id->_release = 0;
                        flick_khazana_decode_end_chunk(1 * _local_id->_length);
                        flick_khazana_decode_end_glob(1 * _local_id->_length);
                        _ev = (CORBA_Environment *)(&_t124_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        CORBA_ImplementationDef__set_id(_obj, _local_id, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort342);
                          flick_khazana_encode_new_glob(4, _flick_abort342);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort350);
                                break;
                                {
                                _flick_abort350:
                                  goto _flick_abort342;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort351);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort351:
                                  goto _flick_abort342;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort342:
                          goto _flick_abort341;
                        }
                      }
                      break;
                      {
                      _flick_abort341:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t125_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t125_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t125_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t126_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t126_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t126_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t127_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t128_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t129_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort353);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t127_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t127_principal_len, _flick_abort353);
                        flick_khazana_decode_new_glob(_t127_principal_len);
                        flick_khazana_decode_new_chunk(_t127_principal_len);
                        flick_khazana_decode_end_chunk(_t127_principal_len);
                        flick_khazana_decode_end_glob(_t127_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort353);
                        flick_cdr_decode_unsigned32(0, _t128_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t128_temp_string_len);
                        flick_khazana_check_span(1 * _t128_temp_string_len, _flick_abort353);
                        flick_khazana_decode_new_chunk(1 * _t128_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t128_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t128_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t129_storage);
                        _par = flick_interface_parents_CORBA_ImplementationDef;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort353);
                          flick_khazana_encode_new_glob(5, _flick_abort353);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort361);
                                break;
                                {
                                _flick_abort361:
                                  goto _flick_abort353;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort362);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort362:
                                  goto _flick_abort353;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort353:
                          goto _flick_abort352;
                        }
                      }
                      break;
                      {
                      _flick_abort352:
                        goto _flick_abort195;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort195);
          flick_khazana_decode_end_glob(28);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort195:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort194);
  _flick_abort194:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort530);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort530:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort531);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort531:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_Policy_swap(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort532);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_enum );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort532:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort533);
  return 0;
  {
  _flick_abort533:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_CORBA_CreationImplDef_swap(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t CORBA_CreationImplDef_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t627_switch_tag;

    flick_khazana_decode_new_glob(32);
    flick_khazana_check_span(16, _flick_abort538);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t627_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t627_switch_tag)
      {
      case (unsigned int) 15:
        {
          unsigned int _t628_switch_tag;

          flick_khazana_check_span(20, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t628_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t628_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t629_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t629_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t629_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t630_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t630_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t630_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t631_switch_tag;

                            flick_khazana_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t631_switch_tag, unsigned short int );
                            flick_khazana_decode_end_chunk(2);
                            switch ((unsigned short int )_t631_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t632_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t632_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t632_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t633_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t634_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1301);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(5);
                                          flick_cdr_swap_decode_unsigned32(1, _t633_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(5);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t633_principal_len, _flick_abort1301);
                                          flick_khazana_decode_new_glob(_t633_principal_len);
                                          flick_khazana_decode_new_chunk(_t633_principal_len);
                                          flick_khazana_decode_end_chunk(_t633_principal_len);
                                          flick_khazana_decode_end_glob(_t633_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t634_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_CreationImplDef__get_path_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1301);
                                            flick_khazana_encode_new_glob(8, _flick_abort1301);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t636_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t636_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t636_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t636_temp_string_len, _flick_abort1308);
                                                  flick_khazana_encode_new_chunk(1 * _t636_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t636_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t636_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t636_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1308:
                                                    goto _flick_abort1301;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1311);
                                                  break;
                                                  {
                                                  _flick_abort1311:
                                                    goto _flick_abort1301;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1312);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1312:
                                                    goto _flick_abort1301;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1301:
                                            goto _flick_abort1300;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1300:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t637_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t637_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t637_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t638_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t638_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t638_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t639_switch_tag;

                            flick_khazana_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t639_switch_tag, unsigned short int );
                            flick_khazana_decode_end_chunk(2);
                            switch ((unsigned short int )_t639_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t640_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t640_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t640_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t641_principal_len;
                                          CORBA_char *_local_path_name;
                                          flick_unsigned32_t _t642_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t643_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1314);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(5);
                                          flick_cdr_swap_decode_unsigned32(1, _t641_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(5);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t641_principal_len, _flick_abort1314);
                                          flick_khazana_decode_new_glob(_t641_principal_len);
                                          flick_khazana_decode_new_chunk(_t641_principal_len);
                                          flick_khazana_decode_end_chunk(_t641_principal_len);
                                          flick_khazana_decode_end_glob(_t641_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort1314);
                                          flick_cdr_swap_decode_unsigned32(0, _t642_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t642_temp_string_len);
                                          flick_khazana_check_span(1 * _t642_temp_string_len, _flick_abort1314);
                                          flick_khazana_decode_new_chunk(1 * _t642_temp_string_len);
                                          flick_cdr_swap_decode_msgptr(0, _local_path_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t642_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t642_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t643_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_CreationImplDef__set_path_name(_obj, _local_path_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1314);
                                            flick_khazana_encode_new_glob(4, _flick_abort1314);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1322);
                                                  break;
                                                  {
                                                  _flick_abort1322:
                                                    goto _flick_abort1314;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1323);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1323:
                                                    goto _flick_abort1314;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1314:
                                            goto _flick_abort1313;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1313:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t644_switch_tag;

          flick_khazana_check_span(28, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t644_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t644_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t645_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t645_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t645_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t646_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t646_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t646_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t647_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t647_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t647_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t648_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t648_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t648_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t649_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t649_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t649_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t650_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t650_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t650_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      CORBA_CreationImplDef _obj;
                                                      unsigned int _t651_principal_len;
                                                      CORBA_Policy _return;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t652_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1325);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t651_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(32);
                                                      flick_khazana_check_span(_t651_principal_len, _flick_abort1325);
                                                      flick_khazana_decode_new_glob(_t651_principal_len);
                                                      flick_khazana_decode_new_chunk(_t651_principal_len);
                                                      flick_khazana_decode_end_chunk(_t651_principal_len);
                                                      flick_khazana_decode_end_glob(_t651_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _return = 0;
                                                      _ev = (CORBA_Environment *)(&_t652_storage);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = CORBA_CreationImplDef__get_activation_policy(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1325);
                                                        flick_khazana_encode_new_glob(8, _flick_abort1325);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                                                              flick_khazana_encode_end_chunk(4);
                                                              flick_khazana_encode_end_glob(8);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(8);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1331);
                                                              break;
                                                              {
                                                              _flick_abort1331:
                                                                goto _flick_abort1325;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1332);
                                                              flick_khazana_encode_end_glob(8);
                                                              break;
                                                              {
                                                              _flick_abort1332:
                                                                goto _flick_abort1325;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1325:
                                                        goto _flick_abort1324;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1324:
                                                      goto _flick_abort538;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                                    flick_khazana_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                              flick_khazana_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t653_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t653_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t653_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t654_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t654_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t654_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t655_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t655_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t655_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t656_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t656_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t656_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t657_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t657_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t657_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t658_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t658_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t658_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      CORBA_CreationImplDef _obj;
                                                      unsigned int _t659_principal_len;
                                                      CORBA_Policy _local_activation_policy;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t660_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1334);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t659_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(32);
                                                      flick_khazana_check_span(_t659_principal_len, _flick_abort1334);
                                                      flick_khazana_decode_new_glob(_t659_principal_len);
                                                      flick_khazana_decode_new_chunk(_t659_principal_len);
                                                      flick_khazana_decode_end_chunk(_t659_principal_len);
                                                      flick_khazana_decode_end_glob(_t659_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_khazana_decode_new_glob(7);
                                                      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_khazana_check_span(4, _flick_abort1334);
                                                      flick_cdr_swap_decode_unsigned32(0, _local_activation_policy, CORBA_enum );
                                                      _ev = (CORBA_Environment *)(&_t660_storage);
                                                      flick_khazana_decode_end_chunk(4);
                                                      flick_khazana_decode_end_glob(7);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      CORBA_CreationImplDef__set_activation_policy(_obj, _local_activation_policy, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1334);
                                                        flick_khazana_encode_new_glob(4, _flick_abort1334);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1340);
                                                              break;
                                                              {
                                                              _flick_abort1340:
                                                                goto _flick_abort1334;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1341);
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort1341:
                                                                goto _flick_abort1334;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1334:
                                                        goto _flick_abort1333;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1333:
                                                      goto _flick_abort538;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                                    flick_khazana_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                              flick_khazana_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t661_switch_tag;

          flick_khazana_check_span(16, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t661_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t661_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t662_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t662_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t662_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t663_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t663_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t663_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              unsigned int _t664_principal_len;
                              CORBA_StringSequence *_return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t665_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1343);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t664_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(32);
                              flick_khazana_check_span(_t664_principal_len, _flick_abort1343);
                              flick_khazana_decode_new_glob(_t664_principal_len);
                              flick_khazana_decode_new_chunk(_t664_principal_len);
                              flick_khazana_decode_end_chunk(_t664_principal_len);
                              flick_khazana_decode_end_glob(_t664_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t665_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = CORBA_CreationImplDef__get_args(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1343);
                                flick_khazana_encode_new_glob(8, _flick_abort1343);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      CORBA_unsigned_long _t675_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      for (_t675_array_iter = 0; _t675_array_iter < _return->_length; _t675_array_iter++)
                                        {
                                          flick_unsigned32_t _t677_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _return->_buffer[_t675_array_iter], flick_unsigned32_t , _t677_temp_string_len);

                                          flick_khazana_encode_new_glob(7, _flick_abort1373);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t677_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_encode_end_chunk(4);
                                          flick_khazana_encode_end_glob(7);
                                          flick_khazana_encode_new_glob(1 * _t677_temp_string_len, _flick_abort1373);
                                          flick_khazana_encode_new_chunk(1 * _t677_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return->_buffer[_t675_array_iter], 1 * _t677_temp_string_len);
                                          CORBA_flick_free(_return->_buffer[_t675_array_iter]);
                                          _return->_buffer[_t675_array_iter] = 0;
                                          flick_khazana_encode_end_chunk(1 * _t677_temp_string_len);
                                          flick_khazana_encode_end_glob(1 * _t677_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort1373:
                                            goto _flick_abort1363;
                                          }
                                        }
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = 0;
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort1363:
                                        goto _flick_abort1343;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1379);
                                      break;
                                      {
                                      _flick_abort1379:
                                        goto _flick_abort1343;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1380);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort1380:
                                        goto _flick_abort1343;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1343:
                                goto _flick_abort1342;
                              }
                            }
                            break;
                            {
                            _flick_abort1342:
                              goto _flick_abort538;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t678_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t678_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t678_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t679_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t679_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t679_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              unsigned int _t680_principal_len;
                              CORBA_StringSequence *_local_args;
                              CORBA_StringSequence _t681_storage;
                              CORBA_unsigned_long _t685_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t688_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1382);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t680_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(32);
                              flick_khazana_check_span(_t680_principal_len, _flick_abort1382);
                              flick_khazana_decode_new_glob(_t680_principal_len);
                              flick_khazana_decode_new_chunk(_t680_principal_len);
                              flick_khazana_decode_end_chunk(_t680_principal_len);
                              flick_khazana_decode_end_glob(_t680_principal_len);
                              /* Begin decode phase on parameters */
                              _local_args = (CORBA_StringSequence *)(&_t681_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort1382);
                              flick_cdr_swap_decode_unsigned32(0, _local_args->_length, CORBA_unsigned_long );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              {
                                CORBA_char **_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char **)(auto_flick_alloc(_local_args->_length * sizeof(CORBA_char *)));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1382);
                                _local_args->_buffer = _t_alloc_ptr;
                                _local_args->_maximum = _local_args->_length;
                                _local_args->_release = 1;
                              }
                              for (_t685_array_iter = 0; _t685_array_iter < _local_args->_length; _t685_array_iter++)
                                {
                                  flick_unsigned32_t _t687_temp_string_len;

                                  flick_khazana_decode_new_glob(7);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort1393);
                                  flick_cdr_swap_decode_unsigned32(0, _t687_temp_string_len, flick_unsigned32_t );
                                  flick_khazana_decode_end_chunk(4);
                                  flick_khazana_decode_end_glob(7);
                                  flick_khazana_decode_new_glob(1 * _t687_temp_string_len);
                                  flick_khazana_check_span(1 * _t687_temp_string_len, _flick_abort1393);
                                  flick_khazana_decode_new_chunk(1 * _t687_temp_string_len);
                                  flick_cdr_swap_decode_msgptr(0, _local_args->_buffer[_t685_array_iter], CORBA_char *);
                                  flick_khazana_decode_end_chunk(1 * _t687_temp_string_len);
                                  flick_khazana_decode_end_glob(1 * _t687_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort1393:
                                    goto _flick_abort1392;
                                  }
                                }
                              _ev = (CORBA_Environment *)(&_t688_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              CORBA_CreationImplDef__set_args(_obj, _local_args, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1392);
                                flick_khazana_encode_new_glob(4, _flick_abort1392);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1404);
                                      break;
                                      {
                                      _flick_abort1404:
                                        goto _flick_abort1392;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1405);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort1405:
                                        goto _flick_abort1392;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1392:
                                auto_flick_free(_local_args->_buffer);
                              _flick_abort1382:
                                goto _flick_abort1381;
                              }
                            }
                            break;
                            {
                            _flick_abort1381:
                              goto _flick_abort538;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t689_switch_tag;

          flick_khazana_check_span(16, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t689_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t689_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t690_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t690_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t690_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t691_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t691_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t691_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              unsigned int _t692_principal_len;
                              CORBA_StringSequence *_return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t693_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1407);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t692_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(32);
                              flick_khazana_check_span(_t692_principal_len, _flick_abort1407);
                              flick_khazana_decode_new_glob(_t692_principal_len);
                              flick_khazana_decode_new_chunk(_t692_principal_len);
                              flick_khazana_decode_end_chunk(_t692_principal_len);
                              flick_khazana_decode_end_glob(_t692_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t693_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = CORBA_CreationImplDef__get_env(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1407);
                                flick_khazana_encode_new_glob(8, _flick_abort1407);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      CORBA_unsigned_long _t703_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      for (_t703_array_iter = 0; _t703_array_iter < _return->_length; _t703_array_iter++)
                                        {
                                          flick_unsigned32_t _t705_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _return->_buffer[_t703_array_iter], flick_unsigned32_t , _t705_temp_string_len);

                                          flick_khazana_encode_new_glob(7, _flick_abort1437);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t705_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_encode_end_chunk(4);
                                          flick_khazana_encode_end_glob(7);
                                          flick_khazana_encode_new_glob(1 * _t705_temp_string_len, _flick_abort1437);
                                          flick_khazana_encode_new_chunk(1 * _t705_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return->_buffer[_t703_array_iter], 1 * _t705_temp_string_len);
                                          CORBA_flick_free(_return->_buffer[_t703_array_iter]);
                                          _return->_buffer[_t703_array_iter] = 0;
                                          flick_khazana_encode_end_chunk(1 * _t705_temp_string_len);
                                          flick_khazana_encode_end_glob(1 * _t705_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort1437:
                                            goto _flick_abort1427;
                                          }
                                        }
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = 0;
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort1427:
                                        goto _flick_abort1407;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1443);
                                      break;
                                      {
                                      _flick_abort1443:
                                        goto _flick_abort1407;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1444);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort1444:
                                        goto _flick_abort1407;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1407:
                                goto _flick_abort1406;
                              }
                            }
                            break;
                            {
                            _flick_abort1406:
                              goto _flick_abort538;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t706_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t706_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t706_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t707_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t707_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t707_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              unsigned int _t708_principal_len;
                              CORBA_StringSequence *_local_env;
                              CORBA_StringSequence _t709_storage;
                              CORBA_unsigned_long _t713_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t716_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1446);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t708_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(32);
                              flick_khazana_check_span(_t708_principal_len, _flick_abort1446);
                              flick_khazana_decode_new_glob(_t708_principal_len);
                              flick_khazana_decode_new_chunk(_t708_principal_len);
                              flick_khazana_decode_end_chunk(_t708_principal_len);
                              flick_khazana_decode_end_glob(_t708_principal_len);
                              /* Begin decode phase on parameters */
                              _local_env = (CORBA_StringSequence *)(&_t709_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort1446);
                              flick_cdr_swap_decode_unsigned32(0, _local_env->_length, CORBA_unsigned_long );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              {
                                CORBA_char **_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char **)(auto_flick_alloc(_local_env->_length * sizeof(CORBA_char *)));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1446);
                                _local_env->_buffer = _t_alloc_ptr;
                                _local_env->_maximum = _local_env->_length;
                                _local_env->_release = 1;
                              }
                              for (_t713_array_iter = 0; _t713_array_iter < _local_env->_length; _t713_array_iter++)
                                {
                                  flick_unsigned32_t _t715_temp_string_len;

                                  flick_khazana_decode_new_glob(7);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort1457);
                                  flick_cdr_swap_decode_unsigned32(0, _t715_temp_string_len, flick_unsigned32_t );
                                  flick_khazana_decode_end_chunk(4);
                                  flick_khazana_decode_end_glob(7);
                                  flick_khazana_decode_new_glob(1 * _t715_temp_string_len);
                                  flick_khazana_check_span(1 * _t715_temp_string_len, _flick_abort1457);
                                  flick_khazana_decode_new_chunk(1 * _t715_temp_string_len);
                                  flick_cdr_swap_decode_msgptr(0, _local_env->_buffer[_t713_array_iter], CORBA_char *);
                                  flick_khazana_decode_end_chunk(1 * _t715_temp_string_len);
                                  flick_khazana_decode_end_glob(1 * _t715_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort1457:
                                    goto _flick_abort1456;
                                  }
                                }
                              _ev = (CORBA_Environment *)(&_t716_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              CORBA_CreationImplDef__set_env(_obj, _local_env, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1456);
                                flick_khazana_encode_new_glob(4, _flick_abort1456);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1468);
                                      break;
                                      {
                                      _flick_abort1468:
                                        goto _flick_abort1456;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1469);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort1469:
                                        goto _flick_abort1456;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1456:
                                auto_flick_free(_local_env->_buffer);
                              _flick_abort1446:
                                goto _flick_abort1445;
                              }
                            }
                            break;
                            {
                            _flick_abort1445:
                              goto _flick_abort538;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t717_switch_tag;

          flick_khazana_check_span(24, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t717_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t717_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t718_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t718_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t718_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t719_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t719_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t719_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t720_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t720_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t720_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t721_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t721_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t721_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t722_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t723_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1471);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t722_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t722_principal_len, _flick_abort1471);
                                          flick_khazana_decode_new_glob(_t722_principal_len);
                                          flick_khazana_decode_new_chunk(_t722_principal_len);
                                          flick_khazana_decode_end_chunk(_t722_principal_len);
                                          flick_khazana_decode_end_glob(_t722_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t723_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_CreationImplDef__get_interface_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1471);
                                            flick_khazana_encode_new_glob(8, _flick_abort1471);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t725_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t725_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t725_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t725_temp_string_len, _flick_abort1478);
                                                  flick_khazana_encode_new_chunk(1 * _t725_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t725_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t725_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t725_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1478:
                                                    goto _flick_abort1471;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1481);
                                                  break;
                                                  {
                                                  _flick_abort1481:
                                                    goto _flick_abort1471;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1482);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1482:
                                                    goto _flick_abort1471;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1471:
                                            goto _flick_abort1470;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1470:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t726_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t726_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t726_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t727_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t727_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t727_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t728_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t728_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t728_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t729_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t729_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t729_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t730_principal_len;
                                          CORBA_char *_local_interface_name;
                                          flick_unsigned32_t _t731_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t732_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1484);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t730_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t730_principal_len, _flick_abort1484);
                                          flick_khazana_decode_new_glob(_t730_principal_len);
                                          flick_khazana_decode_new_chunk(_t730_principal_len);
                                          flick_khazana_decode_end_chunk(_t730_principal_len);
                                          flick_khazana_decode_end_glob(_t730_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort1484);
                                          flick_cdr_swap_decode_unsigned32(0, _t731_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t731_temp_string_len);
                                          flick_khazana_check_span(1 * _t731_temp_string_len, _flick_abort1484);
                                          flick_khazana_decode_new_chunk(1 * _t731_temp_string_len);
                                          flick_cdr_swap_decode_msgptr(0, _local_interface_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t731_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t731_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t732_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_CreationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1484);
                                            flick_khazana_encode_new_glob(4, _flick_abort1484);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1492);
                                                  break;
                                                  {
                                                  _flick_abort1492:
                                                    goto _flick_abort1484;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1493);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1493:
                                                    goto _flick_abort1484;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1484:
                                            goto _flick_abort1483;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1483:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t733_switch_tag;

          flick_khazana_check_span(24, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t733_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t733_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t734_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t734_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t734_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t735_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t735_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t735_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t736_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t736_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t736_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t737_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t737_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t737_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t738_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t739_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1495);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t738_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t738_principal_len, _flick_abort1495);
                                          flick_khazana_decode_new_glob(_t738_principal_len);
                                          flick_khazana_decode_new_chunk(_t738_principal_len);
                                          flick_khazana_decode_end_chunk(_t738_principal_len);
                                          flick_khazana_decode_end_glob(_t738_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t739_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_CreationImplDef__get_object_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1495);
                                            flick_khazana_encode_new_glob(8, _flick_abort1495);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t741_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t741_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t741_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t741_temp_string_len, _flick_abort1502);
                                                  flick_khazana_encode_new_chunk(1 * _t741_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t741_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t741_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t741_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1502:
                                                    goto _flick_abort1495;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1505);
                                                  break;
                                                  {
                                                  _flick_abort1505:
                                                    goto _flick_abort1495;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1506);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1506:
                                                    goto _flick_abort1495;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1495:
                                            goto _flick_abort1494;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1494:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t742_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t742_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t742_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t743_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t743_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t743_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t744_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t744_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t744_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t745_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t745_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t745_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t746_principal_len;
                                          CORBA_char *_local_object_name;
                                          flick_unsigned32_t _t747_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t748_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1508);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t746_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t746_principal_len, _flick_abort1508);
                                          flick_khazana_decode_new_glob(_t746_principal_len);
                                          flick_khazana_decode_new_chunk(_t746_principal_len);
                                          flick_khazana_decode_end_chunk(_t746_principal_len);
                                          flick_khazana_decode_end_glob(_t746_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort1508);
                                          flick_cdr_swap_decode_unsigned32(0, _t747_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t747_temp_string_len);
                                          flick_khazana_check_span(1 * _t747_temp_string_len, _flick_abort1508);
                                          flick_khazana_decode_new_chunk(1 * _t747_temp_string_len);
                                          flick_cdr_swap_decode_msgptr(0, _local_object_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t747_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t747_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t748_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_CreationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1508);
                                            flick_khazana_encode_new_glob(4, _flick_abort1508);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1516);
                                                  break;
                                                  {
                                                  _flick_abort1516:
                                                    goto _flick_abort1508;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1517);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1517:
                                                    goto _flick_abort1508;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1508:
                                            goto _flick_abort1507;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1507:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t749_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t749_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t749_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t750_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t750_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t750_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_CreationImplDef _obj;
                        unsigned int _t751_principal_len;
                        CORBA_ReferenceData *_return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t752_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1519);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t751_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(32);
                        flick_khazana_check_span(_t751_principal_len, _flick_abort1519);
                        flick_khazana_decode_new_glob(_t751_principal_len);
                        flick_khazana_decode_new_chunk(_t751_principal_len);
                        flick_khazana_decode_end_chunk(_t751_principal_len);
                        flick_khazana_decode_end_glob(_t751_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t752_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_CreationImplDef__get_id(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1519);
                          flick_khazana_encode_new_glob(8, _flick_abort1519);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _return->_length, _flick_abort1526);
                                flick_khazana_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = 0;
                                flick_khazana_encode_end_chunk(1 * _return->_length);
                                flick_khazana_encode_end_glob(1 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = 0;
                                break;
                                {
                                _flick_abort1526:
                                  goto _flick_abort1519;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1529);
                                break;
                                {
                                _flick_abort1529:
                                  goto _flick_abort1519;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1530);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort1530:
                                  goto _flick_abort1519;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1519:
                          goto _flick_abort1518;
                        }
                      }
                      break;
                      {
                      _flick_abort1518:
                        goto _flick_abort538;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t753_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t753_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t753_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_CreationImplDef _obj;
                        unsigned int _t754_principal_len;
                        CORBA_ReferenceData *_local_id;
                        CORBA_ReferenceData _t755_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t756_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1532);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t754_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(32);
                        flick_khazana_check_span(_t754_principal_len, _flick_abort1532);
                        flick_khazana_decode_new_glob(_t754_principal_len);
                        flick_khazana_decode_new_chunk(_t754_principal_len);
                        flick_khazana_decode_end_chunk(_t754_principal_len);
                        flick_khazana_decode_end_glob(_t754_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = (CORBA_ReferenceData *)(&_t755_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1532);
                        flick_cdr_swap_decode_unsigned32(0, _local_id->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _local_id->_length);
                        flick_khazana_check_span(1 * _local_id->_length, _flick_abort1532);
                        flick_khazana_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_swap_decode_msgptr(0, _local_id->_buffer, CORBA_octet *);
                        _local_id->_maximum = _local_id->_length;
                        _local_id->_release = 0;
                        flick_khazana_decode_end_chunk(1 * _local_id->_length);
                        flick_khazana_decode_end_glob(1 * _local_id->_length);
                        _ev = (CORBA_Environment *)(&_t756_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        CORBA_CreationImplDef__set_id(_obj, _local_id, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1532);
                          flick_khazana_encode_new_glob(4, _flick_abort1532);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1540);
                                break;
                                {
                                _flick_abort1540:
                                  goto _flick_abort1532;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1541);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort1541:
                                  goto _flick_abort1532;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1532:
                          goto _flick_abort1531;
                        }
                      }
                      break;
                      {
                      _flick_abort1531:
                        goto _flick_abort538;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t757_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t757_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t757_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t758_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t758_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t758_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t759_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t760_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t761_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1543);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t759_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(32);
                        flick_khazana_check_span(_t759_principal_len, _flick_abort1543);
                        flick_khazana_decode_new_glob(_t759_principal_len);
                        flick_khazana_decode_new_chunk(_t759_principal_len);
                        flick_khazana_decode_end_chunk(_t759_principal_len);
                        flick_khazana_decode_end_glob(_t759_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1543);
                        flick_cdr_swap_decode_unsigned32(0, _t760_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t760_temp_string_len);
                        flick_khazana_check_span(1 * _t760_temp_string_len, _flick_abort1543);
                        flick_khazana_decode_new_chunk(1 * _t760_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t760_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t760_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t761_storage);
                        _par = flick_interface_parents_CORBA_CreationImplDef;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1543);
                          flick_khazana_encode_new_glob(5, _flick_abort1543);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1551);
                                break;
                                {
                                _flick_abort1551:
                                  goto _flick_abort1543;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1552);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1552:
                                  goto _flick_abort1543;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1543:
                          goto _flick_abort1542;
                        }
                      }
                      break;
                      {
                      _flick_abort1542:
                        goto _flick_abort538;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
          flick_khazana_decode_end_glob(32);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t357_switch_tag;

    flick_khazana_decode_new_glob(32);
    flick_khazana_check_span(16, _flick_abort538);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t357_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t357_switch_tag)
      {
      case (unsigned int) 15:
        {
          unsigned int _t358_switch_tag;

          flick_khazana_check_span(20, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t358_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t358_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t359_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t359_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t359_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t360_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t360_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t360_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t361_switch_tag;

                            flick_khazana_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t361_switch_tag, unsigned short int );
                            flick_khazana_decode_end_chunk(2);
                            switch ((unsigned short int )_t361_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t362_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t362_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t362_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t363_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t364_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort794);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(5);
                                          flick_cdr_decode_unsigned32(1, _t363_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(5);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t363_principal_len, _flick_abort794);
                                          flick_khazana_decode_new_glob(_t363_principal_len);
                                          flick_khazana_decode_new_chunk(_t363_principal_len);
                                          flick_khazana_decode_end_chunk(_t363_principal_len);
                                          flick_khazana_decode_end_glob(_t363_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t364_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_CreationImplDef__get_path_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort794);
                                            flick_khazana_encode_new_glob(8, _flick_abort794);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t366_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t366_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t366_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t366_temp_string_len, _flick_abort801);
                                                  flick_khazana_encode_new_chunk(1 * _t366_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t366_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t366_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t366_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort801:
                                                    goto _flick_abort794;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort804);
                                                  break;
                                                  {
                                                  _flick_abort804:
                                                    goto _flick_abort794;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort805);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort805:
                                                    goto _flick_abort794;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort794:
                                            goto _flick_abort793;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort793:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t367_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t367_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t367_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t368_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t368_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t368_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t369_switch_tag;

                            flick_khazana_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t369_switch_tag, unsigned short int );
                            flick_khazana_decode_end_chunk(2);
                            switch ((unsigned short int )_t369_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t370_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t370_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t370_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t371_principal_len;
                                          CORBA_char *_local_path_name;
                                          flick_unsigned32_t _t372_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t373_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort807);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(5);
                                          flick_cdr_decode_unsigned32(1, _t371_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(5);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t371_principal_len, _flick_abort807);
                                          flick_khazana_decode_new_glob(_t371_principal_len);
                                          flick_khazana_decode_new_chunk(_t371_principal_len);
                                          flick_khazana_decode_end_chunk(_t371_principal_len);
                                          flick_khazana_decode_end_glob(_t371_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort807);
                                          flick_cdr_decode_unsigned32(0, _t372_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t372_temp_string_len);
                                          flick_khazana_check_span(1 * _t372_temp_string_len, _flick_abort807);
                                          flick_khazana_decode_new_chunk(1 * _t372_temp_string_len);
                                          flick_cdr_decode_msgptr(0, _local_path_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t372_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t372_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t373_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_CreationImplDef__set_path_name(_obj, _local_path_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort807);
                                            flick_khazana_encode_new_glob(4, _flick_abort807);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort815);
                                                  break;
                                                  {
                                                  _flick_abort815:
                                                    goto _flick_abort807;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort816);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort816:
                                                    goto _flick_abort807;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort807:
                                            goto _flick_abort806;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort806:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t374_switch_tag;

          flick_khazana_check_span(28, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t374_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t374_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t375_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t375_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t375_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t376_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t376_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t376_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t377_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t377_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t377_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t378_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t378_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t378_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t379_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t379_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t379_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t380_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t380_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t380_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      CORBA_CreationImplDef _obj;
                                                      unsigned int _t381_principal_len;
                                                      CORBA_Policy _return;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t382_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort818);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t381_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(32);
                                                      flick_khazana_check_span(_t381_principal_len, _flick_abort818);
                                                      flick_khazana_decode_new_glob(_t381_principal_len);
                                                      flick_khazana_decode_new_chunk(_t381_principal_len);
                                                      flick_khazana_decode_end_chunk(_t381_principal_len);
                                                      flick_khazana_decode_end_glob(_t381_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _return = 0;
                                                      _ev = (CORBA_Environment *)(&_t382_storage);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = CORBA_CreationImplDef__get_activation_policy(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort818);
                                                        flick_khazana_encode_new_glob(8, _flick_abort818);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                                                              flick_khazana_encode_end_chunk(4);
                                                              flick_khazana_encode_end_glob(8);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(8);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort824);
                                                              break;
                                                              {
                                                              _flick_abort824:
                                                                goto _flick_abort818;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort825);
                                                              flick_khazana_encode_end_glob(8);
                                                              break;
                                                              {
                                                              _flick_abort825:
                                                                goto _flick_abort818;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort818:
                                                        goto _flick_abort817;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort817:
                                                      goto _flick_abort538;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                                    flick_khazana_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                              flick_khazana_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t383_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t383_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t383_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t384_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t384_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t384_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t385_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t385_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t385_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t386_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t386_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t386_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t387_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t387_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t387_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t388_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t388_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t388_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      CORBA_CreationImplDef _obj;
                                                      unsigned int _t389_principal_len;
                                                      CORBA_Policy _local_activation_policy;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t390_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort827);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t389_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(32);
                                                      flick_khazana_check_span(_t389_principal_len, _flick_abort827);
                                                      flick_khazana_decode_new_glob(_t389_principal_len);
                                                      flick_khazana_decode_new_chunk(_t389_principal_len);
                                                      flick_khazana_decode_end_chunk(_t389_principal_len);
                                                      flick_khazana_decode_end_glob(_t389_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_khazana_decode_new_glob(7);
                                                      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_khazana_check_span(4, _flick_abort827);
                                                      flick_cdr_decode_unsigned32(0, _local_activation_policy, CORBA_enum );
                                                      _ev = (CORBA_Environment *)(&_t390_storage);
                                                      flick_khazana_decode_end_chunk(4);
                                                      flick_khazana_decode_end_glob(7);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      CORBA_CreationImplDef__set_activation_policy(_obj, _local_activation_policy, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort827);
                                                        flick_khazana_encode_new_glob(4, _flick_abort827);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort833);
                                                              break;
                                                              {
                                                              _flick_abort833:
                                                                goto _flick_abort827;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort834);
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort834:
                                                                goto _flick_abort827;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort827:
                                                        goto _flick_abort826;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort826:
                                                      goto _flick_abort538;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                                    flick_khazana_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                              flick_khazana_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t391_switch_tag;

          flick_khazana_check_span(16, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t391_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t391_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t392_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t392_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t392_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t393_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t393_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t393_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              unsigned int _t394_principal_len;
                              CORBA_StringSequence *_return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t395_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort836);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t394_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(32);
                              flick_khazana_check_span(_t394_principal_len, _flick_abort836);
                              flick_khazana_decode_new_glob(_t394_principal_len);
                              flick_khazana_decode_new_chunk(_t394_principal_len);
                              flick_khazana_decode_end_chunk(_t394_principal_len);
                              flick_khazana_decode_end_glob(_t394_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t395_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = CORBA_CreationImplDef__get_args(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort836);
                                flick_khazana_encode_new_glob(8, _flick_abort836);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      CORBA_unsigned_long _t405_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      for (_t405_array_iter = 0; _t405_array_iter < _return->_length; _t405_array_iter++)
                                        {
                                          flick_unsigned32_t _t407_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _return->_buffer[_t405_array_iter], flick_unsigned32_t , _t407_temp_string_len);

                                          flick_khazana_encode_new_glob(7, _flick_abort866);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t407_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_encode_end_chunk(4);
                                          flick_khazana_encode_end_glob(7);
                                          flick_khazana_encode_new_glob(1 * _t407_temp_string_len, _flick_abort866);
                                          flick_khazana_encode_new_chunk(1 * _t407_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return->_buffer[_t405_array_iter], 1 * _t407_temp_string_len);
                                          CORBA_flick_free(_return->_buffer[_t405_array_iter]);
                                          _return->_buffer[_t405_array_iter] = 0;
                                          flick_khazana_encode_end_chunk(1 * _t407_temp_string_len);
                                          flick_khazana_encode_end_glob(1 * _t407_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort866:
                                            goto _flick_abort856;
                                          }
                                        }
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = 0;
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort856:
                                        goto _flick_abort836;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort872);
                                      break;
                                      {
                                      _flick_abort872:
                                        goto _flick_abort836;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort873);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort873:
                                        goto _flick_abort836;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort836:
                                goto _flick_abort835;
                              }
                            }
                            break;
                            {
                            _flick_abort835:
                              goto _flick_abort538;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t408_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t408_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t408_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t409_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t409_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t409_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              unsigned int _t410_principal_len;
                              CORBA_StringSequence *_local_args;
                              CORBA_StringSequence _t411_storage;
                              CORBA_unsigned_long _t415_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t418_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort875);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t410_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(32);
                              flick_khazana_check_span(_t410_principal_len, _flick_abort875);
                              flick_khazana_decode_new_glob(_t410_principal_len);
                              flick_khazana_decode_new_chunk(_t410_principal_len);
                              flick_khazana_decode_end_chunk(_t410_principal_len);
                              flick_khazana_decode_end_glob(_t410_principal_len);
                              /* Begin decode phase on parameters */
                              _local_args = (CORBA_StringSequence *)(&_t411_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort875);
                              flick_cdr_decode_unsigned32(0, _local_args->_length, CORBA_unsigned_long );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              {
                                CORBA_char **_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char **)(auto_flick_alloc(_local_args->_length * sizeof(CORBA_char *)));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort875);
                                _local_args->_buffer = _t_alloc_ptr;
                                _local_args->_maximum = _local_args->_length;
                                _local_args->_release = 1;
                              }
                              for (_t415_array_iter = 0; _t415_array_iter < _local_args->_length; _t415_array_iter++)
                                {
                                  flick_unsigned32_t _t417_temp_string_len;

                                  flick_khazana_decode_new_glob(7);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort886);
                                  flick_cdr_decode_unsigned32(0, _t417_temp_string_len, flick_unsigned32_t );
                                  flick_khazana_decode_end_chunk(4);
                                  flick_khazana_decode_end_glob(7);
                                  flick_khazana_decode_new_glob(1 * _t417_temp_string_len);
                                  flick_khazana_check_span(1 * _t417_temp_string_len, _flick_abort886);
                                  flick_khazana_decode_new_chunk(1 * _t417_temp_string_len);
                                  flick_cdr_decode_msgptr(0, _local_args->_buffer[_t415_array_iter], CORBA_char *);
                                  flick_khazana_decode_end_chunk(1 * _t417_temp_string_len);
                                  flick_khazana_decode_end_glob(1 * _t417_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort886:
                                    goto _flick_abort885;
                                  }
                                }
                              _ev = (CORBA_Environment *)(&_t418_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              CORBA_CreationImplDef__set_args(_obj, _local_args, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort885);
                                flick_khazana_encode_new_glob(4, _flick_abort885);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort897);
                                      break;
                                      {
                                      _flick_abort897:
                                        goto _flick_abort885;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort898);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort898:
                                        goto _flick_abort885;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort885:
                                auto_flick_free(_local_args->_buffer);
                              _flick_abort875:
                                goto _flick_abort874;
                              }
                            }
                            break;
                            {
                            _flick_abort874:
                              goto _flick_abort538;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t419_switch_tag;

          flick_khazana_check_span(16, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t419_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t419_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t420_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t420_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t420_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t421_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t421_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t421_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              unsigned int _t422_principal_len;
                              CORBA_StringSequence *_return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t423_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort900);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t422_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(32);
                              flick_khazana_check_span(_t422_principal_len, _flick_abort900);
                              flick_khazana_decode_new_glob(_t422_principal_len);
                              flick_khazana_decode_new_chunk(_t422_principal_len);
                              flick_khazana_decode_end_chunk(_t422_principal_len);
                              flick_khazana_decode_end_glob(_t422_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t423_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = CORBA_CreationImplDef__get_env(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort900);
                                flick_khazana_encode_new_glob(8, _flick_abort900);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      CORBA_unsigned_long _t433_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      for (_t433_array_iter = 0; _t433_array_iter < _return->_length; _t433_array_iter++)
                                        {
                                          flick_unsigned32_t _t435_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _return->_buffer[_t433_array_iter], flick_unsigned32_t , _t435_temp_string_len);

                                          flick_khazana_encode_new_glob(7, _flick_abort930);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t435_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_encode_end_chunk(4);
                                          flick_khazana_encode_end_glob(7);
                                          flick_khazana_encode_new_glob(1 * _t435_temp_string_len, _flick_abort930);
                                          flick_khazana_encode_new_chunk(1 * _t435_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return->_buffer[_t433_array_iter], 1 * _t435_temp_string_len);
                                          CORBA_flick_free(_return->_buffer[_t433_array_iter]);
                                          _return->_buffer[_t433_array_iter] = 0;
                                          flick_khazana_encode_end_chunk(1 * _t435_temp_string_len);
                                          flick_khazana_encode_end_glob(1 * _t435_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort930:
                                            goto _flick_abort920;
                                          }
                                        }
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = 0;
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort920:
                                        goto _flick_abort900;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort936);
                                      break;
                                      {
                                      _flick_abort936:
                                        goto _flick_abort900;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort937);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort937:
                                        goto _flick_abort900;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort900:
                                goto _flick_abort899;
                              }
                            }
                            break;
                            {
                            _flick_abort899:
                              goto _flick_abort538;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t436_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t436_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t436_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t437_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t437_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t437_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              unsigned int _t438_principal_len;
                              CORBA_StringSequence *_local_env;
                              CORBA_StringSequence _t439_storage;
                              CORBA_unsigned_long _t443_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t446_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort939);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t438_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(32);
                              flick_khazana_check_span(_t438_principal_len, _flick_abort939);
                              flick_khazana_decode_new_glob(_t438_principal_len);
                              flick_khazana_decode_new_chunk(_t438_principal_len);
                              flick_khazana_decode_end_chunk(_t438_principal_len);
                              flick_khazana_decode_end_glob(_t438_principal_len);
                              /* Begin decode phase on parameters */
                              _local_env = (CORBA_StringSequence *)(&_t439_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort939);
                              flick_cdr_decode_unsigned32(0, _local_env->_length, CORBA_unsigned_long );
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              {
                                CORBA_char **_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char **)(auto_flick_alloc(_local_env->_length * sizeof(CORBA_char *)));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort939);
                                _local_env->_buffer = _t_alloc_ptr;
                                _local_env->_maximum = _local_env->_length;
                                _local_env->_release = 1;
                              }
                              for (_t443_array_iter = 0; _t443_array_iter < _local_env->_length; _t443_array_iter++)
                                {
                                  flick_unsigned32_t _t445_temp_string_len;

                                  flick_khazana_decode_new_glob(7);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort950);
                                  flick_cdr_decode_unsigned32(0, _t445_temp_string_len, flick_unsigned32_t );
                                  flick_khazana_decode_end_chunk(4);
                                  flick_khazana_decode_end_glob(7);
                                  flick_khazana_decode_new_glob(1 * _t445_temp_string_len);
                                  flick_khazana_check_span(1 * _t445_temp_string_len, _flick_abort950);
                                  flick_khazana_decode_new_chunk(1 * _t445_temp_string_len);
                                  flick_cdr_decode_msgptr(0, _local_env->_buffer[_t443_array_iter], CORBA_char *);
                                  flick_khazana_decode_end_chunk(1 * _t445_temp_string_len);
                                  flick_khazana_decode_end_glob(1 * _t445_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort950:
                                    goto _flick_abort949;
                                  }
                                }
                              _ev = (CORBA_Environment *)(&_t446_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              CORBA_CreationImplDef__set_env(_obj, _local_env, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort949);
                                flick_khazana_encode_new_glob(4, _flick_abort949);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort961);
                                      break;
                                      {
                                      _flick_abort961:
                                        goto _flick_abort949;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort962);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort962:
                                        goto _flick_abort949;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort949:
                                auto_flick_free(_local_env->_buffer);
                              _flick_abort939:
                                goto _flick_abort938;
                              }
                            }
                            break;
                            {
                            _flick_abort938:
                              goto _flick_abort538;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t447_switch_tag;

          flick_khazana_check_span(24, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t447_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t447_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t448_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t448_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t448_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t449_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t449_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t449_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t450_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t450_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t450_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t451_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t451_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t451_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t452_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t453_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort964);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t452_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t452_principal_len, _flick_abort964);
                                          flick_khazana_decode_new_glob(_t452_principal_len);
                                          flick_khazana_decode_new_chunk(_t452_principal_len);
                                          flick_khazana_decode_end_chunk(_t452_principal_len);
                                          flick_khazana_decode_end_glob(_t452_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t453_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_CreationImplDef__get_interface_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort964);
                                            flick_khazana_encode_new_glob(8, _flick_abort964);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t455_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t455_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t455_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t455_temp_string_len, _flick_abort971);
                                                  flick_khazana_encode_new_chunk(1 * _t455_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t455_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t455_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t455_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort971:
                                                    goto _flick_abort964;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort974);
                                                  break;
                                                  {
                                                  _flick_abort974:
                                                    goto _flick_abort964;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort975);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort975:
                                                    goto _flick_abort964;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort964:
                                            goto _flick_abort963;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort963:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t456_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t456_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t456_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t457_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t457_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t457_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t458_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t458_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t458_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t459_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t459_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t459_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t460_principal_len;
                                          CORBA_char *_local_interface_name;
                                          flick_unsigned32_t _t461_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t462_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort977);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t460_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t460_principal_len, _flick_abort977);
                                          flick_khazana_decode_new_glob(_t460_principal_len);
                                          flick_khazana_decode_new_chunk(_t460_principal_len);
                                          flick_khazana_decode_end_chunk(_t460_principal_len);
                                          flick_khazana_decode_end_glob(_t460_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort977);
                                          flick_cdr_decode_unsigned32(0, _t461_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t461_temp_string_len);
                                          flick_khazana_check_span(1 * _t461_temp_string_len, _flick_abort977);
                                          flick_khazana_decode_new_chunk(1 * _t461_temp_string_len);
                                          flick_cdr_decode_msgptr(0, _local_interface_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t461_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t461_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t462_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_CreationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort977);
                                            flick_khazana_encode_new_glob(4, _flick_abort977);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort985);
                                                  break;
                                                  {
                                                  _flick_abort985:
                                                    goto _flick_abort977;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort986);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort986:
                                                    goto _flick_abort977;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort977:
                                            goto _flick_abort976;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort976:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t463_switch_tag;

          flick_khazana_check_span(24, _flick_abort538);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t463_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t463_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t464_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t464_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t464_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t465_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t465_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t465_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t466_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t466_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t466_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t467_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t467_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t467_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t468_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t469_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort988);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t468_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t468_principal_len, _flick_abort988);
                                          flick_khazana_decode_new_glob(_t468_principal_len);
                                          flick_khazana_decode_new_chunk(_t468_principal_len);
                                          flick_khazana_decode_end_chunk(_t468_principal_len);
                                          flick_khazana_decode_end_glob(_t468_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t469_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_CreationImplDef__get_object_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort988);
                                            flick_khazana_encode_new_glob(8, _flick_abort988);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t471_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t471_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t471_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t471_temp_string_len, _flick_abort995);
                                                  flick_khazana_encode_new_chunk(1 * _t471_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t471_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t471_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t471_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort995:
                                                    goto _flick_abort988;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort998);
                                                  break;
                                                  {
                                                  _flick_abort998:
                                                    goto _flick_abort988;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort999);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort999:
                                                    goto _flick_abort988;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort988:
                                            goto _flick_abort987;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort987:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t472_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t472_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t472_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t473_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t473_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t473_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t474_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t474_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t474_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t475_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t475_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t475_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          unsigned int _t476_principal_len;
                                          CORBA_char *_local_object_name;
                                          flick_unsigned32_t _t477_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t478_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1001);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t476_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(32);
                                          flick_khazana_check_span(_t476_principal_len, _flick_abort1001);
                                          flick_khazana_decode_new_glob(_t476_principal_len);
                                          flick_khazana_decode_new_chunk(_t476_principal_len);
                                          flick_khazana_decode_end_chunk(_t476_principal_len);
                                          flick_khazana_decode_end_glob(_t476_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort1001);
                                          flick_cdr_decode_unsigned32(0, _t477_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t477_temp_string_len);
                                          flick_khazana_check_span(1 * _t477_temp_string_len, _flick_abort1001);
                                          flick_khazana_decode_new_chunk(1 * _t477_temp_string_len);
                                          flick_cdr_decode_msgptr(0, _local_object_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t477_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t477_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t478_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_CreationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1001);
                                            flick_khazana_encode_new_glob(4, _flick_abort1001);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1009);
                                                  break;
                                                  {
                                                  _flick_abort1009:
                                                    goto _flick_abort1001;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1010);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1010:
                                                    goto _flick_abort1001;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1001:
                                            goto _flick_abort1000;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1000:
                                          goto _flick_abort538;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                        flick_khazana_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                                  flick_khazana_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                            flick_khazana_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t479_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t479_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t479_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t480_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t480_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t480_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_CreationImplDef _obj;
                        unsigned int _t481_principal_len;
                        CORBA_ReferenceData *_return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t482_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1012);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t481_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(32);
                        flick_khazana_check_span(_t481_principal_len, _flick_abort1012);
                        flick_khazana_decode_new_glob(_t481_principal_len);
                        flick_khazana_decode_new_chunk(_t481_principal_len);
                        flick_khazana_decode_end_chunk(_t481_principal_len);
                        flick_khazana_decode_end_glob(_t481_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t482_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_CreationImplDef__get_id(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1012);
                          flick_khazana_encode_new_glob(8, _flick_abort1012);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _return->_length, _flick_abort1019);
                                flick_khazana_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = 0;
                                flick_khazana_encode_end_chunk(1 * _return->_length);
                                flick_khazana_encode_end_glob(1 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = 0;
                                break;
                                {
                                _flick_abort1019:
                                  goto _flick_abort1012;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1022);
                                break;
                                {
                                _flick_abort1022:
                                  goto _flick_abort1012;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1023);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort1023:
                                  goto _flick_abort1012;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1012:
                          goto _flick_abort1011;
                        }
                      }
                      break;
                      {
                      _flick_abort1011:
                        goto _flick_abort538;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t483_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t483_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t483_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_CreationImplDef _obj;
                        unsigned int _t484_principal_len;
                        CORBA_ReferenceData *_local_id;
                        CORBA_ReferenceData _t485_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t486_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1025);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t484_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(32);
                        flick_khazana_check_span(_t484_principal_len, _flick_abort1025);
                        flick_khazana_decode_new_glob(_t484_principal_len);
                        flick_khazana_decode_new_chunk(_t484_principal_len);
                        flick_khazana_decode_end_chunk(_t484_principal_len);
                        flick_khazana_decode_end_glob(_t484_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = (CORBA_ReferenceData *)(&_t485_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1025);
                        flick_cdr_decode_unsigned32(0, _local_id->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _local_id->_length);
                        flick_khazana_check_span(1 * _local_id->_length, _flick_abort1025);
                        flick_khazana_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_decode_msgptr(0, _local_id->_buffer, CORBA_octet *);
                        _local_id->_maximum = _local_id->_length;
                        _local_id->_release = 0;
                        flick_khazana_decode_end_chunk(1 * _local_id->_length);
                        flick_khazana_decode_end_glob(1 * _local_id->_length);
                        _ev = (CORBA_Environment *)(&_t486_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        CORBA_CreationImplDef__set_id(_obj, _local_id, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1025);
                          flick_khazana_encode_new_glob(4, _flick_abort1025);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1033);
                                break;
                                {
                                _flick_abort1033:
                                  goto _flick_abort1025;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1034);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort1034:
                                  goto _flick_abort1025;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1025:
                          goto _flick_abort1024;
                        }
                      }
                      break;
                      {
                      _flick_abort1024:
                        goto _flick_abort538;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t487_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t487_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t487_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t488_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t488_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t488_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t489_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t490_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t491_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1036);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t489_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(32);
                        flick_khazana_check_span(_t489_principal_len, _flick_abort1036);
                        flick_khazana_decode_new_glob(_t489_principal_len);
                        flick_khazana_decode_new_chunk(_t489_principal_len);
                        flick_khazana_decode_end_chunk(_t489_principal_len);
                        flick_khazana_decode_end_glob(_t489_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1036);
                        flick_cdr_decode_unsigned32(0, _t490_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t490_temp_string_len);
                        flick_khazana_check_span(1 * _t490_temp_string_len, _flick_abort1036);
                        flick_khazana_decode_new_chunk(1 * _t490_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t490_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t490_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t491_storage);
                        _par = flick_interface_parents_CORBA_CreationImplDef;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1036);
                          flick_khazana_encode_new_glob(5, _flick_abort1036);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1044);
                                break;
                                {
                                _flick_abort1044:
                                  goto _flick_abort1036;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1045);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1045:
                                  goto _flick_abort1036;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1036:
                          goto _flick_abort1035;
                        }
                      }
                      break;
                      {
                      _flick_abort1035:
                        goto _flick_abort538;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                      flick_khazana_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
                flick_khazana_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort538);
          flick_khazana_decode_end_glob(32);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort538:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort537);
  _flick_abort537:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, CORBA_Activator *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort1553);
  return 0;
  {
  _flick_abort1553:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, CORBA_Activator *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_CORBA_Activator_swap(flick_marshal_stream_t _stream, CORBA_Activator *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t CORBA_Activator_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t813_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort1558);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t813_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t813_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t814_switch_tag;

          flick_khazana_check_span(16, _flick_abort1558);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t814_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t814_switch_tag)
            {
            case /* acti */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633907817):
              {
                unsigned int _t815_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t815_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t815_switch_tag)
                  {
                  case /* vate */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1986098277):
                    {
                      char _t816_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t816_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t816_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_Activator _obj;
                              unsigned int _t817_principal_len;
                              CORBA_Object _return;
                              CORBA_ImplementationDef _local_impl;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t818_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1649);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t817_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t817_principal_len, _flick_abort1649);
                              flick_khazana_decode_new_glob(_t817_principal_len);
                              flick_khazana_decode_new_chunk(_t817_principal_len);
                              flick_khazana_decode_end_chunk(_t817_principal_len);
                              flick_khazana_decode_end_glob(_t817_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swap_decode_IOR(khazana, _local_impl, 1);
                              flick_khazana_mark_port_for_cleanup(_local_impl, 1);
                              _ev = (CORBA_Environment *)(&_t818_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = CORBA_Activator_activate(_obj, _local_impl, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1649);
                                flick_khazana_encode_new_glob(4, _flick_abort1649);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort1654);
                                      break;
                                      {
                                      _flick_abort1654:
                                        goto _flick_abort1649;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1655);
                                      break;
                                      {
                                      _flick_abort1655:
                                        goto _flick_abort1649;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1656);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort1656:
                                        goto _flick_abort1649;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1649:
                                goto _flick_abort1648;
                              }
                            }
                            break;
                            {
                            _flick_abort1648:
                              goto _flick_abort1558;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t819_switch_tag;

          flick_khazana_check_span(16, _flick_abort1558);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t819_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t819_switch_tag)
            {
            case /* deac */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684365667):
              {
                unsigned int _t820_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t820_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t820_switch_tag)
                  {
                  case /* tiva */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953068641):
                    {
                      unsigned short int _t821_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t821_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t821_switch_tag)
                        {
                        case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                          {
                            char _t822_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t822_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t822_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    CORBA_Activator _obj;
                                    unsigned int _t823_principal_len;
                                    CORBA_Object _local_obj;
                                    CORBA_ImplementationDef _local_impl;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t824_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1658);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t823_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(20);
                                    flick_khazana_check_span(_t823_principal_len, _flick_abort1658);
                                    flick_khazana_decode_new_glob(_t823_principal_len);
                                    flick_khazana_decode_new_chunk(_t823_principal_len);
                                    flick_khazana_decode_end_chunk(_t823_principal_len);
                                    flick_khazana_decode_end_glob(_t823_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_swap_decode_IOR(khazana, _local_obj, 1);
                                    flick_khazana_mark_port_for_cleanup(_local_obj, 1);
                                    flick_cdr_swap_decode_IOR(khazana, _local_impl, 1);
                                    flick_khazana_mark_port_for_cleanup(_local_impl, 1);
                                    _ev = (CORBA_Environment *)(&_t824_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    CORBA_Activator_deactivate(_obj, _local_obj, _local_impl, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1658);
                                      flick_khazana_encode_new_glob(4, _flick_abort1658);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1664);
                                            break;
                                            {
                                            _flick_abort1664:
                                              goto _flick_abort1658;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1665);
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort1665:
                                              goto _flick_abort1658;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1658:
                                      goto _flick_abort1657;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1657:
                                    goto _flick_abort1558;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                                  flick_khazana_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t825_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t825_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t825_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t826_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t826_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t826_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t827_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t828_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t829_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1667);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t827_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t827_principal_len, _flick_abort1667);
                        flick_khazana_decode_new_glob(_t827_principal_len);
                        flick_khazana_decode_new_chunk(_t827_principal_len);
                        flick_khazana_decode_end_chunk(_t827_principal_len);
                        flick_khazana_decode_end_glob(_t827_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1667);
                        flick_cdr_swap_decode_unsigned32(0, _t828_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t828_temp_string_len);
                        flick_khazana_check_span(1 * _t828_temp_string_len, _flick_abort1667);
                        flick_khazana_decode_new_chunk(1 * _t828_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t828_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t828_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t829_storage);
                        _par = flick_interface_parents_CORBA_Activator;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1667);
                          flick_khazana_encode_new_glob(5, _flick_abort1667);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1675);
                                break;
                                {
                                _flick_abort1675:
                                  goto _flick_abort1667;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1676);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1676:
                                  goto _flick_abort1667;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1667:
                          goto _flick_abort1666;
                        }
                      }
                      break;
                      {
                      _flick_abort1666:
                        goto _flick_abort1558;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t779_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort1558);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t779_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t779_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t780_switch_tag;

          flick_khazana_check_span(16, _flick_abort1558);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t780_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t780_switch_tag)
            {
            case /* acti */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633907817):
              {
                unsigned int _t781_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t781_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t781_switch_tag)
                  {
                  case /* vate */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1986098277):
                    {
                      char _t782_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t782_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t782_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_Activator _obj;
                              unsigned int _t783_principal_len;
                              CORBA_Object _return;
                              CORBA_ImplementationDef _local_impl;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t784_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1590);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t783_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t783_principal_len, _flick_abort1590);
                              flick_khazana_decode_new_glob(_t783_principal_len);
                              flick_khazana_decode_new_chunk(_t783_principal_len);
                              flick_khazana_decode_end_chunk(_t783_principal_len);
                              flick_khazana_decode_end_glob(_t783_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_decode_IOR(khazana, _local_impl, 1);
                              flick_khazana_mark_port_for_cleanup(_local_impl, 1);
                              _ev = (CORBA_Environment *)(&_t784_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = CORBA_Activator_activate(_obj, _local_impl, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1590);
                                flick_khazana_encode_new_glob(4, _flick_abort1590);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort1595);
                                      break;
                                      {
                                      _flick_abort1595:
                                        goto _flick_abort1590;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1596);
                                      break;
                                      {
                                      _flick_abort1596:
                                        goto _flick_abort1590;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1597);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort1597:
                                        goto _flick_abort1590;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1590:
                                goto _flick_abort1589;
                              }
                            }
                            break;
                            {
                            _flick_abort1589:
                              goto _flick_abort1558;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t785_switch_tag;

          flick_khazana_check_span(16, _flick_abort1558);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t785_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t785_switch_tag)
            {
            case /* deac */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684365667):
              {
                unsigned int _t786_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t786_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t786_switch_tag)
                  {
                  case /* tiva */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953068641):
                    {
                      unsigned short int _t787_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t787_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t787_switch_tag)
                        {
                        case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                          {
                            char _t788_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t788_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t788_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    CORBA_Activator _obj;
                                    unsigned int _t789_principal_len;
                                    CORBA_Object _local_obj;
                                    CORBA_ImplementationDef _local_impl;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t790_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1599);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t789_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(20);
                                    flick_khazana_check_span(_t789_principal_len, _flick_abort1599);
                                    flick_khazana_decode_new_glob(_t789_principal_len);
                                    flick_khazana_decode_new_chunk(_t789_principal_len);
                                    flick_khazana_decode_end_chunk(_t789_principal_len);
                                    flick_khazana_decode_end_glob(_t789_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_decode_IOR(khazana, _local_obj, 1);
                                    flick_khazana_mark_port_for_cleanup(_local_obj, 1);
                                    flick_cdr_decode_IOR(khazana, _local_impl, 1);
                                    flick_khazana_mark_port_for_cleanup(_local_impl, 1);
                                    _ev = (CORBA_Environment *)(&_t790_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    CORBA_Activator_deactivate(_obj, _local_obj, _local_impl, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1599);
                                      flick_khazana_encode_new_glob(4, _flick_abort1599);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1605);
                                            break;
                                            {
                                            _flick_abort1605:
                                              goto _flick_abort1599;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1606);
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort1606:
                                              goto _flick_abort1599;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1599:
                                      goto _flick_abort1598;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1598:
                                    goto _flick_abort1558;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                                  flick_khazana_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t791_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t791_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t791_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t792_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t792_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t792_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t793_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t794_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t795_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1608);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t793_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t793_principal_len, _flick_abort1608);
                        flick_khazana_decode_new_glob(_t793_principal_len);
                        flick_khazana_decode_new_chunk(_t793_principal_len);
                        flick_khazana_decode_end_chunk(_t793_principal_len);
                        flick_khazana_decode_end_glob(_t793_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1608);
                        flick_cdr_decode_unsigned32(0, _t794_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t794_temp_string_len);
                        flick_khazana_check_span(1 * _t794_temp_string_len, _flick_abort1608);
                        flick_khazana_decode_new_chunk(1 * _t794_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t794_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t794_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t795_storage);
                        _par = flick_interface_parents_CORBA_Activator;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1608);
                          flick_khazana_encode_new_glob(5, _flick_abort1608);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1616);
                                break;
                                {
                                _flick_abort1616:
                                  goto _flick_abort1608;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1617);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1617:
                                  goto _flick_abort1608;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1608:
                          goto _flick_abort1607;
                        }
                      }
                      break;
                      {
                      _flick_abort1607:
                        goto _flick_abort1558;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1558);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort1558:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1557);
  _flick_abort1557:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort1677);
  return 0;
  {
  _flick_abort1677:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_CORBA_ActivationImplDef_swap(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t CORBA_ActivationImplDef_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t1013_switch_tag;

    flick_khazana_decode_new_glob(28);
    flick_khazana_check_span(16, _flick_abort1682);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t1013_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t1013_switch_tag)
      {
      case (unsigned int) 19:
        {
          unsigned int _t1014_switch_tag;

          flick_khazana_check_span(24, _flick_abort1682);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1014_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1014_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1015_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1015_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1015_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t1016_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1016_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1016_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t1017_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1017_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1017_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t1018_switch_tag;

                                  flick_khazana_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t1018_switch_tag, unsigned short int );
                                  flick_khazana_decode_end_chunk(2);
                                  switch ((unsigned short int )_t1018_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t1019_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1019_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1019_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_ActivationImplDef _obj;
                                                unsigned int _t1020_principal_len;
                                                CORBA_Activator _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1021_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1989);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(5);
                                                flick_cdr_swap_decode_unsigned32(1, _t1020_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(5);
                                                flick_khazana_decode_end_glob(28);
                                                flick_khazana_check_span(_t1020_principal_len, _flick_abort1989);
                                                flick_khazana_decode_new_glob(_t1020_principal_len);
                                                flick_khazana_decode_new_chunk(_t1020_principal_len);
                                                flick_khazana_decode_end_chunk(_t1020_principal_len);
                                                flick_khazana_decode_end_glob(_t1020_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = (CORBA_Environment *)(&_t1021_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_ActivationImplDef__get_activator_obj(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1989);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1989);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort1994);
                                                        break;
                                                        {
                                                        _flick_abort1994:
                                                          goto _flick_abort1989;
                                                        }
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1995);
                                                        break;
                                                        {
                                                        _flick_abort1995:
                                                          goto _flick_abort1989;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1996);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1996:
                                                          goto _flick_abort1989;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1989:
                                                  goto _flick_abort1988;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1988:
                                                goto _flick_abort1682;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                              flick_khazana_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1022_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1022_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1022_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t1023_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1023_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1023_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t1024_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1024_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1024_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t1025_switch_tag;

                                  flick_khazana_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t1025_switch_tag, unsigned short int );
                                  flick_khazana_decode_end_chunk(2);
                                  switch ((unsigned short int )_t1025_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t1026_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1026_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1026_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_ActivationImplDef _obj;
                                                unsigned int _t1027_principal_len;
                                                CORBA_Activator _local_activator_obj;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1028_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1998);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(5);
                                                flick_cdr_swap_decode_unsigned32(1, _t1027_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(5);
                                                flick_khazana_decode_end_glob(28);
                                                flick_khazana_check_span(_t1027_principal_len, _flick_abort1998);
                                                flick_khazana_decode_new_glob(_t1027_principal_len);
                                                flick_khazana_decode_new_chunk(_t1027_principal_len);
                                                flick_khazana_decode_end_chunk(_t1027_principal_len);
                                                flick_khazana_decode_end_glob(_t1027_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_cdr_swap_decode_IOR(khazana, _local_activator_obj, 1);
                                                flick_khazana_mark_port_for_cleanup(_local_activator_obj, 1);
                                                _ev = (CORBA_Environment *)(&_t1028_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                CORBA_ActivationImplDef__set_activator_obj(_obj, _local_activator_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1998);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1998);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2004);
                                                        break;
                                                        {
                                                        _flick_abort2004:
                                                          goto _flick_abort1998;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2005);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2005:
                                                          goto _flick_abort1998;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1998:
                                                  goto _flick_abort1997;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1997:
                                                goto _flick_abort1682;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                              flick_khazana_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t1029_switch_tag;

          flick_khazana_check_span(24, _flick_abort1682);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1029_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1029_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1030_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1030_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1030_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t1031_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1031_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1031_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t1032_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1032_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1032_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t1033_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1033_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1033_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          unsigned int _t1034_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t1035_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2007);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1034_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t1034_principal_len, _flick_abort2007);
                                          flick_khazana_decode_new_glob(_t1034_principal_len);
                                          flick_khazana_decode_new_chunk(_t1034_principal_len);
                                          flick_khazana_decode_end_chunk(_t1034_principal_len);
                                          flick_khazana_decode_end_glob(_t1034_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t1035_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_ActivationImplDef__get_interface_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2007);
                                            flick_khazana_encode_new_glob(8, _flick_abort2007);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t1037_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1037_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t1037_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t1037_temp_string_len, _flick_abort2014);
                                                  flick_khazana_encode_new_chunk(1 * _t1037_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t1037_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t1037_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t1037_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort2014:
                                                    goto _flick_abort2007;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2017);
                                                  break;
                                                  {
                                                  _flick_abort2017:
                                                    goto _flick_abort2007;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2018);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort2018:
                                                    goto _flick_abort2007;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2007:
                                            goto _flick_abort2006;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2006:
                                          goto _flick_abort1682;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1038_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1038_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1038_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t1039_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1039_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1039_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t1040_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1040_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1040_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t1041_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1041_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1041_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          unsigned int _t1042_principal_len;
                                          CORBA_char *_local_interface_name;
                                          flick_unsigned32_t _t1043_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t1044_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2020);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1042_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t1042_principal_len, _flick_abort2020);
                                          flick_khazana_decode_new_glob(_t1042_principal_len);
                                          flick_khazana_decode_new_chunk(_t1042_principal_len);
                                          flick_khazana_decode_end_chunk(_t1042_principal_len);
                                          flick_khazana_decode_end_glob(_t1042_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort2020);
                                          flick_cdr_swap_decode_unsigned32(0, _t1043_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t1043_temp_string_len);
                                          flick_khazana_check_span(1 * _t1043_temp_string_len, _flick_abort2020);
                                          flick_khazana_decode_new_chunk(1 * _t1043_temp_string_len);
                                          flick_cdr_swap_decode_msgptr(0, _local_interface_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t1043_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t1043_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t1044_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_ActivationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2020);
                                            flick_khazana_encode_new_glob(4, _flick_abort2020);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2028);
                                                  break;
                                                  {
                                                  _flick_abort2028:
                                                    goto _flick_abort2020;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2029);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort2029:
                                                    goto _flick_abort2020;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2020:
                                            goto _flick_abort2019;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2019:
                                          goto _flick_abort1682;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t1045_switch_tag;

          flick_khazana_check_span(24, _flick_abort1682);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1045_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1045_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1046_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1046_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1046_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t1047_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1047_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1047_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t1048_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1048_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1048_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t1049_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1049_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t1049_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          unsigned int _t1050_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t1051_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2031);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t1050_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t1050_principal_len, _flick_abort2031);
                                          flick_khazana_decode_new_glob(_t1050_principal_len);
                                          flick_khazana_decode_new_chunk(_t1050_principal_len);
                                          flick_khazana_decode_end_chunk(_t1050_principal_len);
                                          flick_khazana_decode_end_glob(_t1050_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t1051_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_ActivationImplDef__get_object_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2031);
                                            flick_khazana_encode_new_glob(8, _flick_abort2031);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t1053_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1053_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t1053_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t1053_temp_string_len, _flick_abort2038);
                                                  flick_khazana_encode_new_chunk(1 * _t1053_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t1053_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t1053_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t1053_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort2038:
                                                    goto _flick_abort2031;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2041);
                                                  break;
                                                  {
                                                  _flick_abort2041:
                                                    goto _flick_abort2031;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2042);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort2042:
                                                    goto _flick_abort2031;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2031:
                                            goto _flick_abort2030;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2030:
                                          goto _flick_abort1682;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1054_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1054_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1054_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t1055_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1055_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1055_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t1056_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1056_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1056_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t1057_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t1057_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t1057_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          unsigned int _t1058_principal_len;
                                          CORBA_char *_local_object_name;
                                          flick_unsigned32_t _t1059_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t1060_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2044);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t1058_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t1058_principal_len, _flick_abort2044);
                                          flick_khazana_decode_new_glob(_t1058_principal_len);
                                          flick_khazana_decode_new_chunk(_t1058_principal_len);
                                          flick_khazana_decode_end_chunk(_t1058_principal_len);
                                          flick_khazana_decode_end_glob(_t1058_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort2044);
                                          flick_cdr_swap_decode_unsigned32(0, _t1059_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t1059_temp_string_len);
                                          flick_khazana_check_span(1 * _t1059_temp_string_len, _flick_abort2044);
                                          flick_khazana_decode_new_chunk(1 * _t1059_temp_string_len);
                                          flick_cdr_swap_decode_msgptr(0, _local_object_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t1059_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t1059_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t1060_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_ActivationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2044);
                                            flick_khazana_encode_new_glob(4, _flick_abort2044);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2052);
                                                  break;
                                                  {
                                                  _flick_abort2052:
                                                    goto _flick_abort2044;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2053);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort2053:
                                                    goto _flick_abort2044;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2044:
                                            goto _flick_abort2043;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2043:
                                          goto _flick_abort1682;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t1061_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1061_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1061_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1062_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1062_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1062_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ActivationImplDef _obj;
                        unsigned int _t1063_principal_len;
                        CORBA_ReferenceData *_return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1064_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2055);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t1063_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t1063_principal_len, _flick_abort2055);
                        flick_khazana_decode_new_glob(_t1063_principal_len);
                        flick_khazana_decode_new_chunk(_t1063_principal_len);
                        flick_khazana_decode_end_chunk(_t1063_principal_len);
                        flick_khazana_decode_end_glob(_t1063_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t1064_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_ActivationImplDef__get_id(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2055);
                          flick_khazana_encode_new_glob(8, _flick_abort2055);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _return->_length, _flick_abort2062);
                                flick_khazana_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = 0;
                                flick_khazana_encode_end_chunk(1 * _return->_length);
                                flick_khazana_encode_end_glob(1 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = 0;
                                break;
                                {
                                _flick_abort2062:
                                  goto _flick_abort2055;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2065);
                                break;
                                {
                                _flick_abort2065:
                                  goto _flick_abort2055;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2066);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2066:
                                  goto _flick_abort2055;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2055:
                          goto _flick_abort2054;
                        }
                      }
                      break;
                      {
                      _flick_abort2054:
                        goto _flick_abort1682;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1065_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1065_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1065_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ActivationImplDef _obj;
                        unsigned int _t1066_principal_len;
                        CORBA_ReferenceData *_local_id;
                        CORBA_ReferenceData _t1067_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1068_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2068);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t1066_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t1066_principal_len, _flick_abort2068);
                        flick_khazana_decode_new_glob(_t1066_principal_len);
                        flick_khazana_decode_new_chunk(_t1066_principal_len);
                        flick_khazana_decode_end_chunk(_t1066_principal_len);
                        flick_khazana_decode_end_glob(_t1066_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = (CORBA_ReferenceData *)(&_t1067_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2068);
                        flick_cdr_swap_decode_unsigned32(0, _local_id->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _local_id->_length);
                        flick_khazana_check_span(1 * _local_id->_length, _flick_abort2068);
                        flick_khazana_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_swap_decode_msgptr(0, _local_id->_buffer, CORBA_octet *);
                        _local_id->_maximum = _local_id->_length;
                        _local_id->_release = 0;
                        flick_khazana_decode_end_chunk(1 * _local_id->_length);
                        flick_khazana_decode_end_glob(1 * _local_id->_length);
                        _ev = (CORBA_Environment *)(&_t1068_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        CORBA_ActivationImplDef__set_id(_obj, _local_id, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2068);
                          flick_khazana_encode_new_glob(4, _flick_abort2068);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2076);
                                break;
                                {
                                _flick_abort2076:
                                  goto _flick_abort2068;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2077);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort2077:
                                  goto _flick_abort2068;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2068:
                          goto _flick_abort2067;
                        }
                      }
                      break;
                      {
                      _flick_abort2067:
                        goto _flick_abort1682;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t1069_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1069_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1069_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t1070_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1070_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t1070_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t1071_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t1072_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1073_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2079);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t1071_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t1071_principal_len, _flick_abort2079);
                        flick_khazana_decode_new_glob(_t1071_principal_len);
                        flick_khazana_decode_new_chunk(_t1071_principal_len);
                        flick_khazana_decode_end_chunk(_t1071_principal_len);
                        flick_khazana_decode_end_glob(_t1071_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2079);
                        flick_cdr_swap_decode_unsigned32(0, _t1072_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t1072_temp_string_len);
                        flick_khazana_check_span(1 * _t1072_temp_string_len, _flick_abort2079);
                        flick_khazana_decode_new_chunk(1 * _t1072_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t1072_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t1072_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t1073_storage);
                        _par = flick_interface_parents_CORBA_ActivationImplDef;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2079);
                          flick_khazana_encode_new_glob(5, _flick_abort2079);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2087);
                                break;
                                {
                                _flick_abort2087:
                                  goto _flick_abort2079;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2088);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort2088:
                                  goto _flick_abort2079;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2079:
                          goto _flick_abort2078;
                        }
                      }
                      break;
                      {
                      _flick_abort2078:
                        goto _flick_abort1682;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
          flick_khazana_decode_end_glob(28);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t891_switch_tag;

    flick_khazana_decode_new_glob(28);
    flick_khazana_check_span(16, _flick_abort1682);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t891_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t891_switch_tag)
      {
      case (unsigned int) 19:
        {
          unsigned int _t892_switch_tag;

          flick_khazana_check_span(24, _flick_abort1682);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t892_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t892_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t893_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t893_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t893_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t894_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t894_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t894_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t895_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t895_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t895_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t896_switch_tag;

                                  flick_khazana_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t896_switch_tag, unsigned short int );
                                  flick_khazana_decode_end_chunk(2);
                                  switch ((unsigned short int )_t896_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t897_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t897_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t897_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_ActivationImplDef _obj;
                                                unsigned int _t898_principal_len;
                                                CORBA_Activator _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t899_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1786);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(5);
                                                flick_cdr_decode_unsigned32(1, _t898_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(5);
                                                flick_khazana_decode_end_glob(28);
                                                flick_khazana_check_span(_t898_principal_len, _flick_abort1786);
                                                flick_khazana_decode_new_glob(_t898_principal_len);
                                                flick_khazana_decode_new_chunk(_t898_principal_len);
                                                flick_khazana_decode_end_chunk(_t898_principal_len);
                                                flick_khazana_decode_end_glob(_t898_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = (CORBA_Environment *)(&_t899_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_ActivationImplDef__get_activator_obj(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1786);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1786);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort1791);
                                                        break;
                                                        {
                                                        _flick_abort1791:
                                                          goto _flick_abort1786;
                                                        }
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1792);
                                                        break;
                                                        {
                                                        _flick_abort1792:
                                                          goto _flick_abort1786;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1793);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1793:
                                                          goto _flick_abort1786;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1786:
                                                  goto _flick_abort1785;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1785:
                                                goto _flick_abort1682;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                              flick_khazana_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t900_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t900_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t900_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t901_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t901_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t901_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t902_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t902_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t902_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t903_switch_tag;

                                  flick_khazana_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t903_switch_tag, unsigned short int );
                                  flick_khazana_decode_end_chunk(2);
                                  switch ((unsigned short int )_t903_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t904_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t904_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t904_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_ActivationImplDef _obj;
                                                unsigned int _t905_principal_len;
                                                CORBA_Activator _local_activator_obj;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t906_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1795);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(5);
                                                flick_cdr_decode_unsigned32(1, _t905_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(5);
                                                flick_khazana_decode_end_glob(28);
                                                flick_khazana_check_span(_t905_principal_len, _flick_abort1795);
                                                flick_khazana_decode_new_glob(_t905_principal_len);
                                                flick_khazana_decode_new_chunk(_t905_principal_len);
                                                flick_khazana_decode_end_chunk(_t905_principal_len);
                                                flick_khazana_decode_end_glob(_t905_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_cdr_decode_IOR(khazana, _local_activator_obj, 1);
                                                flick_khazana_mark_port_for_cleanup(_local_activator_obj, 1);
                                                _ev = (CORBA_Environment *)(&_t906_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                CORBA_ActivationImplDef__set_activator_obj(_obj, _local_activator_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1795);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1795);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1801);
                                                        break;
                                                        {
                                                        _flick_abort1801:
                                                          goto _flick_abort1795;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1802);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1802:
                                                          goto _flick_abort1795;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1795:
                                                  goto _flick_abort1794;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1794:
                                                goto _flick_abort1682;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                              flick_khazana_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t907_switch_tag;

          flick_khazana_check_span(24, _flick_abort1682);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t907_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t907_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t908_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t908_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t908_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t909_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t909_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t909_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t910_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t910_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t910_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t911_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t911_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t911_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          unsigned int _t912_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t913_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1804);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t912_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t912_principal_len, _flick_abort1804);
                                          flick_khazana_decode_new_glob(_t912_principal_len);
                                          flick_khazana_decode_new_chunk(_t912_principal_len);
                                          flick_khazana_decode_end_chunk(_t912_principal_len);
                                          flick_khazana_decode_end_glob(_t912_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t913_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_ActivationImplDef__get_interface_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1804);
                                            flick_khazana_encode_new_glob(8, _flick_abort1804);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t915_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t915_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t915_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t915_temp_string_len, _flick_abort1811);
                                                  flick_khazana_encode_new_chunk(1 * _t915_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t915_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t915_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t915_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1811:
                                                    goto _flick_abort1804;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1814);
                                                  break;
                                                  {
                                                  _flick_abort1814:
                                                    goto _flick_abort1804;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1815);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1815:
                                                    goto _flick_abort1804;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1804:
                                            goto _flick_abort1803;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1803:
                                          goto _flick_abort1682;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t916_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t916_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t916_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t917_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t917_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t917_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t918_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t918_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t918_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t919_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t919_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t919_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          unsigned int _t920_principal_len;
                                          CORBA_char *_local_interface_name;
                                          flick_unsigned32_t _t921_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t922_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1817);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t920_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t920_principal_len, _flick_abort1817);
                                          flick_khazana_decode_new_glob(_t920_principal_len);
                                          flick_khazana_decode_new_chunk(_t920_principal_len);
                                          flick_khazana_decode_end_chunk(_t920_principal_len);
                                          flick_khazana_decode_end_glob(_t920_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort1817);
                                          flick_cdr_decode_unsigned32(0, _t921_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t921_temp_string_len);
                                          flick_khazana_check_span(1 * _t921_temp_string_len, _flick_abort1817);
                                          flick_khazana_decode_new_chunk(1 * _t921_temp_string_len);
                                          flick_cdr_decode_msgptr(0, _local_interface_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t921_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t921_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t922_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_ActivationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1817);
                                            flick_khazana_encode_new_glob(4, _flick_abort1817);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1825);
                                                  break;
                                                  {
                                                  _flick_abort1825:
                                                    goto _flick_abort1817;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1826);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1826:
                                                    goto _flick_abort1817;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1817:
                                            goto _flick_abort1816;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1816:
                                          goto _flick_abort1682;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t923_switch_tag;

          flick_khazana_check_span(24, _flick_abort1682);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t923_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t923_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t924_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t924_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t924_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t925_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t925_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t925_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t926_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t926_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t926_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t927_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t927_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t927_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          unsigned int _t928_principal_len;
                                          CORBA_char *_return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t929_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1828);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t928_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t928_principal_len, _flick_abort1828);
                                          flick_khazana_decode_new_glob(_t928_principal_len);
                                          flick_khazana_decode_new_chunk(_t928_principal_len);
                                          flick_khazana_decode_end_chunk(_t928_principal_len);
                                          flick_khazana_decode_end_glob(_t928_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t929_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_ActivationImplDef__get_object_name(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1828);
                                            flick_khazana_encode_new_glob(8, _flick_abort1828);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t931_temp_string_len;

                                                  flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t931_temp_string_len);

                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_unsigned32(0, _t931_temp_string_len, flick_unsigned32_t );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_khazana_encode_new_glob(1 * _t931_temp_string_len, _flick_abort1835);
                                                  flick_khazana_encode_new_chunk(1 * _t931_temp_string_len);
                                                  flick_cdr_encode_bcopy(0, _return, 1 * _t931_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = 0;
                                                  flick_khazana_encode_end_chunk(1 * _t931_temp_string_len);
                                                  flick_khazana_encode_end_glob(1 * _t931_temp_string_len);
                                                  break;
                                                  {
                                                  _flick_abort1835:
                                                    goto _flick_abort1828;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1838);
                                                  break;
                                                  {
                                                  _flick_abort1838:
                                                    goto _flick_abort1828;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1839);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1839:
                                                    goto _flick_abort1828;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1828:
                                            goto _flick_abort1827;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1827:
                                          goto _flick_abort1682;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t932_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t932_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t932_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t933_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t933_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t933_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t934_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t934_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t934_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t935_switch_tag;

                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t935_switch_tag, char );
                                  flick_khazana_decode_end_chunk(1);
                                  switch ((char )_t935_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          unsigned int _t936_principal_len;
                                          CORBA_char *_local_object_name;
                                          flick_unsigned32_t _t937_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t938_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1841);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t936_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(7);
                                          flick_khazana_decode_end_glob(28);
                                          flick_khazana_check_span(_t936_principal_len, _flick_abort1841);
                                          flick_khazana_decode_new_glob(_t936_principal_len);
                                          flick_khazana_decode_new_chunk(_t936_principal_len);
                                          flick_khazana_decode_end_chunk(_t936_principal_len);
                                          flick_khazana_decode_end_glob(_t936_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_khazana_decode_new_glob(7);
                                          flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_khazana_check_span(4, _flick_abort1841);
                                          flick_cdr_decode_unsigned32(0, _t937_temp_string_len, flick_unsigned32_t );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(7);
                                          flick_khazana_decode_new_glob(1 * _t937_temp_string_len);
                                          flick_khazana_check_span(1 * _t937_temp_string_len, _flick_abort1841);
                                          flick_khazana_decode_new_chunk(1 * _t937_temp_string_len);
                                          flick_cdr_decode_msgptr(0, _local_object_name, CORBA_char *);
                                          flick_khazana_decode_end_chunk(1 * _t937_temp_string_len);
                                          flick_khazana_decode_end_glob(1 * _t937_temp_string_len);
                                          _ev = (CORBA_Environment *)(&_t938_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          CORBA_ActivationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1841);
                                            flick_khazana_encode_new_glob(4, _flick_abort1841);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(4);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1849);
                                                  break;
                                                  {
                                                  _flick_abort1849:
                                                    goto _flick_abort1841;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1850);
                                                  flick_khazana_encode_end_glob(4);
                                                  break;
                                                  {
                                                  _flick_abort1850:
                                                    goto _flick_abort1841;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1841:
                                            goto _flick_abort1840;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1840:
                                          goto _flick_abort1682;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                        flick_khazana_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                                  flick_khazana_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                            flick_khazana_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t939_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t939_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t939_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t940_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t940_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t940_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ActivationImplDef _obj;
                        unsigned int _t941_principal_len;
                        CORBA_ReferenceData *_return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t942_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1852);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t941_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t941_principal_len, _flick_abort1852);
                        flick_khazana_decode_new_glob(_t941_principal_len);
                        flick_khazana_decode_new_chunk(_t941_principal_len);
                        flick_khazana_decode_end_chunk(_t941_principal_len);
                        flick_khazana_decode_end_glob(_t941_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t942_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_ActivationImplDef__get_id(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1852);
                          flick_khazana_encode_new_glob(8, _flick_abort1852);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _return->_length, _flick_abort1859);
                                flick_khazana_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                if (_return->_release)
                                  CORBA_flick_free(_return->_buffer);
                                _return->_maximum = 0;
                                _return->_release = 0;
                                _return->_buffer = 0;
                                flick_khazana_encode_end_chunk(1 * _return->_length);
                                flick_khazana_encode_end_glob(1 * _return->_length);
                                CORBA_flick_free(_return);
                                _return = 0;
                                break;
                                {
                                _flick_abort1859:
                                  goto _flick_abort1852;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1862);
                                break;
                                {
                                _flick_abort1862:
                                  goto _flick_abort1852;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1863);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort1863:
                                  goto _flick_abort1852;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1852:
                          goto _flick_abort1851;
                        }
                      }
                      break;
                      {
                      _flick_abort1851:
                        goto _flick_abort1682;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t943_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t943_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t943_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ActivationImplDef _obj;
                        unsigned int _t944_principal_len;
                        CORBA_ReferenceData *_local_id;
                        CORBA_ReferenceData _t945_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t946_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1865);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t944_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t944_principal_len, _flick_abort1865);
                        flick_khazana_decode_new_glob(_t944_principal_len);
                        flick_khazana_decode_new_chunk(_t944_principal_len);
                        flick_khazana_decode_end_chunk(_t944_principal_len);
                        flick_khazana_decode_end_glob(_t944_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = (CORBA_ReferenceData *)(&_t945_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1865);
                        flick_cdr_decode_unsigned32(0, _local_id->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _local_id->_length);
                        flick_khazana_check_span(1 * _local_id->_length, _flick_abort1865);
                        flick_khazana_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_decode_msgptr(0, _local_id->_buffer, CORBA_octet *);
                        _local_id->_maximum = _local_id->_length;
                        _local_id->_release = 0;
                        flick_khazana_decode_end_chunk(1 * _local_id->_length);
                        flick_khazana_decode_end_glob(1 * _local_id->_length);
                        _ev = (CORBA_Environment *)(&_t946_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        CORBA_ActivationImplDef__set_id(_obj, _local_id, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1865);
                          flick_khazana_encode_new_glob(4, _flick_abort1865);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1873);
                                break;
                                {
                                _flick_abort1873:
                                  goto _flick_abort1865;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1874);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort1874:
                                  goto _flick_abort1865;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1865:
                          goto _flick_abort1864;
                        }
                      }
                      break;
                      {
                      _flick_abort1864:
                        goto _flick_abort1682;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t947_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t947_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t947_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t948_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t948_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t948_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t949_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t950_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t951_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1876);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t949_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(28);
                        flick_khazana_check_span(_t949_principal_len, _flick_abort1876);
                        flick_khazana_decode_new_glob(_t949_principal_len);
                        flick_khazana_decode_new_chunk(_t949_principal_len);
                        flick_khazana_decode_end_chunk(_t949_principal_len);
                        flick_khazana_decode_end_glob(_t949_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1876);
                        flick_cdr_decode_unsigned32(0, _t950_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t950_temp_string_len);
                        flick_khazana_check_span(1 * _t950_temp_string_len, _flick_abort1876);
                        flick_khazana_decode_new_chunk(1 * _t950_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t950_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t950_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t951_storage);
                        _par = flick_interface_parents_CORBA_ActivationImplDef;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1876);
                          flick_khazana_encode_new_glob(5, _flick_abort1876);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1884);
                                break;
                                {
                                _flick_abort1884:
                                  goto _flick_abort1876;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1885);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1885:
                                  goto _flick_abort1876;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1876:
                          goto _flick_abort1875;
                        }
                      }
                      break;
                      {
                      _flick_abort1875:
                        goto _flick_abort1682;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                      flick_khazana_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
                flick_khazana_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1682);
          flick_khazana_decode_end_glob(28);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort1682:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1681);
  _flick_abort1681:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

