#include "inherit-server.h"

/* This is the runtime type information */
char *flick_interface_parents_one[] = {
	"IDL:one:1.0",
	0
};

char *flick_interface_parents_two[] = {
	"IDL:two:1.0",
	"IDL:one:1.0",
	0
};

char *flick_interface_parents_three[] = {
	"IDL:three:1.0",
	"IDL:one:1.0",
	0
};

char *flick_interface_parents_four[] = {
	"IDL:four:1.0",
	"IDL:one:1.0",
	"IDL:two:1.0",
	"IDL:three:1.0",
	0
};

char *flick_interface_parents_five[] = {
	"IDL:five:1.0",
	"IDL:one:1.0",
	"IDL:two:1.0",
	"IDL:three:1.0",
	"IDL:four:1.0",
	0
};

char *flick_interface_parents_factory[] = {
	"IDL:factory:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_one(flick_marshal_stream_t _stream, one *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_one(flick_marshal_stream_t _stream, one *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_one_swap(flick_marshal_stream_t _stream, one *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t one_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t33_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t33_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t33_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t34_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t34_switch_tag)
            {
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t35_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t35_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t35_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t36_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t36_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t36_switch_tag)
                        {
                        case 0:
                          {
                            {
                              one _obj;
                              unsigned int _t37_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t38_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort69);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t37_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t37_principal_len, _flick_abort69);
                              flick_khazana_decode_new_glob(_t37_principal_len);
                              flick_khazana_decode_new_chunk(_t37_principal_len);
                              flick_khazana_decode_end_chunk(_t37_principal_len);
                              flick_khazana_decode_end_glob(_t37_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t38_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              one_op_one(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort69);
                                flick_khazana_encode_new_glob(4, _flick_abort69);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort75);
                                      break;
                                      {
                                      _flick_abort75:
                                        goto _flick_abort69;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort76);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort76:
                                        goto _flick_abort69;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort69:
                                goto _flick_abort68;
                              }
                            }
                            break;
                            {
                            _flick_abort68:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t39_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t39_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t40_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t40_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t41_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t42_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t43_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort78);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t41_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t41_principal_len, _flick_abort78);
                        flick_khazana_decode_new_glob(_t41_principal_len);
                        flick_khazana_decode_new_chunk(_t41_principal_len);
                        flick_khazana_decode_end_chunk(_t41_principal_len);
                        flick_khazana_decode_end_glob(_t41_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort78);
                        flick_cdr_swap_decode_unsigned32(0, _t42_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t42_temp_string_len);
                        flick_khazana_check_span(1 * _t42_temp_string_len, _flick_abort78);
                        flick_khazana_decode_new_chunk(1 * _t42_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t42_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t42_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t43_storage);
                        _par = flick_interface_parents_one;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort78);
                          flick_khazana_encode_new_glob(5, _flick_abort78);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort86);
                                break;
                                {
                                _flick_abort86:
                                  goto _flick_abort78;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort87:
                                  goto _flick_abort78;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort78:
                          goto _flick_abort77;
                        }
                      }
                      break;
                      {
                      _flick_abort77:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t11_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t11_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t11_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t12_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t12_switch_tag)
            {
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t13_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t13_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t13_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t14_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t14_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t14_switch_tag)
                        {
                        case 0:
                          {
                            {
                              one _obj;
                              unsigned int _t15_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t16_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort28);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t15_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t15_principal_len, _flick_abort28);
                              flick_khazana_decode_new_glob(_t15_principal_len);
                              flick_khazana_decode_new_chunk(_t15_principal_len);
                              flick_khazana_decode_end_chunk(_t15_principal_len);
                              flick_khazana_decode_end_glob(_t15_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t16_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              one_op_one(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort28);
                                flick_khazana_encode_new_glob(4, _flick_abort28);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort34);
                                      break;
                                      {
                                      _flick_abort34:
                                        goto _flick_abort28;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort35);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort35:
                                        goto _flick_abort28;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort28:
                                goto _flick_abort27;
                              }
                            }
                            break;
                            {
                            _flick_abort27:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t17_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t17_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t17_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t18_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t18_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t18_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t19_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t20_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t21_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort37);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t19_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t19_principal_len, _flick_abort37);
                        flick_khazana_decode_new_glob(_t19_principal_len);
                        flick_khazana_decode_new_chunk(_t19_principal_len);
                        flick_khazana_decode_end_chunk(_t19_principal_len);
                        flick_khazana_decode_end_glob(_t19_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort37);
                        flick_cdr_decode_unsigned32(0, _t20_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t20_temp_string_len);
                        flick_khazana_check_span(1 * _t20_temp_string_len, _flick_abort37);
                        flick_khazana_decode_new_chunk(1 * _t20_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t20_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t20_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t21_storage);
                        _par = flick_interface_parents_one;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort37);
                          flick_khazana_encode_new_glob(5, _flick_abort37);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort45);
                                break;
                                {
                                _flick_abort45:
                                  goto _flick_abort37;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort46);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort46:
                                  goto _flick_abort37;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort37:
                          goto _flick_abort36;
                        }
                      }
                      break;
                      {
                      _flick_abort36:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort5:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_two(flick_marshal_stream_t _stream, two *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort88);
  return 0;
  {
  _flick_abort88:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_two(flick_marshal_stream_t _stream, two *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_two_swap(flick_marshal_stream_t _stream, two *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t two_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t89_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort93);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t89_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t89_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t90_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t90_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t90_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t91_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t91_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t91_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t92_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t92_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t92_switch_tag)
                        {
                        case 0:
                          {
                            {
                              two _obj;
                              unsigned int _t93_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t94_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort184);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t93_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t93_principal_len, _flick_abort184);
                              flick_khazana_decode_new_glob(_t93_principal_len);
                              flick_khazana_decode_new_chunk(_t93_principal_len);
                              flick_khazana_decode_end_chunk(_t93_principal_len);
                              flick_khazana_decode_end_glob(_t93_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t94_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              two_op_two(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort184);
                                flick_khazana_encode_new_glob(4, _flick_abort184);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort190);
                                      break;
                                      {
                                      _flick_abort190:
                                        goto _flick_abort184;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort191:
                                        goto _flick_abort184;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort184:
                                goto _flick_abort183;
                              }
                            }
                            break;
                            {
                            _flick_abort183:
                              goto _flick_abort93;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t95_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t95_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t95_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t96_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t96_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t96_switch_tag)
                        {
                        case 0:
                          {
                            {
                              two _obj;
                              unsigned int _t97_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t98_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort193);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t97_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t97_principal_len, _flick_abort193);
                              flick_khazana_decode_new_glob(_t97_principal_len);
                              flick_khazana_decode_new_chunk(_t97_principal_len);
                              flick_khazana_decode_end_chunk(_t97_principal_len);
                              flick_khazana_decode_end_glob(_t97_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t98_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              two_op_one(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort193);
                                flick_khazana_encode_new_glob(4, _flick_abort193);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort199);
                                      break;
                                      {
                                      _flick_abort199:
                                        goto _flick_abort193;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort200);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort200:
                                        goto _flick_abort193;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort193:
                                goto _flick_abort192;
                              }
                            }
                            break;
                            {
                            _flick_abort192:
                              goto _flick_abort93;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t99_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t99_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t99_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t100_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t100_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t100_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t101_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t102_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t103_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort202);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t101_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t101_principal_len, _flick_abort202);
                        flick_khazana_decode_new_glob(_t101_principal_len);
                        flick_khazana_decode_new_chunk(_t101_principal_len);
                        flick_khazana_decode_end_chunk(_t101_principal_len);
                        flick_khazana_decode_end_glob(_t101_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort202);
                        flick_cdr_swap_decode_unsigned32(0, _t102_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t102_temp_string_len);
                        flick_khazana_check_span(1 * _t102_temp_string_len, _flick_abort202);
                        flick_khazana_decode_new_chunk(1 * _t102_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t102_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t102_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t103_storage);
                        _par = flick_interface_parents_two;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort202);
                          flick_khazana_encode_new_glob(5, _flick_abort202);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort210);
                                break;
                                {
                                _flick_abort210:
                                  goto _flick_abort202;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort211);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort211:
                                  goto _flick_abort202;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort202:
                          goto _flick_abort201;
                        }
                      }
                      break;
                      {
                      _flick_abort201:
                        goto _flick_abort93;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t59_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort93);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t59_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t59_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t60_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t60_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t60_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t61_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t61_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t61_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t62_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t62_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t62_switch_tag)
                        {
                        case 0:
                          {
                            {
                              two _obj;
                              unsigned int _t63_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t64_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort125);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t63_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t63_principal_len, _flick_abort125);
                              flick_khazana_decode_new_glob(_t63_principal_len);
                              flick_khazana_decode_new_chunk(_t63_principal_len);
                              flick_khazana_decode_end_chunk(_t63_principal_len);
                              flick_khazana_decode_end_glob(_t63_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t64_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              two_op_two(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort125);
                                flick_khazana_encode_new_glob(4, _flick_abort125);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort131);
                                      break;
                                      {
                                      _flick_abort131:
                                        goto _flick_abort125;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort132);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort132:
                                        goto _flick_abort125;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort125:
                                goto _flick_abort124;
                              }
                            }
                            break;
                            {
                            _flick_abort124:
                              goto _flick_abort93;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t65_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t65_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t65_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t66_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t66_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t66_switch_tag)
                        {
                        case 0:
                          {
                            {
                              two _obj;
                              unsigned int _t67_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t68_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort134);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t67_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t67_principal_len, _flick_abort134);
                              flick_khazana_decode_new_glob(_t67_principal_len);
                              flick_khazana_decode_new_chunk(_t67_principal_len);
                              flick_khazana_decode_end_chunk(_t67_principal_len);
                              flick_khazana_decode_end_glob(_t67_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t68_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              two_op_one(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort134);
                                flick_khazana_encode_new_glob(4, _flick_abort134);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort140);
                                      break;
                                      {
                                      _flick_abort140:
                                        goto _flick_abort134;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort141);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort141:
                                        goto _flick_abort134;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort134:
                                goto _flick_abort133;
                              }
                            }
                            break;
                            {
                            _flick_abort133:
                              goto _flick_abort93;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t69_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t69_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t69_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t70_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t70_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t70_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t71_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t72_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t73_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort143);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t71_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t71_principal_len, _flick_abort143);
                        flick_khazana_decode_new_glob(_t71_principal_len);
                        flick_khazana_decode_new_chunk(_t71_principal_len);
                        flick_khazana_decode_end_chunk(_t71_principal_len);
                        flick_khazana_decode_end_glob(_t71_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort143);
                        flick_cdr_decode_unsigned32(0, _t72_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t72_temp_string_len);
                        flick_khazana_check_span(1 * _t72_temp_string_len, _flick_abort143);
                        flick_khazana_decode_new_chunk(1 * _t72_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t72_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t72_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t73_storage);
                        _par = flick_interface_parents_two;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort143);
                          flick_khazana_encode_new_glob(5, _flick_abort143);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort151);
                                break;
                                {
                                _flick_abort151:
                                  goto _flick_abort143;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort152:
                                  goto _flick_abort143;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort143:
                          goto _flick_abort142;
                        }
                      }
                      break;
                      {
                      _flick_abort142:
                        goto _flick_abort93;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort93:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort92);
  _flick_abort92:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_three(flick_marshal_stream_t _stream, three *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort212);
  return 0;
  {
  _flick_abort212:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_three(flick_marshal_stream_t _stream, three *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_three_swap(flick_marshal_stream_t _stream, three *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t three_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t152_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort217);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t152_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t152_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t153_switch_tag;

          flick_khazana_check_span(16, _flick_abort217);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t153_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t153_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t154_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t154_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t154_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t155_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t155_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t155_switch_tag)
                        {
                        case 0:
                          {
                            {
                              three _obj;
                              unsigned int _t156_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t157_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort308);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t156_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t156_principal_len, _flick_abort308);
                              flick_khazana_decode_new_glob(_t156_principal_len);
                              flick_khazana_decode_new_chunk(_t156_principal_len);
                              flick_khazana_decode_end_chunk(_t156_principal_len);
                              flick_khazana_decode_end_glob(_t156_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t157_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              three_op_three(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort308);
                                flick_khazana_encode_new_glob(4, _flick_abort308);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort314);
                                      break;
                                      {
                                      _flick_abort314:
                                        goto _flick_abort308;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort315);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort315:
                                        goto _flick_abort308;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort308:
                                goto _flick_abort307;
                              }
                            }
                            break;
                            {
                            _flick_abort307:
                              goto _flick_abort217;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t158_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t158_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t158_switch_tag)
            {
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t159_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t159_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t159_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t160_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t160_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t160_switch_tag)
                        {
                        case 0:
                          {
                            {
                              three _obj;
                              unsigned int _t161_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t162_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort317);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t161_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t161_principal_len, _flick_abort317);
                              flick_khazana_decode_new_glob(_t161_principal_len);
                              flick_khazana_decode_new_chunk(_t161_principal_len);
                              flick_khazana_decode_end_chunk(_t161_principal_len);
                              flick_khazana_decode_end_glob(_t161_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t162_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              three_op_one(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort317);
                                flick_khazana_encode_new_glob(4, _flick_abort317);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort323);
                                      break;
                                      {
                                      _flick_abort323:
                                        goto _flick_abort317;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort324);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort324:
                                        goto _flick_abort317;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort317:
                                goto _flick_abort316;
                              }
                            }
                            break;
                            {
                            _flick_abort316:
                              goto _flick_abort217;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t163_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t163_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t163_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t164_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t164_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t164_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t165_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t166_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t167_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort326);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t165_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t165_principal_len, _flick_abort326);
                        flick_khazana_decode_new_glob(_t165_principal_len);
                        flick_khazana_decode_new_chunk(_t165_principal_len);
                        flick_khazana_decode_end_chunk(_t165_principal_len);
                        flick_khazana_decode_end_glob(_t165_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort326);
                        flick_cdr_swap_decode_unsigned32(0, _t166_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t166_temp_string_len);
                        flick_khazana_check_span(1 * _t166_temp_string_len, _flick_abort326);
                        flick_khazana_decode_new_chunk(1 * _t166_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t166_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t166_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t167_storage);
                        _par = flick_interface_parents_three;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort326);
                          flick_khazana_encode_new_glob(5, _flick_abort326);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort334);
                                break;
                                {
                                _flick_abort334:
                                  goto _flick_abort326;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort335);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort335:
                                  goto _flick_abort326;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort326:
                          goto _flick_abort325;
                        }
                      }
                      break;
                      {
                      _flick_abort325:
                        goto _flick_abort217;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t120_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort217);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t120_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t120_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t121_switch_tag;

          flick_khazana_check_span(16, _flick_abort217);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t121_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t121_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t122_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t122_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t122_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t123_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t123_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t123_switch_tag)
                        {
                        case 0:
                          {
                            {
                              three _obj;
                              unsigned int _t124_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t125_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort249);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t124_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t124_principal_len, _flick_abort249);
                              flick_khazana_decode_new_glob(_t124_principal_len);
                              flick_khazana_decode_new_chunk(_t124_principal_len);
                              flick_khazana_decode_end_chunk(_t124_principal_len);
                              flick_khazana_decode_end_glob(_t124_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t125_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              three_op_three(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort249);
                                flick_khazana_encode_new_glob(4, _flick_abort249);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort255);
                                      break;
                                      {
                                      _flick_abort255:
                                        goto _flick_abort249;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort256);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort256:
                                        goto _flick_abort249;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort249:
                                goto _flick_abort248;
                              }
                            }
                            break;
                            {
                            _flick_abort248:
                              goto _flick_abort217;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t126_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t126_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t126_switch_tag)
            {
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t127_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t127_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t127_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t128_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t128_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t128_switch_tag)
                        {
                        case 0:
                          {
                            {
                              three _obj;
                              unsigned int _t129_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t130_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort258);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t129_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t129_principal_len, _flick_abort258);
                              flick_khazana_decode_new_glob(_t129_principal_len);
                              flick_khazana_decode_new_chunk(_t129_principal_len);
                              flick_khazana_decode_end_chunk(_t129_principal_len);
                              flick_khazana_decode_end_glob(_t129_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t130_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              three_op_one(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort258);
                                flick_khazana_encode_new_glob(4, _flick_abort258);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort264);
                                      break;
                                      {
                                      _flick_abort264:
                                        goto _flick_abort258;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort265);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort265:
                                        goto _flick_abort258;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort258:
                                goto _flick_abort257;
                              }
                            }
                            break;
                            {
                            _flick_abort257:
                              goto _flick_abort217;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t131_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t131_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t131_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t132_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t132_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t132_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t133_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t134_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t135_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort267);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t133_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t133_principal_len, _flick_abort267);
                        flick_khazana_decode_new_glob(_t133_principal_len);
                        flick_khazana_decode_new_chunk(_t133_principal_len);
                        flick_khazana_decode_end_chunk(_t133_principal_len);
                        flick_khazana_decode_end_glob(_t133_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort267);
                        flick_cdr_decode_unsigned32(0, _t134_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t134_temp_string_len);
                        flick_khazana_check_span(1 * _t134_temp_string_len, _flick_abort267);
                        flick_khazana_decode_new_chunk(1 * _t134_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t134_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t134_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t135_storage);
                        _par = flick_interface_parents_three;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort267);
                          flick_khazana_encode_new_glob(5, _flick_abort267);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort275);
                                break;
                                {
                                _flick_abort275:
                                  goto _flick_abort267;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort276);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort276:
                                  goto _flick_abort267;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort267:
                          goto _flick_abort266;
                        }
                      }
                      break;
                      {
                      _flick_abort266:
                        goto _flick_abort217;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort217:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort216);
  _flick_abort216:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_four(flick_marshal_stream_t _stream, four *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort336);
  return 0;
  {
  _flick_abort336:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_four(flick_marshal_stream_t _stream, four *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_four_swap(flick_marshal_stream_t _stream, four *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t four_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t240_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort341);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t240_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t240_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t241_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t241_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t241_switch_tag)
            {
            case /* op_f */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t242_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t242_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t242_switch_tag)
                  {
                  case /* our */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        four _obj;
                        unsigned int _t243_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t244_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort486);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t243_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t243_principal_len, _flick_abort486);
                        flick_khazana_decode_new_glob(_t243_principal_len);
                        flick_khazana_decode_new_chunk(_t243_principal_len);
                        flick_khazana_decode_end_chunk(_t243_principal_len);
                        flick_khazana_decode_end_glob(_t243_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t244_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        four_op_four(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort486);
                          flick_khazana_encode_new_glob(4, _flick_abort486);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort492);
                                break;
                                {
                                _flick_abort492:
                                  goto _flick_abort486;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort493);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort493:
                                  goto _flick_abort486;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort486:
                          goto _flick_abort485;
                        }
                      }
                      break;
                      {
                      _flick_abort485:
                        goto _flick_abort341;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t245_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t245_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t245_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t246_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t246_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t246_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t247_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t247_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t247_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              unsigned int _t248_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t249_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort495);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t248_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t248_principal_len, _flick_abort495);
                              flick_khazana_decode_new_glob(_t248_principal_len);
                              flick_khazana_decode_new_chunk(_t248_principal_len);
                              flick_khazana_decode_end_chunk(_t248_principal_len);
                              flick_khazana_decode_end_glob(_t248_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t249_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              four_op_two(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort495);
                                flick_khazana_encode_new_glob(4, _flick_abort495);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort501);
                                      break;
                                      {
                                      _flick_abort501:
                                        goto _flick_abort495;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort502);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort502:
                                        goto _flick_abort495;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort495:
                                goto _flick_abort494;
                              }
                            }
                            break;
                            {
                            _flick_abort494:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t250_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t250_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t250_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t251_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t251_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t251_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              unsigned int _t252_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t253_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort504);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t252_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t252_principal_len, _flick_abort504);
                              flick_khazana_decode_new_glob(_t252_principal_len);
                              flick_khazana_decode_new_chunk(_t252_principal_len);
                              flick_khazana_decode_end_chunk(_t252_principal_len);
                              flick_khazana_decode_end_glob(_t252_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t253_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              four_op_one(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort504);
                                flick_khazana_encode_new_glob(4, _flick_abort504);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort510);
                                      break;
                                      {
                                      _flick_abort510:
                                        goto _flick_abort504;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort511);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort511:
                                        goto _flick_abort504;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort504:
                                goto _flick_abort503;
                              }
                            }
                            break;
                            {
                            _flick_abort503:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t254_switch_tag;

          flick_khazana_check_span(16, _flick_abort341);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t254_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t254_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t255_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t255_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t255_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t256_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t256_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t256_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              unsigned int _t257_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t258_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort513);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t257_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t257_principal_len, _flick_abort513);
                              flick_khazana_decode_new_glob(_t257_principal_len);
                              flick_khazana_decode_new_chunk(_t257_principal_len);
                              flick_khazana_decode_end_chunk(_t257_principal_len);
                              flick_khazana_decode_end_glob(_t257_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t258_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              four_op_three(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort513);
                                flick_khazana_encode_new_glob(4, _flick_abort513);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort519);
                                      break;
                                      {
                                      _flick_abort519:
                                        goto _flick_abort513;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort520);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort520:
                                        goto _flick_abort513;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort513:
                                goto _flick_abort512;
                              }
                            }
                            break;
                            {
                            _flick_abort512:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t259_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t259_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t259_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t260_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t260_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t260_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t261_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t262_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t263_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort522);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t261_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t261_principal_len, _flick_abort522);
                        flick_khazana_decode_new_glob(_t261_principal_len);
                        flick_khazana_decode_new_chunk(_t261_principal_len);
                        flick_khazana_decode_end_chunk(_t261_principal_len);
                        flick_khazana_decode_end_glob(_t261_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort522);
                        flick_cdr_swap_decode_unsigned32(0, _t262_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t262_temp_string_len);
                        flick_khazana_check_span(1 * _t262_temp_string_len, _flick_abort522);
                        flick_khazana_decode_new_chunk(1 * _t262_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t262_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t262_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t263_storage);
                        _par = flick_interface_parents_four;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort522);
                          flick_khazana_encode_new_glob(5, _flick_abort522);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort530);
                                break;
                                {
                                _flick_abort530:
                                  goto _flick_abort522;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort531);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort531:
                                  goto _flick_abort522;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort522:
                          goto _flick_abort521;
                        }
                      }
                      break;
                      {
                      _flick_abort521:
                        goto _flick_abort341;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t192_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort341);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t192_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t192_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t193_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t193_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t193_switch_tag)
            {
            case /* op_f */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t194_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t194_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t194_switch_tag)
                  {
                  case /* our */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        four _obj;
                        unsigned int _t195_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t196_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort391);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t195_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t195_principal_len, _flick_abort391);
                        flick_khazana_decode_new_glob(_t195_principal_len);
                        flick_khazana_decode_new_chunk(_t195_principal_len);
                        flick_khazana_decode_end_chunk(_t195_principal_len);
                        flick_khazana_decode_end_glob(_t195_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t196_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        four_op_four(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort391);
                          flick_khazana_encode_new_glob(4, _flick_abort391);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort397);
                                break;
                                {
                                _flick_abort397:
                                  goto _flick_abort391;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort398);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort398:
                                  goto _flick_abort391;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort391:
                          goto _flick_abort390;
                        }
                      }
                      break;
                      {
                      _flick_abort390:
                        goto _flick_abort341;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t197_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t197_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t197_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t198_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t198_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t198_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t199_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t199_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t199_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              unsigned int _t200_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t201_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort400);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t200_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t200_principal_len, _flick_abort400);
                              flick_khazana_decode_new_glob(_t200_principal_len);
                              flick_khazana_decode_new_chunk(_t200_principal_len);
                              flick_khazana_decode_end_chunk(_t200_principal_len);
                              flick_khazana_decode_end_glob(_t200_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t201_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              four_op_two(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort400);
                                flick_khazana_encode_new_glob(4, _flick_abort400);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort406);
                                      break;
                                      {
                                      _flick_abort406:
                                        goto _flick_abort400;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort407);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort407:
                                        goto _flick_abort400;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort400:
                                goto _flick_abort399;
                              }
                            }
                            break;
                            {
                            _flick_abort399:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t202_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t202_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t202_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t203_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t203_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t203_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              unsigned int _t204_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t205_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort409);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t204_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t204_principal_len, _flick_abort409);
                              flick_khazana_decode_new_glob(_t204_principal_len);
                              flick_khazana_decode_new_chunk(_t204_principal_len);
                              flick_khazana_decode_end_chunk(_t204_principal_len);
                              flick_khazana_decode_end_glob(_t204_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t205_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              four_op_one(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort409);
                                flick_khazana_encode_new_glob(4, _flick_abort409);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort415);
                                      break;
                                      {
                                      _flick_abort415:
                                        goto _flick_abort409;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort416);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort416:
                                        goto _flick_abort409;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort409:
                                goto _flick_abort408;
                              }
                            }
                            break;
                            {
                            _flick_abort408:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t206_switch_tag;

          flick_khazana_check_span(16, _flick_abort341);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t206_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t206_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t207_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t207_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t207_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t208_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t208_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t208_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              unsigned int _t209_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t210_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort418);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t209_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t209_principal_len, _flick_abort418);
                              flick_khazana_decode_new_glob(_t209_principal_len);
                              flick_khazana_decode_new_chunk(_t209_principal_len);
                              flick_khazana_decode_end_chunk(_t209_principal_len);
                              flick_khazana_decode_end_glob(_t209_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t210_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              four_op_three(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort418);
                                flick_khazana_encode_new_glob(4, _flick_abort418);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort424);
                                      break;
                                      {
                                      _flick_abort424:
                                        goto _flick_abort418;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort425);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort425:
                                        goto _flick_abort418;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort418:
                                goto _flick_abort417;
                              }
                            }
                            break;
                            {
                            _flick_abort417:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t211_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t211_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t211_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t212_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t212_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t212_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t213_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t214_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t215_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort427);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t213_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t213_principal_len, _flick_abort427);
                        flick_khazana_decode_new_glob(_t213_principal_len);
                        flick_khazana_decode_new_chunk(_t213_principal_len);
                        flick_khazana_decode_end_chunk(_t213_principal_len);
                        flick_khazana_decode_end_glob(_t213_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort427);
                        flick_cdr_decode_unsigned32(0, _t214_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t214_temp_string_len);
                        flick_khazana_check_span(1 * _t214_temp_string_len, _flick_abort427);
                        flick_khazana_decode_new_chunk(1 * _t214_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t214_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t214_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t215_storage);
                        _par = flick_interface_parents_four;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort427);
                          flick_khazana_encode_new_glob(5, _flick_abort427);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort435);
                                break;
                                {
                                _flick_abort435:
                                  goto _flick_abort427;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort436);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort436:
                                  goto _flick_abort427;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort427:
                          goto _flick_abort426;
                        }
                      }
                      break;
                      {
                      _flick_abort426:
                        goto _flick_abort341;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort341:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort340);
  _flick_abort340:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_five(flick_marshal_stream_t _stream, five *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort532);
  return 0;
  {
  _flick_abort532:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_five(flick_marshal_stream_t _stream, five *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_five_swap(flick_marshal_stream_t _stream, five *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t five_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t342_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort537);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t342_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t342_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t343_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t343_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t343_switch_tag)
            {
            case /* op_f */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t344_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t344_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t344_switch_tag)
                  {
                  case /* ive */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769366784):
                    {
                      {
                        five _obj;
                        unsigned int _t345_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t346_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort709);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t345_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t345_principal_len, _flick_abort709);
                        flick_khazana_decode_new_glob(_t345_principal_len);
                        flick_khazana_decode_new_chunk(_t345_principal_len);
                        flick_khazana_decode_end_chunk(_t345_principal_len);
                        flick_khazana_decode_end_glob(_t345_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t346_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        five_op_five(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort709);
                          flick_khazana_encode_new_glob(4, _flick_abort709);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort715);
                                break;
                                {
                                _flick_abort715:
                                  goto _flick_abort709;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort716);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort716:
                                  goto _flick_abort709;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort709:
                          goto _flick_abort708;
                        }
                      }
                      break;
                      {
                      _flick_abort708:
                        goto _flick_abort537;
                      }
                    }
                  case /* our */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        five _obj;
                        unsigned int _t347_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t348_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort718);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t347_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t347_principal_len, _flick_abort718);
                        flick_khazana_decode_new_glob(_t347_principal_len);
                        flick_khazana_decode_new_chunk(_t347_principal_len);
                        flick_khazana_decode_end_chunk(_t347_principal_len);
                        flick_khazana_decode_end_glob(_t347_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t348_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        five_op_four(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort718);
                          flick_khazana_encode_new_glob(4, _flick_abort718);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort724);
                                break;
                                {
                                _flick_abort724:
                                  goto _flick_abort718;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort725);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort725:
                                  goto _flick_abort718;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort718:
                          goto _flick_abort717;
                        }
                      }
                      break;
                      {
                      _flick_abort717:
                        goto _flick_abort537;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t349_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t349_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t349_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t350_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t350_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t350_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t351_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t351_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t351_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              unsigned int _t352_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t353_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort727);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t352_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t352_principal_len, _flick_abort727);
                              flick_khazana_decode_new_glob(_t352_principal_len);
                              flick_khazana_decode_new_chunk(_t352_principal_len);
                              flick_khazana_decode_end_chunk(_t352_principal_len);
                              flick_khazana_decode_end_glob(_t352_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t353_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              five_op_two(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort727);
                                flick_khazana_encode_new_glob(4, _flick_abort727);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort733);
                                      break;
                                      {
                                      _flick_abort733:
                                        goto _flick_abort727;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort734);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort734:
                                        goto _flick_abort727;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort727:
                                goto _flick_abort726;
                              }
                            }
                            break;
                            {
                            _flick_abort726:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t354_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t354_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t354_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t355_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t355_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t355_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              unsigned int _t356_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t357_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort736);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t356_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t356_principal_len, _flick_abort736);
                              flick_khazana_decode_new_glob(_t356_principal_len);
                              flick_khazana_decode_new_chunk(_t356_principal_len);
                              flick_khazana_decode_end_chunk(_t356_principal_len);
                              flick_khazana_decode_end_glob(_t356_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t357_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              five_op_one(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort736);
                                flick_khazana_encode_new_glob(4, _flick_abort736);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort742);
                                      break;
                                      {
                                      _flick_abort742:
                                        goto _flick_abort736;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort743);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort743:
                                        goto _flick_abort736;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort736:
                                goto _flick_abort735;
                              }
                            }
                            break;
                            {
                            _flick_abort735:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t358_switch_tag;

          flick_khazana_check_span(16, _flick_abort537);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t358_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t358_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t359_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t359_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t359_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t360_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t360_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t360_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              unsigned int _t361_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t362_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort745);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t361_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t361_principal_len, _flick_abort745);
                              flick_khazana_decode_new_glob(_t361_principal_len);
                              flick_khazana_decode_new_chunk(_t361_principal_len);
                              flick_khazana_decode_end_chunk(_t361_principal_len);
                              flick_khazana_decode_end_glob(_t361_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t362_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              five_op_three(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort745);
                                flick_khazana_encode_new_glob(4, _flick_abort745);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort751);
                                      break;
                                      {
                                      _flick_abort751:
                                        goto _flick_abort745;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort752);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort752:
                                        goto _flick_abort745;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort745:
                                goto _flick_abort744;
                              }
                            }
                            break;
                            {
                            _flick_abort744:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t363_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t363_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t363_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t364_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t364_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t364_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t365_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t366_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t367_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort754);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t365_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t365_principal_len, _flick_abort754);
                        flick_khazana_decode_new_glob(_t365_principal_len);
                        flick_khazana_decode_new_chunk(_t365_principal_len);
                        flick_khazana_decode_end_chunk(_t365_principal_len);
                        flick_khazana_decode_end_glob(_t365_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort754);
                        flick_cdr_swap_decode_unsigned32(0, _t366_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t366_temp_string_len);
                        flick_khazana_check_span(1 * _t366_temp_string_len, _flick_abort754);
                        flick_khazana_decode_new_chunk(1 * _t366_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t366_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t366_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t367_storage);
                        _par = flick_interface_parents_five;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort754);
                          flick_khazana_encode_new_glob(5, _flick_abort754);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort762);
                                break;
                                {
                                _flick_abort762:
                                  goto _flick_abort754;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort763);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort763:
                                  goto _flick_abort754;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort754:
                          goto _flick_abort753;
                        }
                      }
                      break;
                      {
                      _flick_abort753:
                        goto _flick_abort537;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t290_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort537);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t290_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t290_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t291_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t291_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t291_switch_tag)
            {
            case /* op_f */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t292_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t292_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t292_switch_tag)
                  {
                  case /* ive */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769366784):
                    {
                      {
                        five _obj;
                        unsigned int _t293_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t294_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort596);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t293_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t293_principal_len, _flick_abort596);
                        flick_khazana_decode_new_glob(_t293_principal_len);
                        flick_khazana_decode_new_chunk(_t293_principal_len);
                        flick_khazana_decode_end_chunk(_t293_principal_len);
                        flick_khazana_decode_end_glob(_t293_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t294_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        five_op_five(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort596);
                          flick_khazana_encode_new_glob(4, _flick_abort596);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort602);
                                break;
                                {
                                _flick_abort602:
                                  goto _flick_abort596;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort603);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort603:
                                  goto _flick_abort596;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort596:
                          goto _flick_abort595;
                        }
                      }
                      break;
                      {
                      _flick_abort595:
                        goto _flick_abort537;
                      }
                    }
                  case /* our */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        five _obj;
                        unsigned int _t295_principal_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t296_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort605);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t295_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t295_principal_len, _flick_abort605);
                        flick_khazana_decode_new_glob(_t295_principal_len);
                        flick_khazana_decode_new_chunk(_t295_principal_len);
                        flick_khazana_decode_end_chunk(_t295_principal_len);
                        flick_khazana_decode_end_glob(_t295_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t296_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        five_op_four(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort605);
                          flick_khazana_encode_new_glob(4, _flick_abort605);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort611);
                                break;
                                {
                                _flick_abort611:
                                  goto _flick_abort605;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort612);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort612:
                                  goto _flick_abort605;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort605:
                          goto _flick_abort604;
                        }
                      }
                      break;
                      {
                      _flick_abort604:
                        goto _flick_abort537;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t297_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t297_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t297_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t298_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t298_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t298_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t299_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t299_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t299_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              unsigned int _t300_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t301_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort614);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t300_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t300_principal_len, _flick_abort614);
                              flick_khazana_decode_new_glob(_t300_principal_len);
                              flick_khazana_decode_new_chunk(_t300_principal_len);
                              flick_khazana_decode_end_chunk(_t300_principal_len);
                              flick_khazana_decode_end_glob(_t300_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t301_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              five_op_two(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort614);
                                flick_khazana_encode_new_glob(4, _flick_abort614);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort620);
                                      break;
                                      {
                                      _flick_abort620:
                                        goto _flick_abort614;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort621);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort621:
                                        goto _flick_abort614;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort614:
                                goto _flick_abort613;
                              }
                            }
                            break;
                            {
                            _flick_abort613:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t302_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t302_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t302_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t303_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t303_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t303_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              unsigned int _t304_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t305_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort623);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t304_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t304_principal_len, _flick_abort623);
                              flick_khazana_decode_new_glob(_t304_principal_len);
                              flick_khazana_decode_new_chunk(_t304_principal_len);
                              flick_khazana_decode_end_chunk(_t304_principal_len);
                              flick_khazana_decode_end_glob(_t304_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t305_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              five_op_one(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort623);
                                flick_khazana_encode_new_glob(4, _flick_abort623);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort629);
                                      break;
                                      {
                                      _flick_abort629:
                                        goto _flick_abort623;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort630);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort630:
                                        goto _flick_abort623;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort623:
                                goto _flick_abort622;
                              }
                            }
                            break;
                            {
                            _flick_abort622:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t306_switch_tag;

          flick_khazana_check_span(16, _flick_abort537);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t306_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t306_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t307_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t307_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t307_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t308_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t308_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t308_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              unsigned int _t309_principal_len;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t310_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort632);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t309_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t309_principal_len, _flick_abort632);
                              flick_khazana_decode_new_glob(_t309_principal_len);
                              flick_khazana_decode_new_chunk(_t309_principal_len);
                              flick_khazana_decode_end_chunk(_t309_principal_len);
                              flick_khazana_decode_end_glob(_t309_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t310_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              five_op_three(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort632);
                                flick_khazana_encode_new_glob(4, _flick_abort632);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort638);
                                      break;
                                      {
                                      _flick_abort638:
                                        goto _flick_abort632;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort639);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort639:
                                        goto _flick_abort632;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort632:
                                goto _flick_abort631;
                              }
                            }
                            break;
                            {
                            _flick_abort631:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t311_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t311_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t311_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t312_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t312_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t312_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t313_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t314_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t315_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort641);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t313_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t313_principal_len, _flick_abort641);
                        flick_khazana_decode_new_glob(_t313_principal_len);
                        flick_khazana_decode_new_chunk(_t313_principal_len);
                        flick_khazana_decode_end_chunk(_t313_principal_len);
                        flick_khazana_decode_end_glob(_t313_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort641);
                        flick_cdr_decode_unsigned32(0, _t314_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t314_temp_string_len);
                        flick_khazana_check_span(1 * _t314_temp_string_len, _flick_abort641);
                        flick_khazana_decode_new_chunk(1 * _t314_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t314_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t314_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t315_storage);
                        _par = flick_interface_parents_five;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort641);
                          flick_khazana_encode_new_glob(5, _flick_abort641);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort649);
                                break;
                                {
                                _flick_abort649:
                                  goto _flick_abort641;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort650);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort650:
                                  goto _flick_abort641;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort641:
                          goto _flick_abort640;
                        }
                      }
                      break;
                      {
                      _flick_abort640:
                        goto _flick_abort537;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort537:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort536);
  _flick_abort536:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_factory(flick_marshal_stream_t _stream, factory *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort764);
  return 0;
  {
  _flick_abort764:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_factory(flick_marshal_stream_t _stream, factory *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_factory_swap(flick_marshal_stream_t _stream, factory *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t factory_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t443_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort769);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t443_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t443_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t444_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t444_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t444_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t445_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t445_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t445_switch_tag)
                  {
                  case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
                    {
                      {
                        factory _obj;
                        unsigned int _t446_principal_len;
                        one _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t447_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort941);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t446_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t446_principal_len, _flick_abort941);
                        flick_khazana_decode_new_glob(_t446_principal_len);
                        flick_khazana_decode_new_chunk(_t446_principal_len);
                        flick_khazana_decode_end_chunk(_t446_principal_len);
                        flick_khazana_decode_end_glob(_t446_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t447_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = factory_get_one(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort941);
                          flick_khazana_encode_new_glob(4, _flick_abort941);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort946);
                                break;
                                {
                                _flick_abort946:
                                  goto _flick_abort941;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort947);
                                break;
                                {
                                _flick_abort947:
                                  goto _flick_abort941;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort948);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort948:
                                  goto _flick_abort941;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort941:
                          goto _flick_abort940;
                        }
                      }
                      break;
                      {
                      _flick_abort940:
                        goto _flick_abort769;
                      }
                    }
                  case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
                    {
                      {
                        factory _obj;
                        unsigned int _t448_principal_len;
                        two _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t449_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort950);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t448_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t448_principal_len, _flick_abort950);
                        flick_khazana_decode_new_glob(_t448_principal_len);
                        flick_khazana_decode_new_chunk(_t448_principal_len);
                        flick_khazana_decode_end_chunk(_t448_principal_len);
                        flick_khazana_decode_end_glob(_t448_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t449_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = factory_get_two(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort950);
                          flick_khazana_encode_new_glob(4, _flick_abort950);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort955);
                                break;
                                {
                                _flick_abort955:
                                  goto _flick_abort950;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort956);
                                break;
                                {
                                _flick_abort956:
                                  goto _flick_abort950;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort957);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort957:
                                  goto _flick_abort950;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort950:
                          goto _flick_abort949;
                        }
                      }
                      break;
                      {
                      _flick_abort949:
                        goto _flick_abort769;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t450_switch_tag;

          flick_khazana_check_span(16, _flick_abort769);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t450_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t450_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t451_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t451_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t451_switch_tag)
                  {
                  case /* thre */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953002085):
                    {
                      unsigned short int _t452_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t452_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t452_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              factory _obj;
                              unsigned int _t453_principal_len;
                              three _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t454_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort959);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t453_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t453_principal_len, _flick_abort959);
                              flick_khazana_decode_new_glob(_t453_principal_len);
                              flick_khazana_decode_new_chunk(_t453_principal_len);
                              flick_khazana_decode_end_chunk(_t453_principal_len);
                              flick_khazana_decode_end_glob(_t453_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t454_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = factory_get_three(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort959);
                                flick_khazana_encode_new_glob(4, _flick_abort959);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort964);
                                      break;
                                      {
                                      _flick_abort964:
                                        goto _flick_abort959;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort965);
                                      break;
                                      {
                                      _flick_abort965:
                                        goto _flick_abort959;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort966);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort966:
                                        goto _flick_abort959;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort959:
                                goto _flick_abort958;
                              }
                            }
                            break;
                            {
                            _flick_abort958:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t455_switch_tag;

          flick_khazana_check_span(16, _flick_abort769);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t455_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t455_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t456_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t456_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t456_switch_tag)
                  {
                  case /* four */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718580594):
                    {
                      char _t457_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t457_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t457_switch_tag)
                        {
                        case 0:
                          {
                            {
                              factory _obj;
                              unsigned int _t458_principal_len;
                              four _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t459_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort968);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t458_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t458_principal_len, _flick_abort968);
                              flick_khazana_decode_new_glob(_t458_principal_len);
                              flick_khazana_decode_new_chunk(_t458_principal_len);
                              flick_khazana_decode_end_chunk(_t458_principal_len);
                              flick_khazana_decode_end_glob(_t458_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t459_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = factory_get_four(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort968);
                                flick_khazana_encode_new_glob(4, _flick_abort968);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort973);
                                      break;
                                      {
                                      _flick_abort973:
                                        goto _flick_abort968;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort974);
                                      break;
                                      {
                                      _flick_abort974:
                                        goto _flick_abort968;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort975);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort975:
                                        goto _flick_abort968;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort968:
                                goto _flick_abort967;
                              }
                            }
                            break;
                            {
                            _flick_abort967:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* five */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718187621):
                    {
                      char _t460_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t460_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t460_switch_tag)
                        {
                        case 0:
                          {
                            {
                              factory _obj;
                              unsigned int _t461_principal_len;
                              five _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t462_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort977);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t461_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t461_principal_len, _flick_abort977);
                              flick_khazana_decode_new_glob(_t461_principal_len);
                              flick_khazana_decode_new_chunk(_t461_principal_len);
                              flick_khazana_decode_end_chunk(_t461_principal_len);
                              flick_khazana_decode_end_glob(_t461_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t462_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = factory_get_five(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort977);
                                flick_khazana_encode_new_glob(4, _flick_abort977);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort982);
                                      break;
                                      {
                                      _flick_abort982:
                                        goto _flick_abort977;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort983);
                                      break;
                                      {
                                      _flick_abort983:
                                        goto _flick_abort977;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort984);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort984:
                                        goto _flick_abort977;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort977:
                                goto _flick_abort976;
                              }
                            }
                            break;
                            {
                            _flick_abort976:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t463_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t463_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t463_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t464_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t464_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t464_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t465_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t466_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t467_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort986);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t465_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t465_principal_len, _flick_abort986);
                        flick_khazana_decode_new_glob(_t465_principal_len);
                        flick_khazana_decode_new_chunk(_t465_principal_len);
                        flick_khazana_decode_end_chunk(_t465_principal_len);
                        flick_khazana_decode_end_glob(_t465_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort986);
                        flick_cdr_swap_decode_unsigned32(0, _t466_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t466_temp_string_len);
                        flick_khazana_check_span(1 * _t466_temp_string_len, _flick_abort986);
                        flick_khazana_decode_new_chunk(1 * _t466_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t466_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t466_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t467_storage);
                        _par = flick_interface_parents_factory;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort986);
                          flick_khazana_encode_new_glob(5, _flick_abort986);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort994);
                                break;
                                {
                                _flick_abort994:
                                  goto _flick_abort986;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort995);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort995:
                                  goto _flick_abort986;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort986:
                          goto _flick_abort985;
                        }
                      }
                      break;
                      {
                      _flick_abort985:
                        goto _flick_abort769;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t393_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort769);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t393_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t393_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t394_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t394_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t394_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t395_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t395_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t395_switch_tag)
                  {
                  case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
                    {
                      {
                        factory _obj;
                        unsigned int _t396_principal_len;
                        one _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t397_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort828);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t396_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t396_principal_len, _flick_abort828);
                        flick_khazana_decode_new_glob(_t396_principal_len);
                        flick_khazana_decode_new_chunk(_t396_principal_len);
                        flick_khazana_decode_end_chunk(_t396_principal_len);
                        flick_khazana_decode_end_glob(_t396_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t397_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = factory_get_one(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort828);
                          flick_khazana_encode_new_glob(4, _flick_abort828);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort833);
                                break;
                                {
                                _flick_abort833:
                                  goto _flick_abort828;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort834);
                                break;
                                {
                                _flick_abort834:
                                  goto _flick_abort828;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort835);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort835:
                                  goto _flick_abort828;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort828:
                          goto _flick_abort827;
                        }
                      }
                      break;
                      {
                      _flick_abort827:
                        goto _flick_abort769;
                      }
                    }
                  case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
                    {
                      {
                        factory _obj;
                        unsigned int _t398_principal_len;
                        two _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t399_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort837);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t398_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t398_principal_len, _flick_abort837);
                        flick_khazana_decode_new_glob(_t398_principal_len);
                        flick_khazana_decode_new_chunk(_t398_principal_len);
                        flick_khazana_decode_end_chunk(_t398_principal_len);
                        flick_khazana_decode_end_glob(_t398_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = (CORBA_Environment *)(&_t399_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = factory_get_two(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort837);
                          flick_khazana_encode_new_glob(4, _flick_abort837);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort842);
                                break;
                                {
                                _flick_abort842:
                                  goto _flick_abort837;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort843);
                                break;
                                {
                                _flick_abort843:
                                  goto _flick_abort837;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort844);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort844:
                                  goto _flick_abort837;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort837:
                          goto _flick_abort836;
                        }
                      }
                      break;
                      {
                      _flick_abort836:
                        goto _flick_abort769;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t400_switch_tag;

          flick_khazana_check_span(16, _flick_abort769);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t400_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t400_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t401_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t401_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t401_switch_tag)
                  {
                  case /* thre */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953002085):
                    {
                      unsigned short int _t402_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t402_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t402_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              factory _obj;
                              unsigned int _t403_principal_len;
                              three _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t404_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort846);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t403_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t403_principal_len, _flick_abort846);
                              flick_khazana_decode_new_glob(_t403_principal_len);
                              flick_khazana_decode_new_chunk(_t403_principal_len);
                              flick_khazana_decode_end_chunk(_t403_principal_len);
                              flick_khazana_decode_end_glob(_t403_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t404_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = factory_get_three(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort846);
                                flick_khazana_encode_new_glob(4, _flick_abort846);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort851);
                                      break;
                                      {
                                      _flick_abort851:
                                        goto _flick_abort846;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort852);
                                      break;
                                      {
                                      _flick_abort852:
                                        goto _flick_abort846;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort853);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort853:
                                        goto _flick_abort846;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort846:
                                goto _flick_abort845;
                              }
                            }
                            break;
                            {
                            _flick_abort845:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t405_switch_tag;

          flick_khazana_check_span(16, _flick_abort769);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t405_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t405_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t406_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t406_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t406_switch_tag)
                  {
                  case /* four */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718580594):
                    {
                      char _t407_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t407_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t407_switch_tag)
                        {
                        case 0:
                          {
                            {
                              factory _obj;
                              unsigned int _t408_principal_len;
                              four _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t409_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort855);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t408_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t408_principal_len, _flick_abort855);
                              flick_khazana_decode_new_glob(_t408_principal_len);
                              flick_khazana_decode_new_chunk(_t408_principal_len);
                              flick_khazana_decode_end_chunk(_t408_principal_len);
                              flick_khazana_decode_end_glob(_t408_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t409_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = factory_get_four(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort855);
                                flick_khazana_encode_new_glob(4, _flick_abort855);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort860);
                                      break;
                                      {
                                      _flick_abort860:
                                        goto _flick_abort855;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort861);
                                      break;
                                      {
                                      _flick_abort861:
                                        goto _flick_abort855;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort862);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort862:
                                        goto _flick_abort855;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort855:
                                goto _flick_abort854;
                              }
                            }
                            break;
                            {
                            _flick_abort854:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* five */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718187621):
                    {
                      char _t410_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t410_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t410_switch_tag)
                        {
                        case 0:
                          {
                            {
                              factory _obj;
                              unsigned int _t411_principal_len;
                              five _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t412_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort864);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t411_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t411_principal_len, _flick_abort864);
                              flick_khazana_decode_new_glob(_t411_principal_len);
                              flick_khazana_decode_new_chunk(_t411_principal_len);
                              flick_khazana_decode_end_chunk(_t411_principal_len);
                              flick_khazana_decode_end_glob(_t411_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = (CORBA_Environment *)(&_t412_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = factory_get_five(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort864);
                                flick_khazana_encode_new_glob(4, _flick_abort864);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort869);
                                      break;
                                      {
                                      _flick_abort869:
                                        goto _flick_abort864;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort870);
                                      break;
                                      {
                                      _flick_abort870:
                                        goto _flick_abort864;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort871);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort871:
                                        goto _flick_abort864;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort864:
                                goto _flick_abort863;
                              }
                            }
                            break;
                            {
                            _flick_abort863:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t413_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t413_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t413_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t414_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t414_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t414_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t415_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t416_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t417_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort873);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t415_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t415_principal_len, _flick_abort873);
                        flick_khazana_decode_new_glob(_t415_principal_len);
                        flick_khazana_decode_new_chunk(_t415_principal_len);
                        flick_khazana_decode_end_chunk(_t415_principal_len);
                        flick_khazana_decode_end_glob(_t415_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort873);
                        flick_cdr_decode_unsigned32(0, _t416_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t416_temp_string_len);
                        flick_khazana_check_span(1 * _t416_temp_string_len, _flick_abort873);
                        flick_khazana_decode_new_chunk(1 * _t416_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t416_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t416_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t417_storage);
                        _par = flick_interface_parents_factory;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort873);
                          flick_khazana_encode_new_glob(5, _flick_abort873);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort881);
                                break;
                                {
                                _flick_abort881:
                                  goto _flick_abort873;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort882);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort882:
                                  goto _flick_abort873;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort873:
                          goto _flick_abort872;
                        }
                      }
                      break;
                      {
                      _flick_abort872:
                        goto _flick_abort769;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort769:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort768);
  _flick_abort768:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

