#include "recursive-server.h"

/* This is the runtime type information */
char *flick_interface_parents_obj[] = {
	"IDL:obj:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_ta_tb(flick_marshal_stream_t _stream, struct ta_tb *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(18, _flick_abort0);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_new_chunk_align(10, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->c, CORBA_short );
  flick_khazana_encode_end_chunk(10);
  flick_khazana_encode_end_glob(18);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_tb(flick_marshal_stream_t _stream, struct ta_tb *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(18);
  flick_khazana_check_span(4, _flick_abort1);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(10, 3, 2, 0);
  flick_khazana_check_span(10, _flick_abort1);
  flick_cdr_decode_float64(0, _data->b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->c, CORBA_short );
  flick_khazana_decode_end_chunk(10);
  flick_khazana_decode_end_glob(18);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_tb_swap(flick_marshal_stream_t _stream, struct ta_tb *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(18);
  flick_khazana_check_span(4, _flick_abort2);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(10, 3, 2, 0);
  flick_khazana_check_span(10, _flick_abort2);
  flick_cdr_swap_decode_float64(0, _data->b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->c, CORBA_short );
  flick_khazana_decode_end_chunk(10);
  flick_khazana_decode_end_glob(18);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_tc(flick_marshal_stream_t _stream, struct ta_tc *_data)
{
  flick_unsigned32_t _t0_temp_string_len;
  CORBA_unsigned_long _t1_array_iter;

  flick_cdr_stringlen(CORBA_char *, _data->b, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort3);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->a, CORBA_char );
  flick_cdr_encode_unsigned32(4, _t0_temp_string_len, flick_unsigned32_t );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(8);
  flick_khazana_encode_new_glob(1 * _t0_temp_string_len, _flick_abort3);
  flick_khazana_encode_new_chunk(1 * _t0_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b, 1 * _t0_temp_string_len);
  CORBA_flick_free(_data->b);
  flick_khazana_encode_end_chunk(1 * _t0_temp_string_len);
  flick_khazana_encode_end_glob(1 * _t0_temp_string_len);
  flick_khazana_encode_new_glob(7, _flick_abort3);
  flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(7);
  for (_t1_array_iter = 0; _t1_array_iter < _data->c._length; _t1_array_iter++)
    {
      if (flick_marshal_stub_ta_tc(_stream, _data->c._buffer + _t1_array_iter))
        goto _flick_abort9;
      continue;
      {
      _flick_abort9:
        goto _flick_abort3;
      }
    }
  if (_data->c._release)
    CORBA_flick_free(_data->c._buffer);
  _data->c._maximum = 0;
  _data->c._release = 0;
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_tc(flick_marshal_stream_t _stream, struct ta_tc *_data)
{
  flick_unsigned32_t _t2_temp_string_len;
  CORBA_unsigned_long _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort11);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->a, CORBA_char );
  flick_cdr_decode_unsigned32(4, _t2_temp_string_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  flick_khazana_decode_new_glob(1 * _t2_temp_string_len);
  flick_khazana_check_span(1 * _t2_temp_string_len, _flick_abort11);
  flick_khazana_decode_new_chunk(1 * _t2_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t2_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
    _data->b = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b, 1 * _t2_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t2_temp_string_len);
  flick_khazana_decode_end_glob(1 * _t2_temp_string_len);
  flick_khazana_decode_new_glob(7);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(4, _flick_abort14);
  flick_cdr_decode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort14);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t3_array_iter = 0; _t3_array_iter < _data->c._length; _t3_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc(_stream, _data->c._buffer + _t3_array_iter))
        goto _flick_abort19;
      continue;
      {
      _flick_abort19:
        goto _flick_abort18;
      }
    }
  return 0;
  {
  _flick_abort18:
    CORBA_flick_free(_data->c._buffer);
  _flick_abort14:
    CORBA_flick_free(_data->b);
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_tc_swap(flick_marshal_stream_t _stream, struct ta_tc *_data)
{
  flick_unsigned32_t _t4_temp_string_len;
  CORBA_unsigned_long _t5_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort21);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->a, CORBA_char );
  flick_cdr_swap_decode_unsigned32(4, _t4_temp_string_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  flick_khazana_decode_new_glob(1 * _t4_temp_string_len);
  flick_khazana_check_span(1 * _t4_temp_string_len, _flick_abort21);
  flick_khazana_decode_new_chunk(1 * _t4_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t4_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21);
    _data->b = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b, 1 * _t4_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t4_temp_string_len);
  flick_khazana_decode_end_glob(1 * _t4_temp_string_len);
  flick_khazana_decode_new_glob(7);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(4, _flick_abort24);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort24);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t5_array_iter = 0; _t5_array_iter < _data->c._length; _t5_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->c._buffer + _t5_array_iter))
        goto _flick_abort29;
      continue;
      {
      _flick_abort29:
        goto _flick_abort28;
      }
    }
  return 0;
  {
  _flick_abort28:
    CORBA_flick_free(_data->c._buffer);
  _flick_abort24:
    CORBA_flick_free(_data->b);
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_td_te(flick_marshal_stream_t _stream, struct ta_td_te *_data)
{
  CORBA_unsigned_long _t6_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort31);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->a, CORBA_char );
  flick_cdr_encode_char8(1, _data->b, CORBA_char );
  flick_cdr_encode_char8(2, _data->c, CORBA_char );
  flick_cdr_encode_char8(3, _data->d, CORBA_char );
  flick_cdr_encode_unsigned32(4, _data->e._length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(8);
  for (_t6_array_iter = 0; _t6_array_iter < _data->e._length; _t6_array_iter++)
    {
      flick_khazana_encode_new_glob(20, _flick_abort35);
      flick_khazana_encode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_encode_signed32(0, _data->e._buffer[_t6_array_iter].a.a, CORBA_long );
      flick_khazana_encode_end_chunk(4);
      flick_khazana_encode_new_chunk_align(10, 3, 2, 0);
      flick_cdr_encode_float64(0, _data->e._buffer[_t6_array_iter].a.b, CORBA_double );
      flick_cdr_encode_signed16(8, _data->e._buffer[_t6_array_iter].a.c, CORBA_short );
      flick_khazana_encode_end_chunk(10);
      flick_khazana_encode_end_glob(20);
      if (flick_marshal_stub_ta_td_te(_stream, &_data->e._buffer[_t6_array_iter].b))
        goto _flick_abort35;
      continue;
      {
      _flick_abort35:
        goto _flick_abort31;
      }
    }
  if (_data->e._release)
    CORBA_flick_free(_data->e._buffer);
  _data->e._maximum = 0;
  _data->e._release = 0;
  return 0;
  {
  _flick_abort31:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_te(flick_marshal_stream_t _stream, struct ta_td_te *_data)
{
  CORBA_unsigned_long _t7_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort37);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->a, CORBA_char );
  flick_cdr_decode_char8(1, _data->b, CORBA_char );
  flick_cdr_decode_char8(2, _data->c, CORBA_char );
  flick_cdr_decode_char8(3, _data->d, CORBA_char );
  flick_cdr_decode_unsigned32(4, _data->e._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort37);
    _data->e._buffer = _t_alloc_ptr;
    _data->e._maximum = _data->e._length;
    _data->e._release = 1;
  }
  for (_t7_array_iter = 0; _t7_array_iter < _data->e._length; _t7_array_iter++)
    {
      flick_khazana_decode_new_glob(20);
      flick_khazana_decode_new_chunk_align(4, 2, 1, 0);
      flick_khazana_check_span(4, _flick_abort42);
      flick_cdr_decode_signed32(0, _data->e._buffer[_t7_array_iter].a.a, CORBA_long );
      flick_khazana_decode_end_chunk(4);
      flick_khazana_decode_new_chunk_align(10, 3, 2, 0);
      flick_khazana_check_span(10, _flick_abort42);
      flick_cdr_decode_float64(0, _data->e._buffer[_t7_array_iter].a.b, CORBA_double );
      flick_cdr_decode_signed16(8, _data->e._buffer[_t7_array_iter].a.c, CORBA_short );
      flick_khazana_decode_end_chunk(10);
      flick_khazana_decode_end_glob(20);
      if (flick_unmarshal_stub_ta_td_te(_stream, &_data->e._buffer[_t7_array_iter].b))
        goto _flick_abort42;
      continue;
      {
      _flick_abort42:
        goto _flick_abort41;
      }
    }
  return 0;
  {
  _flick_abort41:
    CORBA_flick_free(_data->e._buffer);
  _flick_abort37:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_te_swap(flick_marshal_stream_t _stream, struct ta_td_te *_data)
{
  CORBA_unsigned_long _t8_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort44);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->a, CORBA_char );
  flick_cdr_swap_decode_char8(1, _data->b, CORBA_char );
  flick_cdr_swap_decode_char8(2, _data->c, CORBA_char );
  flick_cdr_swap_decode_char8(3, _data->d, CORBA_char );
  flick_cdr_swap_decode_unsigned32(4, _data->e._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort44);
    _data->e._buffer = _t_alloc_ptr;
    _data->e._maximum = _data->e._length;
    _data->e._release = 1;
  }
  for (_t8_array_iter = 0; _t8_array_iter < _data->e._length; _t8_array_iter++)
    {
      flick_khazana_decode_new_glob(20);
      flick_khazana_decode_new_chunk_align(4, 2, 1, 0);
      flick_khazana_check_span(4, _flick_abort49);
      flick_cdr_swap_decode_signed32(0, _data->e._buffer[_t8_array_iter].a.a, CORBA_long );
      flick_khazana_decode_end_chunk(4);
      flick_khazana_decode_new_chunk_align(10, 3, 2, 0);
      flick_khazana_check_span(10, _flick_abort49);
      flick_cdr_swap_decode_float64(0, _data->e._buffer[_t8_array_iter].a.b, CORBA_double );
      flick_cdr_swap_decode_signed16(8, _data->e._buffer[_t8_array_iter].a.c, CORBA_short );
      flick_khazana_decode_end_chunk(10);
      flick_khazana_decode_end_glob(20);
      if (flick_unmarshal_stub_ta_td_te_swap(_stream, &_data->e._buffer[_t8_array_iter].b))
        goto _flick_abort49;
      continue;
      {
      _flick_abort49:
        goto _flick_abort48;
      }
    }
  return 0;
  {
  _flick_abort48:
    CORBA_flick_free(_data->e._buffer);
  _flick_abort44:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_td(flick_marshal_stream_t _stream, struct ta_td *_data)
{
  CORBA_unsigned_long _t9_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(28, _flick_abort51);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_encode_char8(11, _data->b.b, CORBA_char );
  flick_cdr_encode_char8(12, _data->b.c, CORBA_char );
  flick_cdr_encode_char8(13, _data->b.d, CORBA_char );
  flick_cdr_encode_unsigned32(16, _data->b.e._length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(20);
  flick_khazana_encode_end_glob(28);
  for (_t9_array_iter = 0; _t9_array_iter < _data->b.e._length; _t9_array_iter++)
    {
      if (flick_marshal_stub_ta_td(_stream, _data->b.e._buffer + _t9_array_iter))
        goto _flick_abort55;
      continue;
      {
      _flick_abort55:
        goto _flick_abort51;
      }
    }
  if (_data->b.e._release)
    CORBA_flick_free(_data->b.e._buffer);
  _data->b.e._maximum = 0;
  _data->b.e._release = 0;
  return 0;
  {
  _flick_abort51:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td(flick_marshal_stream_t _stream, struct ta_td *_data)
{
  CORBA_unsigned_long _t10_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(28);
  flick_khazana_check_span(4, _flick_abort57);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
  flick_khazana_check_span(20, _flick_abort57);
  flick_cdr_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_decode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_decode_char8(11, _data->b.b, CORBA_char );
  flick_cdr_decode_char8(12, _data->b.c, CORBA_char );
  flick_cdr_decode_char8(13, _data->b.d, CORBA_char );
  flick_cdr_decode_unsigned32(16, _data->b.e._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(20);
  flick_khazana_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t10_array_iter = 0; _t10_array_iter < _data->b.e._length; _t10_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td(_stream, _data->b.e._buffer + _t10_array_iter))
        goto _flick_abort62;
      continue;
      {
      _flick_abort62:
        goto _flick_abort61;
      }
    }
  return 0;
  {
  _flick_abort61:
    CORBA_flick_free(_data->b.e._buffer);
  _flick_abort57:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_swap(flick_marshal_stream_t _stream, struct ta_td *_data)
{
  CORBA_unsigned_long _t11_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(28);
  flick_khazana_check_span(4, _flick_abort64);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
  flick_khazana_check_span(20, _flick_abort64);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_swap_decode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_swap_decode_char8(11, _data->b.b, CORBA_char );
  flick_cdr_swap_decode_char8(12, _data->b.c, CORBA_char );
  flick_cdr_swap_decode_char8(13, _data->b.d, CORBA_char );
  flick_cdr_swap_decode_unsigned32(16, _data->b.e._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(20);
  flick_khazana_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort64);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t11_array_iter = 0; _t11_array_iter < _data->b.e._length; _t11_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->b.e._buffer + _t11_array_iter))
        goto _flick_abort69;
      continue;
      {
      _flick_abort69:
        goto _flick_abort68;
      }
    }
  return 0;
  {
  _flick_abort68:
    CORBA_flick_free(_data->b.e._buffer);
  _flick_abort64:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t12_temp_string_len;
  CORBA_unsigned_long _t13_array_iter;
  CORBA_unsigned_long _t14_array_iter;
  CORBA_unsigned_long _t15_array_iter;
  flick_unsigned32_t _t16_temp_string_len;
  CORBA_unsigned_long _t17_array_iter;
  CORBA_unsigned_long _t18_array_iter;

  flick_cdr_stringlen(CORBA_char *, _data->b.b, flick_unsigned32_t , _t12_temp_string_len);
  flick_cdr_stringlen(CORBA_char *, _data->e.b, flick_unsigned32_t , _t16_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(24, _flick_abort71);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_new_chunk_align(16, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_encode_unsigned32(12, _t12_temp_string_len, flick_unsigned32_t );
  flick_khazana_encode_end_chunk(16);
  flick_khazana_encode_end_glob(24);
  flick_khazana_encode_new_glob(1 * _t12_temp_string_len, _flick_abort71);
  flick_khazana_encode_new_chunk(1 * _t12_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b.b, 1 * _t12_temp_string_len);
  CORBA_flick_free(_data->b.b);
  flick_khazana_encode_end_chunk(1 * _t12_temp_string_len);
  flick_khazana_encode_end_glob(1 * _t12_temp_string_len);
  flick_khazana_encode_new_glob(7, _flick_abort71);
  flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->b.c._length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(7);
  for (_t13_array_iter = 0; _t13_array_iter < _data->b.c._length; _t13_array_iter++)
    {
      if (flick_marshal_stub_ta_tc(_stream, _data->b.c._buffer + _t13_array_iter))
        goto _flick_abort77;
      continue;
      {
      _flick_abort77:
        goto _flick_abort71;
      }
    }
  if (_data->b.c._release)
    CORBA_flick_free(_data->b.c._buffer);
  _data->b.c._maximum = 0;
  _data->b.c._release = 0;
  flick_khazana_encode_new_glob(28, _flick_abort71);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->c.a.a, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->c.a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->c.a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->c.b.a, CORBA_char );
  flick_cdr_encode_char8(11, _data->c.b.b, CORBA_char );
  flick_cdr_encode_char8(12, _data->c.b.c, CORBA_char );
  flick_cdr_encode_char8(13, _data->c.b.d, CORBA_char );
  flick_cdr_encode_unsigned32(16, _data->c.b.e._length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(20);
  flick_khazana_encode_end_glob(28);
  for (_t14_array_iter = 0; _t14_array_iter < _data->c.b.e._length; _t14_array_iter++)
    {
      if (flick_marshal_stub_ta_td(_stream, _data->c.b.e._buffer + _t14_array_iter))
        goto _flick_abort82;
      continue;
      {
      _flick_abort82:
        goto _flick_abort71;
      }
    }
  if (_data->c.b.e._release)
    CORBA_flick_free(_data->c.b.e._buffer);
  _data->c.b.e._maximum = 0;
  _data->c.b.e._release = 0;
  flick_khazana_encode_new_glob(4, _flick_abort71);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->next._length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  for (_t15_array_iter = 0; _t15_array_iter < _data->next._length; _t15_array_iter++)
    {
      if (flick_marshal_stub_ta(_stream, _data->next._buffer + _t15_array_iter))
        goto _flick_abort87;
      continue;
      {
      _flick_abort87:
        goto _flick_abort71;
      }
    }
  if (_data->next._release)
    CORBA_flick_free(_data->next._buffer);
  _data->next._maximum = 0;
  _data->next._release = 0;
  flick_khazana_encode_new_glob(24, _flick_abort71);
  flick_khazana_encode_new_chunk(24);
  flick_cdr_encode_signed32(0, _data->d.a, CORBA_long );
  flick_cdr_encode_float64(8, _data->d.b, CORBA_double );
  flick_cdr_encode_signed16(16, _data->d.c, CORBA_short );
  flick_cdr_encode_char8(18, _data->e.a, CORBA_char );
  flick_cdr_encode_unsigned32(20, _t16_temp_string_len, flick_unsigned32_t );
  flick_khazana_encode_end_chunk(24);
  flick_khazana_encode_end_glob(24);
  flick_khazana_encode_new_glob(1 * _t16_temp_string_len, _flick_abort71);
  flick_khazana_encode_new_chunk(1 * _t16_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->e.b, 1 * _t16_temp_string_len);
  CORBA_flick_free(_data->e.b);
  flick_khazana_encode_end_chunk(1 * _t16_temp_string_len);
  flick_khazana_encode_end_glob(1 * _t16_temp_string_len);
  flick_khazana_encode_new_glob(7, _flick_abort71);
  flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->e.c._length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(7);
  for (_t17_array_iter = 0; _t17_array_iter < _data->e.c._length; _t17_array_iter++)
    {
      if (flick_marshal_stub_ta_tc(_stream, _data->e.c._buffer + _t17_array_iter))
        goto _flick_abort94;
      continue;
      {
      _flick_abort94:
        goto _flick_abort71;
      }
    }
  if (_data->e.c._release)
    CORBA_flick_free(_data->e.c._buffer);
  _data->e.c._maximum = 0;
  _data->e.c._release = 0;
  flick_khazana_encode_new_glob(28, _flick_abort71);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->f.a.a, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->f.a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->f.a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->f.b.a, CORBA_char );
  flick_cdr_encode_char8(11, _data->f.b.b, CORBA_char );
  flick_cdr_encode_char8(12, _data->f.b.c, CORBA_char );
  flick_cdr_encode_char8(13, _data->f.b.d, CORBA_char );
  flick_cdr_encode_unsigned32(16, _data->f.b.e._length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(20);
  flick_khazana_encode_end_glob(28);
  for (_t18_array_iter = 0; _t18_array_iter < _data->f.b.e._length; _t18_array_iter++)
    {
      if (flick_marshal_stub_ta_td(_stream, _data->f.b.e._buffer + _t18_array_iter))
        goto _flick_abort99;
      continue;
      {
      _flick_abort99:
        goto _flick_abort71;
      }
    }
  if (_data->f.b.e._release)
    CORBA_flick_free(_data->f.b.e._buffer);
  _data->f.b.e._maximum = 0;
  _data->f.b.e._release = 0;
  return 0;
  {
  _flick_abort71:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t19_temp_string_len;
  CORBA_unsigned_long _t20_array_iter;
  CORBA_unsigned_long _t21_array_iter;
  CORBA_unsigned_long _t22_array_iter;
  flick_unsigned32_t _t23_temp_string_len;
  CORBA_unsigned_long _t24_array_iter;
  CORBA_unsigned_long _t25_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(24);
  flick_khazana_check_span(4, _flick_abort101);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(16, 3, 2, 0);
  flick_khazana_check_span(16, _flick_abort101);
  flick_cdr_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_decode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_decode_unsigned32(12, _t19_temp_string_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(16);
  flick_khazana_decode_end_glob(24);
  flick_khazana_decode_new_glob(1 * _t19_temp_string_len);
  flick_khazana_check_span(1 * _t19_temp_string_len, _flick_abort101);
  flick_khazana_decode_new_chunk(1 * _t19_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t19_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort101);
    _data->b.b = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b.b, 1 * _t19_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t19_temp_string_len);
  flick_khazana_decode_end_glob(1 * _t19_temp_string_len);
  flick_khazana_decode_new_glob(7);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(4, _flick_abort104);
  flick_cdr_decode_unsigned32(0, _data->b.c._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->b.c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort104);
    _data->b.c._buffer = _t_alloc_ptr;
    _data->b.c._maximum = _data->b.c._length;
    _data->b.c._release = 1;
  }
  for (_t20_array_iter = 0; _t20_array_iter < _data->b.c._length; _t20_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc(_stream, _data->b.c._buffer + _t20_array_iter))
        goto _flick_abort109;
      continue;
      {
      _flick_abort109:
        goto _flick_abort108;
      }
    }
  flick_khazana_decode_new_glob(28);
  flick_khazana_check_span(4, _flick_abort108);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->c.a.a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
  flick_khazana_check_span(20, _flick_abort108);
  flick_cdr_decode_float64(0, _data->c.a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->c.a.c, CORBA_short );
  flick_cdr_decode_char8(10, _data->c.b.a, CORBA_char );
  flick_cdr_decode_char8(11, _data->c.b.b, CORBA_char );
  flick_cdr_decode_char8(12, _data->c.b.c, CORBA_char );
  flick_cdr_decode_char8(13, _data->c.b.d, CORBA_char );
  flick_cdr_decode_unsigned32(16, _data->c.b.e._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(20);
  flick_khazana_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->c.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort108);
    _data->c.b.e._buffer = _t_alloc_ptr;
    _data->c.b.e._maximum = _data->c.b.e._length;
    _data->c.b.e._release = 1;
  }
  for (_t21_array_iter = 0; _t21_array_iter < _data->c.b.e._length; _t21_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td(_stream, _data->c.b.e._buffer + _t21_array_iter))
        goto _flick_abort115;
      continue;
      {
      _flick_abort115:
        goto _flick_abort114;
      }
    }
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort114);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->next._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    struct ta *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_data->next._length * sizeof(struct ta )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort114);
    _data->next._buffer = _t_alloc_ptr;
    _data->next._maximum = _data->next._length;
    _data->next._release = 1;
  }
  for (_t22_array_iter = 0; _t22_array_iter < _data->next._length; _t22_array_iter++)
    {
      if (flick_unmarshal_stub_ta(_stream, _data->next._buffer + _t22_array_iter))
        goto _flick_abort121;
      continue;
      {
      _flick_abort121:
        goto _flick_abort120;
      }
    }
  flick_khazana_decode_new_glob(24);
  flick_khazana_check_span(24, _flick_abort120);
  flick_khazana_decode_new_chunk(24);
  flick_cdr_decode_signed32(0, _data->d.a, CORBA_long );
  flick_cdr_decode_float64(8, _data->d.b, CORBA_double );
  flick_cdr_decode_signed16(16, _data->d.c, CORBA_short );
  flick_cdr_decode_char8(18, _data->e.a, CORBA_char );
  flick_cdr_decode_unsigned32(20, _t23_temp_string_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(24);
  flick_khazana_decode_end_glob(24);
  flick_khazana_decode_new_glob(1 * _t23_temp_string_len);
  flick_khazana_check_span(1 * _t23_temp_string_len, _flick_abort120);
  flick_khazana_decode_new_chunk(1 * _t23_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t23_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort120);
    _data->e.b = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->e.b, 1 * _t23_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t23_temp_string_len);
  flick_khazana_decode_end_glob(1 * _t23_temp_string_len);
  flick_khazana_decode_new_glob(7);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(4, _flick_abort125);
  flick_cdr_decode_unsigned32(0, _data->e.c._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->e.c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort125);
    _data->e.c._buffer = _t_alloc_ptr;
    _data->e.c._maximum = _data->e.c._length;
    _data->e.c._release = 1;
  }
  for (_t24_array_iter = 0; _t24_array_iter < _data->e.c._length; _t24_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc(_stream, _data->e.c._buffer + _t24_array_iter))
        goto _flick_abort130;
      continue;
      {
      _flick_abort130:
        goto _flick_abort129;
      }
    }
  flick_khazana_decode_new_glob(28);
  flick_khazana_check_span(4, _flick_abort129);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->f.a.a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
  flick_khazana_check_span(20, _flick_abort129);
  flick_cdr_decode_float64(0, _data->f.a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->f.a.c, CORBA_short );
  flick_cdr_decode_char8(10, _data->f.b.a, CORBA_char );
  flick_cdr_decode_char8(11, _data->f.b.b, CORBA_char );
  flick_cdr_decode_char8(12, _data->f.b.c, CORBA_char );
  flick_cdr_decode_char8(13, _data->f.b.d, CORBA_char );
  flick_cdr_decode_unsigned32(16, _data->f.b.e._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(20);
  flick_khazana_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->f.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort129);
    _data->f.b.e._buffer = _t_alloc_ptr;
    _data->f.b.e._maximum = _data->f.b.e._length;
    _data->f.b.e._release = 1;
  }
  for (_t25_array_iter = 0; _t25_array_iter < _data->f.b.e._length; _t25_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td(_stream, _data->f.b.e._buffer + _t25_array_iter))
        goto _flick_abort136;
      continue;
      {
      _flick_abort136:
        goto _flick_abort135;
      }
    }
  return 0;
  {
  _flick_abort135:
    CORBA_flick_free(_data->f.b.e._buffer);
  _flick_abort129:
    CORBA_flick_free(_data->e.c._buffer);
  _flick_abort125:
    CORBA_flick_free(_data->e.b);
  _flick_abort120:
    CORBA_flick_free(_data->next._buffer);
  _flick_abort114:
    CORBA_flick_free(_data->c.b.e._buffer);
  _flick_abort108:
    CORBA_flick_free(_data->b.c._buffer);
  _flick_abort104:
    CORBA_flick_free(_data->b.b);
  _flick_abort101:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_swap(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t26_temp_string_len;
  CORBA_unsigned_long _t27_array_iter;
  CORBA_unsigned_long _t28_array_iter;
  CORBA_unsigned_long _t29_array_iter;
  flick_unsigned32_t _t30_temp_string_len;
  CORBA_unsigned_long _t31_array_iter;
  CORBA_unsigned_long _t32_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(24);
  flick_khazana_check_span(4, _flick_abort138);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(16, 3, 2, 0);
  flick_khazana_check_span(16, _flick_abort138);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_swap_decode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_swap_decode_unsigned32(12, _t26_temp_string_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(16);
  flick_khazana_decode_end_glob(24);
  flick_khazana_decode_new_glob(1 * _t26_temp_string_len);
  flick_khazana_check_span(1 * _t26_temp_string_len, _flick_abort138);
  flick_khazana_decode_new_chunk(1 * _t26_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t26_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort138);
    _data->b.b = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b.b, 1 * _t26_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t26_temp_string_len);
  flick_khazana_decode_end_glob(1 * _t26_temp_string_len);
  flick_khazana_decode_new_glob(7);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(4, _flick_abort141);
  flick_cdr_swap_decode_unsigned32(0, _data->b.c._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->b.c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort141);
    _data->b.c._buffer = _t_alloc_ptr;
    _data->b.c._maximum = _data->b.c._length;
    _data->b.c._release = 1;
  }
  for (_t27_array_iter = 0; _t27_array_iter < _data->b.c._length; _t27_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->b.c._buffer + _t27_array_iter))
        goto _flick_abort146;
      continue;
      {
      _flick_abort146:
        goto _flick_abort145;
      }
    }
  flick_khazana_decode_new_glob(28);
  flick_khazana_check_span(4, _flick_abort145);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->c.a.a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
  flick_khazana_check_span(20, _flick_abort145);
  flick_cdr_swap_decode_float64(0, _data->c.a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->c.a.c, CORBA_short );
  flick_cdr_swap_decode_char8(10, _data->c.b.a, CORBA_char );
  flick_cdr_swap_decode_char8(11, _data->c.b.b, CORBA_char );
  flick_cdr_swap_decode_char8(12, _data->c.b.c, CORBA_char );
  flick_cdr_swap_decode_char8(13, _data->c.b.d, CORBA_char );
  flick_cdr_swap_decode_unsigned32(16, _data->c.b.e._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(20);
  flick_khazana_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->c.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort145);
    _data->c.b.e._buffer = _t_alloc_ptr;
    _data->c.b.e._maximum = _data->c.b.e._length;
    _data->c.b.e._release = 1;
  }
  for (_t28_array_iter = 0; _t28_array_iter < _data->c.b.e._length; _t28_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->c.b.e._buffer + _t28_array_iter))
        goto _flick_abort152;
      continue;
      {
      _flick_abort152:
        goto _flick_abort151;
      }
    }
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort151);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->next._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    struct ta *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_data->next._length * sizeof(struct ta )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort151);
    _data->next._buffer = _t_alloc_ptr;
    _data->next._maximum = _data->next._length;
    _data->next._release = 1;
  }
  for (_t29_array_iter = 0; _t29_array_iter < _data->next._length; _t29_array_iter++)
    {
      if (flick_unmarshal_stub_ta_swap(_stream, _data->next._buffer + _t29_array_iter))
        goto _flick_abort158;
      continue;
      {
      _flick_abort158:
        goto _flick_abort157;
      }
    }
  flick_khazana_decode_new_glob(24);
  flick_khazana_check_span(24, _flick_abort157);
  flick_khazana_decode_new_chunk(24);
  flick_cdr_swap_decode_signed32(0, _data->d.a, CORBA_long );
  flick_cdr_swap_decode_float64(8, _data->d.b, CORBA_double );
  flick_cdr_swap_decode_signed16(16, _data->d.c, CORBA_short );
  flick_cdr_swap_decode_char8(18, _data->e.a, CORBA_char );
  flick_cdr_swap_decode_unsigned32(20, _t30_temp_string_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(24);
  flick_khazana_decode_end_glob(24);
  flick_khazana_decode_new_glob(1 * _t30_temp_string_len);
  flick_khazana_check_span(1 * _t30_temp_string_len, _flick_abort157);
  flick_khazana_decode_new_chunk(1 * _t30_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t30_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort157);
    _data->e.b = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->e.b, 1 * _t30_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t30_temp_string_len);
  flick_khazana_decode_end_glob(1 * _t30_temp_string_len);
  flick_khazana_decode_new_glob(7);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(4, _flick_abort162);
  flick_cdr_swap_decode_unsigned32(0, _data->e.c._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->e.c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort162);
    _data->e.c._buffer = _t_alloc_ptr;
    _data->e.c._maximum = _data->e.c._length;
    _data->e.c._release = 1;
  }
  for (_t31_array_iter = 0; _t31_array_iter < _data->e.c._length; _t31_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->e.c._buffer + _t31_array_iter))
        goto _flick_abort167;
      continue;
      {
      _flick_abort167:
        goto _flick_abort166;
      }
    }
  flick_khazana_decode_new_glob(28);
  flick_khazana_check_span(4, _flick_abort166);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->f.a.a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
  flick_khazana_check_span(20, _flick_abort166);
  flick_cdr_swap_decode_float64(0, _data->f.a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->f.a.c, CORBA_short );
  flick_cdr_swap_decode_char8(10, _data->f.b.a, CORBA_char );
  flick_cdr_swap_decode_char8(11, _data->f.b.b, CORBA_char );
  flick_cdr_swap_decode_char8(12, _data->f.b.c, CORBA_char );
  flick_cdr_swap_decode_char8(13, _data->f.b.d, CORBA_char );
  flick_cdr_swap_decode_unsigned32(16, _data->f.b.e._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(20);
  flick_khazana_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->f.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort166);
    _data->f.b.e._buffer = _t_alloc_ptr;
    _data->f.b.e._maximum = _data->f.b.e._length;
    _data->f.b.e._release = 1;
  }
  for (_t32_array_iter = 0; _t32_array_iter < _data->f.b.e._length; _t32_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->f.b.e._buffer + _t32_array_iter))
        goto _flick_abort173;
      continue;
      {
      _flick_abort173:
        goto _flick_abort172;
      }
    }
  return 0;
  {
  _flick_abort172:
    CORBA_flick_free(_data->f.b.e._buffer);
  _flick_abort166:
    CORBA_flick_free(_data->e.c._buffer);
  _flick_abort162:
    CORBA_flick_free(_data->e.b);
  _flick_abort157:
    CORBA_flick_free(_data->next._buffer);
  _flick_abort151:
    CORBA_flick_free(_data->c.b.e._buffer);
  _flick_abort145:
    CORBA_flick_free(_data->b.c._buffer);
  _flick_abort141:
    CORBA_flick_free(_data->b.b);
  _flick_abort138:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_tb(flick_marshal_stream_t _stream, struct tb *_data)
{
  CORBA_unsigned_long _t33_array_iter;
  CORBA_unsigned_long _t37_array_iter;
  CORBA_unsigned_long _t40_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(44, _flick_abort175);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_new_chunk_align(36, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_encode_signed32(12, _data->b.a.a, CORBA_long );
  flick_cdr_encode_float64(16, _data->b.a.b, CORBA_double );
  flick_cdr_encode_signed16(24, _data->b.a.c, CORBA_short );
  flick_cdr_encode_char8(26, _data->b.b.a, CORBA_char );
  flick_cdr_encode_char8(27, _data->b.b.b, CORBA_char );
  flick_cdr_encode_char8(28, _data->b.b.c, CORBA_char );
  flick_cdr_encode_char8(29, _data->b.b.d, CORBA_char );
  flick_cdr_encode_unsigned32(32, _data->b.b.e._length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(36);
  flick_khazana_encode_end_glob(44);
  for (_t33_array_iter = 0; _t33_array_iter < _data->b.b.e._length; _t33_array_iter++)
    {
      if (flick_marshal_stub_ta_td(_stream, _data->b.b.e._buffer + _t33_array_iter))
        goto _flick_abort179;
      continue;
      {
      _flick_abort179:
        goto _flick_abort175;
      }
    }
  if (_data->b.b.e._release)
    CORBA_flick_free(_data->b.b.e._buffer);
  _data->b.b.e._maximum = 0;
  _data->b.b.e._release = 0;
  flick_khazana_encode_new_glob(4, _flick_abort175);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  for (_t37_array_iter = 0; _t37_array_iter < _data->c._length; _t37_array_iter++)
    {
      CORBA_unsigned_long _t39_array_iter;

      flick_khazana_encode_new_glob(28, _flick_abort199);
      flick_khazana_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->c._buffer[_t37_array_iter].a.a, CORBA_long );
      flick_khazana_encode_end_chunk(4);
      flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
      flick_cdr_encode_float64(0, _data->c._buffer[_t37_array_iter].a.b, CORBA_double );
      flick_cdr_encode_signed16(8, _data->c._buffer[_t37_array_iter].a.c, CORBA_short );
      flick_cdr_encode_char8(10, _data->c._buffer[_t37_array_iter].b.a, CORBA_char );
      flick_cdr_encode_char8(11, _data->c._buffer[_t37_array_iter].b.b, CORBA_char );
      flick_cdr_encode_char8(12, _data->c._buffer[_t37_array_iter].b.c, CORBA_char );
      flick_cdr_encode_char8(13, _data->c._buffer[_t37_array_iter].b.d, CORBA_char );
      flick_cdr_encode_unsigned32(16, _data->c._buffer[_t37_array_iter].b.e._length, CORBA_unsigned_long );
      flick_khazana_encode_end_chunk(20);
      flick_khazana_encode_end_glob(28);
      for (_t39_array_iter = 0; _t39_array_iter < _data->c._buffer[_t37_array_iter].b.e._length; _t39_array_iter++)
        {
          if (flick_marshal_stub_ta_td(_stream, _data->c._buffer[_t37_array_iter].b.e._buffer + _t39_array_iter))
            goto _flick_abort209;
          continue;
          {
          _flick_abort209:
            goto _flick_abort199;
          }
        }
      if (_data->c._buffer[_t37_array_iter].b.e._release)
        CORBA_flick_free(_data->c._buffer[_t37_array_iter].b.e._buffer);
      _data->c._buffer[_t37_array_iter].b.e._maximum = 0;
      _data->c._buffer[_t37_array_iter].b.e._release = 0;
      continue;
      {
      _flick_abort199:
        goto _flick_abort175;
      }
    }
  if (_data->c._release)
    CORBA_flick_free(_data->c._buffer);
  _data->c._maximum = 0;
  _data->c._release = 0;
  flick_khazana_encode_new_glob(4, _flick_abort175);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->d._length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  for (_t40_array_iter = 0; _t40_array_iter < _data->d._length; _t40_array_iter++)
    {
      if (flick_marshal_stub_tb(_stream, _data->d._buffer + _t40_array_iter))
        goto _flick_abort214;
      continue;
      {
      _flick_abort214:
        goto _flick_abort175;
      }
    }
  if (_data->d._release)
    CORBA_flick_free(_data->d._buffer);
  _data->d._maximum = 0;
  _data->d._release = 0;
  return 0;
  {
  _flick_abort175:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tb(flick_marshal_stream_t _stream, struct tb *_data)
{
  CORBA_unsigned_long _t41_array_iter;
  CORBA_unsigned_long _t45_array_iter;
  CORBA_unsigned_long _t48_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(44);
  flick_khazana_check_span(4, _flick_abort216);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
  flick_khazana_check_span(36, _flick_abort216);
  flick_cdr_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_decode_signed32(12, _data->b.a.a, CORBA_long );
  flick_cdr_decode_float64(16, _data->b.a.b, CORBA_double );
  flick_cdr_decode_signed16(24, _data->b.a.c, CORBA_short );
  flick_cdr_decode_char8(26, _data->b.b.a, CORBA_char );
  flick_cdr_decode_char8(27, _data->b.b.b, CORBA_char );
  flick_cdr_decode_char8(28, _data->b.b.c, CORBA_char );
  flick_cdr_decode_char8(29, _data->b.b.d, CORBA_char );
  flick_cdr_decode_unsigned32(32, _data->b.b.e._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(36);
  flick_khazana_decode_end_glob(44);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->b.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort216);
    _data->b.b.e._buffer = _t_alloc_ptr;
    _data->b.b.e._maximum = _data->b.b.e._length;
    _data->b.b.e._release = 1;
  }
  for (_t41_array_iter = 0; _t41_array_iter < _data->b.b.e._length; _t41_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td(_stream, _data->b.b.e._buffer + _t41_array_iter))
        goto _flick_abort221;
      continue;
      {
      _flick_abort221:
        goto _flick_abort220;
      }
    }
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort220);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->c._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort220);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t45_array_iter = 0; _t45_array_iter < _data->c._length; _t45_array_iter++)
    {
      CORBA_unsigned_long _t47_array_iter;

      flick_khazana_decode_new_glob(28);
      flick_khazana_check_span(4, _flick_abort245);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->c._buffer[_t45_array_iter].a.a, CORBA_long );
      flick_khazana_decode_end_chunk(4);
      flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
      flick_khazana_check_span(20, _flick_abort245);
      flick_cdr_decode_float64(0, _data->c._buffer[_t45_array_iter].a.b, CORBA_double );
      flick_cdr_decode_signed16(8, _data->c._buffer[_t45_array_iter].a.c, CORBA_short );
      flick_cdr_decode_char8(10, _data->c._buffer[_t45_array_iter].b.a, CORBA_char );
      flick_cdr_decode_char8(11, _data->c._buffer[_t45_array_iter].b.b, CORBA_char );
      flick_cdr_decode_char8(12, _data->c._buffer[_t45_array_iter].b.c, CORBA_char );
      flick_cdr_decode_char8(13, _data->c._buffer[_t45_array_iter].b.d, CORBA_char );
      flick_cdr_decode_unsigned32(16, _data->c._buffer[_t45_array_iter].b.e._length, CORBA_unsigned_long );
      flick_khazana_decode_end_chunk(20);
      flick_khazana_decode_end_glob(28);
      {
        struct ta_td *_t_alloc_ptr;

        _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->c._buffer[_t45_array_iter].b.e._length * sizeof(struct ta_td )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort245);
        _data->c._buffer[_t45_array_iter].b.e._buffer = _t_alloc_ptr;
        _data->c._buffer[_t45_array_iter].b.e._maximum = _data->c._buffer[_t45_array_iter].b.e._length;
        _data->c._buffer[_t45_array_iter].b.e._release = 1;
      }
      for (_t47_array_iter = 0; _t47_array_iter < _data->c._buffer[_t45_array_iter].b.e._length; _t47_array_iter++)
        {
          if (flick_unmarshal_stub_ta_td(_stream, _data->c._buffer[_t45_array_iter].b.e._buffer + _t47_array_iter))
            goto _flick_abort257;
          continue;
          {
          _flick_abort257:
            goto _flick_abort256;
          }
        }
      continue;
    _flick_abort_block278:
      {
        _t45_array_iter = _data->c._length;
      _flick_abort261:
        _t45_array_iter--;
      _flick_abort256:
        CORBA_flick_free(_data->c._buffer[_t45_array_iter].b.e._buffer);
      _flick_abort245:
        if ((unsigned int )_t45_array_iter > 0)
          goto _flick_abort261;
        goto _flick_abort244;
      }
    }
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort263);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->d._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    struct tb *_t_alloc_ptr;

    _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->d._length * sizeof(struct tb )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort263);
    _data->d._buffer = _t_alloc_ptr;
    _data->d._maximum = _data->d._length;
    _data->d._release = 1;
  }
  for (_t48_array_iter = 0; _t48_array_iter < _data->d._length; _t48_array_iter++)
    {
      if (flick_unmarshal_stub_tb(_stream, _data->d._buffer + _t48_array_iter))
        goto _flick_abort268;
      continue;
      {
      _flick_abort268:
        goto _flick_abort267;
      }
    }
  return 0;
  {
  _flick_abort267:
    CORBA_flick_free(_data->d._buffer);
  _flick_abort263:
    goto _flick_abort_block278;
  _flick_abort244:
    CORBA_flick_free(_data->c._buffer);
  _flick_abort220:
    CORBA_flick_free(_data->b.b.e._buffer);
  _flick_abort216:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tb_swap(flick_marshal_stream_t _stream, struct tb *_data)
{
  CORBA_unsigned_long _t49_array_iter;
  CORBA_unsigned_long _t53_array_iter;
  CORBA_unsigned_long _t56_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(44);
  flick_khazana_check_span(4, _flick_abort270);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
  flick_khazana_check_span(36, _flick_abort270);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_swap_decode_signed32(12, _data->b.a.a, CORBA_long );
  flick_cdr_swap_decode_float64(16, _data->b.a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(24, _data->b.a.c, CORBA_short );
  flick_cdr_swap_decode_char8(26, _data->b.b.a, CORBA_char );
  flick_cdr_swap_decode_char8(27, _data->b.b.b, CORBA_char );
  flick_cdr_swap_decode_char8(28, _data->b.b.c, CORBA_char );
  flick_cdr_swap_decode_char8(29, _data->b.b.d, CORBA_char );
  flick_cdr_swap_decode_unsigned32(32, _data->b.b.e._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(36);
  flick_khazana_decode_end_glob(44);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->b.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort270);
    _data->b.b.e._buffer = _t_alloc_ptr;
    _data->b.b.e._maximum = _data->b.b.e._length;
    _data->b.b.e._release = 1;
  }
  for (_t49_array_iter = 0; _t49_array_iter < _data->b.b.e._length; _t49_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->b.b.e._buffer + _t49_array_iter))
        goto _flick_abort275;
      continue;
      {
      _flick_abort275:
        goto _flick_abort274;
      }
    }
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort274);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->c._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort274);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t53_array_iter = 0; _t53_array_iter < _data->c._length; _t53_array_iter++)
    {
      CORBA_unsigned_long _t55_array_iter;

      flick_khazana_decode_new_glob(28);
      flick_khazana_check_span(4, _flick_abort299);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->c._buffer[_t53_array_iter].a.a, CORBA_long );
      flick_khazana_decode_end_chunk(4);
      flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
      flick_khazana_check_span(20, _flick_abort299);
      flick_cdr_swap_decode_float64(0, _data->c._buffer[_t53_array_iter].a.b, CORBA_double );
      flick_cdr_swap_decode_signed16(8, _data->c._buffer[_t53_array_iter].a.c, CORBA_short );
      flick_cdr_swap_decode_char8(10, _data->c._buffer[_t53_array_iter].b.a, CORBA_char );
      flick_cdr_swap_decode_char8(11, _data->c._buffer[_t53_array_iter].b.b, CORBA_char );
      flick_cdr_swap_decode_char8(12, _data->c._buffer[_t53_array_iter].b.c, CORBA_char );
      flick_cdr_swap_decode_char8(13, _data->c._buffer[_t53_array_iter].b.d, CORBA_char );
      flick_cdr_swap_decode_unsigned32(16, _data->c._buffer[_t53_array_iter].b.e._length, CORBA_unsigned_long );
      flick_khazana_decode_end_chunk(20);
      flick_khazana_decode_end_glob(28);
      {
        struct ta_td *_t_alloc_ptr;

        _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->c._buffer[_t53_array_iter].b.e._length * sizeof(struct ta_td )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort299);
        _data->c._buffer[_t53_array_iter].b.e._buffer = _t_alloc_ptr;
        _data->c._buffer[_t53_array_iter].b.e._maximum = _data->c._buffer[_t53_array_iter].b.e._length;
        _data->c._buffer[_t53_array_iter].b.e._release = 1;
      }
      for (_t55_array_iter = 0; _t55_array_iter < _data->c._buffer[_t53_array_iter].b.e._length; _t55_array_iter++)
        {
          if (flick_unmarshal_stub_ta_td_swap(_stream, _data->c._buffer[_t53_array_iter].b.e._buffer + _t55_array_iter))
            goto _flick_abort311;
          continue;
          {
          _flick_abort311:
            goto _flick_abort310;
          }
        }
      continue;
    _flick_abort_block328:
      {
        _t53_array_iter = _data->c._length;
      _flick_abort315:
        _t53_array_iter--;
      _flick_abort310:
        CORBA_flick_free(_data->c._buffer[_t53_array_iter].b.e._buffer);
      _flick_abort299:
        if ((unsigned int )_t53_array_iter > 0)
          goto _flick_abort315;
        goto _flick_abort298;
      }
    }
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort317);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->d._length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    struct tb *_t_alloc_ptr;

    _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->d._length * sizeof(struct tb )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort317);
    _data->d._buffer = _t_alloc_ptr;
    _data->d._maximum = _data->d._length;
    _data->d._release = 1;
  }
  for (_t56_array_iter = 0; _t56_array_iter < _data->d._length; _t56_array_iter++)
    {
      if (flick_unmarshal_stub_tb_swap(_stream, _data->d._buffer + _t56_array_iter))
        goto _flick_abort322;
      continue;
      {
      _flick_abort322:
        goto _flick_abort321;
      }
    }
  return 0;
  {
  _flick_abort321:
    CORBA_flick_free(_data->d._buffer);
  _flick_abort317:
    goto _flick_abort_block328;
  _flick_abort298:
    CORBA_flick_free(_data->c._buffer);
  _flick_abort274:
    CORBA_flick_free(_data->b.b.e._buffer);
  _flick_abort270:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_tc(flick_marshal_stream_t _stream, tc *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort324);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort324:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tc(flick_marshal_stream_t _stream, tc *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort325);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort325:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tc_swap(flick_marshal_stream_t _stream, tc *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort326);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_enum );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort326:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_td_te_tu(flick_marshal_stream_t _stream, struct td_te_tu *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort327);
  flick_khazana_encode_new_chunk(1);
  flick_cdr_encode_unsigned8(0, _data->_d, CORBA_boolean );
  flick_khazana_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 1:
      {
        CORBA_unsigned_long _t442_array_iter;

        flick_khazana_encode_new_chunk(7);
        flick_cdr_encode_unsigned32(3, _data->_u.next._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(7);
        flick_khazana_encode_end_glob(8);
        if (_data->_u.next._length > 1)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1707);
        for (_t442_array_iter = 0; _t442_array_iter < _data->_u.next._length; _t442_array_iter++)
          {
            flick_khazana_encode_new_glob(55, _flick_abort2396);
            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_encode_signed32(0, _data->_u.next._buffer[_t442_array_iter]._d, CORBA_long );
            flick_khazana_encode_end_chunk(4);
            switch (_data->_u.next._buffer[_t442_array_iter]._d)
              {
              case 1:
                {
                  flick_unsigned32_t _t539_temp_string_len;
                  CORBA_unsigned_long _t540_array_iter;
                  CORBA_unsigned_long _t541_array_iter;
                  CORBA_unsigned_long _t542_array_iter;
                  flick_unsigned32_t _t543_temp_string_len;
                  CORBA_unsigned_long _t544_array_iter;
                  CORBA_unsigned_long _t545_array_iter;

                  flick_cdr_stringlen(CORBA_char *, _data->_u.next._buffer[_t442_array_iter]._u.one.b.b, flick_unsigned32_t , _t539_temp_string_len);
                  flick_cdr_stringlen(CORBA_char *, _data->_u.next._buffer[_t442_array_iter]._u.one.e.b, flick_unsigned32_t , _t543_temp_string_len);

                  flick_khazana_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.next._buffer[_t442_array_iter]._u.one.a.a, CORBA_long );
                  flick_khazana_encode_end_chunk(4);
                  flick_khazana_encode_new_chunk_align(16, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.next._buffer[_t442_array_iter]._u.one.a.b, CORBA_double );
                  flick_cdr_encode_signed16(8, _data->_u.next._buffer[_t442_array_iter]._u.one.a.c, CORBA_short );
                  flick_cdr_encode_char8(10, _data->_u.next._buffer[_t442_array_iter]._u.one.b.a, CORBA_char );
                  flick_cdr_encode_unsigned32(12, _t539_temp_string_len, flick_unsigned32_t );
                  flick_khazana_encode_end_chunk(16);
                  flick_khazana_encode_end_glob(55);
                  flick_khazana_encode_new_glob(1 * _t539_temp_string_len, _flick_abort2913);
                  flick_khazana_encode_new_chunk(1 * _t539_temp_string_len);
                  flick_cdr_encode_bcopy(0, _data->_u.next._buffer[_t442_array_iter]._u.one.b.b, 1 * _t539_temp_string_len);
                  CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.one.b.b);
                  flick_khazana_encode_end_chunk(1 * _t539_temp_string_len);
                  flick_khazana_encode_end_glob(1 * _t539_temp_string_len);
                  flick_khazana_encode_new_glob(7, _flick_abort2913);
                  flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_encode_unsigned32(0, _data->_u.next._buffer[_t442_array_iter]._u.one.b.c._length, CORBA_unsigned_long );
                  flick_khazana_encode_end_chunk(4);
                  flick_khazana_encode_end_glob(7);
                  for (_t540_array_iter = 0; _t540_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.one.b.c._length; _t540_array_iter++)
                    {
                      if (flick_marshal_stub_ta_tc(_stream, _data->_u.next._buffer[_t442_array_iter]._u.one.b.c._buffer + _t540_array_iter))
                        goto _flick_abort2919;
                      continue;
                      {
                      _flick_abort2919:
                        goto _flick_abort2913;
                      }
                    }
                  if (_data->_u.next._buffer[_t442_array_iter]._u.one.b.c._release)
                    CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.one.b.c._buffer);
                  _data->_u.next._buffer[_t442_array_iter]._u.one.b.c._maximum = 0;
                  _data->_u.next._buffer[_t442_array_iter]._u.one.b.c._release = 0;
                  flick_khazana_encode_new_glob(28, _flick_abort2913);
                  flick_khazana_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.next._buffer[_t442_array_iter]._u.one.c.a.a, CORBA_long );
                  flick_khazana_encode_end_chunk(4);
                  flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.next._buffer[_t442_array_iter]._u.one.c.a.b, CORBA_double );
                  flick_cdr_encode_signed16(8, _data->_u.next._buffer[_t442_array_iter]._u.one.c.a.c, CORBA_short );
                  flick_cdr_encode_char8(10, _data->_u.next._buffer[_t442_array_iter]._u.one.c.b.a, CORBA_char );
                  flick_cdr_encode_char8(11, _data->_u.next._buffer[_t442_array_iter]._u.one.c.b.b, CORBA_char );
                  flick_cdr_encode_char8(12, _data->_u.next._buffer[_t442_array_iter]._u.one.c.b.c, CORBA_char );
                  flick_cdr_encode_char8(13, _data->_u.next._buffer[_t442_array_iter]._u.one.c.b.d, CORBA_char );
                  flick_cdr_encode_unsigned32(16, _data->_u.next._buffer[_t442_array_iter]._u.one.c.b.e._length, CORBA_unsigned_long );
                  flick_khazana_encode_end_chunk(20);
                  flick_khazana_encode_end_glob(28);
                  for (_t541_array_iter = 0; _t541_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.one.c.b.e._length; _t541_array_iter++)
                    {
                      if (flick_marshal_stub_ta_td(_stream, _data->_u.next._buffer[_t442_array_iter]._u.one.c.b.e._buffer + _t541_array_iter))
                        goto _flick_abort2924;
                      continue;
                      {
                      _flick_abort2924:
                        goto _flick_abort2913;
                      }
                    }
                  if (_data->_u.next._buffer[_t442_array_iter]._u.one.c.b.e._release)
                    CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.one.c.b.e._buffer);
                  _data->_u.next._buffer[_t442_array_iter]._u.one.c.b.e._maximum = 0;
                  _data->_u.next._buffer[_t442_array_iter]._u.one.c.b.e._release = 0;
                  flick_khazana_encode_new_glob(4, _flick_abort2913);
                  flick_khazana_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _data->_u.next._buffer[_t442_array_iter]._u.one.next._length, CORBA_unsigned_long );
                  flick_khazana_encode_end_chunk(4);
                  flick_khazana_encode_end_glob(4);
                  for (_t542_array_iter = 0; _t542_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.one.next._length; _t542_array_iter++)
                    {
                      if (flick_marshal_stub_ta(_stream, _data->_u.next._buffer[_t442_array_iter]._u.one.next._buffer + _t542_array_iter))
                        goto _flick_abort2929;
                      continue;
                      {
                      _flick_abort2929:
                        goto _flick_abort2913;
                      }
                    }
                  if (_data->_u.next._buffer[_t442_array_iter]._u.one.next._release)
                    CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.one.next._buffer);
                  _data->_u.next._buffer[_t442_array_iter]._u.one.next._maximum = 0;
                  _data->_u.next._buffer[_t442_array_iter]._u.one.next._release = 0;
                  flick_khazana_encode_new_glob(24, _flick_abort2913);
                  flick_khazana_encode_new_chunk(24);
                  flick_cdr_encode_signed32(0, _data->_u.next._buffer[_t442_array_iter]._u.one.d.a, CORBA_long );
                  flick_cdr_encode_float64(8, _data->_u.next._buffer[_t442_array_iter]._u.one.d.b, CORBA_double );
                  flick_cdr_encode_signed16(16, _data->_u.next._buffer[_t442_array_iter]._u.one.d.c, CORBA_short );
                  flick_cdr_encode_char8(18, _data->_u.next._buffer[_t442_array_iter]._u.one.e.a, CORBA_char );
                  flick_cdr_encode_unsigned32(20, _t543_temp_string_len, flick_unsigned32_t );
                  flick_khazana_encode_end_chunk(24);
                  flick_khazana_encode_end_glob(24);
                  flick_khazana_encode_new_glob(1 * _t543_temp_string_len, _flick_abort2913);
                  flick_khazana_encode_new_chunk(1 * _t543_temp_string_len);
                  flick_cdr_encode_bcopy(0, _data->_u.next._buffer[_t442_array_iter]._u.one.e.b, 1 * _t543_temp_string_len);
                  CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.one.e.b);
                  flick_khazana_encode_end_chunk(1 * _t543_temp_string_len);
                  flick_khazana_encode_end_glob(1 * _t543_temp_string_len);
                  flick_khazana_encode_new_glob(7, _flick_abort2913);
                  flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_encode_unsigned32(0, _data->_u.next._buffer[_t442_array_iter]._u.one.e.c._length, CORBA_unsigned_long );
                  flick_khazana_encode_end_chunk(4);
                  flick_khazana_encode_end_glob(7);
                  for (_t544_array_iter = 0; _t544_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.one.e.c._length; _t544_array_iter++)
                    {
                      if (flick_marshal_stub_ta_tc(_stream, _data->_u.next._buffer[_t442_array_iter]._u.one.e.c._buffer + _t544_array_iter))
                        goto _flick_abort2936;
                      continue;
                      {
                      _flick_abort2936:
                        goto _flick_abort2913;
                      }
                    }
                  if (_data->_u.next._buffer[_t442_array_iter]._u.one.e.c._release)
                    CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.one.e.c._buffer);
                  _data->_u.next._buffer[_t442_array_iter]._u.one.e.c._maximum = 0;
                  _data->_u.next._buffer[_t442_array_iter]._u.one.e.c._release = 0;
                  flick_khazana_encode_new_glob(28, _flick_abort2913);
                  flick_khazana_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.next._buffer[_t442_array_iter]._u.one.f.a.a, CORBA_long );
                  flick_khazana_encode_end_chunk(4);
                  flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.next._buffer[_t442_array_iter]._u.one.f.a.b, CORBA_double );
                  flick_cdr_encode_signed16(8, _data->_u.next._buffer[_t442_array_iter]._u.one.f.a.c, CORBA_short );
                  flick_cdr_encode_char8(10, _data->_u.next._buffer[_t442_array_iter]._u.one.f.b.a, CORBA_char );
                  flick_cdr_encode_char8(11, _data->_u.next._buffer[_t442_array_iter]._u.one.f.b.b, CORBA_char );
                  flick_cdr_encode_char8(12, _data->_u.next._buffer[_t442_array_iter]._u.one.f.b.c, CORBA_char );
                  flick_cdr_encode_char8(13, _data->_u.next._buffer[_t442_array_iter]._u.one.f.b.d, CORBA_char );
                  flick_cdr_encode_unsigned32(16, _data->_u.next._buffer[_t442_array_iter]._u.one.f.b.e._length, CORBA_unsigned_long );
                  flick_khazana_encode_end_chunk(20);
                  flick_khazana_encode_end_glob(28);
                  for (_t545_array_iter = 0; _t545_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.one.f.b.e._length; _t545_array_iter++)
                    {
                      if (flick_marshal_stub_ta_td(_stream, _data->_u.next._buffer[_t442_array_iter]._u.one.f.b.e._buffer + _t545_array_iter))
                        goto _flick_abort2941;
                      continue;
                      {
                      _flick_abort2941:
                        goto _flick_abort2913;
                      }
                    }
                  if (_data->_u.next._buffer[_t442_array_iter]._u.one.f.b.e._release)
                    CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.one.f.b.e._buffer);
                  _data->_u.next._buffer[_t442_array_iter]._u.one.f.b.e._maximum = 0;
                  _data->_u.next._buffer[_t442_array_iter]._u.one.f.b.e._release = 0;
                  break;
                  {
                  _flick_abort2913:
                    goto _flick_abort2396;
                  }
                }
              case 2:
                {
                  CORBA_unsigned_long _t546_array_iter;
                  CORBA_unsigned_long _t550_array_iter;
                  CORBA_unsigned_long _t553_array_iter;

                  flick_khazana_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.next._buffer[_t442_array_iter]._u.two.a.a, CORBA_long );
                  flick_khazana_encode_end_chunk(4);
                  flick_khazana_encode_new_chunk_align(36, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.next._buffer[_t442_array_iter]._u.two.a.b, CORBA_double );
                  flick_cdr_encode_signed16(8, _data->_u.next._buffer[_t442_array_iter]._u.two.a.c, CORBA_short );
                  flick_cdr_encode_signed32(12, _data->_u.next._buffer[_t442_array_iter]._u.two.b.a.a, CORBA_long );
                  flick_cdr_encode_float64(16, _data->_u.next._buffer[_t442_array_iter]._u.two.b.a.b, CORBA_double );
                  flick_cdr_encode_signed16(24, _data->_u.next._buffer[_t442_array_iter]._u.two.b.a.c, CORBA_short );
                  flick_cdr_encode_char8(26, _data->_u.next._buffer[_t442_array_iter]._u.two.b.b.a, CORBA_char );
                  flick_cdr_encode_char8(27, _data->_u.next._buffer[_t442_array_iter]._u.two.b.b.b, CORBA_char );
                  flick_cdr_encode_char8(28, _data->_u.next._buffer[_t442_array_iter]._u.two.b.b.c, CORBA_char );
                  flick_cdr_encode_char8(29, _data->_u.next._buffer[_t442_array_iter]._u.two.b.b.d, CORBA_char );
                  flick_cdr_encode_unsigned32(32, _data->_u.next._buffer[_t442_array_iter]._u.two.b.b.e._length, CORBA_unsigned_long );
                  flick_khazana_encode_end_chunk(36);
                  flick_khazana_encode_end_glob(55);
                  for (_t546_array_iter = 0; _t546_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.two.b.b.e._length; _t546_array_iter++)
                    {
                      if (flick_marshal_stub_ta_td(_stream, _data->_u.next._buffer[_t442_array_iter]._u.two.b.b.e._buffer + _t546_array_iter))
                        goto _flick_abort2947;
                      continue;
                      {
                      _flick_abort2947:
                        goto _flick_abort2943;
                      }
                    }
                  if (_data->_u.next._buffer[_t442_array_iter]._u.two.b.b.e._release)
                    CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.two.b.b.e._buffer);
                  _data->_u.next._buffer[_t442_array_iter]._u.two.b.b.e._maximum = 0;
                  _data->_u.next._buffer[_t442_array_iter]._u.two.b.b.e._release = 0;
                  flick_khazana_encode_new_glob(4, _flick_abort2943);
                  flick_khazana_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _data->_u.next._buffer[_t442_array_iter]._u.two.c._length, CORBA_unsigned_long );
                  flick_khazana_encode_end_chunk(4);
                  flick_khazana_encode_end_glob(4);
                  for (_t550_array_iter = 0; _t550_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.two.c._length; _t550_array_iter++)
                    {
                      CORBA_unsigned_long _t552_array_iter;

                      flick_khazana_encode_new_glob(28, _flick_abort2967);
                      flick_khazana_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].a.a, CORBA_long );
                      flick_khazana_encode_end_chunk(4);
                      flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
                      flick_cdr_encode_float64(0, _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].a.b, CORBA_double );
                      flick_cdr_encode_signed16(8, _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].a.c, CORBA_short );
                      flick_cdr_encode_char8(10, _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].b.a, CORBA_char );
                      flick_cdr_encode_char8(11, _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].b.b, CORBA_char );
                      flick_cdr_encode_char8(12, _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].b.c, CORBA_char );
                      flick_cdr_encode_char8(13, _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].b.d, CORBA_char );
                      flick_cdr_encode_unsigned32(16, _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].b.e._length, CORBA_unsigned_long );
                      flick_khazana_encode_end_chunk(20);
                      flick_khazana_encode_end_glob(28);
                      for (_t552_array_iter = 0; _t552_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].b.e._length; _t552_array_iter++)
                        {
                          if (flick_marshal_stub_ta_td(_stream, _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].b.e._buffer + _t552_array_iter))
                            goto _flick_abort2977;
                          continue;
                          {
                          _flick_abort2977:
                            goto _flick_abort2967;
                          }
                        }
                      if (_data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].b.e._release)
                        CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].b.e._buffer);
                      _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].b.e._maximum = 0;
                      _data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer[_t550_array_iter].b.e._release = 0;
                      continue;
                      {
                      _flick_abort2967:
                        goto _flick_abort2943;
                      }
                    }
                  if (_data->_u.next._buffer[_t442_array_iter]._u.two.c._release)
                    CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.two.c._buffer);
                  _data->_u.next._buffer[_t442_array_iter]._u.two.c._maximum = 0;
                  _data->_u.next._buffer[_t442_array_iter]._u.two.c._release = 0;
                  flick_khazana_encode_new_glob(4, _flick_abort2943);
                  flick_khazana_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _data->_u.next._buffer[_t442_array_iter]._u.two.d._length, CORBA_unsigned_long );
                  flick_khazana_encode_end_chunk(4);
                  flick_khazana_encode_end_glob(4);
                  for (_t553_array_iter = 0; _t553_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.two.d._length; _t553_array_iter++)
                    {
                      if (flick_marshal_stub_tb(_stream, _data->_u.next._buffer[_t442_array_iter]._u.two.d._buffer + _t553_array_iter))
                        goto _flick_abort2982;
                      continue;
                      {
                      _flick_abort2982:
                        goto _flick_abort2943;
                      }
                    }
                  if (_data->_u.next._buffer[_t442_array_iter]._u.two.d._release)
                    CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.two.d._buffer);
                  _data->_u.next._buffer[_t442_array_iter]._u.two.d._maximum = 0;
                  _data->_u.next._buffer[_t442_array_iter]._u.two.d._release = 0;
                  break;
                  {
                  _flick_abort2943:
                    goto _flick_abort2396;
                  }
                }
              case 3:
                {
                  flick_khazana_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _data->_u.next._buffer[_t442_array_iter]._u.three._d, CORBA_enum );
                  flick_khazana_encode_end_chunk(4);
                  switch (_data->_u.next._buffer[_t442_array_iter]._u.three._d)
                    {
                    case 0:
                      {
                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.next._buffer[_t442_array_iter]._u.three._u.x, CORBA_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_end_glob(55);
                        break;
                      }
                    case 1:
                      {
                        flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.next._buffer[_t442_array_iter]._u.three._u.y, CORBA_double );
                        flick_khazana_encode_end_chunk(8);
                        flick_khazana_encode_end_glob(55);
                        break;
                      }
                    case 2:
                      {
                        flick_khazana_encode_new_chunk(1);
                        flick_cdr_encode_unsigned8(0, _data->_u.next._buffer[_t442_array_iter]._u.three._u.z, CORBA_boolean );
                        flick_khazana_encode_end_chunk(1);
                        flick_khazana_encode_end_glob(55);
                        break;
                      }
                    case 3:
                      {
                        CORBA_unsigned_long _t562_array_iter;
                        CORBA_unsigned_long _t566_array_iter;
                        CORBA_unsigned_long _t569_array_iter;

                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.a.a, CORBA_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_new_chunk_align(36, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.a.b, CORBA_double );
                        flick_cdr_encode_signed16(8, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.a.c, CORBA_short );
                        flick_cdr_encode_signed32(12, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.a.a, CORBA_long );
                        flick_cdr_encode_float64(16, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.a.b, CORBA_double );
                        flick_cdr_encode_signed16(24, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.a.c, CORBA_short );
                        flick_cdr_encode_char8(26, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.b.a, CORBA_char );
                        flick_cdr_encode_char8(27, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.b.b, CORBA_char );
                        flick_cdr_encode_char8(28, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.b.c, CORBA_char );
                        flick_cdr_encode_char8(29, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.b.d, CORBA_char );
                        flick_cdr_encode_unsigned32(32, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.b.e._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(36);
                        flick_khazana_encode_end_glob(55);
                        for (_t562_array_iter = 0; _t562_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.b.e._length; _t562_array_iter++)
                          {
                            if (flick_marshal_stub_ta_td(_stream, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.b.e._buffer + _t562_array_iter))
                              goto _flick_abort3039;
                            continue;
                            {
                            _flick_abort3039:
                              goto _flick_abort3035;
                            }
                          }
                        if (_data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.b.e._release)
                          CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.b.e._buffer);
                        _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.b.e._maximum = 0;
                        _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.b.b.e._release = 0;
                        flick_khazana_encode_new_glob(4, _flick_abort3035);
                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_end_glob(4);
                        for (_t566_array_iter = 0; _t566_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._length; _t566_array_iter++)
                          {
                            CORBA_unsigned_long _t568_array_iter;

                            flick_khazana_encode_new_glob(28, _flick_abort3059);
                            flick_khazana_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].a.a, CORBA_long );
                            flick_khazana_encode_end_chunk(4);
                            flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
                            flick_cdr_encode_float64(0, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].a.b, CORBA_double );
                            flick_cdr_encode_signed16(8, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].a.c, CORBA_short );
                            flick_cdr_encode_char8(10, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].b.a, CORBA_char );
                            flick_cdr_encode_char8(11, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].b.b, CORBA_char );
                            flick_cdr_encode_char8(12, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].b.c, CORBA_char );
                            flick_cdr_encode_char8(13, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].b.d, CORBA_char );
                            flick_cdr_encode_unsigned32(16, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].b.e._length, CORBA_unsigned_long );
                            flick_khazana_encode_end_chunk(20);
                            flick_khazana_encode_end_glob(28);
                            for (_t568_array_iter = 0; _t568_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].b.e._length; _t568_array_iter++)
                              {
                                if (flick_marshal_stub_ta_td(_stream, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].b.e._buffer + _t568_array_iter))
                                  goto _flick_abort3069;
                                continue;
                                {
                                _flick_abort3069:
                                  goto _flick_abort3059;
                                }
                              }
                            if (_data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].b.e._release)
                              CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].b.e._buffer);
                            _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].b.e._maximum = 0;
                            _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer[_t566_array_iter].b.e._release = 0;
                            continue;
                            {
                            _flick_abort3059:
                              goto _flick_abort3035;
                            }
                          }
                        if (_data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._release)
                          CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._buffer);
                        _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._maximum = 0;
                        _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.c._release = 0;
                        flick_khazana_encode_new_glob(4, _flick_abort3035);
                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.d._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_end_glob(4);
                        for (_t569_array_iter = 0; _t569_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.d._length; _t569_array_iter++)
                          {
                            if (flick_marshal_stub_tb(_stream, _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.d._buffer + _t569_array_iter))
                              goto _flick_abort3074;
                            continue;
                            {
                            _flick_abort3074:
                              goto _flick_abort3035;
                            }
                          }
                        if (_data->_u.next._buffer[_t442_array_iter]._u.three._u.s.d._release)
                          CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.three._u.s.d._buffer);
                        _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.d._maximum = 0;
                        _data->_u.next._buffer[_t442_array_iter]._u.three._u.s.d._release = 0;
                        break;
                        {
                        _flick_abort3035:
                          goto _flick_abort2984;
                        }
                      }
                    case 4:
                      {
                        flick_khazana_encode_end_glob(55);
                        if (flick_marshal_stub_td_te_tu(_stream, &_data->_u.next._buffer[_t442_array_iter]._u.three._u.u))
                          goto _flick_abort3076;
                        break;
                        {
                        _flick_abort3076:
                          goto _flick_abort2984;
                        }
                      }
                    default:
                      {
                        flick_khazana_encode_end_glob(55);
                        break;
                      }
                    }
                  break;
                  {
                  _flick_abort2984:
                    goto _flick_abort2396;
                  }
                }
              default:
                {
                  CORBA_unsigned_long _t570_array_iter;

                  flick_khazana_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _data->_u.next._buffer[_t442_array_iter]._u.again._length, CORBA_unsigned_long );
                  flick_khazana_encode_end_chunk(4);
                  flick_khazana_encode_end_glob(55);
                  for (_t570_array_iter = 0; _t570_array_iter < _data->_u.next._buffer[_t442_array_iter]._u.again._length; _t570_array_iter++)
                    {
                      if (flick_marshal_stub_td(_stream, _data->_u.next._buffer[_t442_array_iter]._u.again._buffer + _t570_array_iter))
                        goto _flick_abort3082;
                      continue;
                      {
                      _flick_abort3082:
                        goto _flick_abort3078;
                      }
                    }
                  if (_data->_u.next._buffer[_t442_array_iter]._u.again._release)
                    CORBA_flick_free(_data->_u.next._buffer[_t442_array_iter]._u.again._buffer);
                  _data->_u.next._buffer[_t442_array_iter]._u.again._maximum = 0;
                  _data->_u.next._buffer[_t442_array_iter]._u.again._release = 0;
                  break;
                  {
                  _flick_abort3078:
                    goto _flick_abort2396;
                  }
                }
              }
            continue;
            {
            _flick_abort2396:
              goto _flick_abort1707;
            }
          }
        if (_data->_u.next._release)
          CORBA_flick_free(_data->_u.next._buffer);
        _data->_u.next._maximum = 0;
        _data->_u.next._release = 0;
        break;
        {
        _flick_abort1707:
          goto _flick_abort327;
        }
      }
    default:
      {
        flick_khazana_encode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort327:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td_te_tu(flick_marshal_stream_t _stream, struct td_te_tu *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort3085);
  flick_khazana_decode_new_chunk(1);
  flick_cdr_decode_unsigned8(0, _data->_d, CORBA_boolean );
  flick_khazana_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 1:
      {
        CORBA_unsigned_long _t956_array_iter;

        flick_khazana_decode_new_chunk(7);
        flick_cdr_decode_unsigned32(3, _data->_u.next._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(7);
        flick_khazana_decode_end_glob(8);
        if (_data->_u.next._length > 1)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort4872);
        {
          struct td *_t_alloc_ptr;

          _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(sizeof(struct td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4872);
          _data->_u.next._buffer = _t_alloc_ptr;
          _data->_u.next._maximum = 1;
          _data->_u.next._release = 1;
        }
        for (_t956_array_iter = 0; _t956_array_iter < _data->_u.next._length; _t956_array_iter++)
          {
            flick_khazana_decode_new_glob(55);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(8, _flick_abort5762);
            flick_cdr_decode_signed32(0, _data->_u.next._buffer[_t956_array_iter]._d, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            switch (_data->_u.next._buffer[_t956_array_iter]._d)
              {
              case 1:
                {
                  flick_unsigned32_t _t1053_temp_string_len;
                  CORBA_unsigned_long _t1054_array_iter;
                  CORBA_unsigned_long _t1055_array_iter;
                  CORBA_unsigned_long _t1056_array_iter;
                  flick_unsigned32_t _t1057_temp_string_len;
                  CORBA_unsigned_long _t1058_array_iter;
                  CORBA_unsigned_long _t1059_array_iter;

                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.next._buffer[_t956_array_iter]._u.one.a.a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(16, 3, 2, 0);
                  flick_khazana_check_span(16, _flick_abort6429);
                  flick_cdr_decode_float64(0, _data->_u.next._buffer[_t956_array_iter]._u.one.a.b, CORBA_double );
                  flick_cdr_decode_signed16(8, _data->_u.next._buffer[_t956_array_iter]._u.one.a.c, CORBA_short );
                  flick_cdr_decode_char8(10, _data->_u.next._buffer[_t956_array_iter]._u.one.b.a, CORBA_char );
                  flick_cdr_decode_unsigned32(12, _t1053_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(16);
                  flick_khazana_decode_end_glob(55);
                  flick_khazana_decode_new_glob(1 * _t1053_temp_string_len);
                  flick_khazana_check_span(1 * _t1053_temp_string_len, _flick_abort6429);
                  flick_khazana_decode_new_chunk(1 * _t1053_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t1053_temp_string_len * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6429);
                    _data->_u.next._buffer[_t956_array_iter]._u.one.b.b = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, _data->_u.next._buffer[_t956_array_iter]._u.one.b.b, 1 * _t1053_temp_string_len);
                  flick_khazana_decode_end_chunk(1 * _t1053_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t1053_temp_string_len);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort6432);
                  flick_cdr_decode_unsigned32(0, _data->_u.next._buffer[_t956_array_iter]._u.one.b.c._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  {
                    struct ta_tc *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.one.b.c._length * sizeof(struct ta_tc )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6432);
                    _data->_u.next._buffer[_t956_array_iter]._u.one.b.c._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t956_array_iter]._u.one.b.c._maximum = _data->_u.next._buffer[_t956_array_iter]._u.one.b.c._length;
                    _data->_u.next._buffer[_t956_array_iter]._u.one.b.c._release = 1;
                  }
                  for (_t1054_array_iter = 0; _t1054_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.one.b.c._length; _t1054_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.next._buffer[_t956_array_iter]._u.one.b.c._buffer + _t1054_array_iter))
                        goto _flick_abort6437;
                      continue;
                      {
                      _flick_abort6437:
                        goto _flick_abort6436;
                      }
                    }
                  flick_khazana_decode_new_glob(28);
                  flick_khazana_check_span(4, _flick_abort6436);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.next._buffer[_t956_array_iter]._u.one.c.a.a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                  flick_khazana_check_span(20, _flick_abort6436);
                  flick_cdr_decode_float64(0, _data->_u.next._buffer[_t956_array_iter]._u.one.c.a.b, CORBA_double );
                  flick_cdr_decode_signed16(8, _data->_u.next._buffer[_t956_array_iter]._u.one.c.a.c, CORBA_short );
                  flick_cdr_decode_char8(10, _data->_u.next._buffer[_t956_array_iter]._u.one.c.b.a, CORBA_char );
                  flick_cdr_decode_char8(11, _data->_u.next._buffer[_t956_array_iter]._u.one.c.b.b, CORBA_char );
                  flick_cdr_decode_char8(12, _data->_u.next._buffer[_t956_array_iter]._u.one.c.b.c, CORBA_char );
                  flick_cdr_decode_char8(13, _data->_u.next._buffer[_t956_array_iter]._u.one.c.b.d, CORBA_char );
                  flick_cdr_decode_unsigned32(16, _data->_u.next._buffer[_t956_array_iter]._u.one.c.b.e._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(20);
                  flick_khazana_decode_end_glob(28);
                  {
                    struct ta_td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.one.c.b.e._length * sizeof(struct ta_td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6436);
                    _data->_u.next._buffer[_t956_array_iter]._u.one.c.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t956_array_iter]._u.one.c.b.e._maximum = _data->_u.next._buffer[_t956_array_iter]._u.one.c.b.e._length;
                    _data->_u.next._buffer[_t956_array_iter]._u.one.c.b.e._release = 1;
                  }
                  for (_t1055_array_iter = 0; _t1055_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.one.c.b.e._length; _t1055_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next._buffer[_t956_array_iter]._u.one.c.b.e._buffer + _t1055_array_iter))
                        goto _flick_abort6443;
                      continue;
                      {
                      _flick_abort6443:
                        goto _flick_abort6442;
                      }
                    }
                  flick_khazana_decode_new_glob(4);
                  flick_khazana_check_span(4, _flick_abort6442);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _data->_u.next._buffer[_t956_array_iter]._u.one.next._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(4);
                  {
                    struct ta *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.one.next._length * sizeof(struct ta )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6442);
                    _data->_u.next._buffer[_t956_array_iter]._u.one.next._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t956_array_iter]._u.one.next._maximum = _data->_u.next._buffer[_t956_array_iter]._u.one.next._length;
                    _data->_u.next._buffer[_t956_array_iter]._u.one.next._release = 1;
                  }
                  for (_t1056_array_iter = 0; _t1056_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.one.next._length; _t1056_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta(_stream, _data->_u.next._buffer[_t956_array_iter]._u.one.next._buffer + _t1056_array_iter))
                        goto _flick_abort6449;
                      continue;
                      {
                      _flick_abort6449:
                        goto _flick_abort6448;
                      }
                    }
                  flick_khazana_decode_new_glob(24);
                  flick_khazana_check_span(24, _flick_abort6448);
                  flick_khazana_decode_new_chunk(24);
                  flick_cdr_decode_signed32(0, _data->_u.next._buffer[_t956_array_iter]._u.one.d.a, CORBA_long );
                  flick_cdr_decode_float64(8, _data->_u.next._buffer[_t956_array_iter]._u.one.d.b, CORBA_double );
                  flick_cdr_decode_signed16(16, _data->_u.next._buffer[_t956_array_iter]._u.one.d.c, CORBA_short );
                  flick_cdr_decode_char8(18, _data->_u.next._buffer[_t956_array_iter]._u.one.e.a, CORBA_char );
                  flick_cdr_decode_unsigned32(20, _t1057_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(24);
                  flick_khazana_decode_end_glob(24);
                  flick_khazana_decode_new_glob(1 * _t1057_temp_string_len);
                  flick_khazana_check_span(1 * _t1057_temp_string_len, _flick_abort6448);
                  flick_khazana_decode_new_chunk(1 * _t1057_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t1057_temp_string_len * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6448);
                    _data->_u.next._buffer[_t956_array_iter]._u.one.e.b = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, _data->_u.next._buffer[_t956_array_iter]._u.one.e.b, 1 * _t1057_temp_string_len);
                  flick_khazana_decode_end_chunk(1 * _t1057_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t1057_temp_string_len);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort6453);
                  flick_cdr_decode_unsigned32(0, _data->_u.next._buffer[_t956_array_iter]._u.one.e.c._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  {
                    struct ta_tc *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.one.e.c._length * sizeof(struct ta_tc )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6453);
                    _data->_u.next._buffer[_t956_array_iter]._u.one.e.c._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t956_array_iter]._u.one.e.c._maximum = _data->_u.next._buffer[_t956_array_iter]._u.one.e.c._length;
                    _data->_u.next._buffer[_t956_array_iter]._u.one.e.c._release = 1;
                  }
                  for (_t1058_array_iter = 0; _t1058_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.one.e.c._length; _t1058_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.next._buffer[_t956_array_iter]._u.one.e.c._buffer + _t1058_array_iter))
                        goto _flick_abort6458;
                      continue;
                      {
                      _flick_abort6458:
                        goto _flick_abort6457;
                      }
                    }
                  flick_khazana_decode_new_glob(28);
                  flick_khazana_check_span(4, _flick_abort6457);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.next._buffer[_t956_array_iter]._u.one.f.a.a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                  flick_khazana_check_span(20, _flick_abort6457);
                  flick_cdr_decode_float64(0, _data->_u.next._buffer[_t956_array_iter]._u.one.f.a.b, CORBA_double );
                  flick_cdr_decode_signed16(8, _data->_u.next._buffer[_t956_array_iter]._u.one.f.a.c, CORBA_short );
                  flick_cdr_decode_char8(10, _data->_u.next._buffer[_t956_array_iter]._u.one.f.b.a, CORBA_char );
                  flick_cdr_decode_char8(11, _data->_u.next._buffer[_t956_array_iter]._u.one.f.b.b, CORBA_char );
                  flick_cdr_decode_char8(12, _data->_u.next._buffer[_t956_array_iter]._u.one.f.b.c, CORBA_char );
                  flick_cdr_decode_char8(13, _data->_u.next._buffer[_t956_array_iter]._u.one.f.b.d, CORBA_char );
                  flick_cdr_decode_unsigned32(16, _data->_u.next._buffer[_t956_array_iter]._u.one.f.b.e._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(20);
                  flick_khazana_decode_end_glob(28);
                  {
                    struct ta_td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.one.f.b.e._length * sizeof(struct ta_td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6457);
                    _data->_u.next._buffer[_t956_array_iter]._u.one.f.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t956_array_iter]._u.one.f.b.e._maximum = _data->_u.next._buffer[_t956_array_iter]._u.one.f.b.e._length;
                    _data->_u.next._buffer[_t956_array_iter]._u.one.f.b.e._release = 1;
                  }
                  for (_t1059_array_iter = 0; _t1059_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.one.f.b.e._length; _t1059_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next._buffer[_t956_array_iter]._u.one.f.b.e._buffer + _t1059_array_iter))
                        goto _flick_abort6464;
                      continue;
                      {
                      _flick_abort6464:
                        goto _flick_abort6463;
                      }
                    }
                  break;
                _flick_abort_block6822:
                  {
                  _flick_abort6463:
                    CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.one.f.b.e._buffer);
                  _flick_abort6457:
                    CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.one.e.c._buffer);
                  _flick_abort6453:
                    CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.one.e.b);
                  _flick_abort6448:
                    CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.one.next._buffer);
                  _flick_abort6442:
                    CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.one.c.b.e._buffer);
                  _flick_abort6436:
                    CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.one.b.c._buffer);
                  _flick_abort6432:
                    CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.one.b.b);
                  _flick_abort6429:
                    goto _flick_abort5762;
                  }
                }
              case 2:
                {
                  CORBA_unsigned_long _t1060_array_iter;
                  CORBA_unsigned_long _t1064_array_iter;
                  CORBA_unsigned_long _t1067_array_iter;

                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.next._buffer[_t956_array_iter]._u.two.a.a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
                  flick_khazana_check_span(36, _flick_abort6466);
                  flick_cdr_decode_float64(0, _data->_u.next._buffer[_t956_array_iter]._u.two.a.b, CORBA_double );
                  flick_cdr_decode_signed16(8, _data->_u.next._buffer[_t956_array_iter]._u.two.a.c, CORBA_short );
                  flick_cdr_decode_signed32(12, _data->_u.next._buffer[_t956_array_iter]._u.two.b.a.a, CORBA_long );
                  flick_cdr_decode_float64(16, _data->_u.next._buffer[_t956_array_iter]._u.two.b.a.b, CORBA_double );
                  flick_cdr_decode_signed16(24, _data->_u.next._buffer[_t956_array_iter]._u.two.b.a.c, CORBA_short );
                  flick_cdr_decode_char8(26, _data->_u.next._buffer[_t956_array_iter]._u.two.b.b.a, CORBA_char );
                  flick_cdr_decode_char8(27, _data->_u.next._buffer[_t956_array_iter]._u.two.b.b.b, CORBA_char );
                  flick_cdr_decode_char8(28, _data->_u.next._buffer[_t956_array_iter]._u.two.b.b.c, CORBA_char );
                  flick_cdr_decode_char8(29, _data->_u.next._buffer[_t956_array_iter]._u.two.b.b.d, CORBA_char );
                  flick_cdr_decode_unsigned32(32, _data->_u.next._buffer[_t956_array_iter]._u.two.b.b.e._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(36);
                  flick_khazana_decode_end_glob(55);
                  {
                    struct ta_td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.two.b.b.e._length * sizeof(struct ta_td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6466);
                    _data->_u.next._buffer[_t956_array_iter]._u.two.b.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t956_array_iter]._u.two.b.b.e._maximum = _data->_u.next._buffer[_t956_array_iter]._u.two.b.b.e._length;
                    _data->_u.next._buffer[_t956_array_iter]._u.two.b.b.e._release = 1;
                  }
                  for (_t1060_array_iter = 0; _t1060_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.two.b.b.e._length; _t1060_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next._buffer[_t956_array_iter]._u.two.b.b.e._buffer + _t1060_array_iter))
                        goto _flick_abort6471;
                      continue;
                      {
                      _flick_abort6471:
                        goto _flick_abort6470;
                      }
                    }
                  flick_khazana_decode_new_glob(4);
                  flick_khazana_check_span(4, _flick_abort6470);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _data->_u.next._buffer[_t956_array_iter]._u.two.c._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(4);
                  {
                    struct ta_td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.two.c._length * sizeof(struct ta_td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6470);
                    _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t956_array_iter]._u.two.c._maximum = _data->_u.next._buffer[_t956_array_iter]._u.two.c._length;
                    _data->_u.next._buffer[_t956_array_iter]._u.two.c._release = 1;
                  }
                  for (_t1064_array_iter = 0; _t1064_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.two.c._length; _t1064_array_iter++)
                    {
                      CORBA_unsigned_long _t1066_array_iter;

                      flick_khazana_decode_new_glob(28);
                      flick_khazana_check_span(4, _flick_abort6495);
                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_signed32(0, _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].a.a, CORBA_long );
                      flick_khazana_decode_end_chunk(4);
                      flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                      flick_khazana_check_span(20, _flick_abort6495);
                      flick_cdr_decode_float64(0, _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].a.b, CORBA_double );
                      flick_cdr_decode_signed16(8, _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].a.c, CORBA_short );
                      flick_cdr_decode_char8(10, _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.a, CORBA_char );
                      flick_cdr_decode_char8(11, _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.b, CORBA_char );
                      flick_cdr_decode_char8(12, _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.c, CORBA_char );
                      flick_cdr_decode_char8(13, _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.d, CORBA_char );
                      flick_cdr_decode_unsigned32(16, _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.e._length, CORBA_unsigned_long );
                      flick_khazana_decode_end_chunk(20);
                      flick_khazana_decode_end_glob(28);
                      {
                        struct ta_td *_t_alloc_ptr;

                        _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.e._length * sizeof(struct ta_td )));
                        if (!_t_alloc_ptr)
                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6495);
                        _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.e._buffer = _t_alloc_ptr;
                        _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.e._maximum = _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.e._length;
                        _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.e._release = 1;
                      }
                      for (_t1066_array_iter = 0; _t1066_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.e._length; _t1066_array_iter++)
                        {
                          if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.e._buffer + _t1066_array_iter))
                            goto _flick_abort6507;
                          continue;
                          {
                          _flick_abort6507:
                            goto _flick_abort6506;
                          }
                        }
                      continue;
                    _flick_abort_block6902:
                      {
                        _t1064_array_iter = _data->_u.next._buffer[_t956_array_iter]._u.two.c._length;
                      _flick_abort6511:
                        _t1064_array_iter--;
                      _flick_abort6506:
                        CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer[_t1064_array_iter].b.e._buffer);
                      _flick_abort6495:
                        if ((unsigned int )_t1064_array_iter > 0)
                          goto _flick_abort6511;
                        goto _flick_abort6494;
                      }
                    }
                  flick_khazana_decode_new_glob(4);
                  flick_khazana_check_span(4, _flick_abort6513);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _data->_u.next._buffer[_t956_array_iter]._u.two.d._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(4);
                  {
                    struct tb *_t_alloc_ptr;

                    _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.two.d._length * sizeof(struct tb )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6513);
                    _data->_u.next._buffer[_t956_array_iter]._u.two.d._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t956_array_iter]._u.two.d._maximum = _data->_u.next._buffer[_t956_array_iter]._u.two.d._length;
                    _data->_u.next._buffer[_t956_array_iter]._u.two.d._release = 1;
                  }
                  for (_t1067_array_iter = 0; _t1067_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.two.d._length; _t1067_array_iter++)
                    {
                      if (flick_unmarshal_stub_tb(_stream, _data->_u.next._buffer[_t956_array_iter]._u.two.d._buffer + _t1067_array_iter))
                        goto _flick_abort6518;
                      continue;
                      {
                      _flick_abort6518:
                        goto _flick_abort6517;
                      }
                    }
                  break;
                _flick_abort_block6859:
                  {
                  _flick_abort6517:
                    CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.two.d._buffer);
                  _flick_abort6513:
                    goto _flick_abort_block6902;
                  _flick_abort6494:
                    CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.two.c._buffer);
                  _flick_abort6470:
                    CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.two.b.b.e._buffer);
                  _flick_abort6466:
                    goto _flick_abort5762;
                  }
                }
              case 3:
                {
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _data->_u.next._buffer[_t956_array_iter]._u.three._d, CORBA_enum );
                  flick_khazana_decode_end_chunk(4);
                  switch (_data->_u.next._buffer[_t956_array_iter]._u.three._d)
                    {
                    case 0:
                      {
                        flick_khazana_check_span(4, _flick_abort6582);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.next._buffer[_t956_array_iter]._u.three._u.x, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(55);
                        break;
                        {
                        _flick_abort6582:
                          goto _flick_abort6520;
                        }
                      }
                    case 1:
                      {
                        flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
                        flick_khazana_check_span(8, _flick_abort6583);
                        flick_cdr_decode_float64(0, _data->_u.next._buffer[_t956_array_iter]._u.three._u.y, CORBA_double );
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(55);
                        break;
                        {
                        _flick_abort6583:
                          goto _flick_abort6520;
                        }
                      }
                    case 2:
                      {
                        flick_khazana_check_span(1, _flick_abort6584);
                        flick_khazana_decode_new_chunk(1);
                        flick_cdr_decode_unsigned8(0, _data->_u.next._buffer[_t956_array_iter]._u.three._u.z, CORBA_boolean );
                        flick_khazana_decode_end_chunk(1);
                        flick_khazana_decode_end_glob(55);
                        break;
                        {
                        _flick_abort6584:
                          goto _flick_abort6520;
                        }
                      }
                    case 3:
                      {
                        CORBA_unsigned_long _t1076_array_iter;
                        CORBA_unsigned_long _t1080_array_iter;
                        CORBA_unsigned_long _t1083_array_iter;

                        flick_khazana_check_span(4, _flick_abort6585);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
                        flick_khazana_check_span(36, _flick_abort6585);
                        flick_cdr_decode_float64(0, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.a.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.a.c, CORBA_short );
                        flick_cdr_decode_signed32(12, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.a.a, CORBA_long );
                        flick_cdr_decode_float64(16, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.a.b, CORBA_double );
                        flick_cdr_decode_signed16(24, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.a.c, CORBA_short );
                        flick_cdr_decode_char8(26, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.a, CORBA_char );
                        flick_cdr_decode_char8(27, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.b, CORBA_char );
                        flick_cdr_decode_char8(28, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.c, CORBA_char );
                        flick_cdr_decode_char8(29, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.d, CORBA_char );
                        flick_cdr_decode_unsigned32(32, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(36);
                        flick_khazana_decode_end_glob(55);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6585);
                          _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.e._buffer = _t_alloc_ptr;
                          _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.e._maximum = _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.e._length;
                          _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.e._release = 1;
                        }
                        for (_t1076_array_iter = 0; _t1076_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.e._length; _t1076_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.e._buffer + _t1076_array_iter))
                              goto _flick_abort6590;
                            continue;
                            {
                            _flick_abort6590:
                              goto _flick_abort6589;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort6589);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6589);
                          _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer = _t_alloc_ptr;
                          _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._maximum = _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._length;
                          _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._release = 1;
                        }
                        for (_t1080_array_iter = 0; _t1080_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._length; _t1080_array_iter++)
                          {
                            CORBA_unsigned_long _t1082_array_iter;

                            flick_khazana_decode_new_glob(28);
                            flick_khazana_check_span(4, _flick_abort6614);
                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_signed32(0, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].a.a, CORBA_long );
                            flick_khazana_decode_end_chunk(4);
                            flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                            flick_khazana_check_span(20, _flick_abort6614);
                            flick_cdr_decode_float64(0, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].a.b, CORBA_double );
                            flick_cdr_decode_signed16(8, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].a.c, CORBA_short );
                            flick_cdr_decode_char8(10, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.a, CORBA_char );
                            flick_cdr_decode_char8(11, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.b, CORBA_char );
                            flick_cdr_decode_char8(12, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.c, CORBA_char );
                            flick_cdr_decode_char8(13, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.d, CORBA_char );
                            flick_cdr_decode_unsigned32(16, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.e._length, CORBA_unsigned_long );
                            flick_khazana_decode_end_chunk(20);
                            flick_khazana_decode_end_glob(28);
                            {
                              struct ta_td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.e._length * sizeof(struct ta_td )));
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6614);
                              _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.e._buffer = _t_alloc_ptr;
                              _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.e._maximum = _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.e._length;
                              _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.e._release = 1;
                            }
                            for (_t1082_array_iter = 0; _t1082_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.e._length; _t1082_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.e._buffer + _t1082_array_iter))
                                  goto _flick_abort6626;
                                continue;
                                {
                                _flick_abort6626:
                                  goto _flick_abort6625;
                                }
                              }
                            continue;
                          _flick_abort_block7014:
                            {
                              _t1080_array_iter = _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._length;
                            _flick_abort6630:
                              _t1080_array_iter--;
                            _flick_abort6625:
                              CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer[_t1080_array_iter].b.e._buffer);
                            _flick_abort6614:
                              if ((unsigned int )_t1080_array_iter > 0)
                                goto _flick_abort6630;
                              goto _flick_abort6613;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort6632);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.d._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.three._u.s.d._length * sizeof(struct tb )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6632);
                          _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.d._buffer = _t_alloc_ptr;
                          _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.d._maximum = _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.d._length;
                          _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.d._release = 1;
                        }
                        for (_t1083_array_iter = 0; _t1083_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.d._length; _t1083_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb(_stream, _data->_u.next._buffer[_t956_array_iter]._u.three._u.s.d._buffer + _t1083_array_iter))
                              goto _flick_abort6637;
                            continue;
                            {
                            _flick_abort6637:
                              goto _flick_abort6636;
                            }
                          }
                        break;
                      _flick_abort_block6971:
                        {
                        _flick_abort6636:
                          CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.three._u.s.d._buffer);
                        _flick_abort6632:
                          goto _flick_abort_block7014;
                        _flick_abort6613:
                          CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.three._u.s.c._buffer);
                        _flick_abort6589:
                          CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.three._u.s.b.b.e._buffer);
                        _flick_abort6585:
                          goto _flick_abort6520;
                        }
                      }
                    case 4:
                      {
                        flick_khazana_decode_end_glob(55);
                        if (flick_unmarshal_stub_td_te_tu(_stream, &_data->_u.next._buffer[_t956_array_iter]._u.three._u.u))
                          goto _flick_abort6639;
                        break;
                        {
                        _flick_abort6639:
                          goto _flick_abort6520;
                        }
                      }
                    default:
                      {
                        flick_khazana_decode_end_glob(55);
                        break;
                      }
                    _flick_abort_block6967:
                      {
                        switch (_data->_u.next._buffer[_t956_array_iter]._u.three._d)
                          {
                          case 0:
                            goto _flick_abort6520;
                          case 1:
                            goto _flick_abort6520;
                          case 2:
                            goto _flick_abort6520;
                          case 3:
                            goto _flick_abort_block6971;
                          case 4:
                            goto _flick_abort6520;
                          default:
                            goto _flick_abort6520;
                          }
                      }
                    }
                  break;
                _flick_abort_block6909:
                  {
                    goto _flick_abort_block6967;
                  _flick_abort6520:
                    goto _flick_abort5762;
                  }
                }
              default:
                {
                  CORBA_unsigned_long _t1084_array_iter;

                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _data->_u.next._buffer[_t956_array_iter]._u.again._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(55);
                  {
                    struct td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t956_array_iter]._u.again._length * sizeof(struct td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6642);
                    _data->_u.next._buffer[_t956_array_iter]._u.again._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t956_array_iter]._u.again._maximum = _data->_u.next._buffer[_t956_array_iter]._u.again._length;
                    _data->_u.next._buffer[_t956_array_iter]._u.again._release = 1;
                  }
                  for (_t1084_array_iter = 0; _t1084_array_iter < _data->_u.next._buffer[_t956_array_iter]._u.again._length; _t1084_array_iter++)
                    {
                      if (flick_unmarshal_stub_td(_stream, _data->_u.next._buffer[_t956_array_iter]._u.again._buffer + _t1084_array_iter))
                        goto _flick_abort6647;
                      continue;
                      {
                      _flick_abort6647:
                        goto _flick_abort6646;
                      }
                    }
                  break;
                _flick_abort_block7023:
                  {
                  _flick_abort6646:
                    CORBA_flick_free(_data->_u.next._buffer[_t956_array_iter]._u.again._buffer);
                  _flick_abort6642:
                    goto _flick_abort5762;
                  }
                }
              _flick_abort_block6821:
                {
                  switch (_data->_u.next._buffer[_t956_array_iter]._d)
                    {
                    case 1:
                      goto _flick_abort_block6822;
                    case 2:
                      goto _flick_abort_block6859;
                    case 3:
                      goto _flick_abort_block6909;
                    default:
                      goto _flick_abort_block7023;
                    }
                }
              }
            continue;
            {
            _flick_abort6652:
              _t956_array_iter--;
              goto _flick_abort_block6821;
            _flick_abort5762:
              if ((unsigned int )_t956_array_iter > 0)
                goto _flick_abort6652;
              goto _flick_abort5761;
            }
          }
        break;
        {
        _flick_abort5761:
          CORBA_flick_free(_data->_u.next._buffer);
        _flick_abort4872:
          goto _flick_abort3085;
        }
      }
    default:
      {
        flick_khazana_decode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort3085:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td_te_tu_swap(flick_marshal_stream_t _stream, struct td_te_tu *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort6657);
  flick_khazana_decode_new_chunk(1);
  flick_cdr_swap_decode_unsigned8(0, _data->_d, CORBA_boolean );
  flick_khazana_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 1:
      {
        CORBA_unsigned_long _t1470_array_iter;

        flick_khazana_decode_new_chunk(7);
        flick_cdr_swap_decode_unsigned32(3, _data->_u.next._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(7);
        flick_khazana_decode_end_glob(8);
        if (_data->_u.next._length > 1)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort8444);
        {
          struct td *_t_alloc_ptr;

          _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(sizeof(struct td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8444);
          _data->_u.next._buffer = _t_alloc_ptr;
          _data->_u.next._maximum = 1;
          _data->_u.next._release = 1;
        }
        for (_t1470_array_iter = 0; _t1470_array_iter < _data->_u.next._length; _t1470_array_iter++)
          {
            flick_khazana_decode_new_glob(55);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(8, _flick_abort9334);
            flick_cdr_swap_decode_signed32(0, _data->_u.next._buffer[_t1470_array_iter]._d, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            switch (_data->_u.next._buffer[_t1470_array_iter]._d)
              {
              case 1:
                {
                  flick_unsigned32_t _t1567_temp_string_len;
                  CORBA_unsigned_long _t1568_array_iter;
                  CORBA_unsigned_long _t1569_array_iter;
                  CORBA_unsigned_long _t1570_array_iter;
                  flick_unsigned32_t _t1571_temp_string_len;
                  CORBA_unsigned_long _t1572_array_iter;
                  CORBA_unsigned_long _t1573_array_iter;

                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.a.a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(16, 3, 2, 0);
                  flick_khazana_check_span(16, _flick_abort10001);
                  flick_cdr_swap_decode_float64(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.a.b, CORBA_double );
                  flick_cdr_swap_decode_signed16(8, _data->_u.next._buffer[_t1470_array_iter]._u.one.a.c, CORBA_short );
                  flick_cdr_swap_decode_char8(10, _data->_u.next._buffer[_t1470_array_iter]._u.one.b.a, CORBA_char );
                  flick_cdr_swap_decode_unsigned32(12, _t1567_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(16);
                  flick_khazana_decode_end_glob(55);
                  flick_khazana_decode_new_glob(1 * _t1567_temp_string_len);
                  flick_khazana_check_span(1 * _t1567_temp_string_len, _flick_abort10001);
                  flick_khazana_decode_new_chunk(1 * _t1567_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t1567_temp_string_len * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10001);
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.b.b = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.b.b, 1 * _t1567_temp_string_len);
                  flick_khazana_decode_end_chunk(1 * _t1567_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t1567_temp_string_len);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort10004);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.b.c._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  {
                    struct ta_tc *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.one.b.c._length * sizeof(struct ta_tc )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10004);
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.b.c._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.b.c._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.one.b.c._length;
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.b.c._release = 1;
                  }
                  for (_t1568_array_iter = 0; _t1568_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.one.b.c._length; _t1568_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.one.b.c._buffer + _t1568_array_iter))
                        goto _flick_abort10009;
                      continue;
                      {
                      _flick_abort10009:
                        goto _flick_abort10008;
                      }
                    }
                  flick_khazana_decode_new_glob(28);
                  flick_khazana_check_span(4, _flick_abort10008);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.c.a.a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                  flick_khazana_check_span(20, _flick_abort10008);
                  flick_cdr_swap_decode_float64(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.c.a.b, CORBA_double );
                  flick_cdr_swap_decode_signed16(8, _data->_u.next._buffer[_t1470_array_iter]._u.one.c.a.c, CORBA_short );
                  flick_cdr_swap_decode_char8(10, _data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.a, CORBA_char );
                  flick_cdr_swap_decode_char8(11, _data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.b, CORBA_char );
                  flick_cdr_swap_decode_char8(12, _data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.c, CORBA_char );
                  flick_cdr_swap_decode_char8(13, _data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.d, CORBA_char );
                  flick_cdr_swap_decode_unsigned32(16, _data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.e._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(20);
                  flick_khazana_decode_end_glob(28);
                  {
                    struct ta_td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.e._length * sizeof(struct ta_td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10008);
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.e._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.e._length;
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.e._release = 1;
                  }
                  for (_t1569_array_iter = 0; _t1569_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.e._length; _t1569_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.e._buffer + _t1569_array_iter))
                        goto _flick_abort10015;
                      continue;
                      {
                      _flick_abort10015:
                        goto _flick_abort10014;
                      }
                    }
                  flick_khazana_decode_new_glob(4);
                  flick_khazana_check_span(4, _flick_abort10014);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.next._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(4);
                  {
                    struct ta *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.one.next._length * sizeof(struct ta )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10014);
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.next._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.next._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.one.next._length;
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.next._release = 1;
                  }
                  for (_t1570_array_iter = 0; _t1570_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.one.next._length; _t1570_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.one.next._buffer + _t1570_array_iter))
                        goto _flick_abort10021;
                      continue;
                      {
                      _flick_abort10021:
                        goto _flick_abort10020;
                      }
                    }
                  flick_khazana_decode_new_glob(24);
                  flick_khazana_check_span(24, _flick_abort10020);
                  flick_khazana_decode_new_chunk(24);
                  flick_cdr_swap_decode_signed32(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.d.a, CORBA_long );
                  flick_cdr_swap_decode_float64(8, _data->_u.next._buffer[_t1470_array_iter]._u.one.d.b, CORBA_double );
                  flick_cdr_swap_decode_signed16(16, _data->_u.next._buffer[_t1470_array_iter]._u.one.d.c, CORBA_short );
                  flick_cdr_swap_decode_char8(18, _data->_u.next._buffer[_t1470_array_iter]._u.one.e.a, CORBA_char );
                  flick_cdr_swap_decode_unsigned32(20, _t1571_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(24);
                  flick_khazana_decode_end_glob(24);
                  flick_khazana_decode_new_glob(1 * _t1571_temp_string_len);
                  flick_khazana_check_span(1 * _t1571_temp_string_len, _flick_abort10020);
                  flick_khazana_decode_new_chunk(1 * _t1571_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t1571_temp_string_len * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10020);
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.e.b = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.e.b, 1 * _t1571_temp_string_len);
                  flick_khazana_decode_end_chunk(1 * _t1571_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t1571_temp_string_len);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort10025);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.e.c._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  {
                    struct ta_tc *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.one.e.c._length * sizeof(struct ta_tc )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10025);
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.e.c._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.e.c._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.one.e.c._length;
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.e.c._release = 1;
                  }
                  for (_t1572_array_iter = 0; _t1572_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.one.e.c._length; _t1572_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.one.e.c._buffer + _t1572_array_iter))
                        goto _flick_abort10030;
                      continue;
                      {
                      _flick_abort10030:
                        goto _flick_abort10029;
                      }
                    }
                  flick_khazana_decode_new_glob(28);
                  flick_khazana_check_span(4, _flick_abort10029);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.f.a.a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                  flick_khazana_check_span(20, _flick_abort10029);
                  flick_cdr_swap_decode_float64(0, _data->_u.next._buffer[_t1470_array_iter]._u.one.f.a.b, CORBA_double );
                  flick_cdr_swap_decode_signed16(8, _data->_u.next._buffer[_t1470_array_iter]._u.one.f.a.c, CORBA_short );
                  flick_cdr_swap_decode_char8(10, _data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.a, CORBA_char );
                  flick_cdr_swap_decode_char8(11, _data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.b, CORBA_char );
                  flick_cdr_swap_decode_char8(12, _data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.c, CORBA_char );
                  flick_cdr_swap_decode_char8(13, _data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.d, CORBA_char );
                  flick_cdr_swap_decode_unsigned32(16, _data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.e._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(20);
                  flick_khazana_decode_end_glob(28);
                  {
                    struct ta_td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.e._length * sizeof(struct ta_td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10029);
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.e._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.e._length;
                    _data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.e._release = 1;
                  }
                  for (_t1573_array_iter = 0; _t1573_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.e._length; _t1573_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.e._buffer + _t1573_array_iter))
                        goto _flick_abort10036;
                      continue;
                      {
                      _flick_abort10036:
                        goto _flick_abort10035;
                      }
                    }
                  break;
                _flick_abort_block10194:
                  {
                  _flick_abort10035:
                    CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.one.f.b.e._buffer);
                  _flick_abort10029:
                    CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.one.e.c._buffer);
                  _flick_abort10025:
                    CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.one.e.b);
                  _flick_abort10020:
                    CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.one.next._buffer);
                  _flick_abort10014:
                    CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.one.c.b.e._buffer);
                  _flick_abort10008:
                    CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.one.b.c._buffer);
                  _flick_abort10004:
                    CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.one.b.b);
                  _flick_abort10001:
                    goto _flick_abort9334;
                  }
                }
              case 2:
                {
                  CORBA_unsigned_long _t1574_array_iter;
                  CORBA_unsigned_long _t1578_array_iter;
                  CORBA_unsigned_long _t1581_array_iter;

                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.next._buffer[_t1470_array_iter]._u.two.a.a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
                  flick_khazana_check_span(36, _flick_abort10038);
                  flick_cdr_swap_decode_float64(0, _data->_u.next._buffer[_t1470_array_iter]._u.two.a.b, CORBA_double );
                  flick_cdr_swap_decode_signed16(8, _data->_u.next._buffer[_t1470_array_iter]._u.two.a.c, CORBA_short );
                  flick_cdr_swap_decode_signed32(12, _data->_u.next._buffer[_t1470_array_iter]._u.two.b.a.a, CORBA_long );
                  flick_cdr_swap_decode_float64(16, _data->_u.next._buffer[_t1470_array_iter]._u.two.b.a.b, CORBA_double );
                  flick_cdr_swap_decode_signed16(24, _data->_u.next._buffer[_t1470_array_iter]._u.two.b.a.c, CORBA_short );
                  flick_cdr_swap_decode_char8(26, _data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.a, CORBA_char );
                  flick_cdr_swap_decode_char8(27, _data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.b, CORBA_char );
                  flick_cdr_swap_decode_char8(28, _data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.c, CORBA_char );
                  flick_cdr_swap_decode_char8(29, _data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.d, CORBA_char );
                  flick_cdr_swap_decode_unsigned32(32, _data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.e._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(36);
                  flick_khazana_decode_end_glob(55);
                  {
                    struct ta_td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.e._length * sizeof(struct ta_td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10038);
                    _data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.e._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.e._length;
                    _data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.e._release = 1;
                  }
                  for (_t1574_array_iter = 0; _t1574_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.e._length; _t1574_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.e._buffer + _t1574_array_iter))
                        goto _flick_abort10043;
                      continue;
                      {
                      _flick_abort10043:
                        goto _flick_abort10042;
                      }
                    }
                  flick_khazana_decode_new_glob(4);
                  flick_khazana_check_span(4, _flick_abort10042);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next._buffer[_t1470_array_iter]._u.two.c._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(4);
                  {
                    struct ta_td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.two.c._length * sizeof(struct ta_td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10042);
                    _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t1470_array_iter]._u.two.c._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.two.c._length;
                    _data->_u.next._buffer[_t1470_array_iter]._u.two.c._release = 1;
                  }
                  for (_t1578_array_iter = 0; _t1578_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.two.c._length; _t1578_array_iter++)
                    {
                      CORBA_unsigned_long _t1580_array_iter;

                      flick_khazana_decode_new_glob(28);
                      flick_khazana_check_span(4, _flick_abort10067);
                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].a.a, CORBA_long );
                      flick_khazana_decode_end_chunk(4);
                      flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                      flick_khazana_check_span(20, _flick_abort10067);
                      flick_cdr_swap_decode_float64(0, _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].a.b, CORBA_double );
                      flick_cdr_swap_decode_signed16(8, _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].a.c, CORBA_short );
                      flick_cdr_swap_decode_char8(10, _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.a, CORBA_char );
                      flick_cdr_swap_decode_char8(11, _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.b, CORBA_char );
                      flick_cdr_swap_decode_char8(12, _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.c, CORBA_char );
                      flick_cdr_swap_decode_char8(13, _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.d, CORBA_char );
                      flick_cdr_swap_decode_unsigned32(16, _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.e._length, CORBA_unsigned_long );
                      flick_khazana_decode_end_chunk(20);
                      flick_khazana_decode_end_glob(28);
                      {
                        struct ta_td *_t_alloc_ptr;

                        _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.e._length * sizeof(struct ta_td )));
                        if (!_t_alloc_ptr)
                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10067);
                        _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.e._buffer = _t_alloc_ptr;
                        _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.e._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.e._length;
                        _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.e._release = 1;
                      }
                      for (_t1580_array_iter = 0; _t1580_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.e._length; _t1580_array_iter++)
                        {
                          if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.e._buffer + _t1580_array_iter))
                            goto _flick_abort10079;
                          continue;
                          {
                          _flick_abort10079:
                            goto _flick_abort10078;
                          }
                        }
                      continue;
                    _flick_abort_block10274:
                      {
                        _t1578_array_iter = _data->_u.next._buffer[_t1470_array_iter]._u.two.c._length;
                      _flick_abort10083:
                        _t1578_array_iter--;
                      _flick_abort10078:
                        CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer[_t1578_array_iter].b.e._buffer);
                      _flick_abort10067:
                        if ((unsigned int )_t1578_array_iter > 0)
                          goto _flick_abort10083;
                        goto _flick_abort10066;
                      }
                    }
                  flick_khazana_decode_new_glob(4);
                  flick_khazana_check_span(4, _flick_abort10085);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next._buffer[_t1470_array_iter]._u.two.d._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(4);
                  {
                    struct tb *_t_alloc_ptr;

                    _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.two.d._length * sizeof(struct tb )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10085);
                    _data->_u.next._buffer[_t1470_array_iter]._u.two.d._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t1470_array_iter]._u.two.d._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.two.d._length;
                    _data->_u.next._buffer[_t1470_array_iter]._u.two.d._release = 1;
                  }
                  for (_t1581_array_iter = 0; _t1581_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.two.d._length; _t1581_array_iter++)
                    {
                      if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.two.d._buffer + _t1581_array_iter))
                        goto _flick_abort10090;
                      continue;
                      {
                      _flick_abort10090:
                        goto _flick_abort10089;
                      }
                    }
                  break;
                _flick_abort_block10231:
                  {
                  _flick_abort10089:
                    CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.two.d._buffer);
                  _flick_abort10085:
                    goto _flick_abort_block10274;
                  _flick_abort10066:
                    CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.two.c._buffer);
                  _flick_abort10042:
                    CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.two.b.b.e._buffer);
                  _flick_abort10038:
                    goto _flick_abort9334;
                  }
                }
              case 3:
                {
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next._buffer[_t1470_array_iter]._u.three._d, CORBA_enum );
                  flick_khazana_decode_end_chunk(4);
                  switch (_data->_u.next._buffer[_t1470_array_iter]._u.three._d)
                    {
                    case 0:
                      {
                        flick_khazana_check_span(4, _flick_abort10154);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.x, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(55);
                        break;
                        {
                        _flick_abort10154:
                          goto _flick_abort10092;
                        }
                      }
                    case 1:
                      {
                        flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
                        flick_khazana_check_span(8, _flick_abort10155);
                        flick_cdr_swap_decode_float64(0, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.y, CORBA_double );
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(55);
                        break;
                        {
                        _flick_abort10155:
                          goto _flick_abort10092;
                        }
                      }
                    case 2:
                      {
                        flick_khazana_check_span(1, _flick_abort10156);
                        flick_khazana_decode_new_chunk(1);
                        flick_cdr_swap_decode_unsigned8(0, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.z, CORBA_boolean );
                        flick_khazana_decode_end_chunk(1);
                        flick_khazana_decode_end_glob(55);
                        break;
                        {
                        _flick_abort10156:
                          goto _flick_abort10092;
                        }
                      }
                    case 3:
                      {
                        CORBA_unsigned_long _t1590_array_iter;
                        CORBA_unsigned_long _t1594_array_iter;
                        CORBA_unsigned_long _t1597_array_iter;

                        flick_khazana_check_span(4, _flick_abort10157);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
                        flick_khazana_check_span(36, _flick_abort10157);
                        flick_cdr_swap_decode_float64(0, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.a.c, CORBA_short );
                        flick_cdr_swap_decode_signed32(12, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.a.a, CORBA_long );
                        flick_cdr_swap_decode_float64(16, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(24, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(26, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.a, CORBA_char );
                        flick_cdr_swap_decode_char8(27, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.b, CORBA_char );
                        flick_cdr_swap_decode_char8(28, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.c, CORBA_char );
                        flick_cdr_swap_decode_char8(29, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(32, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(36);
                        flick_khazana_decode_end_glob(55);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10157);
                          _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.e._buffer = _t_alloc_ptr;
                          _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.e._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.e._length;
                          _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.e._release = 1;
                        }
                        for (_t1590_array_iter = 0; _t1590_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.e._length; _t1590_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.e._buffer + _t1590_array_iter))
                              goto _flick_abort10162;
                            continue;
                            {
                            _flick_abort10162:
                              goto _flick_abort10161;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort10161);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10161);
                          _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer = _t_alloc_ptr;
                          _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._length;
                          _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._release = 1;
                        }
                        for (_t1594_array_iter = 0; _t1594_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._length; _t1594_array_iter++)
                          {
                            CORBA_unsigned_long _t1596_array_iter;

                            flick_khazana_decode_new_glob(28);
                            flick_khazana_check_span(4, _flick_abort10186);
                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].a.a, CORBA_long );
                            flick_khazana_decode_end_chunk(4);
                            flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                            flick_khazana_check_span(20, _flick_abort10186);
                            flick_cdr_swap_decode_float64(0, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].a.b, CORBA_double );
                            flick_cdr_swap_decode_signed16(8, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].a.c, CORBA_short );
                            flick_cdr_swap_decode_char8(10, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.a, CORBA_char );
                            flick_cdr_swap_decode_char8(11, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.b, CORBA_char );
                            flick_cdr_swap_decode_char8(12, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.c, CORBA_char );
                            flick_cdr_swap_decode_char8(13, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.d, CORBA_char );
                            flick_cdr_swap_decode_unsigned32(16, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.e._length, CORBA_unsigned_long );
                            flick_khazana_decode_end_chunk(20);
                            flick_khazana_decode_end_glob(28);
                            {
                              struct ta_td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.e._length * sizeof(struct ta_td )));
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10186);
                              _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.e._buffer = _t_alloc_ptr;
                              _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.e._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.e._length;
                              _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.e._release = 1;
                            }
                            for (_t1596_array_iter = 0; _t1596_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.e._length; _t1596_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.e._buffer + _t1596_array_iter))
                                  goto _flick_abort10198;
                                continue;
                                {
                                _flick_abort10198:
                                  goto _flick_abort10197;
                                }
                              }
                            continue;
                          _flick_abort_block10386:
                            {
                              _t1594_array_iter = _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._length;
                            _flick_abort10202:
                              _t1594_array_iter--;
                            _flick_abort10197:
                              CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer[_t1594_array_iter].b.e._buffer);
                            _flick_abort10186:
                              if ((unsigned int )_t1594_array_iter > 0)
                                goto _flick_abort10202;
                              goto _flick_abort10185;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort10204);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.d._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.d._length * sizeof(struct tb )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10204);
                          _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.d._buffer = _t_alloc_ptr;
                          _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.d._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.d._length;
                          _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.d._release = 1;
                        }
                        for (_t1597_array_iter = 0; _t1597_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.d._length; _t1597_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.d._buffer + _t1597_array_iter))
                              goto _flick_abort10209;
                            continue;
                            {
                            _flick_abort10209:
                              goto _flick_abort10208;
                            }
                          }
                        break;
                      _flick_abort_block10343:
                        {
                        _flick_abort10208:
                          CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.d._buffer);
                        _flick_abort10204:
                          goto _flick_abort_block10386;
                        _flick_abort10185:
                          CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.c._buffer);
                        _flick_abort10161:
                          CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.three._u.s.b.b.e._buffer);
                        _flick_abort10157:
                          goto _flick_abort10092;
                        }
                      }
                    case 4:
                      {
                        flick_khazana_decode_end_glob(55);
                        if (flick_unmarshal_stub_td_te_tu_swap(_stream, &_data->_u.next._buffer[_t1470_array_iter]._u.three._u.u))
                          goto _flick_abort10211;
                        break;
                        {
                        _flick_abort10211:
                          goto _flick_abort10092;
                        }
                      }
                    default:
                      {
                        flick_khazana_decode_end_glob(55);
                        break;
                      }
                    _flick_abort_block10339:
                      {
                        switch (_data->_u.next._buffer[_t1470_array_iter]._u.three._d)
                          {
                          case 0:
                            goto _flick_abort10092;
                          case 1:
                            goto _flick_abort10092;
                          case 2:
                            goto _flick_abort10092;
                          case 3:
                            goto _flick_abort_block10343;
                          case 4:
                            goto _flick_abort10092;
                          default:
                            goto _flick_abort10092;
                          }
                      }
                    }
                  break;
                _flick_abort_block10281:
                  {
                    goto _flick_abort_block10339;
                  _flick_abort10092:
                    goto _flick_abort9334;
                  }
                }
              default:
                {
                  CORBA_unsigned_long _t1598_array_iter;

                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next._buffer[_t1470_array_iter]._u.again._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(55);
                  {
                    struct td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(_data->_u.next._buffer[_t1470_array_iter]._u.again._length * sizeof(struct td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10214);
                    _data->_u.next._buffer[_t1470_array_iter]._u.again._buffer = _t_alloc_ptr;
                    _data->_u.next._buffer[_t1470_array_iter]._u.again._maximum = _data->_u.next._buffer[_t1470_array_iter]._u.again._length;
                    _data->_u.next._buffer[_t1470_array_iter]._u.again._release = 1;
                  }
                  for (_t1598_array_iter = 0; _t1598_array_iter < _data->_u.next._buffer[_t1470_array_iter]._u.again._length; _t1598_array_iter++)
                    {
                      if (flick_unmarshal_stub_td_swap(_stream, _data->_u.next._buffer[_t1470_array_iter]._u.again._buffer + _t1598_array_iter))
                        goto _flick_abort10219;
                      continue;
                      {
                      _flick_abort10219:
                        goto _flick_abort10218;
                      }
                    }
                  break;
                _flick_abort_block10395:
                  {
                  _flick_abort10218:
                    CORBA_flick_free(_data->_u.next._buffer[_t1470_array_iter]._u.again._buffer);
                  _flick_abort10214:
                    goto _flick_abort9334;
                  }
                }
              _flick_abort_block10193:
                {
                  switch (_data->_u.next._buffer[_t1470_array_iter]._d)
                    {
                    case 1:
                      goto _flick_abort_block10194;
                    case 2:
                      goto _flick_abort_block10231;
                    case 3:
                      goto _flick_abort_block10281;
                    default:
                      goto _flick_abort_block10395;
                    }
                }
              }
            continue;
            {
            _flick_abort10224:
              _t1470_array_iter--;
              goto _flick_abort_block10193;
            _flick_abort9334:
              if ((unsigned int )_t1470_array_iter > 0)
                goto _flick_abort10224;
              goto _flick_abort9333;
            }
          }
        break;
        {
        _flick_abort9333:
          CORBA_flick_free(_data->_u.next._buffer);
        _flick_abort8444:
          goto _flick_abort6657;
        }
      }
    default:
      {
        flick_khazana_decode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort6657:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_td_te(flick_marshal_stream_t _stream, struct td_te *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(48, _flick_abort10229);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_d, CORBA_enum );
  flick_khazana_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 0:
      {
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x, CORBA_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_end_glob(48);
        break;
      }
    case 1:
      {
        flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.y, CORBA_double );
        flick_khazana_encode_end_chunk(8);
        flick_khazana_encode_end_glob(48);
        break;
      }
    case 2:
      {
        flick_khazana_encode_new_chunk(1);
        flick_cdr_encode_unsigned8(0, _data->_u.z, CORBA_boolean );
        flick_khazana_encode_end_chunk(1);
        flick_khazana_encode_end_glob(48);
        break;
      }
    case 3:
      {
        CORBA_unsigned_long _t1865_array_iter;
        CORBA_unsigned_long _t1869_array_iter;
        CORBA_unsigned_long _t1872_array_iter;

        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.s.a.a, CORBA_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_new_chunk_align(36, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.s.a.b, CORBA_double );
        flick_cdr_encode_signed16(8, _data->_u.s.a.c, CORBA_short );
        flick_cdr_encode_signed32(12, _data->_u.s.b.a.a, CORBA_long );
        flick_cdr_encode_float64(16, _data->_u.s.b.a.b, CORBA_double );
        flick_cdr_encode_signed16(24, _data->_u.s.b.a.c, CORBA_short );
        flick_cdr_encode_char8(26, _data->_u.s.b.b.a, CORBA_char );
        flick_cdr_encode_char8(27, _data->_u.s.b.b.b, CORBA_char );
        flick_cdr_encode_char8(28, _data->_u.s.b.b.c, CORBA_char );
        flick_cdr_encode_char8(29, _data->_u.s.b.b.d, CORBA_char );
        flick_cdr_encode_unsigned32(32, _data->_u.s.b.b.e._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(36);
        flick_khazana_encode_end_glob(48);
        for (_t1865_array_iter = 0; _t1865_array_iter < _data->_u.s.b.b.e._length; _t1865_array_iter++)
          {
            if (flick_marshal_stub_ta_td(_stream, _data->_u.s.b.b.e._buffer + _t1865_array_iter))
              goto _flick_abort11553;
            continue;
            {
            _flick_abort11553:
              goto _flick_abort11549;
            }
          }
        if (_data->_u.s.b.b.e._release)
          CORBA_flick_free(_data->_u.s.b.b.e._buffer);
        _data->_u.s.b.b.e._maximum = 0;
        _data->_u.s.b.b.e._release = 0;
        flick_khazana_encode_new_glob(4, _flick_abort11549);
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.s.c._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_end_glob(4);
        for (_t1869_array_iter = 0; _t1869_array_iter < _data->_u.s.c._length; _t1869_array_iter++)
          {
            CORBA_unsigned_long _t1871_array_iter;

            flick_khazana_encode_new_glob(28, _flick_abort11573);
            flick_khazana_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _data->_u.s.c._buffer[_t1869_array_iter].a.a, CORBA_long );
            flick_khazana_encode_end_chunk(4);
            flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
            flick_cdr_encode_float64(0, _data->_u.s.c._buffer[_t1869_array_iter].a.b, CORBA_double );
            flick_cdr_encode_signed16(8, _data->_u.s.c._buffer[_t1869_array_iter].a.c, CORBA_short );
            flick_cdr_encode_char8(10, _data->_u.s.c._buffer[_t1869_array_iter].b.a, CORBA_char );
            flick_cdr_encode_char8(11, _data->_u.s.c._buffer[_t1869_array_iter].b.b, CORBA_char );
            flick_cdr_encode_char8(12, _data->_u.s.c._buffer[_t1869_array_iter].b.c, CORBA_char );
            flick_cdr_encode_char8(13, _data->_u.s.c._buffer[_t1869_array_iter].b.d, CORBA_char );
            flick_cdr_encode_unsigned32(16, _data->_u.s.c._buffer[_t1869_array_iter].b.e._length, CORBA_unsigned_long );
            flick_khazana_encode_end_chunk(20);
            flick_khazana_encode_end_glob(28);
            for (_t1871_array_iter = 0; _t1871_array_iter < _data->_u.s.c._buffer[_t1869_array_iter].b.e._length; _t1871_array_iter++)
              {
                if (flick_marshal_stub_ta_td(_stream, _data->_u.s.c._buffer[_t1869_array_iter].b.e._buffer + _t1871_array_iter))
                  goto _flick_abort11583;
                continue;
                {
                _flick_abort11583:
                  goto _flick_abort11573;
                }
              }
            if (_data->_u.s.c._buffer[_t1869_array_iter].b.e._release)
              CORBA_flick_free(_data->_u.s.c._buffer[_t1869_array_iter].b.e._buffer);
            _data->_u.s.c._buffer[_t1869_array_iter].b.e._maximum = 0;
            _data->_u.s.c._buffer[_t1869_array_iter].b.e._release = 0;
            continue;
            {
            _flick_abort11573:
              goto _flick_abort11549;
            }
          }
        if (_data->_u.s.c._release)
          CORBA_flick_free(_data->_u.s.c._buffer);
        _data->_u.s.c._maximum = 0;
        _data->_u.s.c._release = 0;
        flick_khazana_encode_new_glob(4, _flick_abort11549);
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.s.d._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_end_glob(4);
        for (_t1872_array_iter = 0; _t1872_array_iter < _data->_u.s.d._length; _t1872_array_iter++)
          {
            if (flick_marshal_stub_tb(_stream, _data->_u.s.d._buffer + _t1872_array_iter))
              goto _flick_abort11588;
            continue;
            {
            _flick_abort11588:
              goto _flick_abort11549;
            }
          }
        if (_data->_u.s.d._release)
          CORBA_flick_free(_data->_u.s.d._buffer);
        _data->_u.s.d._maximum = 0;
        _data->_u.s.d._release = 0;
        break;
        {
        _flick_abort11549:
          goto _flick_abort10229;
        }
      }
    case 4:
      {
        flick_khazana_encode_new_chunk(1);
        flick_cdr_encode_unsigned8(0, _data->_u.u._d, CORBA_boolean );
        flick_khazana_encode_end_chunk(1);
        switch (_data->_u.u._d)
          {
          case 1:
            {
              CORBA_unsigned_long _t2066_array_iter;

              flick_khazana_encode_new_chunk(7);
              flick_cdr_encode_unsigned32(3, _data->_u.u._u.next._length, CORBA_unsigned_long );
              flick_khazana_encode_end_chunk(7);
              flick_khazana_encode_end_glob(48);
              if (_data->_u.u._u.next._length > 1)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort12226);
              for (_t2066_array_iter = 0; _t2066_array_iter < _data->_u.u._u.next._length; _t2066_array_iter++)
                {
                  flick_khazana_encode_new_glob(48, _flick_abort12543);
                  flick_khazana_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._d, CORBA_long );
                  flick_khazana_encode_end_chunk(4);
                  switch (_data->_u.u._u.next._buffer[_t2066_array_iter]._d)
                    {
                    case 1:
                      {
                        flick_unsigned32_t _t2115_temp_string_len;
                        CORBA_unsigned_long _t2116_array_iter;
                        CORBA_unsigned_long _t2117_array_iter;
                        CORBA_unsigned_long _t2118_array_iter;
                        flick_unsigned32_t _t2119_temp_string_len;
                        CORBA_unsigned_long _t2120_array_iter;
                        CORBA_unsigned_long _t2121_array_iter;

                        flick_cdr_stringlen(CORBA_char *, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.b.b, flick_unsigned32_t , _t2115_temp_string_len);
                        flick_cdr_stringlen(CORBA_char *, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.e.b, flick_unsigned32_t , _t2119_temp_string_len);

                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.a.a, CORBA_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_new_chunk_align(16, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.a.b, CORBA_double );
                        flick_cdr_encode_signed16(8, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.a.c, CORBA_short );
                        flick_cdr_encode_char8(10, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.b.a, CORBA_char );
                        flick_cdr_encode_unsigned32(12, _t2115_temp_string_len, flick_unsigned32_t );
                        flick_khazana_encode_end_chunk(16);
                        flick_khazana_encode_end_glob(48);
                        flick_khazana_encode_new_glob(1 * _t2115_temp_string_len, _flick_abort12781);
                        flick_khazana_encode_new_chunk(1 * _t2115_temp_string_len);
                        flick_cdr_encode_bcopy(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.b.b, 1 * _t2115_temp_string_len);
                        CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.b.b);
                        flick_khazana_encode_end_chunk(1 * _t2115_temp_string_len);
                        flick_khazana_encode_end_glob(1 * _t2115_temp_string_len);
                        flick_khazana_encode_new_glob(7, _flick_abort12781);
                        flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_encode_unsigned32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.b.c._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_end_glob(7);
                        for (_t2116_array_iter = 0; _t2116_array_iter < _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.b.c._length; _t2116_array_iter++)
                          {
                            if (flick_marshal_stub_ta_tc(_stream, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.b.c._buffer + _t2116_array_iter))
                              goto _flick_abort12787;
                            continue;
                            {
                            _flick_abort12787:
                              goto _flick_abort12781;
                            }
                          }
                        if (_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.b.c._release)
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.b.c._buffer);
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.b.c._maximum = 0;
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.b.c._release = 0;
                        flick_khazana_encode_new_glob(28, _flick_abort12781);
                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.a.a, CORBA_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.a.b, CORBA_double );
                        flick_cdr_encode_signed16(8, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.a.c, CORBA_short );
                        flick_cdr_encode_char8(10, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.b.a, CORBA_char );
                        flick_cdr_encode_char8(11, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.b.b, CORBA_char );
                        flick_cdr_encode_char8(12, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.b.c, CORBA_char );
                        flick_cdr_encode_char8(13, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.b.d, CORBA_char );
                        flick_cdr_encode_unsigned32(16, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.b.e._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(20);
                        flick_khazana_encode_end_glob(28);
                        for (_t2117_array_iter = 0; _t2117_array_iter < _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.b.e._length; _t2117_array_iter++)
                          {
                            if (flick_marshal_stub_ta_td(_stream, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.b.e._buffer + _t2117_array_iter))
                              goto _flick_abort12792;
                            continue;
                            {
                            _flick_abort12792:
                              goto _flick_abort12781;
                            }
                          }
                        if (_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.b.e._release)
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.b.e._buffer);
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.b.e._maximum = 0;
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.c.b.e._release = 0;
                        flick_khazana_encode_new_glob(4, _flick_abort12781);
                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.next._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_end_glob(4);
                        for (_t2118_array_iter = 0; _t2118_array_iter < _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.next._length; _t2118_array_iter++)
                          {
                            if (flick_marshal_stub_ta(_stream, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.next._buffer + _t2118_array_iter))
                              goto _flick_abort12797;
                            continue;
                            {
                            _flick_abort12797:
                              goto _flick_abort12781;
                            }
                          }
                        if (_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.next._release)
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.next._buffer);
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.next._maximum = 0;
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.next._release = 0;
                        flick_khazana_encode_new_glob(24, _flick_abort12781);
                        flick_khazana_encode_new_chunk(24);
                        flick_cdr_encode_signed32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.d.a, CORBA_long );
                        flick_cdr_encode_float64(8, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.d.b, CORBA_double );
                        flick_cdr_encode_signed16(16, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.d.c, CORBA_short );
                        flick_cdr_encode_char8(18, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.e.a, CORBA_char );
                        flick_cdr_encode_unsigned32(20, _t2119_temp_string_len, flick_unsigned32_t );
                        flick_khazana_encode_end_chunk(24);
                        flick_khazana_encode_end_glob(24);
                        flick_khazana_encode_new_glob(1 * _t2119_temp_string_len, _flick_abort12781);
                        flick_khazana_encode_new_chunk(1 * _t2119_temp_string_len);
                        flick_cdr_encode_bcopy(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.e.b, 1 * _t2119_temp_string_len);
                        CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.e.b);
                        flick_khazana_encode_end_chunk(1 * _t2119_temp_string_len);
                        flick_khazana_encode_end_glob(1 * _t2119_temp_string_len);
                        flick_khazana_encode_new_glob(7, _flick_abort12781);
                        flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_encode_unsigned32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.e.c._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_end_glob(7);
                        for (_t2120_array_iter = 0; _t2120_array_iter < _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.e.c._length; _t2120_array_iter++)
                          {
                            if (flick_marshal_stub_ta_tc(_stream, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.e.c._buffer + _t2120_array_iter))
                              goto _flick_abort12804;
                            continue;
                            {
                            _flick_abort12804:
                              goto _flick_abort12781;
                            }
                          }
                        if (_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.e.c._release)
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.e.c._buffer);
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.e.c._maximum = 0;
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.e.c._release = 0;
                        flick_khazana_encode_new_glob(28, _flick_abort12781);
                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.a.a, CORBA_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.a.b, CORBA_double );
                        flick_cdr_encode_signed16(8, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.a.c, CORBA_short );
                        flick_cdr_encode_char8(10, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.b.a, CORBA_char );
                        flick_cdr_encode_char8(11, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.b.b, CORBA_char );
                        flick_cdr_encode_char8(12, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.b.c, CORBA_char );
                        flick_cdr_encode_char8(13, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.b.d, CORBA_char );
                        flick_cdr_encode_unsigned32(16, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.b.e._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(20);
                        flick_khazana_encode_end_glob(28);
                        for (_t2121_array_iter = 0; _t2121_array_iter < _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.b.e._length; _t2121_array_iter++)
                          {
                            if (flick_marshal_stub_ta_td(_stream, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.b.e._buffer + _t2121_array_iter))
                              goto _flick_abort12809;
                            continue;
                            {
                            _flick_abort12809:
                              goto _flick_abort12781;
                            }
                          }
                        if (_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.b.e._release)
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.b.e._buffer);
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.b.e._maximum = 0;
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.one.f.b.e._release = 0;
                        break;
                        {
                        _flick_abort12781:
                          goto _flick_abort12543;
                        }
                      }
                    case 2:
                      {
                        CORBA_unsigned_long _t2122_array_iter;
                        CORBA_unsigned_long _t2126_array_iter;
                        CORBA_unsigned_long _t2129_array_iter;

                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.a.a, CORBA_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_new_chunk_align(36, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.a.b, CORBA_double );
                        flick_cdr_encode_signed16(8, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.a.c, CORBA_short );
                        flick_cdr_encode_signed32(12, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.a.a, CORBA_long );
                        flick_cdr_encode_float64(16, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.a.b, CORBA_double );
                        flick_cdr_encode_signed16(24, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.a.c, CORBA_short );
                        flick_cdr_encode_char8(26, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.b.a, CORBA_char );
                        flick_cdr_encode_char8(27, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.b.b, CORBA_char );
                        flick_cdr_encode_char8(28, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.b.c, CORBA_char );
                        flick_cdr_encode_char8(29, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.b.d, CORBA_char );
                        flick_cdr_encode_unsigned32(32, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.b.e._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(36);
                        flick_khazana_encode_end_glob(48);
                        for (_t2122_array_iter = 0; _t2122_array_iter < _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.b.e._length; _t2122_array_iter++)
                          {
                            if (flick_marshal_stub_ta_td(_stream, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.b.e._buffer + _t2122_array_iter))
                              goto _flick_abort12815;
                            continue;
                            {
                            _flick_abort12815:
                              goto _flick_abort12811;
                            }
                          }
                        if (_data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.b.e._release)
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.b.e._buffer);
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.b.e._maximum = 0;
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.b.b.e._release = 0;
                        flick_khazana_encode_new_glob(4, _flick_abort12811);
                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_end_glob(4);
                        for (_t2126_array_iter = 0; _t2126_array_iter < _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._length; _t2126_array_iter++)
                          {
                            CORBA_unsigned_long _t2128_array_iter;

                            flick_khazana_encode_new_glob(28, _flick_abort12835);
                            flick_khazana_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].a.a, CORBA_long );
                            flick_khazana_encode_end_chunk(4);
                            flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
                            flick_cdr_encode_float64(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].a.b, CORBA_double );
                            flick_cdr_encode_signed16(8, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].a.c, CORBA_short );
                            flick_cdr_encode_char8(10, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].b.a, CORBA_char );
                            flick_cdr_encode_char8(11, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].b.b, CORBA_char );
                            flick_cdr_encode_char8(12, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].b.c, CORBA_char );
                            flick_cdr_encode_char8(13, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].b.d, CORBA_char );
                            flick_cdr_encode_unsigned32(16, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].b.e._length, CORBA_unsigned_long );
                            flick_khazana_encode_end_chunk(20);
                            flick_khazana_encode_end_glob(28);
                            for (_t2128_array_iter = 0; _t2128_array_iter < _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].b.e._length; _t2128_array_iter++)
                              {
                                if (flick_marshal_stub_ta_td(_stream, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].b.e._buffer + _t2128_array_iter))
                                  goto _flick_abort12845;
                                continue;
                                {
                                _flick_abort12845:
                                  goto _flick_abort12835;
                                }
                              }
                            if (_data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].b.e._release)
                              CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].b.e._buffer);
                            _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].b.e._maximum = 0;
                            _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer[_t2126_array_iter].b.e._release = 0;
                            continue;
                            {
                            _flick_abort12835:
                              goto _flick_abort12811;
                            }
                          }
                        if (_data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._release)
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._buffer);
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._maximum = 0;
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.c._release = 0;
                        flick_khazana_encode_new_glob(4, _flick_abort12811);
                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.d._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_end_glob(4);
                        for (_t2129_array_iter = 0; _t2129_array_iter < _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.d._length; _t2129_array_iter++)
                          {
                            if (flick_marshal_stub_tb(_stream, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.d._buffer + _t2129_array_iter))
                              goto _flick_abort12850;
                            continue;
                            {
                            _flick_abort12850:
                              goto _flick_abort12811;
                            }
                          }
                        if (_data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.d._release)
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.d._buffer);
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.d._maximum = 0;
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.two.d._release = 0;
                        break;
                        {
                        _flick_abort12811:
                          goto _flick_abort12543;
                        }
                      }
                    case 3:
                      {
                        flick_khazana_encode_end_glob(48);
                        if (flick_marshal_stub_td_te(_stream, &_data->_u.u._u.next._buffer[_t2066_array_iter]._u.three))
                          goto _flick_abort12852;
                        break;
                        {
                        _flick_abort12852:
                          goto _flick_abort12543;
                        }
                      }
                    default:
                      {
                        CORBA_unsigned_long _t2130_array_iter;

                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.again._length, CORBA_unsigned_long );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_end_glob(48);
                        for (_t2130_array_iter = 0; _t2130_array_iter < _data->_u.u._u.next._buffer[_t2066_array_iter]._u.again._length; _t2130_array_iter++)
                          {
                            if (flick_marshal_stub_td(_stream, _data->_u.u._u.next._buffer[_t2066_array_iter]._u.again._buffer + _t2130_array_iter))
                              goto _flick_abort12857;
                            continue;
                            {
                            _flick_abort12857:
                              goto _flick_abort12853;
                            }
                          }
                        if (_data->_u.u._u.next._buffer[_t2066_array_iter]._u.again._release)
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2066_array_iter]._u.again._buffer);
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.again._maximum = 0;
                        _data->_u.u._u.next._buffer[_t2066_array_iter]._u.again._release = 0;
                        break;
                        {
                        _flick_abort12853:
                          goto _flick_abort12543;
                        }
                      }
                    }
                  continue;
                  {
                  _flick_abort12543:
                    goto _flick_abort12226;
                  }
                }
              if (_data->_u.u._u.next._release)
                CORBA_flick_free(_data->_u.u._u.next._buffer);
              _data->_u.u._u.next._maximum = 0;
              _data->_u.u._u.next._release = 0;
              break;
              {
              _flick_abort12226:
                goto _flick_abort11590;
              }
            }
          default:
            {
              flick_khazana_encode_end_glob(48);
              break;
            }
          }
        break;
        {
        _flick_abort11590:
          goto _flick_abort10229;
        }
      }
    default:
      {
        flick_khazana_encode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort10229:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td_te(flick_marshal_stream_t _stream, struct td_te *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(48);
  flick_khazana_check_span(4, _flick_abort12861);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_d, CORBA_enum );
  flick_khazana_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 0:
      {
        flick_khazana_check_span(4, _flick_abort14558);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(48);
        break;
        {
        _flick_abort14558:
          goto _flick_abort12861;
        }
      }
    case 1:
      {
        flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
        flick_khazana_check_span(8, _flick_abort14559);
        flick_cdr_decode_float64(0, _data->_u.y, CORBA_double );
        flick_khazana_decode_end_chunk(8);
        flick_khazana_decode_end_glob(48);
        break;
        {
        _flick_abort14559:
          goto _flick_abort12861;
        }
      }
    case 2:
      {
        flick_khazana_check_span(1, _flick_abort14560);
        flick_khazana_decode_new_chunk(1);
        flick_cdr_decode_unsigned8(0, _data->_u.z, CORBA_boolean );
        flick_khazana_decode_end_chunk(1);
        flick_khazana_decode_end_glob(48);
        break;
        {
        _flick_abort14560:
          goto _flick_abort12861;
        }
      }
    case 3:
      {
        CORBA_unsigned_long _t2397_array_iter;
        CORBA_unsigned_long _t2401_array_iter;
        CORBA_unsigned_long _t2404_array_iter;

        flick_khazana_check_span(4, _flick_abort14561);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.s.a.a, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
        flick_khazana_check_span(36, _flick_abort14561);
        flick_cdr_decode_float64(0, _data->_u.s.a.b, CORBA_double );
        flick_cdr_decode_signed16(8, _data->_u.s.a.c, CORBA_short );
        flick_cdr_decode_signed32(12, _data->_u.s.b.a.a, CORBA_long );
        flick_cdr_decode_float64(16, _data->_u.s.b.a.b, CORBA_double );
        flick_cdr_decode_signed16(24, _data->_u.s.b.a.c, CORBA_short );
        flick_cdr_decode_char8(26, _data->_u.s.b.b.a, CORBA_char );
        flick_cdr_decode_char8(27, _data->_u.s.b.b.b, CORBA_char );
        flick_cdr_decode_char8(28, _data->_u.s.b.b.c, CORBA_char );
        flick_cdr_decode_char8(29, _data->_u.s.b.b.d, CORBA_char );
        flick_cdr_decode_unsigned32(32, _data->_u.s.b.b.e._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(36);
        flick_khazana_decode_end_glob(48);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.s.b.b.e._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort14561);
          _data->_u.s.b.b.e._buffer = _t_alloc_ptr;
          _data->_u.s.b.b.e._maximum = _data->_u.s.b.b.e._length;
          _data->_u.s.b.b.e._release = 1;
        }
        for (_t2397_array_iter = 0; _t2397_array_iter < _data->_u.s.b.b.e._length; _t2397_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.s.b.b.e._buffer + _t2397_array_iter))
              goto _flick_abort14566;
            continue;
            {
            _flick_abort14566:
              goto _flick_abort14565;
            }
          }
        flick_khazana_decode_new_glob(4);
        flick_khazana_check_span(4, _flick_abort14565);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.s.c._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(4);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.s.c._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort14565);
          _data->_u.s.c._buffer = _t_alloc_ptr;
          _data->_u.s.c._maximum = _data->_u.s.c._length;
          _data->_u.s.c._release = 1;
        }
        for (_t2401_array_iter = 0; _t2401_array_iter < _data->_u.s.c._length; _t2401_array_iter++)
          {
            CORBA_unsigned_long _t2403_array_iter;

            flick_khazana_decode_new_glob(28);
            flick_khazana_check_span(4, _flick_abort14590);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _data->_u.s.c._buffer[_t2401_array_iter].a.a, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
            flick_khazana_check_span(20, _flick_abort14590);
            flick_cdr_decode_float64(0, _data->_u.s.c._buffer[_t2401_array_iter].a.b, CORBA_double );
            flick_cdr_decode_signed16(8, _data->_u.s.c._buffer[_t2401_array_iter].a.c, CORBA_short );
            flick_cdr_decode_char8(10, _data->_u.s.c._buffer[_t2401_array_iter].b.a, CORBA_char );
            flick_cdr_decode_char8(11, _data->_u.s.c._buffer[_t2401_array_iter].b.b, CORBA_char );
            flick_cdr_decode_char8(12, _data->_u.s.c._buffer[_t2401_array_iter].b.c, CORBA_char );
            flick_cdr_decode_char8(13, _data->_u.s.c._buffer[_t2401_array_iter].b.d, CORBA_char );
            flick_cdr_decode_unsigned32(16, _data->_u.s.c._buffer[_t2401_array_iter].b.e._length, CORBA_unsigned_long );
            flick_khazana_decode_end_chunk(20);
            flick_khazana_decode_end_glob(28);
            {
              struct ta_td *_t_alloc_ptr;

              _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.s.c._buffer[_t2401_array_iter].b.e._length * sizeof(struct ta_td )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort14590);
              _data->_u.s.c._buffer[_t2401_array_iter].b.e._buffer = _t_alloc_ptr;
              _data->_u.s.c._buffer[_t2401_array_iter].b.e._maximum = _data->_u.s.c._buffer[_t2401_array_iter].b.e._length;
              _data->_u.s.c._buffer[_t2401_array_iter].b.e._release = 1;
            }
            for (_t2403_array_iter = 0; _t2403_array_iter < _data->_u.s.c._buffer[_t2401_array_iter].b.e._length; _t2403_array_iter++)
              {
                if (flick_unmarshal_stub_ta_td(_stream, _data->_u.s.c._buffer[_t2401_array_iter].b.e._buffer + _t2403_array_iter))
                  goto _flick_abort14602;
                continue;
                {
                _flick_abort14602:
                  goto _flick_abort14601;
                }
              }
            continue;
          _flick_abort_block15274:
            {
              _t2401_array_iter = _data->_u.s.c._length;
            _flick_abort14606:
              _t2401_array_iter--;
            _flick_abort14601:
              CORBA_flick_free(_data->_u.s.c._buffer[_t2401_array_iter].b.e._buffer);
            _flick_abort14590:
              if ((unsigned int )_t2401_array_iter > 0)
                goto _flick_abort14606;
              goto _flick_abort14589;
            }
          }
        flick_khazana_decode_new_glob(4);
        flick_khazana_check_span(4, _flick_abort14608);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.s.d._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(4);
        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.s.d._length * sizeof(struct tb )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort14608);
          _data->_u.s.d._buffer = _t_alloc_ptr;
          _data->_u.s.d._maximum = _data->_u.s.d._length;
          _data->_u.s.d._release = 1;
        }
        for (_t2404_array_iter = 0; _t2404_array_iter < _data->_u.s.d._length; _t2404_array_iter++)
          {
            if (flick_unmarshal_stub_tb(_stream, _data->_u.s.d._buffer + _t2404_array_iter))
              goto _flick_abort14613;
            continue;
            {
            _flick_abort14613:
              goto _flick_abort14612;
            }
          }
        break;
        {
        _flick_abort14612:
          CORBA_flick_free(_data->_u.s.d._buffer);
        _flick_abort14608:
          goto _flick_abort_block15274;
        _flick_abort14589:
          CORBA_flick_free(_data->_u.s.c._buffer);
        _flick_abort14565:
          CORBA_flick_free(_data->_u.s.b.b.e._buffer);
        _flick_abort14561:
          goto _flick_abort12861;
        }
      }
    case 4:
      {
        flick_khazana_check_span(8, _flick_abort14615);
        flick_khazana_decode_new_chunk(1);
        flick_cdr_decode_unsigned8(0, _data->_u.u._d, CORBA_boolean );
        flick_khazana_decode_end_chunk(1);
        switch (_data->_u.u._d)
          {
          case 1:
            {
              CORBA_unsigned_long _t2598_array_iter;

              flick_khazana_decode_new_chunk(7);
              flick_cdr_decode_unsigned32(3, _data->_u.u._u.next._length, CORBA_unsigned_long );
              flick_khazana_decode_end_chunk(7);
              flick_khazana_decode_end_glob(48);
              if (_data->_u.u._u.next._length > 1)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort15434);
              {
                struct td *_t_alloc_ptr;

                _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(sizeof(struct td )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15434);
                _data->_u.u._u.next._buffer = _t_alloc_ptr;
                _data->_u.u._u.next._maximum = 1;
                _data->_u.u._u.next._release = 1;
              }
              for (_t2598_array_iter = 0; _t2598_array_iter < _data->_u.u._u.next._length; _t2598_array_iter++)
                {
                  flick_khazana_decode_new_glob(48);
                  flick_khazana_check_span(4, _flick_abort15840);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._d, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  switch (_data->_u.u._u.next._buffer[_t2598_array_iter]._d)
                    {
                    case 1:
                      {
                        flick_unsigned32_t _t2647_temp_string_len;
                        CORBA_unsigned_long _t2648_array_iter;
                        CORBA_unsigned_long _t2649_array_iter;
                        CORBA_unsigned_long _t2650_array_iter;
                        flick_unsigned32_t _t2651_temp_string_len;
                        CORBA_unsigned_long _t2652_array_iter;
                        CORBA_unsigned_long _t2653_array_iter;

                        flick_khazana_check_span(4, _flick_abort16144);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(16, 3, 2, 0);
                        flick_khazana_check_span(16, _flick_abort16144);
                        flick_cdr_decode_float64(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.a.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.a.c, CORBA_short );
                        flick_cdr_decode_char8(10, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.a, CORBA_char );
                        flick_cdr_decode_unsigned32(12, _t2647_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(16);
                        flick_khazana_decode_end_glob(48);
                        flick_khazana_decode_new_glob(1 * _t2647_temp_string_len);
                        flick_khazana_check_span(1 * _t2647_temp_string_len, _flick_abort16144);
                        flick_khazana_decode_new_chunk(1 * _t2647_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t2647_temp_string_len * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16144);
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.b = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.b, 1 * _t2647_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t2647_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t2647_temp_string_len);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort16147);
                        flick_cdr_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16147);
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.c._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.c._maximum = _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.c._length;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.c._release = 1;
                        }
                        for (_t2648_array_iter = 0; _t2648_array_iter < _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.c._length; _t2648_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.c._buffer + _t2648_array_iter))
                              goto _flick_abort16152;
                            continue;
                            {
                            _flick_abort16152:
                              goto _flick_abort16151;
                            }
                          }
                        flick_khazana_decode_new_glob(28);
                        flick_khazana_check_span(4, _flick_abort16151);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                        flick_khazana_check_span(20, _flick_abort16151);
                        flick_cdr_decode_float64(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.a.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.a.c, CORBA_short );
                        flick_cdr_decode_char8(10, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.a, CORBA_char );
                        flick_cdr_decode_char8(11, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.b, CORBA_char );
                        flick_cdr_decode_char8(12, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.c, CORBA_char );
                        flick_cdr_decode_char8(13, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.d, CORBA_char );
                        flick_cdr_decode_unsigned32(16, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(20);
                        flick_khazana_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16151);
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.e._maximum = _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.e._length;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.e._release = 1;
                        }
                        for (_t2649_array_iter = 0; _t2649_array_iter < _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.e._length; _t2649_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.e._buffer + _t2649_array_iter))
                              goto _flick_abort16158;
                            continue;
                            {
                            _flick_abort16158:
                              goto _flick_abort16157;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort16157);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.next._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct ta *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.next._length * sizeof(struct ta )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16157);
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.next._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.next._maximum = _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.next._length;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.next._release = 1;
                        }
                        for (_t2650_array_iter = 0; _t2650_array_iter < _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.next._length; _t2650_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta(_stream, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.next._buffer + _t2650_array_iter))
                              goto _flick_abort16164;
                            continue;
                            {
                            _flick_abort16164:
                              goto _flick_abort16163;
                            }
                          }
                        flick_khazana_decode_new_glob(24);
                        flick_khazana_check_span(24, _flick_abort16163);
                        flick_khazana_decode_new_chunk(24);
                        flick_cdr_decode_signed32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.d.a, CORBA_long );
                        flick_cdr_decode_float64(8, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.d.b, CORBA_double );
                        flick_cdr_decode_signed16(16, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.d.c, CORBA_short );
                        flick_cdr_decode_char8(18, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.a, CORBA_char );
                        flick_cdr_decode_unsigned32(20, _t2651_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(24);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(1 * _t2651_temp_string_len);
                        flick_khazana_check_span(1 * _t2651_temp_string_len, _flick_abort16163);
                        flick_khazana_decode_new_chunk(1 * _t2651_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t2651_temp_string_len * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16163);
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.b = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.b, 1 * _t2651_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t2651_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t2651_temp_string_len);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort16168);
                        flick_cdr_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16168);
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.c._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.c._maximum = _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.c._length;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.c._release = 1;
                        }
                        for (_t2652_array_iter = 0; _t2652_array_iter < _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.c._length; _t2652_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.c._buffer + _t2652_array_iter))
                              goto _flick_abort16173;
                            continue;
                            {
                            _flick_abort16173:
                              goto _flick_abort16172;
                            }
                          }
                        flick_khazana_decode_new_glob(28);
                        flick_khazana_check_span(4, _flick_abort16172);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                        flick_khazana_check_span(20, _flick_abort16172);
                        flick_cdr_decode_float64(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.a.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.a.c, CORBA_short );
                        flick_cdr_decode_char8(10, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.a, CORBA_char );
                        flick_cdr_decode_char8(11, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.b, CORBA_char );
                        flick_cdr_decode_char8(12, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.c, CORBA_char );
                        flick_cdr_decode_char8(13, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.d, CORBA_char );
                        flick_cdr_decode_unsigned32(16, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(20);
                        flick_khazana_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16172);
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.e._maximum = _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.e._length;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.e._release = 1;
                        }
                        for (_t2653_array_iter = 0; _t2653_array_iter < _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.e._length; _t2653_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.e._buffer + _t2653_array_iter))
                              goto _flick_abort16179;
                            continue;
                            {
                            _flick_abort16179:
                              goto _flick_abort16178;
                            }
                          }
                        break;
                      _flick_abort_block16748:
                        {
                        _flick_abort16178:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.f.b.e._buffer);
                        _flick_abort16172:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.c._buffer);
                        _flick_abort16168:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.e.b);
                        _flick_abort16163:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.next._buffer);
                        _flick_abort16157:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.c.b.e._buffer);
                        _flick_abort16151:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.c._buffer);
                        _flick_abort16147:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.one.b.b);
                        _flick_abort16144:
                          goto _flick_abort15840;
                        }
                      }
                    case 2:
                      {
                        CORBA_unsigned_long _t2654_array_iter;
                        CORBA_unsigned_long _t2658_array_iter;
                        CORBA_unsigned_long _t2661_array_iter;

                        flick_khazana_check_span(4, _flick_abort16181);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
                        flick_khazana_check_span(36, _flick_abort16181);
                        flick_cdr_decode_float64(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.a.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.a.c, CORBA_short );
                        flick_cdr_decode_signed32(12, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.a.a, CORBA_long );
                        flick_cdr_decode_float64(16, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.a.b, CORBA_double );
                        flick_cdr_decode_signed16(24, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.a.c, CORBA_short );
                        flick_cdr_decode_char8(26, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.a, CORBA_char );
                        flick_cdr_decode_char8(27, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.b, CORBA_char );
                        flick_cdr_decode_char8(28, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.c, CORBA_char );
                        flick_cdr_decode_char8(29, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.d, CORBA_char );
                        flick_cdr_decode_unsigned32(32, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(36);
                        flick_khazana_decode_end_glob(48);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16181);
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.e._maximum = _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.e._length;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.e._release = 1;
                        }
                        for (_t2654_array_iter = 0; _t2654_array_iter < _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.e._length; _t2654_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.e._buffer + _t2654_array_iter))
                              goto _flick_abort16186;
                            continue;
                            {
                            _flick_abort16186:
                              goto _flick_abort16185;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort16185);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16185);
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._maximum = _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._length;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._release = 1;
                        }
                        for (_t2658_array_iter = 0; _t2658_array_iter < _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._length; _t2658_array_iter++)
                          {
                            CORBA_unsigned_long _t2660_array_iter;

                            flick_khazana_decode_new_glob(28);
                            flick_khazana_check_span(4, _flick_abort16210);
                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_signed32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].a.a, CORBA_long );
                            flick_khazana_decode_end_chunk(4);
                            flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                            flick_khazana_check_span(20, _flick_abort16210);
                            flick_cdr_decode_float64(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].a.b, CORBA_double );
                            flick_cdr_decode_signed16(8, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].a.c, CORBA_short );
                            flick_cdr_decode_char8(10, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.a, CORBA_char );
                            flick_cdr_decode_char8(11, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.b, CORBA_char );
                            flick_cdr_decode_char8(12, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.c, CORBA_char );
                            flick_cdr_decode_char8(13, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.d, CORBA_char );
                            flick_cdr_decode_unsigned32(16, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.e._length, CORBA_unsigned_long );
                            flick_khazana_decode_end_chunk(20);
                            flick_khazana_decode_end_glob(28);
                            {
                              struct ta_td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.e._length * sizeof(struct ta_td )));
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16210);
                              _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.e._buffer = _t_alloc_ptr;
                              _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.e._maximum = _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.e._length;
                              _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.e._release = 1;
                            }
                            for (_t2660_array_iter = 0; _t2660_array_iter < _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.e._length; _t2660_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td(_stream, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.e._buffer + _t2660_array_iter))
                                  goto _flick_abort16222;
                                continue;
                                {
                                _flick_abort16222:
                                  goto _flick_abort16221;
                                }
                              }
                            continue;
                          _flick_abort_block16828:
                            {
                              _t2658_array_iter = _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._length;
                            _flick_abort16226:
                              _t2658_array_iter--;
                            _flick_abort16221:
                              CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer[_t2658_array_iter].b.e._buffer);
                            _flick_abort16210:
                              if ((unsigned int )_t2658_array_iter > 0)
                                goto _flick_abort16226;
                              goto _flick_abort16209;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort16228);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.d._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.d._length * sizeof(struct tb )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16228);
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.d._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.d._maximum = _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.d._length;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.d._release = 1;
                        }
                        for (_t2661_array_iter = 0; _t2661_array_iter < _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.d._length; _t2661_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb(_stream, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.d._buffer + _t2661_array_iter))
                              goto _flick_abort16233;
                            continue;
                            {
                            _flick_abort16233:
                              goto _flick_abort16232;
                            }
                          }
                        break;
                      _flick_abort_block16785:
                        {
                        _flick_abort16232:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.d._buffer);
                        _flick_abort16228:
                          goto _flick_abort_block16828;
                        _flick_abort16209:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.c._buffer);
                        _flick_abort16185:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.two.b.b.e._buffer);
                        _flick_abort16181:
                          goto _flick_abort15840;
                        }
                      }
                    case 3:
                      {
                        flick_khazana_decode_end_glob(48);
                        if (flick_unmarshal_stub_td_te(_stream, &_data->_u.u._u.next._buffer[_t2598_array_iter]._u.three))
                          goto _flick_abort16235;
                        break;
                        {
                        _flick_abort16235:
                          goto _flick_abort15840;
                        }
                      }
                    default:
                      {
                        CORBA_unsigned_long _t2662_array_iter;

                        flick_khazana_check_span(4, _flick_abort16236);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.again._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(48);
                        {
                          struct td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.again._length * sizeof(struct td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16236);
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.again._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.again._maximum = _data->_u.u._u.next._buffer[_t2598_array_iter]._u.again._length;
                          _data->_u.u._u.next._buffer[_t2598_array_iter]._u.again._release = 1;
                        }
                        for (_t2662_array_iter = 0; _t2662_array_iter < _data->_u.u._u.next._buffer[_t2598_array_iter]._u.again._length; _t2662_array_iter++)
                          {
                            if (flick_unmarshal_stub_td(_stream, _data->_u.u._u.next._buffer[_t2598_array_iter]._u.again._buffer + _t2662_array_iter))
                              goto _flick_abort16241;
                            continue;
                            {
                            _flick_abort16241:
                              goto _flick_abort16240;
                            }
                          }
                        break;
                      _flick_abort_block16836:
                        {
                        _flick_abort16240:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t2598_array_iter]._u.again._buffer);
                        _flick_abort16236:
                          goto _flick_abort15840;
                        }
                      }
                    _flick_abort_block16747:
                      {
                        switch (_data->_u.u._u.next._buffer[_t2598_array_iter]._d)
                          {
                          case 1:
                            goto _flick_abort_block16748;
                          case 2:
                            goto _flick_abort_block16785;
                          case 3:
                            goto _flick_abort15840;
                          default:
                            goto _flick_abort_block16836;
                          }
                      }
                    }
                  continue;
                  {
                  _flick_abort16246:
                    _t2598_array_iter--;
                    goto _flick_abort_block16747;
                  _flick_abort15840:
                    if ((unsigned int )_t2598_array_iter > 0)
                      goto _flick_abort16246;
                    goto _flick_abort15839;
                  }
                }
              break;
              {
              _flick_abort15839:
                CORBA_flick_free(_data->_u.u._u.next._buffer);
              _flick_abort15434:
                goto _flick_abort14615;
              }
            }
          default:
            {
              flick_khazana_decode_end_glob(48);
              break;
            }
          }
        break;
        {
        _flick_abort14615:
          goto _flick_abort12861;
        }
      }
    default:
      {
        flick_khazana_decode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort12861:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td_te_swap(flick_marshal_stream_t _stream, struct td_te *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(48);
  flick_khazana_check_span(4, _flick_abort16253);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_d, CORBA_enum );
  flick_khazana_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 0:
      {
        flick_khazana_check_span(4, _flick_abort17950);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(48);
        break;
        {
        _flick_abort17950:
          goto _flick_abort16253;
        }
      }
    case 1:
      {
        flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
        flick_khazana_check_span(8, _flick_abort17951);
        flick_cdr_swap_decode_float64(0, _data->_u.y, CORBA_double );
        flick_khazana_decode_end_chunk(8);
        flick_khazana_decode_end_glob(48);
        break;
        {
        _flick_abort17951:
          goto _flick_abort16253;
        }
      }
    case 2:
      {
        flick_khazana_check_span(1, _flick_abort17952);
        flick_khazana_decode_new_chunk(1);
        flick_cdr_swap_decode_unsigned8(0, _data->_u.z, CORBA_boolean );
        flick_khazana_decode_end_chunk(1);
        flick_khazana_decode_end_glob(48);
        break;
        {
        _flick_abort17952:
          goto _flick_abort16253;
        }
      }
    case 3:
      {
        CORBA_unsigned_long _t2929_array_iter;
        CORBA_unsigned_long _t2933_array_iter;
        CORBA_unsigned_long _t2936_array_iter;

        flick_khazana_check_span(4, _flick_abort17953);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.s.a.a, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
        flick_khazana_check_span(36, _flick_abort17953);
        flick_cdr_swap_decode_float64(0, _data->_u.s.a.b, CORBA_double );
        flick_cdr_swap_decode_signed16(8, _data->_u.s.a.c, CORBA_short );
        flick_cdr_swap_decode_signed32(12, _data->_u.s.b.a.a, CORBA_long );
        flick_cdr_swap_decode_float64(16, _data->_u.s.b.a.b, CORBA_double );
        flick_cdr_swap_decode_signed16(24, _data->_u.s.b.a.c, CORBA_short );
        flick_cdr_swap_decode_char8(26, _data->_u.s.b.b.a, CORBA_char );
        flick_cdr_swap_decode_char8(27, _data->_u.s.b.b.b, CORBA_char );
        flick_cdr_swap_decode_char8(28, _data->_u.s.b.b.c, CORBA_char );
        flick_cdr_swap_decode_char8(29, _data->_u.s.b.b.d, CORBA_char );
        flick_cdr_swap_decode_unsigned32(32, _data->_u.s.b.b.e._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(36);
        flick_khazana_decode_end_glob(48);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.s.b.b.e._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17953);
          _data->_u.s.b.b.e._buffer = _t_alloc_ptr;
          _data->_u.s.b.b.e._maximum = _data->_u.s.b.b.e._length;
          _data->_u.s.b.b.e._release = 1;
        }
        for (_t2929_array_iter = 0; _t2929_array_iter < _data->_u.s.b.b.e._length; _t2929_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.s.b.b.e._buffer + _t2929_array_iter))
              goto _flick_abort17958;
            continue;
            {
            _flick_abort17958:
              goto _flick_abort17957;
            }
          }
        flick_khazana_decode_new_glob(4);
        flick_khazana_check_span(4, _flick_abort17957);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.s.c._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(4);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.s.c._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17957);
          _data->_u.s.c._buffer = _t_alloc_ptr;
          _data->_u.s.c._maximum = _data->_u.s.c._length;
          _data->_u.s.c._release = 1;
        }
        for (_t2933_array_iter = 0; _t2933_array_iter < _data->_u.s.c._length; _t2933_array_iter++)
          {
            CORBA_unsigned_long _t2935_array_iter;

            flick_khazana_decode_new_glob(28);
            flick_khazana_check_span(4, _flick_abort17982);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->_u.s.c._buffer[_t2933_array_iter].a.a, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
            flick_khazana_check_span(20, _flick_abort17982);
            flick_cdr_swap_decode_float64(0, _data->_u.s.c._buffer[_t2933_array_iter].a.b, CORBA_double );
            flick_cdr_swap_decode_signed16(8, _data->_u.s.c._buffer[_t2933_array_iter].a.c, CORBA_short );
            flick_cdr_swap_decode_char8(10, _data->_u.s.c._buffer[_t2933_array_iter].b.a, CORBA_char );
            flick_cdr_swap_decode_char8(11, _data->_u.s.c._buffer[_t2933_array_iter].b.b, CORBA_char );
            flick_cdr_swap_decode_char8(12, _data->_u.s.c._buffer[_t2933_array_iter].b.c, CORBA_char );
            flick_cdr_swap_decode_char8(13, _data->_u.s.c._buffer[_t2933_array_iter].b.d, CORBA_char );
            flick_cdr_swap_decode_unsigned32(16, _data->_u.s.c._buffer[_t2933_array_iter].b.e._length, CORBA_unsigned_long );
            flick_khazana_decode_end_chunk(20);
            flick_khazana_decode_end_glob(28);
            {
              struct ta_td *_t_alloc_ptr;

              _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.s.c._buffer[_t2933_array_iter].b.e._length * sizeof(struct ta_td )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17982);
              _data->_u.s.c._buffer[_t2933_array_iter].b.e._buffer = _t_alloc_ptr;
              _data->_u.s.c._buffer[_t2933_array_iter].b.e._maximum = _data->_u.s.c._buffer[_t2933_array_iter].b.e._length;
              _data->_u.s.c._buffer[_t2933_array_iter].b.e._release = 1;
            }
            for (_t2935_array_iter = 0; _t2935_array_iter < _data->_u.s.c._buffer[_t2933_array_iter].b.e._length; _t2935_array_iter++)
              {
                if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.s.c._buffer[_t2933_array_iter].b.e._buffer + _t2935_array_iter))
                  goto _flick_abort17994;
                continue;
                {
                _flick_abort17994:
                  goto _flick_abort17993;
                }
              }
            continue;
          _flick_abort_block18514:
            {
              _t2933_array_iter = _data->_u.s.c._length;
            _flick_abort17998:
              _t2933_array_iter--;
            _flick_abort17993:
              CORBA_flick_free(_data->_u.s.c._buffer[_t2933_array_iter].b.e._buffer);
            _flick_abort17982:
              if ((unsigned int )_t2933_array_iter > 0)
                goto _flick_abort17998;
              goto _flick_abort17981;
            }
          }
        flick_khazana_decode_new_glob(4);
        flick_khazana_check_span(4, _flick_abort18000);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.s.d._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(4);
        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.s.d._length * sizeof(struct tb )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort18000);
          _data->_u.s.d._buffer = _t_alloc_ptr;
          _data->_u.s.d._maximum = _data->_u.s.d._length;
          _data->_u.s.d._release = 1;
        }
        for (_t2936_array_iter = 0; _t2936_array_iter < _data->_u.s.d._length; _t2936_array_iter++)
          {
            if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.s.d._buffer + _t2936_array_iter))
              goto _flick_abort18005;
            continue;
            {
            _flick_abort18005:
              goto _flick_abort18004;
            }
          }
        break;
        {
        _flick_abort18004:
          CORBA_flick_free(_data->_u.s.d._buffer);
        _flick_abort18000:
          goto _flick_abort_block18514;
        _flick_abort17981:
          CORBA_flick_free(_data->_u.s.c._buffer);
        _flick_abort17957:
          CORBA_flick_free(_data->_u.s.b.b.e._buffer);
        _flick_abort17953:
          goto _flick_abort16253;
        }
      }
    case 4:
      {
        flick_khazana_check_span(8, _flick_abort18007);
        flick_khazana_decode_new_chunk(1);
        flick_cdr_swap_decode_unsigned8(0, _data->_u.u._d, CORBA_boolean );
        flick_khazana_decode_end_chunk(1);
        switch (_data->_u.u._d)
          {
          case 1:
            {
              CORBA_unsigned_long _t3130_array_iter;

              flick_khazana_decode_new_chunk(7);
              flick_cdr_swap_decode_unsigned32(3, _data->_u.u._u.next._length, CORBA_unsigned_long );
              flick_khazana_decode_end_chunk(7);
              flick_khazana_decode_end_glob(48);
              if (_data->_u.u._u.next._length > 1)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort18826);
              {
                struct td *_t_alloc_ptr;

                _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(sizeof(struct td )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort18826);
                _data->_u.u._u.next._buffer = _t_alloc_ptr;
                _data->_u.u._u.next._maximum = 1;
                _data->_u.u._u.next._release = 1;
              }
              for (_t3130_array_iter = 0; _t3130_array_iter < _data->_u.u._u.next._length; _t3130_array_iter++)
                {
                  flick_khazana_decode_new_glob(48);
                  flick_khazana_check_span(4, _flick_abort19232);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._d, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  switch (_data->_u.u._u.next._buffer[_t3130_array_iter]._d)
                    {
                    case 1:
                      {
                        flick_unsigned32_t _t3179_temp_string_len;
                        CORBA_unsigned_long _t3180_array_iter;
                        CORBA_unsigned_long _t3181_array_iter;
                        CORBA_unsigned_long _t3182_array_iter;
                        flick_unsigned32_t _t3183_temp_string_len;
                        CORBA_unsigned_long _t3184_array_iter;
                        CORBA_unsigned_long _t3185_array_iter;

                        flick_khazana_check_span(4, _flick_abort19536);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(16, 3, 2, 0);
                        flick_khazana_check_span(16, _flick_abort19536);
                        flick_cdr_swap_decode_float64(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(10, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.a, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(12, _t3179_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(16);
                        flick_khazana_decode_end_glob(48);
                        flick_khazana_decode_new_glob(1 * _t3179_temp_string_len);
                        flick_khazana_check_span(1 * _t3179_temp_string_len, _flick_abort19536);
                        flick_khazana_decode_new_chunk(1 * _t3179_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t3179_temp_string_len * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19536);
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.b = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.b, 1 * _t3179_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t3179_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t3179_temp_string_len);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort19539);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19539);
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.c._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.c._maximum = _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.c._length;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.c._release = 1;
                        }
                        for (_t3180_array_iter = 0; _t3180_array_iter < _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.c._length; _t3180_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.c._buffer + _t3180_array_iter))
                              goto _flick_abort19544;
                            continue;
                            {
                            _flick_abort19544:
                              goto _flick_abort19543;
                            }
                          }
                        flick_khazana_decode_new_glob(28);
                        flick_khazana_check_span(4, _flick_abort19543);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                        flick_khazana_check_span(20, _flick_abort19543);
                        flick_cdr_swap_decode_float64(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(10, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.a, CORBA_char );
                        flick_cdr_swap_decode_char8(11, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.b, CORBA_char );
                        flick_cdr_swap_decode_char8(12, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.c, CORBA_char );
                        flick_cdr_swap_decode_char8(13, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(16, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(20);
                        flick_khazana_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19543);
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.e._maximum = _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.e._length;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.e._release = 1;
                        }
                        for (_t3181_array_iter = 0; _t3181_array_iter < _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.e._length; _t3181_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.e._buffer + _t3181_array_iter))
                              goto _flick_abort19550;
                            continue;
                            {
                            _flick_abort19550:
                              goto _flick_abort19549;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort19549);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.next._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct ta *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.next._length * sizeof(struct ta )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19549);
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.next._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.next._maximum = _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.next._length;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.next._release = 1;
                        }
                        for (_t3182_array_iter = 0; _t3182_array_iter < _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.next._length; _t3182_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_swap(_stream, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.next._buffer + _t3182_array_iter))
                              goto _flick_abort19556;
                            continue;
                            {
                            _flick_abort19556:
                              goto _flick_abort19555;
                            }
                          }
                        flick_khazana_decode_new_glob(24);
                        flick_khazana_check_span(24, _flick_abort19555);
                        flick_khazana_decode_new_chunk(24);
                        flick_cdr_swap_decode_signed32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.d.a, CORBA_long );
                        flick_cdr_swap_decode_float64(8, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.d.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(16, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.d.c, CORBA_short );
                        flick_cdr_swap_decode_char8(18, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.a, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(20, _t3183_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(24);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(1 * _t3183_temp_string_len);
                        flick_khazana_check_span(1 * _t3183_temp_string_len, _flick_abort19555);
                        flick_khazana_decode_new_chunk(1 * _t3183_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t3183_temp_string_len * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19555);
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.b = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.b, 1 * _t3183_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t3183_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t3183_temp_string_len);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort19560);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19560);
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.c._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.c._maximum = _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.c._length;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.c._release = 1;
                        }
                        for (_t3184_array_iter = 0; _t3184_array_iter < _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.c._length; _t3184_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.c._buffer + _t3184_array_iter))
                              goto _flick_abort19565;
                            continue;
                            {
                            _flick_abort19565:
                              goto _flick_abort19564;
                            }
                          }
                        flick_khazana_decode_new_glob(28);
                        flick_khazana_check_span(4, _flick_abort19564);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                        flick_khazana_check_span(20, _flick_abort19564);
                        flick_cdr_swap_decode_float64(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(10, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.a, CORBA_char );
                        flick_cdr_swap_decode_char8(11, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.b, CORBA_char );
                        flick_cdr_swap_decode_char8(12, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.c, CORBA_char );
                        flick_cdr_swap_decode_char8(13, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(16, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(20);
                        flick_khazana_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19564);
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.e._maximum = _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.e._length;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.e._release = 1;
                        }
                        for (_t3185_array_iter = 0; _t3185_array_iter < _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.e._length; _t3185_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.e._buffer + _t3185_array_iter))
                              goto _flick_abort19571;
                            continue;
                            {
                            _flick_abort19571:
                              goto _flick_abort19570;
                            }
                          }
                        break;
                      _flick_abort_block19988:
                        {
                        _flick_abort19570:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.f.b.e._buffer);
                        _flick_abort19564:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.c._buffer);
                        _flick_abort19560:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.e.b);
                        _flick_abort19555:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.next._buffer);
                        _flick_abort19549:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.c.b.e._buffer);
                        _flick_abort19543:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.c._buffer);
                        _flick_abort19539:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.one.b.b);
                        _flick_abort19536:
                          goto _flick_abort19232;
                        }
                      }
                    case 2:
                      {
                        CORBA_unsigned_long _t3186_array_iter;
                        CORBA_unsigned_long _t3190_array_iter;
                        CORBA_unsigned_long _t3193_array_iter;

                        flick_khazana_check_span(4, _flick_abort19573);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
                        flick_khazana_check_span(36, _flick_abort19573);
                        flick_cdr_swap_decode_float64(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.a.c, CORBA_short );
                        flick_cdr_swap_decode_signed32(12, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.a.a, CORBA_long );
                        flick_cdr_swap_decode_float64(16, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(24, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(26, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.a, CORBA_char );
                        flick_cdr_swap_decode_char8(27, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.b, CORBA_char );
                        flick_cdr_swap_decode_char8(28, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.c, CORBA_char );
                        flick_cdr_swap_decode_char8(29, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(32, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(36);
                        flick_khazana_decode_end_glob(48);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19573);
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.e._maximum = _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.e._length;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.e._release = 1;
                        }
                        for (_t3186_array_iter = 0; _t3186_array_iter < _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.e._length; _t3186_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.e._buffer + _t3186_array_iter))
                              goto _flick_abort19578;
                            continue;
                            {
                            _flick_abort19578:
                              goto _flick_abort19577;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort19577);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19577);
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._maximum = _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._length;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._release = 1;
                        }
                        for (_t3190_array_iter = 0; _t3190_array_iter < _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._length; _t3190_array_iter++)
                          {
                            CORBA_unsigned_long _t3192_array_iter;

                            flick_khazana_decode_new_glob(28);
                            flick_khazana_check_span(4, _flick_abort19602);
                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].a.a, CORBA_long );
                            flick_khazana_decode_end_chunk(4);
                            flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                            flick_khazana_check_span(20, _flick_abort19602);
                            flick_cdr_swap_decode_float64(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].a.b, CORBA_double );
                            flick_cdr_swap_decode_signed16(8, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].a.c, CORBA_short );
                            flick_cdr_swap_decode_char8(10, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.a, CORBA_char );
                            flick_cdr_swap_decode_char8(11, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.b, CORBA_char );
                            flick_cdr_swap_decode_char8(12, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.c, CORBA_char );
                            flick_cdr_swap_decode_char8(13, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.d, CORBA_char );
                            flick_cdr_swap_decode_unsigned32(16, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.e._length, CORBA_unsigned_long );
                            flick_khazana_decode_end_chunk(20);
                            flick_khazana_decode_end_glob(28);
                            {
                              struct ta_td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.e._length * sizeof(struct ta_td )));
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19602);
                              _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.e._buffer = _t_alloc_ptr;
                              _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.e._maximum = _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.e._length;
                              _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.e._release = 1;
                            }
                            for (_t3192_array_iter = 0; _t3192_array_iter < _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.e._length; _t3192_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.e._buffer + _t3192_array_iter))
                                  goto _flick_abort19614;
                                continue;
                                {
                                _flick_abort19614:
                                  goto _flick_abort19613;
                                }
                              }
                            continue;
                          _flick_abort_block20068:
                            {
                              _t3190_array_iter = _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._length;
                            _flick_abort19618:
                              _t3190_array_iter--;
                            _flick_abort19613:
                              CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer[_t3190_array_iter].b.e._buffer);
                            _flick_abort19602:
                              if ((unsigned int )_t3190_array_iter > 0)
                                goto _flick_abort19618;
                              goto _flick_abort19601;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort19620);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.d._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.d._length * sizeof(struct tb )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19620);
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.d._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.d._maximum = _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.d._length;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.d._release = 1;
                        }
                        for (_t3193_array_iter = 0; _t3193_array_iter < _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.d._length; _t3193_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.d._buffer + _t3193_array_iter))
                              goto _flick_abort19625;
                            continue;
                            {
                            _flick_abort19625:
                              goto _flick_abort19624;
                            }
                          }
                        break;
                      _flick_abort_block20025:
                        {
                        _flick_abort19624:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.d._buffer);
                        _flick_abort19620:
                          goto _flick_abort_block20068;
                        _flick_abort19601:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.c._buffer);
                        _flick_abort19577:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.two.b.b.e._buffer);
                        _flick_abort19573:
                          goto _flick_abort19232;
                        }
                      }
                    case 3:
                      {
                        flick_khazana_decode_end_glob(48);
                        if (flick_unmarshal_stub_td_te_swap(_stream, &_data->_u.u._u.next._buffer[_t3130_array_iter]._u.three))
                          goto _flick_abort19627;
                        break;
                        {
                        _flick_abort19627:
                          goto _flick_abort19232;
                        }
                      }
                    default:
                      {
                        CORBA_unsigned_long _t3194_array_iter;

                        flick_khazana_check_span(4, _flick_abort19628);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.again._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(48);
                        {
                          struct td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.again._length * sizeof(struct td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19628);
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.again._buffer = _t_alloc_ptr;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.again._maximum = _data->_u.u._u.next._buffer[_t3130_array_iter]._u.again._length;
                          _data->_u.u._u.next._buffer[_t3130_array_iter]._u.again._release = 1;
                        }
                        for (_t3194_array_iter = 0; _t3194_array_iter < _data->_u.u._u.next._buffer[_t3130_array_iter]._u.again._length; _t3194_array_iter++)
                          {
                            if (flick_unmarshal_stub_td_swap(_stream, _data->_u.u._u.next._buffer[_t3130_array_iter]._u.again._buffer + _t3194_array_iter))
                              goto _flick_abort19633;
                            continue;
                            {
                            _flick_abort19633:
                              goto _flick_abort19632;
                            }
                          }
                        break;
                      _flick_abort_block20076:
                        {
                        _flick_abort19632:
                          CORBA_flick_free(_data->_u.u._u.next._buffer[_t3130_array_iter]._u.again._buffer);
                        _flick_abort19628:
                          goto _flick_abort19232;
                        }
                      }
                    _flick_abort_block19987:
                      {
                        switch (_data->_u.u._u.next._buffer[_t3130_array_iter]._d)
                          {
                          case 1:
                            goto _flick_abort_block19988;
                          case 2:
                            goto _flick_abort_block20025;
                          case 3:
                            goto _flick_abort19232;
                          default:
                            goto _flick_abort_block20076;
                          }
                      }
                    }
                  continue;
                  {
                  _flick_abort19638:
                    _t3130_array_iter--;
                    goto _flick_abort_block19987;
                  _flick_abort19232:
                    if ((unsigned int )_t3130_array_iter > 0)
                      goto _flick_abort19638;
                    goto _flick_abort19231;
                  }
                }
              break;
              {
              _flick_abort19231:
                CORBA_flick_free(_data->_u.u._u.next._buffer);
              _flick_abort18826:
                goto _flick_abort18007;
              }
            }
          default:
            {
              flick_khazana_decode_end_glob(48);
              break;
            }
          }
        break;
        {
        _flick_abort18007:
          goto _flick_abort16253;
        }
      }
    default:
      {
        flick_khazana_decode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort16253:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_td(flick_marshal_stream_t _stream, struct td *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(52, _flick_abort19645);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t3231_temp_string_len;
        CORBA_unsigned_long _t3232_array_iter;
        CORBA_unsigned_long _t3233_array_iter;
        CORBA_unsigned_long _t3234_array_iter;
        flick_unsigned32_t _t3235_temp_string_len;
        CORBA_unsigned_long _t3236_array_iter;
        CORBA_unsigned_long _t3237_array_iter;

        flick_cdr_stringlen(CORBA_char *, _data->_u.one.b.b, flick_unsigned32_t , _t3231_temp_string_len);
        flick_cdr_stringlen(CORBA_char *, _data->_u.one.e.b, flick_unsigned32_t , _t3235_temp_string_len);

        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one.a.a, CORBA_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_new_chunk_align(16, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one.a.b, CORBA_double );
        flick_cdr_encode_signed16(8, _data->_u.one.a.c, CORBA_short );
        flick_cdr_encode_char8(10, _data->_u.one.b.a, CORBA_char );
        flick_cdr_encode_unsigned32(12, _t3231_temp_string_len, flick_unsigned32_t );
        flick_khazana_encode_end_chunk(16);
        flick_khazana_encode_end_glob(52);
        flick_khazana_encode_new_glob(1 * _t3231_temp_string_len, _flick_abort19844);
        flick_khazana_encode_new_chunk(1 * _t3231_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->_u.one.b.b, 1 * _t3231_temp_string_len);
        CORBA_flick_free(_data->_u.one.b.b);
        flick_khazana_encode_end_chunk(1 * _t3231_temp_string_len);
        flick_khazana_encode_end_glob(1 * _t3231_temp_string_len);
        flick_khazana_encode_new_glob(7, _flick_abort19844);
        flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_unsigned32(0, _data->_u.one.b.c._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_end_glob(7);
        for (_t3232_array_iter = 0; _t3232_array_iter < _data->_u.one.b.c._length; _t3232_array_iter++)
          {
            if (flick_marshal_stub_ta_tc(_stream, _data->_u.one.b.c._buffer + _t3232_array_iter))
              goto _flick_abort19850;
            continue;
            {
            _flick_abort19850:
              goto _flick_abort19844;
            }
          }
        if (_data->_u.one.b.c._release)
          CORBA_flick_free(_data->_u.one.b.c._buffer);
        _data->_u.one.b.c._maximum = 0;
        _data->_u.one.b.c._release = 0;
        flick_khazana_encode_new_glob(28, _flick_abort19844);
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one.c.a.a, CORBA_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one.c.a.b, CORBA_double );
        flick_cdr_encode_signed16(8, _data->_u.one.c.a.c, CORBA_short );
        flick_cdr_encode_char8(10, _data->_u.one.c.b.a, CORBA_char );
        flick_cdr_encode_char8(11, _data->_u.one.c.b.b, CORBA_char );
        flick_cdr_encode_char8(12, _data->_u.one.c.b.c, CORBA_char );
        flick_cdr_encode_char8(13, _data->_u.one.c.b.d, CORBA_char );
        flick_cdr_encode_unsigned32(16, _data->_u.one.c.b.e._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(20);
        flick_khazana_encode_end_glob(28);
        for (_t3233_array_iter = 0; _t3233_array_iter < _data->_u.one.c.b.e._length; _t3233_array_iter++)
          {
            if (flick_marshal_stub_ta_td(_stream, _data->_u.one.c.b.e._buffer + _t3233_array_iter))
              goto _flick_abort19855;
            continue;
            {
            _flick_abort19855:
              goto _flick_abort19844;
            }
          }
        if (_data->_u.one.c.b.e._release)
          CORBA_flick_free(_data->_u.one.c.b.e._buffer);
        _data->_u.one.c.b.e._maximum = 0;
        _data->_u.one.c.b.e._release = 0;
        flick_khazana_encode_new_glob(4, _flick_abort19844);
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.one.next._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_end_glob(4);
        for (_t3234_array_iter = 0; _t3234_array_iter < _data->_u.one.next._length; _t3234_array_iter++)
          {
            if (flick_marshal_stub_ta(_stream, _data->_u.one.next._buffer + _t3234_array_iter))
              goto _flick_abort19860;
            continue;
            {
            _flick_abort19860:
              goto _flick_abort19844;
            }
          }
        if (_data->_u.one.next._release)
          CORBA_flick_free(_data->_u.one.next._buffer);
        _data->_u.one.next._maximum = 0;
        _data->_u.one.next._release = 0;
        flick_khazana_encode_new_glob(24, _flick_abort19844);
        flick_khazana_encode_new_chunk(24);
        flick_cdr_encode_signed32(0, _data->_u.one.d.a, CORBA_long );
        flick_cdr_encode_float64(8, _data->_u.one.d.b, CORBA_double );
        flick_cdr_encode_signed16(16, _data->_u.one.d.c, CORBA_short );
        flick_cdr_encode_char8(18, _data->_u.one.e.a, CORBA_char );
        flick_cdr_encode_unsigned32(20, _t3235_temp_string_len, flick_unsigned32_t );
        flick_khazana_encode_end_chunk(24);
        flick_khazana_encode_end_glob(24);
        flick_khazana_encode_new_glob(1 * _t3235_temp_string_len, _flick_abort19844);
        flick_khazana_encode_new_chunk(1 * _t3235_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->_u.one.e.b, 1 * _t3235_temp_string_len);
        CORBA_flick_free(_data->_u.one.e.b);
        flick_khazana_encode_end_chunk(1 * _t3235_temp_string_len);
        flick_khazana_encode_end_glob(1 * _t3235_temp_string_len);
        flick_khazana_encode_new_glob(7, _flick_abort19844);
        flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_unsigned32(0, _data->_u.one.e.c._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_end_glob(7);
        for (_t3236_array_iter = 0; _t3236_array_iter < _data->_u.one.e.c._length; _t3236_array_iter++)
          {
            if (flick_marshal_stub_ta_tc(_stream, _data->_u.one.e.c._buffer + _t3236_array_iter))
              goto _flick_abort19867;
            continue;
            {
            _flick_abort19867:
              goto _flick_abort19844;
            }
          }
        if (_data->_u.one.e.c._release)
          CORBA_flick_free(_data->_u.one.e.c._buffer);
        _data->_u.one.e.c._maximum = 0;
        _data->_u.one.e.c._release = 0;
        flick_khazana_encode_new_glob(28, _flick_abort19844);
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one.f.a.a, CORBA_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one.f.a.b, CORBA_double );
        flick_cdr_encode_signed16(8, _data->_u.one.f.a.c, CORBA_short );
        flick_cdr_encode_char8(10, _data->_u.one.f.b.a, CORBA_char );
        flick_cdr_encode_char8(11, _data->_u.one.f.b.b, CORBA_char );
        flick_cdr_encode_char8(12, _data->_u.one.f.b.c, CORBA_char );
        flick_cdr_encode_char8(13, _data->_u.one.f.b.d, CORBA_char );
        flick_cdr_encode_unsigned32(16, _data->_u.one.f.b.e._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(20);
        flick_khazana_encode_end_glob(28);
        for (_t3237_array_iter = 0; _t3237_array_iter < _data->_u.one.f.b.e._length; _t3237_array_iter++)
          {
            if (flick_marshal_stub_ta_td(_stream, _data->_u.one.f.b.e._buffer + _t3237_array_iter))
              goto _flick_abort19872;
            continue;
            {
            _flick_abort19872:
              goto _flick_abort19844;
            }
          }
        if (_data->_u.one.f.b.e._release)
          CORBA_flick_free(_data->_u.one.f.b.e._buffer);
        _data->_u.one.f.b.e._maximum = 0;
        _data->_u.one.f.b.e._release = 0;
        break;
        {
        _flick_abort19844:
          goto _flick_abort19645;
        }
      }
    case 2:
      {
        CORBA_unsigned_long _t3238_array_iter;
        CORBA_unsigned_long _t3242_array_iter;
        CORBA_unsigned_long _t3245_array_iter;

        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.two.a.a, CORBA_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_new_chunk_align(36, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.two.a.b, CORBA_double );
        flick_cdr_encode_signed16(8, _data->_u.two.a.c, CORBA_short );
        flick_cdr_encode_signed32(12, _data->_u.two.b.a.a, CORBA_long );
        flick_cdr_encode_float64(16, _data->_u.two.b.a.b, CORBA_double );
        flick_cdr_encode_signed16(24, _data->_u.two.b.a.c, CORBA_short );
        flick_cdr_encode_char8(26, _data->_u.two.b.b.a, CORBA_char );
        flick_cdr_encode_char8(27, _data->_u.two.b.b.b, CORBA_char );
        flick_cdr_encode_char8(28, _data->_u.two.b.b.c, CORBA_char );
        flick_cdr_encode_char8(29, _data->_u.two.b.b.d, CORBA_char );
        flick_cdr_encode_unsigned32(32, _data->_u.two.b.b.e._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(36);
        flick_khazana_encode_end_glob(52);
        for (_t3238_array_iter = 0; _t3238_array_iter < _data->_u.two.b.b.e._length; _t3238_array_iter++)
          {
            if (flick_marshal_stub_ta_td(_stream, _data->_u.two.b.b.e._buffer + _t3238_array_iter))
              goto _flick_abort19878;
            continue;
            {
            _flick_abort19878:
              goto _flick_abort19874;
            }
          }
        if (_data->_u.two.b.b.e._release)
          CORBA_flick_free(_data->_u.two.b.b.e._buffer);
        _data->_u.two.b.b.e._maximum = 0;
        _data->_u.two.b.b.e._release = 0;
        flick_khazana_encode_new_glob(4, _flick_abort19874);
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.two.c._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_end_glob(4);
        for (_t3242_array_iter = 0; _t3242_array_iter < _data->_u.two.c._length; _t3242_array_iter++)
          {
            CORBA_unsigned_long _t3244_array_iter;

            flick_khazana_encode_new_glob(28, _flick_abort19898);
            flick_khazana_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _data->_u.two.c._buffer[_t3242_array_iter].a.a, CORBA_long );
            flick_khazana_encode_end_chunk(4);
            flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
            flick_cdr_encode_float64(0, _data->_u.two.c._buffer[_t3242_array_iter].a.b, CORBA_double );
            flick_cdr_encode_signed16(8, _data->_u.two.c._buffer[_t3242_array_iter].a.c, CORBA_short );
            flick_cdr_encode_char8(10, _data->_u.two.c._buffer[_t3242_array_iter].b.a, CORBA_char );
            flick_cdr_encode_char8(11, _data->_u.two.c._buffer[_t3242_array_iter].b.b, CORBA_char );
            flick_cdr_encode_char8(12, _data->_u.two.c._buffer[_t3242_array_iter].b.c, CORBA_char );
            flick_cdr_encode_char8(13, _data->_u.two.c._buffer[_t3242_array_iter].b.d, CORBA_char );
            flick_cdr_encode_unsigned32(16, _data->_u.two.c._buffer[_t3242_array_iter].b.e._length, CORBA_unsigned_long );
            flick_khazana_encode_end_chunk(20);
            flick_khazana_encode_end_glob(28);
            for (_t3244_array_iter = 0; _t3244_array_iter < _data->_u.two.c._buffer[_t3242_array_iter].b.e._length; _t3244_array_iter++)
              {
                if (flick_marshal_stub_ta_td(_stream, _data->_u.two.c._buffer[_t3242_array_iter].b.e._buffer + _t3244_array_iter))
                  goto _flick_abort19908;
                continue;
                {
                _flick_abort19908:
                  goto _flick_abort19898;
                }
              }
            if (_data->_u.two.c._buffer[_t3242_array_iter].b.e._release)
              CORBA_flick_free(_data->_u.two.c._buffer[_t3242_array_iter].b.e._buffer);
            _data->_u.two.c._buffer[_t3242_array_iter].b.e._maximum = 0;
            _data->_u.two.c._buffer[_t3242_array_iter].b.e._release = 0;
            continue;
            {
            _flick_abort19898:
              goto _flick_abort19874;
            }
          }
        if (_data->_u.two.c._release)
          CORBA_flick_free(_data->_u.two.c._buffer);
        _data->_u.two.c._maximum = 0;
        _data->_u.two.c._release = 0;
        flick_khazana_encode_new_glob(4, _flick_abort19874);
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.two.d._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_end_glob(4);
        for (_t3245_array_iter = 0; _t3245_array_iter < _data->_u.two.d._length; _t3245_array_iter++)
          {
            if (flick_marshal_stub_tb(_stream, _data->_u.two.d._buffer + _t3245_array_iter))
              goto _flick_abort19913;
            continue;
            {
            _flick_abort19913:
              goto _flick_abort19874;
            }
          }
        if (_data->_u.two.d._release)
          CORBA_flick_free(_data->_u.two.d._buffer);
        _data->_u.two.d._maximum = 0;
        _data->_u.two.d._release = 0;
        break;
        {
        _flick_abort19874:
          goto _flick_abort19645;
        }
      }
    case 3:
      {
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.three._d, CORBA_enum );
        flick_khazana_encode_end_chunk(4);
        switch (_data->_u.three._d)
          {
          case 0:
            {
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.three._u.x, CORBA_long );
              flick_khazana_encode_end_chunk(4);
              flick_khazana_encode_end_glob(52);
              break;
            }
          case 1:
            {
              flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
              flick_cdr_encode_float64(0, _data->_u.three._u.y, CORBA_double );
              flick_khazana_encode_end_chunk(8);
              flick_khazana_encode_end_glob(52);
              break;
            }
          case 2:
            {
              flick_khazana_encode_new_chunk(1);
              flick_cdr_encode_unsigned8(0, _data->_u.three._u.z, CORBA_boolean );
              flick_khazana_encode_end_chunk(1);
              flick_khazana_encode_end_glob(52);
              break;
            }
          case 3:
            {
              CORBA_unsigned_long _t3256_array_iter;
              CORBA_unsigned_long _t3260_array_iter;
              CORBA_unsigned_long _t3263_array_iter;

              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.three._u.s.a.a, CORBA_long );
              flick_khazana_encode_end_chunk(4);
              flick_khazana_encode_new_chunk_align(36, 3, 2, 0);
              flick_cdr_encode_float64(0, _data->_u.three._u.s.a.b, CORBA_double );
              flick_cdr_encode_signed16(8, _data->_u.three._u.s.a.c, CORBA_short );
              flick_cdr_encode_signed32(12, _data->_u.three._u.s.b.a.a, CORBA_long );
              flick_cdr_encode_float64(16, _data->_u.three._u.s.b.a.b, CORBA_double );
              flick_cdr_encode_signed16(24, _data->_u.three._u.s.b.a.c, CORBA_short );
              flick_cdr_encode_char8(26, _data->_u.three._u.s.b.b.a, CORBA_char );
              flick_cdr_encode_char8(27, _data->_u.three._u.s.b.b.b, CORBA_char );
              flick_cdr_encode_char8(28, _data->_u.three._u.s.b.b.c, CORBA_char );
              flick_cdr_encode_char8(29, _data->_u.three._u.s.b.b.d, CORBA_char );
              flick_cdr_encode_unsigned32(32, _data->_u.three._u.s.b.b.e._length, CORBA_unsigned_long );
              flick_khazana_encode_end_chunk(36);
              flick_khazana_encode_end_glob(52);
              for (_t3256_array_iter = 0; _t3256_array_iter < _data->_u.three._u.s.b.b.e._length; _t3256_array_iter++)
                {
                  if (flick_marshal_stub_ta_td(_stream, _data->_u.three._u.s.b.b.e._buffer + _t3256_array_iter))
                    goto _flick_abort19983;
                  continue;
                  {
                  _flick_abort19983:
                    goto _flick_abort19979;
                  }
                }
              if (_data->_u.three._u.s.b.b.e._release)
                CORBA_flick_free(_data->_u.three._u.s.b.b.e._buffer);
              _data->_u.three._u.s.b.b.e._maximum = 0;
              _data->_u.three._u.s.b.b.e._release = 0;
              flick_khazana_encode_new_glob(4, _flick_abort19979);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _data->_u.three._u.s.c._length, CORBA_unsigned_long );
              flick_khazana_encode_end_chunk(4);
              flick_khazana_encode_end_glob(4);
              for (_t3260_array_iter = 0; _t3260_array_iter < _data->_u.three._u.s.c._length; _t3260_array_iter++)
                {
                  CORBA_unsigned_long _t3262_array_iter;

                  flick_khazana_encode_new_glob(28, _flick_abort20003);
                  flick_khazana_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.three._u.s.c._buffer[_t3260_array_iter].a.a, CORBA_long );
                  flick_khazana_encode_end_chunk(4);
                  flick_khazana_encode_new_chunk_align(20, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.three._u.s.c._buffer[_t3260_array_iter].a.b, CORBA_double );
                  flick_cdr_encode_signed16(8, _data->_u.three._u.s.c._buffer[_t3260_array_iter].a.c, CORBA_short );
                  flick_cdr_encode_char8(10, _data->_u.three._u.s.c._buffer[_t3260_array_iter].b.a, CORBA_char );
                  flick_cdr_encode_char8(11, _data->_u.three._u.s.c._buffer[_t3260_array_iter].b.b, CORBA_char );
                  flick_cdr_encode_char8(12, _data->_u.three._u.s.c._buffer[_t3260_array_iter].b.c, CORBA_char );
                  flick_cdr_encode_char8(13, _data->_u.three._u.s.c._buffer[_t3260_array_iter].b.d, CORBA_char );
                  flick_cdr_encode_unsigned32(16, _data->_u.three._u.s.c._buffer[_t3260_array_iter].b.e._length, CORBA_unsigned_long );
                  flick_khazana_encode_end_chunk(20);
                  flick_khazana_encode_end_glob(28);
                  for (_t3262_array_iter = 0; _t3262_array_iter < _data->_u.three._u.s.c._buffer[_t3260_array_iter].b.e._length; _t3262_array_iter++)
                    {
                      if (flick_marshal_stub_ta_td(_stream, _data->_u.three._u.s.c._buffer[_t3260_array_iter].b.e._buffer + _t3262_array_iter))
                        goto _flick_abort20013;
                      continue;
                      {
                      _flick_abort20013:
                        goto _flick_abort20003;
                      }
                    }
                  if (_data->_u.three._u.s.c._buffer[_t3260_array_iter].b.e._release)
                    CORBA_flick_free(_data->_u.three._u.s.c._buffer[_t3260_array_iter].b.e._buffer);
                  _data->_u.three._u.s.c._buffer[_t3260_array_iter].b.e._maximum = 0;
                  _data->_u.three._u.s.c._buffer[_t3260_array_iter].b.e._release = 0;
                  continue;
                  {
                  _flick_abort20003:
                    goto _flick_abort19979;
                  }
                }
              if (_data->_u.three._u.s.c._release)
                CORBA_flick_free(_data->_u.three._u.s.c._buffer);
              _data->_u.three._u.s.c._maximum = 0;
              _data->_u.three._u.s.c._release = 0;
              flick_khazana_encode_new_glob(4, _flick_abort19979);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _data->_u.three._u.s.d._length, CORBA_unsigned_long );
              flick_khazana_encode_end_chunk(4);
              flick_khazana_encode_end_glob(4);
              for (_t3263_array_iter = 0; _t3263_array_iter < _data->_u.three._u.s.d._length; _t3263_array_iter++)
                {
                  if (flick_marshal_stub_tb(_stream, _data->_u.three._u.s.d._buffer + _t3263_array_iter))
                    goto _flick_abort20018;
                  continue;
                  {
                  _flick_abort20018:
                    goto _flick_abort19979;
                  }
                }
              if (_data->_u.three._u.s.d._release)
                CORBA_flick_free(_data->_u.three._u.s.d._buffer);
              _data->_u.three._u.s.d._maximum = 0;
              _data->_u.three._u.s.d._release = 0;
              break;
              {
              _flick_abort19979:
                goto _flick_abort19915;
              }
            }
          case 4:
            {
              flick_khazana_encode_new_chunk(1);
              flick_cdr_encode_unsigned8(0, _data->_u.three._u.u._d, CORBA_boolean );
              flick_khazana_encode_end_chunk(1);
              switch (_data->_u.three._u.u._d)
                {
                case 1:
                  {
                    CORBA_unsigned_long _t3265_array_iter;

                    flick_khazana_encode_new_chunk(7);
                    flick_cdr_encode_unsigned32(3, _data->_u.three._u.u._u.next._length, CORBA_unsigned_long );
                    flick_khazana_encode_end_chunk(7);
                    flick_khazana_encode_end_glob(52);
                    if (_data->_u.three._u.u._u.next._length > 1)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort20028);
                    for (_t3265_array_iter = 0; _t3265_array_iter < _data->_u.three._u.u._u.next._length; _t3265_array_iter++)
                      {
                        if (flick_marshal_stub_td(_stream, _data->_u.three._u.u._u.next._buffer + _t3265_array_iter))
                          goto _flick_abort20031;
                        continue;
                        {
                        _flick_abort20031:
                          goto _flick_abort20028;
                        }
                      }
                    if (_data->_u.three._u.u._u.next._release)
                      CORBA_flick_free(_data->_u.three._u.u._u.next._buffer);
                    _data->_u.three._u.u._u.next._maximum = 0;
                    _data->_u.three._u.u._u.next._release = 0;
                    break;
                    {
                    _flick_abort20028:
                      goto _flick_abort20020;
                    }
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(52);
                    break;
                  }
                }
              break;
              {
              _flick_abort20020:
                goto _flick_abort19915;
              }
            }
          default:
            {
              flick_khazana_encode_end_glob(52);
              break;
            }
          }
        break;
        {
        _flick_abort19915:
          goto _flick_abort19645;
        }
      }
    default:
      {
        CORBA_unsigned_long _t3266_array_iter;

        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.again._length, CORBA_unsigned_long );
        flick_khazana_encode_end_chunk(4);
        flick_khazana_encode_end_glob(52);
        for (_t3266_array_iter = 0; _t3266_array_iter < _data->_u.again._length; _t3266_array_iter++)
          {
            if (flick_marshal_stub_td(_stream, _data->_u.again._buffer + _t3266_array_iter))
              goto _flick_abort20039;
            continue;
            {
            _flick_abort20039:
              goto _flick_abort20035;
            }
          }
        if (_data->_u.again._release)
          CORBA_flick_free(_data->_u.again._buffer);
        _data->_u.again._maximum = 0;
        _data->_u.again._release = 0;
        break;
        {
        _flick_abort20035:
          goto _flick_abort19645;
        }
      }
    }
  return 0;
  {
  _flick_abort19645:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td(flick_marshal_stream_t _stream, struct td *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(52);
  flick_khazana_check_span(8, _flick_abort20041);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t3303_temp_string_len;
        CORBA_unsigned_long _t3304_array_iter;
        CORBA_unsigned_long _t3305_array_iter;
        CORBA_unsigned_long _t3306_array_iter;
        flick_unsigned32_t _t3307_temp_string_len;
        CORBA_unsigned_long _t3308_array_iter;
        CORBA_unsigned_long _t3309_array_iter;

        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.one.a.a, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_new_chunk_align(16, 3, 2, 0);
        flick_khazana_check_span(16, _flick_abort20298);
        flick_cdr_decode_float64(0, _data->_u.one.a.b, CORBA_double );
        flick_cdr_decode_signed16(8, _data->_u.one.a.c, CORBA_short );
        flick_cdr_decode_char8(10, _data->_u.one.b.a, CORBA_char );
        flick_cdr_decode_unsigned32(12, _t3303_temp_string_len, flick_unsigned32_t );
        flick_khazana_decode_end_chunk(16);
        flick_khazana_decode_end_glob(52);
        flick_khazana_decode_new_glob(1 * _t3303_temp_string_len);
        flick_khazana_check_span(1 * _t3303_temp_string_len, _flick_abort20298);
        flick_khazana_decode_new_chunk(1 * _t3303_temp_string_len);
        {
          CORBA_char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t3303_temp_string_len * sizeof(CORBA_char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20298);
          _data->_u.one.b.b = _t_alloc_ptr;
        }
        flick_cdr_decode_bcopy(0, _data->_u.one.b.b, 1 * _t3303_temp_string_len);
        flick_khazana_decode_end_chunk(1 * _t3303_temp_string_len);
        flick_khazana_decode_end_glob(1 * _t3303_temp_string_len);
        flick_khazana_decode_new_glob(7);
        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
        flick_khazana_check_span(4, _flick_abort20301);
        flick_cdr_decode_unsigned32(0, _data->_u.one.b.c._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(7);
        {
          struct ta_tc *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.one.b.c._length * sizeof(struct ta_tc )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20301);
          _data->_u.one.b.c._buffer = _t_alloc_ptr;
          _data->_u.one.b.c._maximum = _data->_u.one.b.c._length;
          _data->_u.one.b.c._release = 1;
        }
        for (_t3304_array_iter = 0; _t3304_array_iter < _data->_u.one.b.c._length; _t3304_array_iter++)
          {
            if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.one.b.c._buffer + _t3304_array_iter))
              goto _flick_abort20306;
            continue;
            {
            _flick_abort20306:
              goto _flick_abort20305;
            }
          }
        flick_khazana_decode_new_glob(28);
        flick_khazana_check_span(4, _flick_abort20305);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.one.c.a.a, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
        flick_khazana_check_span(20, _flick_abort20305);
        flick_cdr_decode_float64(0, _data->_u.one.c.a.b, CORBA_double );
        flick_cdr_decode_signed16(8, _data->_u.one.c.a.c, CORBA_short );
        flick_cdr_decode_char8(10, _data->_u.one.c.b.a, CORBA_char );
        flick_cdr_decode_char8(11, _data->_u.one.c.b.b, CORBA_char );
        flick_cdr_decode_char8(12, _data->_u.one.c.b.c, CORBA_char );
        flick_cdr_decode_char8(13, _data->_u.one.c.b.d, CORBA_char );
        flick_cdr_decode_unsigned32(16, _data->_u.one.c.b.e._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(20);
        flick_khazana_decode_end_glob(28);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.one.c.b.e._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20305);
          _data->_u.one.c.b.e._buffer = _t_alloc_ptr;
          _data->_u.one.c.b.e._maximum = _data->_u.one.c.b.e._length;
          _data->_u.one.c.b.e._release = 1;
        }
        for (_t3305_array_iter = 0; _t3305_array_iter < _data->_u.one.c.b.e._length; _t3305_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.one.c.b.e._buffer + _t3305_array_iter))
              goto _flick_abort20312;
            continue;
            {
            _flick_abort20312:
              goto _flick_abort20311;
            }
          }
        flick_khazana_decode_new_glob(4);
        flick_khazana_check_span(4, _flick_abort20311);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.one.next._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(4);
        {
          struct ta *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_data->_u.one.next._length * sizeof(struct ta )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20311);
          _data->_u.one.next._buffer = _t_alloc_ptr;
          _data->_u.one.next._maximum = _data->_u.one.next._length;
          _data->_u.one.next._release = 1;
        }
        for (_t3306_array_iter = 0; _t3306_array_iter < _data->_u.one.next._length; _t3306_array_iter++)
          {
            if (flick_unmarshal_stub_ta(_stream, _data->_u.one.next._buffer + _t3306_array_iter))
              goto _flick_abort20318;
            continue;
            {
            _flick_abort20318:
              goto _flick_abort20317;
            }
          }
        flick_khazana_decode_new_glob(24);
        flick_khazana_check_span(24, _flick_abort20317);
        flick_khazana_decode_new_chunk(24);
        flick_cdr_decode_signed32(0, _data->_u.one.d.a, CORBA_long );
        flick_cdr_decode_float64(8, _data->_u.one.d.b, CORBA_double );
        flick_cdr_decode_signed16(16, _data->_u.one.d.c, CORBA_short );
        flick_cdr_decode_char8(18, _data->_u.one.e.a, CORBA_char );
        flick_cdr_decode_unsigned32(20, _t3307_temp_string_len, flick_unsigned32_t );
        flick_khazana_decode_end_chunk(24);
        flick_khazana_decode_end_glob(24);
        flick_khazana_decode_new_glob(1 * _t3307_temp_string_len);
        flick_khazana_check_span(1 * _t3307_temp_string_len, _flick_abort20317);
        flick_khazana_decode_new_chunk(1 * _t3307_temp_string_len);
        {
          CORBA_char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t3307_temp_string_len * sizeof(CORBA_char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20317);
          _data->_u.one.e.b = _t_alloc_ptr;
        }
        flick_cdr_decode_bcopy(0, _data->_u.one.e.b, 1 * _t3307_temp_string_len);
        flick_khazana_decode_end_chunk(1 * _t3307_temp_string_len);
        flick_khazana_decode_end_glob(1 * _t3307_temp_string_len);
        flick_khazana_decode_new_glob(7);
        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
        flick_khazana_check_span(4, _flick_abort20322);
        flick_cdr_decode_unsigned32(0, _data->_u.one.e.c._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(7);
        {
          struct ta_tc *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.one.e.c._length * sizeof(struct ta_tc )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20322);
          _data->_u.one.e.c._buffer = _t_alloc_ptr;
          _data->_u.one.e.c._maximum = _data->_u.one.e.c._length;
          _data->_u.one.e.c._release = 1;
        }
        for (_t3308_array_iter = 0; _t3308_array_iter < _data->_u.one.e.c._length; _t3308_array_iter++)
          {
            if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.one.e.c._buffer + _t3308_array_iter))
              goto _flick_abort20327;
            continue;
            {
            _flick_abort20327:
              goto _flick_abort20326;
            }
          }
        flick_khazana_decode_new_glob(28);
        flick_khazana_check_span(4, _flick_abort20326);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.one.f.a.a, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
        flick_khazana_check_span(20, _flick_abort20326);
        flick_cdr_decode_float64(0, _data->_u.one.f.a.b, CORBA_double );
        flick_cdr_decode_signed16(8, _data->_u.one.f.a.c, CORBA_short );
        flick_cdr_decode_char8(10, _data->_u.one.f.b.a, CORBA_char );
        flick_cdr_decode_char8(11, _data->_u.one.f.b.b, CORBA_char );
        flick_cdr_decode_char8(12, _data->_u.one.f.b.c, CORBA_char );
        flick_cdr_decode_char8(13, _data->_u.one.f.b.d, CORBA_char );
        flick_cdr_decode_unsigned32(16, _data->_u.one.f.b.e._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(20);
        flick_khazana_decode_end_glob(28);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.one.f.b.e._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20326);
          _data->_u.one.f.b.e._buffer = _t_alloc_ptr;
          _data->_u.one.f.b.e._maximum = _data->_u.one.f.b.e._length;
          _data->_u.one.f.b.e._release = 1;
        }
        for (_t3309_array_iter = 0; _t3309_array_iter < _data->_u.one.f.b.e._length; _t3309_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.one.f.b.e._buffer + _t3309_array_iter))
              goto _flick_abort20333;
            continue;
            {
            _flick_abort20333:
              goto _flick_abort20332;
            }
          }
        break;
        {
        _flick_abort20332:
          CORBA_flick_free(_data->_u.one.f.b.e._buffer);
        _flick_abort20326:
          CORBA_flick_free(_data->_u.one.e.c._buffer);
        _flick_abort20322:
          CORBA_flick_free(_data->_u.one.e.b);
        _flick_abort20317:
          CORBA_flick_free(_data->_u.one.next._buffer);
        _flick_abort20311:
          CORBA_flick_free(_data->_u.one.c.b.e._buffer);
        _flick_abort20305:
          CORBA_flick_free(_data->_u.one.b.c._buffer);
        _flick_abort20301:
          CORBA_flick_free(_data->_u.one.b.b);
        _flick_abort20298:
          goto _flick_abort20041;
        }
      }
    case 2:
      {
        CORBA_unsigned_long _t3310_array_iter;
        CORBA_unsigned_long _t3314_array_iter;
        CORBA_unsigned_long _t3317_array_iter;

        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.two.a.a, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
        flick_khazana_check_span(36, _flick_abort20335);
        flick_cdr_decode_float64(0, _data->_u.two.a.b, CORBA_double );
        flick_cdr_decode_signed16(8, _data->_u.two.a.c, CORBA_short );
        flick_cdr_decode_signed32(12, _data->_u.two.b.a.a, CORBA_long );
        flick_cdr_decode_float64(16, _data->_u.two.b.a.b, CORBA_double );
        flick_cdr_decode_signed16(24, _data->_u.two.b.a.c, CORBA_short );
        flick_cdr_decode_char8(26, _data->_u.two.b.b.a, CORBA_char );
        flick_cdr_decode_char8(27, _data->_u.two.b.b.b, CORBA_char );
        flick_cdr_decode_char8(28, _data->_u.two.b.b.c, CORBA_char );
        flick_cdr_decode_char8(29, _data->_u.two.b.b.d, CORBA_char );
        flick_cdr_decode_unsigned32(32, _data->_u.two.b.b.e._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(36);
        flick_khazana_decode_end_glob(52);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.two.b.b.e._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20335);
          _data->_u.two.b.b.e._buffer = _t_alloc_ptr;
          _data->_u.two.b.b.e._maximum = _data->_u.two.b.b.e._length;
          _data->_u.two.b.b.e._release = 1;
        }
        for (_t3310_array_iter = 0; _t3310_array_iter < _data->_u.two.b.b.e._length; _t3310_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.two.b.b.e._buffer + _t3310_array_iter))
              goto _flick_abort20340;
            continue;
            {
            _flick_abort20340:
              goto _flick_abort20339;
            }
          }
        flick_khazana_decode_new_glob(4);
        flick_khazana_check_span(4, _flick_abort20339);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.two.c._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(4);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.two.c._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20339);
          _data->_u.two.c._buffer = _t_alloc_ptr;
          _data->_u.two.c._maximum = _data->_u.two.c._length;
          _data->_u.two.c._release = 1;
        }
        for (_t3314_array_iter = 0; _t3314_array_iter < _data->_u.two.c._length; _t3314_array_iter++)
          {
            CORBA_unsigned_long _t3316_array_iter;

            flick_khazana_decode_new_glob(28);
            flick_khazana_check_span(4, _flick_abort20364);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _data->_u.two.c._buffer[_t3314_array_iter].a.a, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
            flick_khazana_check_span(20, _flick_abort20364);
            flick_cdr_decode_float64(0, _data->_u.two.c._buffer[_t3314_array_iter].a.b, CORBA_double );
            flick_cdr_decode_signed16(8, _data->_u.two.c._buffer[_t3314_array_iter].a.c, CORBA_short );
            flick_cdr_decode_char8(10, _data->_u.two.c._buffer[_t3314_array_iter].b.a, CORBA_char );
            flick_cdr_decode_char8(11, _data->_u.two.c._buffer[_t3314_array_iter].b.b, CORBA_char );
            flick_cdr_decode_char8(12, _data->_u.two.c._buffer[_t3314_array_iter].b.c, CORBA_char );
            flick_cdr_decode_char8(13, _data->_u.two.c._buffer[_t3314_array_iter].b.d, CORBA_char );
            flick_cdr_decode_unsigned32(16, _data->_u.two.c._buffer[_t3314_array_iter].b.e._length, CORBA_unsigned_long );
            flick_khazana_decode_end_chunk(20);
            flick_khazana_decode_end_glob(28);
            {
              struct ta_td *_t_alloc_ptr;

              _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.two.c._buffer[_t3314_array_iter].b.e._length * sizeof(struct ta_td )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20364);
              _data->_u.two.c._buffer[_t3314_array_iter].b.e._buffer = _t_alloc_ptr;
              _data->_u.two.c._buffer[_t3314_array_iter].b.e._maximum = _data->_u.two.c._buffer[_t3314_array_iter].b.e._length;
              _data->_u.two.c._buffer[_t3314_array_iter].b.e._release = 1;
            }
            for (_t3316_array_iter = 0; _t3316_array_iter < _data->_u.two.c._buffer[_t3314_array_iter].b.e._length; _t3316_array_iter++)
              {
                if (flick_unmarshal_stub_ta_td(_stream, _data->_u.two.c._buffer[_t3314_array_iter].b.e._buffer + _t3316_array_iter))
                  goto _flick_abort20376;
                continue;
                {
                _flick_abort20376:
                  goto _flick_abort20375;
                }
              }
            continue;
          _flick_abort_block20894:
            {
              _t3314_array_iter = _data->_u.two.c._length;
            _flick_abort20380:
              _t3314_array_iter--;
            _flick_abort20375:
              CORBA_flick_free(_data->_u.two.c._buffer[_t3314_array_iter].b.e._buffer);
            _flick_abort20364:
              if ((unsigned int )_t3314_array_iter > 0)
                goto _flick_abort20380;
              goto _flick_abort20363;
            }
          }
        flick_khazana_decode_new_glob(4);
        flick_khazana_check_span(4, _flick_abort20382);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.two.d._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(4);
        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.two.d._length * sizeof(struct tb )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20382);
          _data->_u.two.d._buffer = _t_alloc_ptr;
          _data->_u.two.d._maximum = _data->_u.two.d._length;
          _data->_u.two.d._release = 1;
        }
        for (_t3317_array_iter = 0; _t3317_array_iter < _data->_u.two.d._length; _t3317_array_iter++)
          {
            if (flick_unmarshal_stub_tb(_stream, _data->_u.two.d._buffer + _t3317_array_iter))
              goto _flick_abort20387;
            continue;
            {
            _flick_abort20387:
              goto _flick_abort20386;
            }
          }
        break;
        {
        _flick_abort20386:
          CORBA_flick_free(_data->_u.two.d._buffer);
        _flick_abort20382:
          goto _flick_abort_block20894;
        _flick_abort20363:
          CORBA_flick_free(_data->_u.two.c._buffer);
        _flick_abort20339:
          CORBA_flick_free(_data->_u.two.b.b.e._buffer);
        _flick_abort20335:
          goto _flick_abort20041;
        }
      }
    case 3:
      {
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.three._d, CORBA_enum );
        flick_khazana_decode_end_chunk(4);
        switch (_data->_u.three._d)
          {
          case 0:
            {
              flick_khazana_check_span(4, _flick_abort20468);
              flick_khazana_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->_u.three._u.x, CORBA_long );
              flick_khazana_decode_end_chunk(4);
              flick_khazana_decode_end_glob(52);
              break;
              {
              _flick_abort20468:
                goto _flick_abort20389;
              }
            }
          case 1:
            {
              flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
              flick_khazana_check_span(8, _flick_abort20469);
              flick_cdr_decode_float64(0, _data->_u.three._u.y, CORBA_double );
              flick_khazana_decode_end_chunk(8);
              flick_khazana_decode_end_glob(52);
              break;
              {
              _flick_abort20469:
                goto _flick_abort20389;
              }
            }
          case 2:
            {
              flick_khazana_check_span(1, _flick_abort20470);
              flick_khazana_decode_new_chunk(1);
              flick_cdr_decode_unsigned8(0, _data->_u.three._u.z, CORBA_boolean );
              flick_khazana_decode_end_chunk(1);
              flick_khazana_decode_end_glob(52);
              break;
              {
              _flick_abort20470:
                goto _flick_abort20389;
              }
            }
          case 3:
            {
              CORBA_unsigned_long _t3328_array_iter;
              CORBA_unsigned_long _t3332_array_iter;
              CORBA_unsigned_long _t3335_array_iter;

              flick_khazana_check_span(4, _flick_abort20471);
              flick_khazana_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->_u.three._u.s.a.a, CORBA_long );
              flick_khazana_decode_end_chunk(4);
              flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
              flick_khazana_check_span(36, _flick_abort20471);
              flick_cdr_decode_float64(0, _data->_u.three._u.s.a.b, CORBA_double );
              flick_cdr_decode_signed16(8, _data->_u.three._u.s.a.c, CORBA_short );
              flick_cdr_decode_signed32(12, _data->_u.three._u.s.b.a.a, CORBA_long );
              flick_cdr_decode_float64(16, _data->_u.three._u.s.b.a.b, CORBA_double );
              flick_cdr_decode_signed16(24, _data->_u.three._u.s.b.a.c, CORBA_short );
              flick_cdr_decode_char8(26, _data->_u.three._u.s.b.b.a, CORBA_char );
              flick_cdr_decode_char8(27, _data->_u.three._u.s.b.b.b, CORBA_char );
              flick_cdr_decode_char8(28, _data->_u.three._u.s.b.b.c, CORBA_char );
              flick_cdr_decode_char8(29, _data->_u.three._u.s.b.b.d, CORBA_char );
              flick_cdr_decode_unsigned32(32, _data->_u.three._u.s.b.b.e._length, CORBA_unsigned_long );
              flick_khazana_decode_end_chunk(36);
              flick_khazana_decode_end_glob(52);
              {
                struct ta_td *_t_alloc_ptr;

                _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.three._u.s.b.b.e._length * sizeof(struct ta_td )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20471);
                _data->_u.three._u.s.b.b.e._buffer = _t_alloc_ptr;
                _data->_u.three._u.s.b.b.e._maximum = _data->_u.three._u.s.b.b.e._length;
                _data->_u.three._u.s.b.b.e._release = 1;
              }
              for (_t3328_array_iter = 0; _t3328_array_iter < _data->_u.three._u.s.b.b.e._length; _t3328_array_iter++)
                {
                  if (flick_unmarshal_stub_ta_td(_stream, _data->_u.three._u.s.b.b.e._buffer + _t3328_array_iter))
                    goto _flick_abort20476;
                  continue;
                  {
                  _flick_abort20476:
                    goto _flick_abort20475;
                  }
                }
              flick_khazana_decode_new_glob(4);
              flick_khazana_check_span(4, _flick_abort20475);
              flick_khazana_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _data->_u.three._u.s.c._length, CORBA_unsigned_long );
              flick_khazana_decode_end_chunk(4);
              flick_khazana_decode_end_glob(4);
              {
                struct ta_td *_t_alloc_ptr;

                _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.three._u.s.c._length * sizeof(struct ta_td )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20475);
                _data->_u.three._u.s.c._buffer = _t_alloc_ptr;
                _data->_u.three._u.s.c._maximum = _data->_u.three._u.s.c._length;
                _data->_u.three._u.s.c._release = 1;
              }
              for (_t3332_array_iter = 0; _t3332_array_iter < _data->_u.three._u.s.c._length; _t3332_array_iter++)
                {
                  CORBA_unsigned_long _t3334_array_iter;

                  flick_khazana_decode_new_glob(28);
                  flick_khazana_check_span(4, _flick_abort20500);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.three._u.s.c._buffer[_t3332_array_iter].a.a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                  flick_khazana_check_span(20, _flick_abort20500);
                  flick_cdr_decode_float64(0, _data->_u.three._u.s.c._buffer[_t3332_array_iter].a.b, CORBA_double );
                  flick_cdr_decode_signed16(8, _data->_u.three._u.s.c._buffer[_t3332_array_iter].a.c, CORBA_short );
                  flick_cdr_decode_char8(10, _data->_u.three._u.s.c._buffer[_t3332_array_iter].b.a, CORBA_char );
                  flick_cdr_decode_char8(11, _data->_u.three._u.s.c._buffer[_t3332_array_iter].b.b, CORBA_char );
                  flick_cdr_decode_char8(12, _data->_u.three._u.s.c._buffer[_t3332_array_iter].b.c, CORBA_char );
                  flick_cdr_decode_char8(13, _data->_u.three._u.s.c._buffer[_t3332_array_iter].b.d, CORBA_char );
                  flick_cdr_decode_unsigned32(16, _data->_u.three._u.s.c._buffer[_t3332_array_iter].b.e._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(20);
                  flick_khazana_decode_end_glob(28);
                  {
                    struct ta_td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.three._u.s.c._buffer[_t3332_array_iter].b.e._length * sizeof(struct ta_td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20500);
                    _data->_u.three._u.s.c._buffer[_t3332_array_iter].b.e._buffer = _t_alloc_ptr;
                    _data->_u.three._u.s.c._buffer[_t3332_array_iter].b.e._maximum = _data->_u.three._u.s.c._buffer[_t3332_array_iter].b.e._length;
                    _data->_u.three._u.s.c._buffer[_t3332_array_iter].b.e._release = 1;
                  }
                  for (_t3334_array_iter = 0; _t3334_array_iter < _data->_u.three._u.s.c._buffer[_t3332_array_iter].b.e._length; _t3334_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td(_stream, _data->_u.three._u.s.c._buffer[_t3332_array_iter].b.e._buffer + _t3334_array_iter))
                        goto _flick_abort20512;
                      continue;
                      {
                      _flick_abort20512:
                        goto _flick_abort20511;
                      }
                    }
                  continue;
                _flick_abort_block21023:
                  {
                    _t3332_array_iter = _data->_u.three._u.s.c._length;
                  _flick_abort20516:
                    _t3332_array_iter--;
                  _flick_abort20511:
                    CORBA_flick_free(_data->_u.three._u.s.c._buffer[_t3332_array_iter].b.e._buffer);
                  _flick_abort20500:
                    if ((unsigned int )_t3332_array_iter > 0)
                      goto _flick_abort20516;
                    goto _flick_abort20499;
                  }
                }
              flick_khazana_decode_new_glob(4);
              flick_khazana_check_span(4, _flick_abort20518);
              flick_khazana_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _data->_u.three._u.s.d._length, CORBA_unsigned_long );
              flick_khazana_decode_end_chunk(4);
              flick_khazana_decode_end_glob(4);
              {
                struct tb *_t_alloc_ptr;

                _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.three._u.s.d._length * sizeof(struct tb )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20518);
                _data->_u.three._u.s.d._buffer = _t_alloc_ptr;
                _data->_u.three._u.s.d._maximum = _data->_u.three._u.s.d._length;
                _data->_u.three._u.s.d._release = 1;
              }
              for (_t3335_array_iter = 0; _t3335_array_iter < _data->_u.three._u.s.d._length; _t3335_array_iter++)
                {
                  if (flick_unmarshal_stub_tb(_stream, _data->_u.three._u.s.d._buffer + _t3335_array_iter))
                    goto _flick_abort20523;
                  continue;
                  {
                  _flick_abort20523:
                    goto _flick_abort20522;
                  }
                }
              break;
              {
              _flick_abort20522:
                CORBA_flick_free(_data->_u.three._u.s.d._buffer);
              _flick_abort20518:
                goto _flick_abort_block21023;
              _flick_abort20499:
                CORBA_flick_free(_data->_u.three._u.s.c._buffer);
              _flick_abort20475:
                CORBA_flick_free(_data->_u.three._u.s.b.b.e._buffer);
              _flick_abort20471:
                goto _flick_abort20389;
              }
            }
          case 4:
            {
              flick_khazana_check_span(8, _flick_abort20525);
              flick_khazana_decode_new_chunk(1);
              flick_cdr_decode_unsigned8(0, _data->_u.three._u.u._d, CORBA_boolean );
              flick_khazana_decode_end_chunk(1);
              switch (_data->_u.three._u.u._d)
                {
                case 1:
                  {
                    CORBA_unsigned_long _t3337_array_iter;

                    flick_khazana_decode_new_chunk(7);
                    flick_cdr_decode_unsigned32(3, _data->_u.three._u.u._u.next._length, CORBA_unsigned_long );
                    flick_khazana_decode_end_chunk(7);
                    flick_khazana_decode_end_glob(52);
                    if (_data->_u.three._u.u._u.next._length > 1)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort20535);
                    {
                      struct td *_t_alloc_ptr;

                      _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(sizeof(struct td )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20535);
                      _data->_u.three._u.u._u.next._buffer = _t_alloc_ptr;
                      _data->_u.three._u.u._u.next._maximum = 1;
                      _data->_u.three._u.u._u.next._release = 1;
                    }
                    for (_t3337_array_iter = 0; _t3337_array_iter < _data->_u.three._u.u._u.next._length; _t3337_array_iter++)
                      {
                        if (flick_unmarshal_stub_td(_stream, _data->_u.three._u.u._u.next._buffer + _t3337_array_iter))
                          goto _flick_abort20539;
                        continue;
                        {
                        _flick_abort20539:
                          goto _flick_abort20538;
                        }
                      }
                    break;
                    {
                    _flick_abort20538:
                      CORBA_flick_free(_data->_u.three._u.u._u.next._buffer);
                    _flick_abort20535:
                      goto _flick_abort20525;
                    }
                  }
                default:
                  {
                    flick_khazana_decode_end_glob(52);
                    break;
                  }
                }
              break;
              {
              _flick_abort20525:
                goto _flick_abort20389;
              }
            }
          default:
            {
              flick_khazana_decode_end_glob(52);
              break;
            }
          }
        break;
        {
        _flick_abort20389:
          goto _flick_abort20041;
        }
      }
    default:
      {
        CORBA_unsigned_long _t3338_array_iter;

        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.again._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(52);
        {
          struct td *_t_alloc_ptr;

          _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(_data->_u.again._length * sizeof(struct td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20545);
          _data->_u.again._buffer = _t_alloc_ptr;
          _data->_u.again._maximum = _data->_u.again._length;
          _data->_u.again._release = 1;
        }
        for (_t3338_array_iter = 0; _t3338_array_iter < _data->_u.again._length; _t3338_array_iter++)
          {
            if (flick_unmarshal_stub_td(_stream, _data->_u.again._buffer + _t3338_array_iter))
              goto _flick_abort20550;
            continue;
            {
            _flick_abort20550:
              goto _flick_abort20549;
            }
          }
        break;
        {
        _flick_abort20549:
          CORBA_flick_free(_data->_u.again._buffer);
        _flick_abort20545:
          goto _flick_abort20041;
        }
      }
    }
  return 0;
  {
  _flick_abort20041:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td_swap(flick_marshal_stream_t _stream, struct td *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(52);
  flick_khazana_check_span(8, _flick_abort20553);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t3375_temp_string_len;
        CORBA_unsigned_long _t3376_array_iter;
        CORBA_unsigned_long _t3377_array_iter;
        CORBA_unsigned_long _t3378_array_iter;
        flick_unsigned32_t _t3379_temp_string_len;
        CORBA_unsigned_long _t3380_array_iter;
        CORBA_unsigned_long _t3381_array_iter;

        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.one.a.a, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_new_chunk_align(16, 3, 2, 0);
        flick_khazana_check_span(16, _flick_abort20810);
        flick_cdr_swap_decode_float64(0, _data->_u.one.a.b, CORBA_double );
        flick_cdr_swap_decode_signed16(8, _data->_u.one.a.c, CORBA_short );
        flick_cdr_swap_decode_char8(10, _data->_u.one.b.a, CORBA_char );
        flick_cdr_swap_decode_unsigned32(12, _t3375_temp_string_len, flick_unsigned32_t );
        flick_khazana_decode_end_chunk(16);
        flick_khazana_decode_end_glob(52);
        flick_khazana_decode_new_glob(1 * _t3375_temp_string_len);
        flick_khazana_check_span(1 * _t3375_temp_string_len, _flick_abort20810);
        flick_khazana_decode_new_chunk(1 * _t3375_temp_string_len);
        {
          CORBA_char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t3375_temp_string_len * sizeof(CORBA_char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20810);
          _data->_u.one.b.b = _t_alloc_ptr;
        }
        flick_cdr_swap_decode_bcopy(0, _data->_u.one.b.b, 1 * _t3375_temp_string_len);
        flick_khazana_decode_end_chunk(1 * _t3375_temp_string_len);
        flick_khazana_decode_end_glob(1 * _t3375_temp_string_len);
        flick_khazana_decode_new_glob(7);
        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
        flick_khazana_check_span(4, _flick_abort20813);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.one.b.c._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(7);
        {
          struct ta_tc *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.one.b.c._length * sizeof(struct ta_tc )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20813);
          _data->_u.one.b.c._buffer = _t_alloc_ptr;
          _data->_u.one.b.c._maximum = _data->_u.one.b.c._length;
          _data->_u.one.b.c._release = 1;
        }
        for (_t3376_array_iter = 0; _t3376_array_iter < _data->_u.one.b.c._length; _t3376_array_iter++)
          {
            if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.one.b.c._buffer + _t3376_array_iter))
              goto _flick_abort20818;
            continue;
            {
            _flick_abort20818:
              goto _flick_abort20817;
            }
          }
        flick_khazana_decode_new_glob(28);
        flick_khazana_check_span(4, _flick_abort20817);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.one.c.a.a, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
        flick_khazana_check_span(20, _flick_abort20817);
        flick_cdr_swap_decode_float64(0, _data->_u.one.c.a.b, CORBA_double );
        flick_cdr_swap_decode_signed16(8, _data->_u.one.c.a.c, CORBA_short );
        flick_cdr_swap_decode_char8(10, _data->_u.one.c.b.a, CORBA_char );
        flick_cdr_swap_decode_char8(11, _data->_u.one.c.b.b, CORBA_char );
        flick_cdr_swap_decode_char8(12, _data->_u.one.c.b.c, CORBA_char );
        flick_cdr_swap_decode_char8(13, _data->_u.one.c.b.d, CORBA_char );
        flick_cdr_swap_decode_unsigned32(16, _data->_u.one.c.b.e._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(20);
        flick_khazana_decode_end_glob(28);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.one.c.b.e._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20817);
          _data->_u.one.c.b.e._buffer = _t_alloc_ptr;
          _data->_u.one.c.b.e._maximum = _data->_u.one.c.b.e._length;
          _data->_u.one.c.b.e._release = 1;
        }
        for (_t3377_array_iter = 0; _t3377_array_iter < _data->_u.one.c.b.e._length; _t3377_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.one.c.b.e._buffer + _t3377_array_iter))
              goto _flick_abort20824;
            continue;
            {
            _flick_abort20824:
              goto _flick_abort20823;
            }
          }
        flick_khazana_decode_new_glob(4);
        flick_khazana_check_span(4, _flick_abort20823);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.one.next._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(4);
        {
          struct ta *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_data->_u.one.next._length * sizeof(struct ta )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20823);
          _data->_u.one.next._buffer = _t_alloc_ptr;
          _data->_u.one.next._maximum = _data->_u.one.next._length;
          _data->_u.one.next._release = 1;
        }
        for (_t3378_array_iter = 0; _t3378_array_iter < _data->_u.one.next._length; _t3378_array_iter++)
          {
            if (flick_unmarshal_stub_ta_swap(_stream, _data->_u.one.next._buffer + _t3378_array_iter))
              goto _flick_abort20830;
            continue;
            {
            _flick_abort20830:
              goto _flick_abort20829;
            }
          }
        flick_khazana_decode_new_glob(24);
        flick_khazana_check_span(24, _flick_abort20829);
        flick_khazana_decode_new_chunk(24);
        flick_cdr_swap_decode_signed32(0, _data->_u.one.d.a, CORBA_long );
        flick_cdr_swap_decode_float64(8, _data->_u.one.d.b, CORBA_double );
        flick_cdr_swap_decode_signed16(16, _data->_u.one.d.c, CORBA_short );
        flick_cdr_swap_decode_char8(18, _data->_u.one.e.a, CORBA_char );
        flick_cdr_swap_decode_unsigned32(20, _t3379_temp_string_len, flick_unsigned32_t );
        flick_khazana_decode_end_chunk(24);
        flick_khazana_decode_end_glob(24);
        flick_khazana_decode_new_glob(1 * _t3379_temp_string_len);
        flick_khazana_check_span(1 * _t3379_temp_string_len, _flick_abort20829);
        flick_khazana_decode_new_chunk(1 * _t3379_temp_string_len);
        {
          CORBA_char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t3379_temp_string_len * sizeof(CORBA_char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20829);
          _data->_u.one.e.b = _t_alloc_ptr;
        }
        flick_cdr_swap_decode_bcopy(0, _data->_u.one.e.b, 1 * _t3379_temp_string_len);
        flick_khazana_decode_end_chunk(1 * _t3379_temp_string_len);
        flick_khazana_decode_end_glob(1 * _t3379_temp_string_len);
        flick_khazana_decode_new_glob(7);
        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
        flick_khazana_check_span(4, _flick_abort20834);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.one.e.c._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(7);
        {
          struct ta_tc *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->_u.one.e.c._length * sizeof(struct ta_tc )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20834);
          _data->_u.one.e.c._buffer = _t_alloc_ptr;
          _data->_u.one.e.c._maximum = _data->_u.one.e.c._length;
          _data->_u.one.e.c._release = 1;
        }
        for (_t3380_array_iter = 0; _t3380_array_iter < _data->_u.one.e.c._length; _t3380_array_iter++)
          {
            if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.one.e.c._buffer + _t3380_array_iter))
              goto _flick_abort20839;
            continue;
            {
            _flick_abort20839:
              goto _flick_abort20838;
            }
          }
        flick_khazana_decode_new_glob(28);
        flick_khazana_check_span(4, _flick_abort20838);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.one.f.a.a, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
        flick_khazana_check_span(20, _flick_abort20838);
        flick_cdr_swap_decode_float64(0, _data->_u.one.f.a.b, CORBA_double );
        flick_cdr_swap_decode_signed16(8, _data->_u.one.f.a.c, CORBA_short );
        flick_cdr_swap_decode_char8(10, _data->_u.one.f.b.a, CORBA_char );
        flick_cdr_swap_decode_char8(11, _data->_u.one.f.b.b, CORBA_char );
        flick_cdr_swap_decode_char8(12, _data->_u.one.f.b.c, CORBA_char );
        flick_cdr_swap_decode_char8(13, _data->_u.one.f.b.d, CORBA_char );
        flick_cdr_swap_decode_unsigned32(16, _data->_u.one.f.b.e._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(20);
        flick_khazana_decode_end_glob(28);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.one.f.b.e._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20838);
          _data->_u.one.f.b.e._buffer = _t_alloc_ptr;
          _data->_u.one.f.b.e._maximum = _data->_u.one.f.b.e._length;
          _data->_u.one.f.b.e._release = 1;
        }
        for (_t3381_array_iter = 0; _t3381_array_iter < _data->_u.one.f.b.e._length; _t3381_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.one.f.b.e._buffer + _t3381_array_iter))
              goto _flick_abort20845;
            continue;
            {
            _flick_abort20845:
              goto _flick_abort20844;
            }
          }
        break;
        {
        _flick_abort20844:
          CORBA_flick_free(_data->_u.one.f.b.e._buffer);
        _flick_abort20838:
          CORBA_flick_free(_data->_u.one.e.c._buffer);
        _flick_abort20834:
          CORBA_flick_free(_data->_u.one.e.b);
        _flick_abort20829:
          CORBA_flick_free(_data->_u.one.next._buffer);
        _flick_abort20823:
          CORBA_flick_free(_data->_u.one.c.b.e._buffer);
        _flick_abort20817:
          CORBA_flick_free(_data->_u.one.b.c._buffer);
        _flick_abort20813:
          CORBA_flick_free(_data->_u.one.b.b);
        _flick_abort20810:
          goto _flick_abort20553;
        }
      }
    case 2:
      {
        CORBA_unsigned_long _t3382_array_iter;
        CORBA_unsigned_long _t3386_array_iter;
        CORBA_unsigned_long _t3389_array_iter;

        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.two.a.a, CORBA_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
        flick_khazana_check_span(36, _flick_abort20847);
        flick_cdr_swap_decode_float64(0, _data->_u.two.a.b, CORBA_double );
        flick_cdr_swap_decode_signed16(8, _data->_u.two.a.c, CORBA_short );
        flick_cdr_swap_decode_signed32(12, _data->_u.two.b.a.a, CORBA_long );
        flick_cdr_swap_decode_float64(16, _data->_u.two.b.a.b, CORBA_double );
        flick_cdr_swap_decode_signed16(24, _data->_u.two.b.a.c, CORBA_short );
        flick_cdr_swap_decode_char8(26, _data->_u.two.b.b.a, CORBA_char );
        flick_cdr_swap_decode_char8(27, _data->_u.two.b.b.b, CORBA_char );
        flick_cdr_swap_decode_char8(28, _data->_u.two.b.b.c, CORBA_char );
        flick_cdr_swap_decode_char8(29, _data->_u.two.b.b.d, CORBA_char );
        flick_cdr_swap_decode_unsigned32(32, _data->_u.two.b.b.e._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(36);
        flick_khazana_decode_end_glob(52);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.two.b.b.e._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20847);
          _data->_u.two.b.b.e._buffer = _t_alloc_ptr;
          _data->_u.two.b.b.e._maximum = _data->_u.two.b.b.e._length;
          _data->_u.two.b.b.e._release = 1;
        }
        for (_t3382_array_iter = 0; _t3382_array_iter < _data->_u.two.b.b.e._length; _t3382_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.two.b.b.e._buffer + _t3382_array_iter))
              goto _flick_abort20852;
            continue;
            {
            _flick_abort20852:
              goto _flick_abort20851;
            }
          }
        flick_khazana_decode_new_glob(4);
        flick_khazana_check_span(4, _flick_abort20851);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.two.c._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(4);
        {
          struct ta_td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.two.c._length * sizeof(struct ta_td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20851);
          _data->_u.two.c._buffer = _t_alloc_ptr;
          _data->_u.two.c._maximum = _data->_u.two.c._length;
          _data->_u.two.c._release = 1;
        }
        for (_t3386_array_iter = 0; _t3386_array_iter < _data->_u.two.c._length; _t3386_array_iter++)
          {
            CORBA_unsigned_long _t3388_array_iter;

            flick_khazana_decode_new_glob(28);
            flick_khazana_check_span(4, _flick_abort20876);
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->_u.two.c._buffer[_t3386_array_iter].a.a, CORBA_long );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
            flick_khazana_check_span(20, _flick_abort20876);
            flick_cdr_swap_decode_float64(0, _data->_u.two.c._buffer[_t3386_array_iter].a.b, CORBA_double );
            flick_cdr_swap_decode_signed16(8, _data->_u.two.c._buffer[_t3386_array_iter].a.c, CORBA_short );
            flick_cdr_swap_decode_char8(10, _data->_u.two.c._buffer[_t3386_array_iter].b.a, CORBA_char );
            flick_cdr_swap_decode_char8(11, _data->_u.two.c._buffer[_t3386_array_iter].b.b, CORBA_char );
            flick_cdr_swap_decode_char8(12, _data->_u.two.c._buffer[_t3386_array_iter].b.c, CORBA_char );
            flick_cdr_swap_decode_char8(13, _data->_u.two.c._buffer[_t3386_array_iter].b.d, CORBA_char );
            flick_cdr_swap_decode_unsigned32(16, _data->_u.two.c._buffer[_t3386_array_iter].b.e._length, CORBA_unsigned_long );
            flick_khazana_decode_end_chunk(20);
            flick_khazana_decode_end_glob(28);
            {
              struct ta_td *_t_alloc_ptr;

              _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.two.c._buffer[_t3386_array_iter].b.e._length * sizeof(struct ta_td )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20876);
              _data->_u.two.c._buffer[_t3386_array_iter].b.e._buffer = _t_alloc_ptr;
              _data->_u.two.c._buffer[_t3386_array_iter].b.e._maximum = _data->_u.two.c._buffer[_t3386_array_iter].b.e._length;
              _data->_u.two.c._buffer[_t3386_array_iter].b.e._release = 1;
            }
            for (_t3388_array_iter = 0; _t3388_array_iter < _data->_u.two.c._buffer[_t3386_array_iter].b.e._length; _t3388_array_iter++)
              {
                if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.two.c._buffer[_t3386_array_iter].b.e._buffer + _t3388_array_iter))
                  goto _flick_abort20888;
                continue;
                {
                _flick_abort20888:
                  goto _flick_abort20887;
                }
              }
            continue;
          _flick_abort_block21382:
            {
              _t3386_array_iter = _data->_u.two.c._length;
            _flick_abort20892:
              _t3386_array_iter--;
            _flick_abort20887:
              CORBA_flick_free(_data->_u.two.c._buffer[_t3386_array_iter].b.e._buffer);
            _flick_abort20876:
              if ((unsigned int )_t3386_array_iter > 0)
                goto _flick_abort20892;
              goto _flick_abort20875;
            }
          }
        flick_khazana_decode_new_glob(4);
        flick_khazana_check_span(4, _flick_abort20894);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.two.d._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(4);
        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.two.d._length * sizeof(struct tb )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20894);
          _data->_u.two.d._buffer = _t_alloc_ptr;
          _data->_u.two.d._maximum = _data->_u.two.d._length;
          _data->_u.two.d._release = 1;
        }
        for (_t3389_array_iter = 0; _t3389_array_iter < _data->_u.two.d._length; _t3389_array_iter++)
          {
            if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.two.d._buffer + _t3389_array_iter))
              goto _flick_abort20899;
            continue;
            {
            _flick_abort20899:
              goto _flick_abort20898;
            }
          }
        break;
        {
        _flick_abort20898:
          CORBA_flick_free(_data->_u.two.d._buffer);
        _flick_abort20894:
          goto _flick_abort_block21382;
        _flick_abort20875:
          CORBA_flick_free(_data->_u.two.c._buffer);
        _flick_abort20851:
          CORBA_flick_free(_data->_u.two.b.b.e._buffer);
        _flick_abort20847:
          goto _flick_abort20553;
        }
      }
    case 3:
      {
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.three._d, CORBA_enum );
        flick_khazana_decode_end_chunk(4);
        switch (_data->_u.three._d)
          {
          case 0:
            {
              flick_khazana_check_span(4, _flick_abort20980);
              flick_khazana_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->_u.three._u.x, CORBA_long );
              flick_khazana_decode_end_chunk(4);
              flick_khazana_decode_end_glob(52);
              break;
              {
              _flick_abort20980:
                goto _flick_abort20901;
              }
            }
          case 1:
            {
              flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
              flick_khazana_check_span(8, _flick_abort20981);
              flick_cdr_swap_decode_float64(0, _data->_u.three._u.y, CORBA_double );
              flick_khazana_decode_end_chunk(8);
              flick_khazana_decode_end_glob(52);
              break;
              {
              _flick_abort20981:
                goto _flick_abort20901;
              }
            }
          case 2:
            {
              flick_khazana_check_span(1, _flick_abort20982);
              flick_khazana_decode_new_chunk(1);
              flick_cdr_swap_decode_unsigned8(0, _data->_u.three._u.z, CORBA_boolean );
              flick_khazana_decode_end_chunk(1);
              flick_khazana_decode_end_glob(52);
              break;
              {
              _flick_abort20982:
                goto _flick_abort20901;
              }
            }
          case 3:
            {
              CORBA_unsigned_long _t3400_array_iter;
              CORBA_unsigned_long _t3404_array_iter;
              CORBA_unsigned_long _t3407_array_iter;

              flick_khazana_check_span(4, _flick_abort20983);
              flick_khazana_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->_u.three._u.s.a.a, CORBA_long );
              flick_khazana_decode_end_chunk(4);
              flick_khazana_decode_new_chunk_align(36, 3, 2, 0);
              flick_khazana_check_span(36, _flick_abort20983);
              flick_cdr_swap_decode_float64(0, _data->_u.three._u.s.a.b, CORBA_double );
              flick_cdr_swap_decode_signed16(8, _data->_u.three._u.s.a.c, CORBA_short );
              flick_cdr_swap_decode_signed32(12, _data->_u.three._u.s.b.a.a, CORBA_long );
              flick_cdr_swap_decode_float64(16, _data->_u.three._u.s.b.a.b, CORBA_double );
              flick_cdr_swap_decode_signed16(24, _data->_u.three._u.s.b.a.c, CORBA_short );
              flick_cdr_swap_decode_char8(26, _data->_u.three._u.s.b.b.a, CORBA_char );
              flick_cdr_swap_decode_char8(27, _data->_u.three._u.s.b.b.b, CORBA_char );
              flick_cdr_swap_decode_char8(28, _data->_u.three._u.s.b.b.c, CORBA_char );
              flick_cdr_swap_decode_char8(29, _data->_u.three._u.s.b.b.d, CORBA_char );
              flick_cdr_swap_decode_unsigned32(32, _data->_u.three._u.s.b.b.e._length, CORBA_unsigned_long );
              flick_khazana_decode_end_chunk(36);
              flick_khazana_decode_end_glob(52);
              {
                struct ta_td *_t_alloc_ptr;

                _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.three._u.s.b.b.e._length * sizeof(struct ta_td )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20983);
                _data->_u.three._u.s.b.b.e._buffer = _t_alloc_ptr;
                _data->_u.three._u.s.b.b.e._maximum = _data->_u.three._u.s.b.b.e._length;
                _data->_u.three._u.s.b.b.e._release = 1;
              }
              for (_t3400_array_iter = 0; _t3400_array_iter < _data->_u.three._u.s.b.b.e._length; _t3400_array_iter++)
                {
                  if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.three._u.s.b.b.e._buffer + _t3400_array_iter))
                    goto _flick_abort20988;
                  continue;
                  {
                  _flick_abort20988:
                    goto _flick_abort20987;
                  }
                }
              flick_khazana_decode_new_glob(4);
              flick_khazana_check_span(4, _flick_abort20987);
              flick_khazana_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _data->_u.three._u.s.c._length, CORBA_unsigned_long );
              flick_khazana_decode_end_chunk(4);
              flick_khazana_decode_end_glob(4);
              {
                struct ta_td *_t_alloc_ptr;

                _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.three._u.s.c._length * sizeof(struct ta_td )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20987);
                _data->_u.three._u.s.c._buffer = _t_alloc_ptr;
                _data->_u.three._u.s.c._maximum = _data->_u.three._u.s.c._length;
                _data->_u.three._u.s.c._release = 1;
              }
              for (_t3404_array_iter = 0; _t3404_array_iter < _data->_u.three._u.s.c._length; _t3404_array_iter++)
                {
                  CORBA_unsigned_long _t3406_array_iter;

                  flick_khazana_decode_new_glob(28);
                  flick_khazana_check_span(4, _flick_abort21012);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.three._u.s.c._buffer[_t3404_array_iter].a.a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                  flick_khazana_check_span(20, _flick_abort21012);
                  flick_cdr_swap_decode_float64(0, _data->_u.three._u.s.c._buffer[_t3404_array_iter].a.b, CORBA_double );
                  flick_cdr_swap_decode_signed16(8, _data->_u.three._u.s.c._buffer[_t3404_array_iter].a.c, CORBA_short );
                  flick_cdr_swap_decode_char8(10, _data->_u.three._u.s.c._buffer[_t3404_array_iter].b.a, CORBA_char );
                  flick_cdr_swap_decode_char8(11, _data->_u.three._u.s.c._buffer[_t3404_array_iter].b.b, CORBA_char );
                  flick_cdr_swap_decode_char8(12, _data->_u.three._u.s.c._buffer[_t3404_array_iter].b.c, CORBA_char );
                  flick_cdr_swap_decode_char8(13, _data->_u.three._u.s.c._buffer[_t3404_array_iter].b.d, CORBA_char );
                  flick_cdr_swap_decode_unsigned32(16, _data->_u.three._u.s.c._buffer[_t3404_array_iter].b.e._length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(20);
                  flick_khazana_decode_end_glob(28);
                  {
                    struct ta_td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->_u.three._u.s.c._buffer[_t3404_array_iter].b.e._length * sizeof(struct ta_td )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21012);
                    _data->_u.three._u.s.c._buffer[_t3404_array_iter].b.e._buffer = _t_alloc_ptr;
                    _data->_u.three._u.s.c._buffer[_t3404_array_iter].b.e._maximum = _data->_u.three._u.s.c._buffer[_t3404_array_iter].b.e._length;
                    _data->_u.three._u.s.c._buffer[_t3404_array_iter].b.e._release = 1;
                  }
                  for (_t3406_array_iter = 0; _t3406_array_iter < _data->_u.three._u.s.c._buffer[_t3404_array_iter].b.e._length; _t3406_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.three._u.s.c._buffer[_t3404_array_iter].b.e._buffer + _t3406_array_iter))
                        goto _flick_abort21024;
                      continue;
                      {
                      _flick_abort21024:
                        goto _flick_abort21023;
                      }
                    }
                  continue;
                _flick_abort_block21511:
                  {
                    _t3404_array_iter = _data->_u.three._u.s.c._length;
                  _flick_abort21028:
                    _t3404_array_iter--;
                  _flick_abort21023:
                    CORBA_flick_free(_data->_u.three._u.s.c._buffer[_t3404_array_iter].b.e._buffer);
                  _flick_abort21012:
                    if ((unsigned int )_t3404_array_iter > 0)
                      goto _flick_abort21028;
                    goto _flick_abort21011;
                  }
                }
              flick_khazana_decode_new_glob(4);
              flick_khazana_check_span(4, _flick_abort21030);
              flick_khazana_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _data->_u.three._u.s.d._length, CORBA_unsigned_long );
              flick_khazana_decode_end_chunk(4);
              flick_khazana_decode_end_glob(4);
              {
                struct tb *_t_alloc_ptr;

                _t_alloc_ptr = (struct tb *)(CORBA_flick_alloc(_data->_u.three._u.s.d._length * sizeof(struct tb )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21030);
                _data->_u.three._u.s.d._buffer = _t_alloc_ptr;
                _data->_u.three._u.s.d._maximum = _data->_u.three._u.s.d._length;
                _data->_u.three._u.s.d._release = 1;
              }
              for (_t3407_array_iter = 0; _t3407_array_iter < _data->_u.three._u.s.d._length; _t3407_array_iter++)
                {
                  if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.three._u.s.d._buffer + _t3407_array_iter))
                    goto _flick_abort21035;
                  continue;
                  {
                  _flick_abort21035:
                    goto _flick_abort21034;
                  }
                }
              break;
              {
              _flick_abort21034:
                CORBA_flick_free(_data->_u.three._u.s.d._buffer);
              _flick_abort21030:
                goto _flick_abort_block21511;
              _flick_abort21011:
                CORBA_flick_free(_data->_u.three._u.s.c._buffer);
              _flick_abort20987:
                CORBA_flick_free(_data->_u.three._u.s.b.b.e._buffer);
              _flick_abort20983:
                goto _flick_abort20901;
              }
            }
          case 4:
            {
              flick_khazana_check_span(8, _flick_abort21037);
              flick_khazana_decode_new_chunk(1);
              flick_cdr_swap_decode_unsigned8(0, _data->_u.three._u.u._d, CORBA_boolean );
              flick_khazana_decode_end_chunk(1);
              switch (_data->_u.three._u.u._d)
                {
                case 1:
                  {
                    CORBA_unsigned_long _t3409_array_iter;

                    flick_khazana_decode_new_chunk(7);
                    flick_cdr_swap_decode_unsigned32(3, _data->_u.three._u.u._u.next._length, CORBA_unsigned_long );
                    flick_khazana_decode_end_chunk(7);
                    flick_khazana_decode_end_glob(52);
                    if (_data->_u.three._u.u._u.next._length > 1)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort21047);
                    {
                      struct td *_t_alloc_ptr;

                      _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(sizeof(struct td )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21047);
                      _data->_u.three._u.u._u.next._buffer = _t_alloc_ptr;
                      _data->_u.three._u.u._u.next._maximum = 1;
                      _data->_u.three._u.u._u.next._release = 1;
                    }
                    for (_t3409_array_iter = 0; _t3409_array_iter < _data->_u.three._u.u._u.next._length; _t3409_array_iter++)
                      {
                        if (flick_unmarshal_stub_td_swap(_stream, _data->_u.three._u.u._u.next._buffer + _t3409_array_iter))
                          goto _flick_abort21051;
                        continue;
                        {
                        _flick_abort21051:
                          goto _flick_abort21050;
                        }
                      }
                    break;
                    {
                    _flick_abort21050:
                      CORBA_flick_free(_data->_u.three._u.u._u.next._buffer);
                    _flick_abort21047:
                      goto _flick_abort21037;
                    }
                  }
                default:
                  {
                    flick_khazana_decode_end_glob(52);
                    break;
                  }
                }
              break;
              {
              _flick_abort21037:
                goto _flick_abort20901;
              }
            }
          default:
            {
              flick_khazana_decode_end_glob(52);
              break;
            }
          }
        break;
        {
        _flick_abort20901:
          goto _flick_abort20553;
        }
      }
    default:
      {
        CORBA_unsigned_long _t3410_array_iter;

        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.again._length, CORBA_unsigned_long );
        flick_khazana_decode_end_chunk(4);
        flick_khazana_decode_end_glob(52);
        {
          struct td *_t_alloc_ptr;

          _t_alloc_ptr = (struct td *)(CORBA_flick_alloc(_data->_u.again._length * sizeof(struct td )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21057);
          _data->_u.again._buffer = _t_alloc_ptr;
          _data->_u.again._maximum = _data->_u.again._length;
          _data->_u.again._release = 1;
        }
        for (_t3410_array_iter = 0; _t3410_array_iter < _data->_u.again._length; _t3410_array_iter++)
          {
            if (flick_unmarshal_stub_td_swap(_stream, _data->_u.again._buffer + _t3410_array_iter))
              goto _flick_abort21062;
            continue;
            {
            _flick_abort21062:
              goto _flick_abort21061;
            }
          }
        break;
        {
        _flick_abort21061:
          CORBA_flick_free(_data->_u.again._buffer);
        _flick_abort21057:
          goto _flick_abort20553;
        }
      }
    }
  return 0;
  {
  _flick_abort20553:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_obj(flick_marshal_stream_t _stream, obj *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort21065);
  return 0;
  {
  _flick_abort21065:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_obj(flick_marshal_stream_t _stream, obj *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_obj_swap(flick_marshal_stream_t _stream, obj *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_marshal_stub_obj_my_obj(flick_marshal_stream_t _stream, obj_my_obj *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort21068);
  return 0;
  {
  _flick_abort21068:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_obj_my_obj(flick_marshal_stream_t _stream, obj_my_obj *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_obj_my_obj_swap(flick_marshal_stream_t _stream, obj_my_obj *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t obj_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t3558_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort21073);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t3558_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t3558_switch_tag)
      {
      case (unsigned int) 11:
        {
          unsigned int _t3559_switch_tag;

          flick_khazana_check_span(16, _flick_abort21073);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t3559_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t3559_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t3560_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t3560_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t3560_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t3561_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t3561_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t3561_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t3562_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t3562_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t3562_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t3563_principal_len;
                                    obj_my_obj _return;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t3564_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort21506);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t3563_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t3563_principal_len, _flick_abort21506);
                                    flick_khazana_decode_new_glob(_t3563_principal_len);
                                    flick_khazana_decode_new_chunk(_t3563_principal_len);
                                    flick_khazana_decode_end_chunk(_t3563_principal_len);
                                    flick_khazana_decode_end_glob(_t3563_principal_len);
                                    /* Begin decode phase on parameters */
                                    _ev = (CORBA_Environment *)(&_t3564_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = obj_get_server(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21506);
                                      flick_khazana_encode_new_glob(4, _flick_abort21506);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_end_glob(4);
                                            flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort21511);
                                            break;
                                            {
                                            _flick_abort21511:
                                              goto _flick_abort21506;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21512);
                                            break;
                                            {
                                            _flick_abort21512:
                                              goto _flick_abort21506;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21513);
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort21513:
                                              goto _flick_abort21506;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort21506:
                                      goto _flick_abort21505;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort21505:
                                    goto _flick_abort21073;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* set_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028767):
              {
                unsigned int _t3565_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t3565_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t3565_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t3566_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t3566_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t3566_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t3567_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t3567_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t3567_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t3568_principal_len;
                                    obj_my_obj _local_srvr;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t3569_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort21515);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t3568_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t3568_principal_len, _flick_abort21515);
                                    flick_khazana_decode_new_glob(_t3568_principal_len);
                                    flick_khazana_decode_new_chunk(_t3568_principal_len);
                                    flick_khazana_decode_end_chunk(_t3568_principal_len);
                                    flick_khazana_decode_end_glob(_t3568_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_swap_decode_IOR(khazana, _local_srvr, 1);
                                    flick_khazana_mark_port_for_cleanup(_local_srvr, 1);
                                    _ev = (CORBA_Environment *)(&_t3569_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    obj_set_server(_obj, _local_srvr, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21515);
                                      flick_khazana_encode_new_glob(4, _flick_abort21515);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21521);
                                            break;
                                            {
                                            _flick_abort21521:
                                              goto _flick_abort21515;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21522);
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort21522:
                                              goto _flick_abort21515;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort21515:
                                      goto _flick_abort21514;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort21514:
                                    goto _flick_abort21073;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t3570_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t3570_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t3570_switch_tag)
            {
            case /* conv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668247158):
              {
                unsigned int _t3571_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t3571_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t3571_switch_tag)
                  {
                  case /* ert */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701999616):
                    {
                      {
                        obj _obj;
                        unsigned int _t3572_principal_len;
                        tc _return;
                        struct ta *_local_a1;
                        struct ta _t3573_storage;
                        flick_unsigned32_t _t3574_temp_string_len;
                        CORBA_unsigned_long _t3575_array_iter;
                        CORBA_unsigned_long _t3576_array_iter;
                        CORBA_unsigned_long _t3577_array_iter;
                        flick_unsigned32_t _t3578_temp_string_len;
                        CORBA_unsigned_long _t3579_array_iter;
                        CORBA_unsigned_long _t3580_array_iter;
                        struct tb *_local_b1;
                        struct tb _t3581_storage;
                        CORBA_unsigned_long _t3582_array_iter;
                        CORBA_unsigned_long _t3586_array_iter;
                        CORBA_unsigned_long _t3589_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t3590_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort21524);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t3572_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t3572_principal_len, _flick_abort21524);
                        flick_khazana_decode_new_glob(_t3572_principal_len);
                        flick_khazana_decode_new_chunk(_t3572_principal_len);
                        flick_khazana_decode_end_chunk(_t3572_principal_len);
                        flick_khazana_decode_end_glob(_t3572_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a1 = (struct ta *)(&_t3573_storage);
                        flick_khazana_decode_new_glob(27);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort21524);
                        flick_cdr_swap_decode_signed32(0, _local_a1->a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(16, 3, 2, 0);
                        flick_khazana_check_span(16, _flick_abort21524);
                        flick_cdr_swap_decode_float64(0, _local_a1->a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _local_a1->a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(10, _local_a1->b.a, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(12, _t3574_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(16);
                        flick_khazana_decode_end_glob(27);
                        flick_khazana_decode_new_glob(1 * _t3574_temp_string_len);
                        flick_khazana_check_span(1 * _t3574_temp_string_len, _flick_abort21524);
                        flick_khazana_decode_new_chunk(1 * _t3574_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_a1->b.b, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t3574_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t3574_temp_string_len);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort21524);
                        flick_cdr_swap_decode_unsigned32(0, _local_a1->b.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(auto_flick_alloc(_local_a1->b.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21524);
                          _local_a1->b.c._buffer = _t_alloc_ptr;
                          _local_a1->b.c._maximum = _local_a1->b.c._length;
                          _local_a1->b.c._release = 1;
                        }
                        for (_t3575_array_iter = 0; _t3575_array_iter < _local_a1->b.c._length; _t3575_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc_swap(_stream, _local_a1->b.c._buffer + _t3575_array_iter))
                              goto _flick_abort21531;
                            continue;
                            {
                            _flick_abort21531:
                              goto _flick_abort21530;
                            }
                          }
                        flick_khazana_decode_new_glob(28);
                        flick_khazana_check_span(4, _flick_abort21530);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_a1->c.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                        flick_khazana_check_span(20, _flick_abort21530);
                        flick_cdr_swap_decode_float64(0, _local_a1->c.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _local_a1->c.a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(10, _local_a1->c.b.a, CORBA_char );
                        flick_cdr_swap_decode_char8(11, _local_a1->c.b.b, CORBA_char );
                        flick_cdr_swap_decode_char8(12, _local_a1->c.b.c, CORBA_char );
                        flick_cdr_swap_decode_char8(13, _local_a1->c.b.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(16, _local_a1->c.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(20);
                        flick_khazana_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_a1->c.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21530);
                          _local_a1->c.b.e._buffer = _t_alloc_ptr;
                          _local_a1->c.b.e._maximum = _local_a1->c.b.e._length;
                          _local_a1->c.b.e._release = 1;
                        }
                        for (_t3576_array_iter = 0; _t3576_array_iter < _local_a1->c.b.e._length; _t3576_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_swap(_stream, _local_a1->c.b.e._buffer + _t3576_array_iter))
                              goto _flick_abort21537;
                            continue;
                            {
                            _flick_abort21537:
                              goto _flick_abort21536;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort21536);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_a1->next._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct ta *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta *)(auto_flick_alloc(_local_a1->next._length * sizeof(struct ta )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21536);
                          _local_a1->next._buffer = _t_alloc_ptr;
                          _local_a1->next._maximum = _local_a1->next._length;
                          _local_a1->next._release = 1;
                        }
                        for (_t3577_array_iter = 0; _t3577_array_iter < _local_a1->next._length; _t3577_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_swap(_stream, _local_a1->next._buffer + _t3577_array_iter))
                              goto _flick_abort21543;
                            continue;
                            {
                            _flick_abort21543:
                              goto _flick_abort21542;
                            }
                          }
                        flick_khazana_decode_new_glob(24);
                        flick_khazana_check_span(24, _flick_abort21542);
                        flick_khazana_decode_new_chunk(24);
                        flick_cdr_swap_decode_signed32(0, _local_a1->d.a, CORBA_long );
                        flick_cdr_swap_decode_float64(8, _local_a1->d.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(16, _local_a1->d.c, CORBA_short );
                        flick_cdr_swap_decode_char8(18, _local_a1->e.a, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(20, _t3578_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(24);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(1 * _t3578_temp_string_len);
                        flick_khazana_check_span(1 * _t3578_temp_string_len, _flick_abort21542);
                        flick_khazana_decode_new_chunk(1 * _t3578_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_a1->e.b, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t3578_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t3578_temp_string_len);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort21542);
                        flick_cdr_swap_decode_unsigned32(0, _local_a1->e.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(auto_flick_alloc(_local_a1->e.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21542);
                          _local_a1->e.c._buffer = _t_alloc_ptr;
                          _local_a1->e.c._maximum = _local_a1->e.c._length;
                          _local_a1->e.c._release = 1;
                        }
                        for (_t3579_array_iter = 0; _t3579_array_iter < _local_a1->e.c._length; _t3579_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc_swap(_stream, _local_a1->e.c._buffer + _t3579_array_iter))
                              goto _flick_abort21551;
                            continue;
                            {
                            _flick_abort21551:
                              goto _flick_abort21550;
                            }
                          }
                        flick_khazana_decode_new_glob(28);
                        flick_khazana_check_span(4, _flick_abort21550);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_a1->f.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                        flick_khazana_check_span(20, _flick_abort21550);
                        flick_cdr_swap_decode_float64(0, _local_a1->f.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _local_a1->f.a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(10, _local_a1->f.b.a, CORBA_char );
                        flick_cdr_swap_decode_char8(11, _local_a1->f.b.b, CORBA_char );
                        flick_cdr_swap_decode_char8(12, _local_a1->f.b.c, CORBA_char );
                        flick_cdr_swap_decode_char8(13, _local_a1->f.b.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(16, _local_a1->f.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(20);
                        flick_khazana_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_a1->f.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21550);
                          _local_a1->f.b.e._buffer = _t_alloc_ptr;
                          _local_a1->f.b.e._maximum = _local_a1->f.b.e._length;
                          _local_a1->f.b.e._release = 1;
                        }
                        for (_t3580_array_iter = 0; _t3580_array_iter < _local_a1->f.b.e._length; _t3580_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_swap(_stream, _local_a1->f.b.e._buffer + _t3580_array_iter))
                              goto _flick_abort21557;
                            continue;
                            {
                            _flick_abort21557:
                              goto _flick_abort21556;
                            }
                          }
                        _local_b1 = (struct tb *)(&_t3581_storage);
                        flick_khazana_decode_new_glob(40);
                        flick_khazana_check_span(40, _flick_abort21556);
                        flick_khazana_decode_new_chunk(40);
                        flick_cdr_swap_decode_signed32(0, _local_b1->a.a, CORBA_long );
                        flick_cdr_swap_decode_float64(4, _local_b1->a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(12, _local_b1->a.c, CORBA_short );
                        flick_cdr_swap_decode_signed32(16, _local_b1->b.a.a, CORBA_long );
                        flick_cdr_swap_decode_float64(20, _local_b1->b.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(28, _local_b1->b.a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(30, _local_b1->b.b.a, CORBA_char );
                        flick_cdr_swap_decode_char8(31, _local_b1->b.b.b, CORBA_char );
                        flick_cdr_swap_decode_char8(32, _local_b1->b.b.c, CORBA_char );
                        flick_cdr_swap_decode_char8(33, _local_b1->b.b.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(36, _local_b1->b.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(40);
                        flick_khazana_decode_end_glob(40);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->b.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21556);
                          _local_b1->b.b.e._buffer = _t_alloc_ptr;
                          _local_b1->b.b.e._maximum = _local_b1->b.b.e._length;
                          _local_b1->b.b.e._release = 1;
                        }
                        for (_t3582_array_iter = 0; _t3582_array_iter < _local_b1->b.b.e._length; _t3582_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_swap(_stream, _local_b1->b.b.e._buffer + _t3582_array_iter))
                              goto _flick_abort21563;
                            continue;
                            {
                            _flick_abort21563:
                              goto _flick_abort21562;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort21562);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_b1->c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->c._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21562);
                          _local_b1->c._buffer = _t_alloc_ptr;
                          _local_b1->c._maximum = _local_b1->c._length;
                          _local_b1->c._release = 1;
                        }
                        for (_t3586_array_iter = 0; _t3586_array_iter < _local_b1->c._length; _t3586_array_iter++)
                          {
                            CORBA_unsigned_long _t3588_array_iter;

                            flick_khazana_decode_new_glob(28);
                            flick_khazana_check_span(4, _flick_abort21587);
                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_b1->c._buffer[_t3586_array_iter].a.a, CORBA_long );
                            flick_khazana_decode_end_chunk(4);
                            flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                            flick_khazana_check_span(20, _flick_abort21587);
                            flick_cdr_swap_decode_float64(0, _local_b1->c._buffer[_t3586_array_iter].a.b, CORBA_double );
                            flick_cdr_swap_decode_signed16(8, _local_b1->c._buffer[_t3586_array_iter].a.c, CORBA_short );
                            flick_cdr_swap_decode_char8(10, _local_b1->c._buffer[_t3586_array_iter].b.a, CORBA_char );
                            flick_cdr_swap_decode_char8(11, _local_b1->c._buffer[_t3586_array_iter].b.b, CORBA_char );
                            flick_cdr_swap_decode_char8(12, _local_b1->c._buffer[_t3586_array_iter].b.c, CORBA_char );
                            flick_cdr_swap_decode_char8(13, _local_b1->c._buffer[_t3586_array_iter].b.d, CORBA_char );
                            flick_cdr_swap_decode_unsigned32(16, _local_b1->c._buffer[_t3586_array_iter].b.e._length, CORBA_unsigned_long );
                            flick_khazana_decode_end_chunk(20);
                            flick_khazana_decode_end_glob(28);
                            {
                              struct ta_td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->c._buffer[_t3586_array_iter].b.e._length * sizeof(struct ta_td )));
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21587);
                              _local_b1->c._buffer[_t3586_array_iter].b.e._buffer = _t_alloc_ptr;
                              _local_b1->c._buffer[_t3586_array_iter].b.e._maximum = _local_b1->c._buffer[_t3586_array_iter].b.e._length;
                              _local_b1->c._buffer[_t3586_array_iter].b.e._release = 1;
                            }
                            for (_t3588_array_iter = 0; _t3588_array_iter < _local_b1->c._buffer[_t3586_array_iter].b.e._length; _t3588_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td_swap(_stream, _local_b1->c._buffer[_t3586_array_iter].b.e._buffer + _t3588_array_iter))
                                  goto _flick_abort21599;
                                continue;
                                {
                                _flick_abort21599:
                                  goto _flick_abort21598;
                                }
                              }
                            continue;
                          _flick_abort_block22117:
                            {
                              _t3586_array_iter = _local_b1->c._length;
                            _flick_abort21603:
                              _t3586_array_iter--;
                            _flick_abort21598:
                              auto_flick_free(_local_b1->c._buffer[_t3586_array_iter].b.e._buffer);
                            _flick_abort21587:
                              if ((unsigned int )_t3586_array_iter > 0)
                                goto _flick_abort21603;
                              goto _flick_abort21586;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort21605);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_b1->d._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)(auto_flick_alloc(_local_b1->d._length * sizeof(struct tb )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21605);
                          _local_b1->d._buffer = _t_alloc_ptr;
                          _local_b1->d._maximum = _local_b1->d._length;
                          _local_b1->d._release = 1;
                        }
                        for (_t3589_array_iter = 0; _t3589_array_iter < _local_b1->d._length; _t3589_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb_swap(_stream, _local_b1->d._buffer + _t3589_array_iter))
                              goto _flick_abort21610;
                            continue;
                            {
                            _flick_abort21610:
                              goto _flick_abort21609;
                            }
                          }
                        _ev = (CORBA_Environment *)(&_t3590_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = obj_convert(_obj, _local_a1, _local_b1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21609);
                          flick_khazana_encode_new_glob(8, _flick_abort21609);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21617);
                                break;
                                {
                                _flick_abort21617:
                                  goto _flick_abort21609;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21618);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort21618:
                                  goto _flick_abort21609;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort21609:
                          auto_flick_free(_local_b1->d._buffer);
                        _flick_abort21605:
                          goto _flick_abort_block22117;
                        _flick_abort21586:
                          auto_flick_free(_local_b1->c._buffer);
                        _flick_abort21562:
                          auto_flick_free(_local_b1->b.b.e._buffer);
                        _flick_abort21556:
                          auto_flick_free(_local_a1->f.b.e._buffer);
                        _flick_abort21550:
                          auto_flick_free(_local_a1->e.c._buffer);
                        _flick_abort21542:
                          auto_flick_free(_local_a1->next._buffer);
                        _flick_abort21536:
                          auto_flick_free(_local_a1->c.b.e._buffer);
                        _flick_abort21530:
                          auto_flick_free(_local_a1->b.c._buffer);
                        _flick_abort21524:
                          goto _flick_abort21523;
                        }
                      }
                      break;
                      {
                      _flick_abort21523:
                        goto _flick_abort21073;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t3591_switch_tag;

          flick_khazana_check_span(20, _flick_abort21073);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t3591_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t3591_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t3592_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t3592_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t3592_switch_tag)
                  {
                  case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                    {
                      unsigned int _t3593_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t3593_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t3593_switch_tag)
                        {
                        case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                          {
                            char _t3594_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t3594_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t3594_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t3595_principal_len;
                                    CORBA_long _return;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t3596_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort21620);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t3595_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t3595_principal_len, _flick_abort21620);
                                    flick_khazana_decode_new_glob(_t3595_principal_len);
                                    flick_khazana_decode_new_chunk(_t3595_principal_len);
                                    flick_khazana_decode_end_chunk(_t3595_principal_len);
                                    flick_khazana_decode_end_glob(_t3595_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _ev = (CORBA_Environment *)(&_t3596_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = obj__get_my_attr(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21620);
                                      flick_khazana_encode_new_glob(8, _flick_abort21620);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21626);
                                            break;
                                            {
                                            _flick_abort21626:
                                              goto _flick_abort21620;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21627);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort21627:
                                              goto _flick_abort21620;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort21620:
                                      goto _flick_abort21619;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort21619:
                                    goto _flick_abort21073;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t3597_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t3597_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t3597_switch_tag)
                  {
                  case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                    {
                      unsigned int _t3598_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t3598_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t3598_switch_tag)
                        {
                        case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                          {
                            char _t3599_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t3599_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t3599_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t3600_principal_len;
                                    CORBA_long _local_my_attr;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t3601_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort21629);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t3600_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t3600_principal_len, _flick_abort21629);
                                    flick_khazana_decode_new_glob(_t3600_principal_len);
                                    flick_khazana_decode_new_chunk(_t3600_principal_len);
                                    flick_khazana_decode_end_chunk(_t3600_principal_len);
                                    flick_khazana_decode_end_glob(_t3600_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort21629);
                                    flick_cdr_swap_decode_signed32(0, _local_my_attr, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t3601_storage);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    obj__set_my_attr(_obj, _local_my_attr, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21629);
                                      flick_khazana_encode_new_glob(4, _flick_abort21629);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21635);
                                            break;
                                            {
                                            _flick_abort21635:
                                              goto _flick_abort21629;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21636);
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort21636:
                                              goto _flick_abort21629;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort21629:
                                      goto _flick_abort21628;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort21628:
                                    goto _flick_abort21073;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t3602_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t3602_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t3602_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t3603_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t3603_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t3603_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t3604_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t3605_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t3606_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort21638);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t3604_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t3604_principal_len, _flick_abort21638);
                        flick_khazana_decode_new_glob(_t3604_principal_len);
                        flick_khazana_decode_new_chunk(_t3604_principal_len);
                        flick_khazana_decode_end_chunk(_t3604_principal_len);
                        flick_khazana_decode_end_glob(_t3604_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort21638);
                        flick_cdr_swap_decode_unsigned32(0, _t3605_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t3605_temp_string_len);
                        flick_khazana_check_span(1 * _t3605_temp_string_len, _flick_abort21638);
                        flick_khazana_decode_new_chunk(1 * _t3605_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t3605_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t3605_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t3606_storage);
                        _par = flick_interface_parents_obj;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21638);
                          flick_khazana_encode_new_glob(5, _flick_abort21638);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21646);
                                break;
                                {
                                _flick_abort21646:
                                  goto _flick_abort21638;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21647);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort21647:
                                  goto _flick_abort21638;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort21638:
                          goto _flick_abort21637;
                        }
                      }
                      break;
                      {
                      _flick_abort21637:
                        goto _flick_abort21073;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t3460_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort21073);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t3460_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t3460_switch_tag)
      {
      case (unsigned int) 11:
        {
          unsigned int _t3461_switch_tag;

          flick_khazana_check_span(16, _flick_abort21073);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t3461_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t3461_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t3462_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t3462_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t3462_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t3463_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t3463_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t3463_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t3464_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t3464_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t3464_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t3465_principal_len;
                                    obj_my_obj _return;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t3466_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort21219);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t3465_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t3465_principal_len, _flick_abort21219);
                                    flick_khazana_decode_new_glob(_t3465_principal_len);
                                    flick_khazana_decode_new_chunk(_t3465_principal_len);
                                    flick_khazana_decode_end_chunk(_t3465_principal_len);
                                    flick_khazana_decode_end_glob(_t3465_principal_len);
                                    /* Begin decode phase on parameters */
                                    _ev = (CORBA_Environment *)(&_t3466_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = obj_get_server(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21219);
                                      flick_khazana_encode_new_glob(4, _flick_abort21219);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_end_glob(4);
                                            flick_cdr_encode_IOR(khazana, _return, 0, _flick_abort21224);
                                            break;
                                            {
                                            _flick_abort21224:
                                              goto _flick_abort21219;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21225);
                                            break;
                                            {
                                            _flick_abort21225:
                                              goto _flick_abort21219;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21226);
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort21226:
                                              goto _flick_abort21219;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort21219:
                                      goto _flick_abort21218;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort21218:
                                    goto _flick_abort21073;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* set_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028767):
              {
                unsigned int _t3467_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t3467_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t3467_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t3468_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t3468_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t3468_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t3469_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t3469_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t3469_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t3470_principal_len;
                                    obj_my_obj _local_srvr;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t3471_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort21228);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t3470_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t3470_principal_len, _flick_abort21228);
                                    flick_khazana_decode_new_glob(_t3470_principal_len);
                                    flick_khazana_decode_new_chunk(_t3470_principal_len);
                                    flick_khazana_decode_end_chunk(_t3470_principal_len);
                                    flick_khazana_decode_end_glob(_t3470_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_decode_IOR(khazana, _local_srvr, 1);
                                    flick_khazana_mark_port_for_cleanup(_local_srvr, 1);
                                    _ev = (CORBA_Environment *)(&_t3471_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    obj_set_server(_obj, _local_srvr, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21228);
                                      flick_khazana_encode_new_glob(4, _flick_abort21228);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21234);
                                            break;
                                            {
                                            _flick_abort21234:
                                              goto _flick_abort21228;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21235);
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort21235:
                                              goto _flick_abort21228;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort21228:
                                      goto _flick_abort21227;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort21227:
                                    goto _flick_abort21073;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t3472_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t3472_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t3472_switch_tag)
            {
            case /* conv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668247158):
              {
                unsigned int _t3473_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t3473_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t3473_switch_tag)
                  {
                  case /* ert */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701999616):
                    {
                      {
                        obj _obj;
                        unsigned int _t3474_principal_len;
                        tc _return;
                        struct ta *_local_a1;
                        struct ta _t3475_storage;
                        flick_unsigned32_t _t3476_temp_string_len;
                        CORBA_unsigned_long _t3477_array_iter;
                        CORBA_unsigned_long _t3478_array_iter;
                        CORBA_unsigned_long _t3479_array_iter;
                        flick_unsigned32_t _t3480_temp_string_len;
                        CORBA_unsigned_long _t3481_array_iter;
                        CORBA_unsigned_long _t3482_array_iter;
                        struct tb *_local_b1;
                        struct tb _t3483_storage;
                        CORBA_unsigned_long _t3484_array_iter;
                        CORBA_unsigned_long _t3488_array_iter;
                        CORBA_unsigned_long _t3491_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t3492_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort21237);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t3474_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t3474_principal_len, _flick_abort21237);
                        flick_khazana_decode_new_glob(_t3474_principal_len);
                        flick_khazana_decode_new_chunk(_t3474_principal_len);
                        flick_khazana_decode_end_chunk(_t3474_principal_len);
                        flick_khazana_decode_end_glob(_t3474_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a1 = (struct ta *)(&_t3475_storage);
                        flick_khazana_decode_new_glob(27);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort21237);
                        flick_cdr_decode_signed32(0, _local_a1->a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(16, 3, 2, 0);
                        flick_khazana_check_span(16, _flick_abort21237);
                        flick_cdr_decode_float64(0, _local_a1->a.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _local_a1->a.c, CORBA_short );
                        flick_cdr_decode_char8(10, _local_a1->b.a, CORBA_char );
                        flick_cdr_decode_unsigned32(12, _t3476_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(16);
                        flick_khazana_decode_end_glob(27);
                        flick_khazana_decode_new_glob(1 * _t3476_temp_string_len);
                        flick_khazana_check_span(1 * _t3476_temp_string_len, _flick_abort21237);
                        flick_khazana_decode_new_chunk(1 * _t3476_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_a1->b.b, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t3476_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t3476_temp_string_len);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort21237);
                        flick_cdr_decode_unsigned32(0, _local_a1->b.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(auto_flick_alloc(_local_a1->b.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21237);
                          _local_a1->b.c._buffer = _t_alloc_ptr;
                          _local_a1->b.c._maximum = _local_a1->b.c._length;
                          _local_a1->b.c._release = 1;
                        }
                        for (_t3477_array_iter = 0; _t3477_array_iter < _local_a1->b.c._length; _t3477_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc(_stream, _local_a1->b.c._buffer + _t3477_array_iter))
                              goto _flick_abort21244;
                            continue;
                            {
                            _flick_abort21244:
                              goto _flick_abort21243;
                            }
                          }
                        flick_khazana_decode_new_glob(28);
                        flick_khazana_check_span(4, _flick_abort21243);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_a1->c.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                        flick_khazana_check_span(20, _flick_abort21243);
                        flick_cdr_decode_float64(0, _local_a1->c.a.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _local_a1->c.a.c, CORBA_short );
                        flick_cdr_decode_char8(10, _local_a1->c.b.a, CORBA_char );
                        flick_cdr_decode_char8(11, _local_a1->c.b.b, CORBA_char );
                        flick_cdr_decode_char8(12, _local_a1->c.b.c, CORBA_char );
                        flick_cdr_decode_char8(13, _local_a1->c.b.d, CORBA_char );
                        flick_cdr_decode_unsigned32(16, _local_a1->c.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(20);
                        flick_khazana_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_a1->c.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21243);
                          _local_a1->c.b.e._buffer = _t_alloc_ptr;
                          _local_a1->c.b.e._maximum = _local_a1->c.b.e._length;
                          _local_a1->c.b.e._release = 1;
                        }
                        for (_t3478_array_iter = 0; _t3478_array_iter < _local_a1->c.b.e._length; _t3478_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td(_stream, _local_a1->c.b.e._buffer + _t3478_array_iter))
                              goto _flick_abort21250;
                            continue;
                            {
                            _flick_abort21250:
                              goto _flick_abort21249;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort21249);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_a1->next._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct ta *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta *)(auto_flick_alloc(_local_a1->next._length * sizeof(struct ta )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21249);
                          _local_a1->next._buffer = _t_alloc_ptr;
                          _local_a1->next._maximum = _local_a1->next._length;
                          _local_a1->next._release = 1;
                        }
                        for (_t3479_array_iter = 0; _t3479_array_iter < _local_a1->next._length; _t3479_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta(_stream, _local_a1->next._buffer + _t3479_array_iter))
                              goto _flick_abort21256;
                            continue;
                            {
                            _flick_abort21256:
                              goto _flick_abort21255;
                            }
                          }
                        flick_khazana_decode_new_glob(24);
                        flick_khazana_check_span(24, _flick_abort21255);
                        flick_khazana_decode_new_chunk(24);
                        flick_cdr_decode_signed32(0, _local_a1->d.a, CORBA_long );
                        flick_cdr_decode_float64(8, _local_a1->d.b, CORBA_double );
                        flick_cdr_decode_signed16(16, _local_a1->d.c, CORBA_short );
                        flick_cdr_decode_char8(18, _local_a1->e.a, CORBA_char );
                        flick_cdr_decode_unsigned32(20, _t3480_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(24);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_decode_new_glob(1 * _t3480_temp_string_len);
                        flick_khazana_check_span(1 * _t3480_temp_string_len, _flick_abort21255);
                        flick_khazana_decode_new_chunk(1 * _t3480_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_a1->e.b, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t3480_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t3480_temp_string_len);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort21255);
                        flick_cdr_decode_unsigned32(0, _local_a1->e.c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(auto_flick_alloc(_local_a1->e.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21255);
                          _local_a1->e.c._buffer = _t_alloc_ptr;
                          _local_a1->e.c._maximum = _local_a1->e.c._length;
                          _local_a1->e.c._release = 1;
                        }
                        for (_t3481_array_iter = 0; _t3481_array_iter < _local_a1->e.c._length; _t3481_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc(_stream, _local_a1->e.c._buffer + _t3481_array_iter))
                              goto _flick_abort21264;
                            continue;
                            {
                            _flick_abort21264:
                              goto _flick_abort21263;
                            }
                          }
                        flick_khazana_decode_new_glob(28);
                        flick_khazana_check_span(4, _flick_abort21263);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_a1->f.a.a, CORBA_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                        flick_khazana_check_span(20, _flick_abort21263);
                        flick_cdr_decode_float64(0, _local_a1->f.a.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _local_a1->f.a.c, CORBA_short );
                        flick_cdr_decode_char8(10, _local_a1->f.b.a, CORBA_char );
                        flick_cdr_decode_char8(11, _local_a1->f.b.b, CORBA_char );
                        flick_cdr_decode_char8(12, _local_a1->f.b.c, CORBA_char );
                        flick_cdr_decode_char8(13, _local_a1->f.b.d, CORBA_char );
                        flick_cdr_decode_unsigned32(16, _local_a1->f.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(20);
                        flick_khazana_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_a1->f.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21263);
                          _local_a1->f.b.e._buffer = _t_alloc_ptr;
                          _local_a1->f.b.e._maximum = _local_a1->f.b.e._length;
                          _local_a1->f.b.e._release = 1;
                        }
                        for (_t3482_array_iter = 0; _t3482_array_iter < _local_a1->f.b.e._length; _t3482_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td(_stream, _local_a1->f.b.e._buffer + _t3482_array_iter))
                              goto _flick_abort21270;
                            continue;
                            {
                            _flick_abort21270:
                              goto _flick_abort21269;
                            }
                          }
                        _local_b1 = (struct tb *)(&_t3483_storage);
                        flick_khazana_decode_new_glob(40);
                        flick_khazana_check_span(40, _flick_abort21269);
                        flick_khazana_decode_new_chunk(40);
                        flick_cdr_decode_signed32(0, _local_b1->a.a, CORBA_long );
                        flick_cdr_decode_float64(4, _local_b1->a.b, CORBA_double );
                        flick_cdr_decode_signed16(12, _local_b1->a.c, CORBA_short );
                        flick_cdr_decode_signed32(16, _local_b1->b.a.a, CORBA_long );
                        flick_cdr_decode_float64(20, _local_b1->b.a.b, CORBA_double );
                        flick_cdr_decode_signed16(28, _local_b1->b.a.c, CORBA_short );
                        flick_cdr_decode_char8(30, _local_b1->b.b.a, CORBA_char );
                        flick_cdr_decode_char8(31, _local_b1->b.b.b, CORBA_char );
                        flick_cdr_decode_char8(32, _local_b1->b.b.c, CORBA_char );
                        flick_cdr_decode_char8(33, _local_b1->b.b.d, CORBA_char );
                        flick_cdr_decode_unsigned32(36, _local_b1->b.b.e._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(40);
                        flick_khazana_decode_end_glob(40);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->b.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21269);
                          _local_b1->b.b.e._buffer = _t_alloc_ptr;
                          _local_b1->b.b.e._maximum = _local_b1->b.b.e._length;
                          _local_b1->b.b.e._release = 1;
                        }
                        for (_t3484_array_iter = 0; _t3484_array_iter < _local_b1->b.b.e._length; _t3484_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td(_stream, _local_b1->b.b.e._buffer + _t3484_array_iter))
                              goto _flick_abort21276;
                            continue;
                            {
                            _flick_abort21276:
                              goto _flick_abort21275;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort21275);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_b1->c._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->c._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21275);
                          _local_b1->c._buffer = _t_alloc_ptr;
                          _local_b1->c._maximum = _local_b1->c._length;
                          _local_b1->c._release = 1;
                        }
                        for (_t3488_array_iter = 0; _t3488_array_iter < _local_b1->c._length; _t3488_array_iter++)
                          {
                            CORBA_unsigned_long _t3490_array_iter;

                            flick_khazana_decode_new_glob(28);
                            flick_khazana_check_span(4, _flick_abort21300);
                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_signed32(0, _local_b1->c._buffer[_t3488_array_iter].a.a, CORBA_long );
                            flick_khazana_decode_end_chunk(4);
                            flick_khazana_decode_new_chunk_align(20, 3, 2, 0);
                            flick_khazana_check_span(20, _flick_abort21300);
                            flick_cdr_decode_float64(0, _local_b1->c._buffer[_t3488_array_iter].a.b, CORBA_double );
                            flick_cdr_decode_signed16(8, _local_b1->c._buffer[_t3488_array_iter].a.c, CORBA_short );
                            flick_cdr_decode_char8(10, _local_b1->c._buffer[_t3488_array_iter].b.a, CORBA_char );
                            flick_cdr_decode_char8(11, _local_b1->c._buffer[_t3488_array_iter].b.b, CORBA_char );
                            flick_cdr_decode_char8(12, _local_b1->c._buffer[_t3488_array_iter].b.c, CORBA_char );
                            flick_cdr_decode_char8(13, _local_b1->c._buffer[_t3488_array_iter].b.d, CORBA_char );
                            flick_cdr_decode_unsigned32(16, _local_b1->c._buffer[_t3488_array_iter].b.e._length, CORBA_unsigned_long );
                            flick_khazana_decode_end_chunk(20);
                            flick_khazana_decode_end_glob(28);
                            {
                              struct ta_td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->c._buffer[_t3488_array_iter].b.e._length * sizeof(struct ta_td )));
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21300);
                              _local_b1->c._buffer[_t3488_array_iter].b.e._buffer = _t_alloc_ptr;
                              _local_b1->c._buffer[_t3488_array_iter].b.e._maximum = _local_b1->c._buffer[_t3488_array_iter].b.e._length;
                              _local_b1->c._buffer[_t3488_array_iter].b.e._release = 1;
                            }
                            for (_t3490_array_iter = 0; _t3490_array_iter < _local_b1->c._buffer[_t3488_array_iter].b.e._length; _t3490_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td(_stream, _local_b1->c._buffer[_t3488_array_iter].b.e._buffer + _t3490_array_iter))
                                  goto _flick_abort21312;
                                continue;
                                {
                                _flick_abort21312:
                                  goto _flick_abort21311;
                                }
                              }
                            continue;
                          _flick_abort_block21808:
                            {
                              _t3488_array_iter = _local_b1->c._length;
                            _flick_abort21316:
                              _t3488_array_iter--;
                            _flick_abort21311:
                              auto_flick_free(_local_b1->c._buffer[_t3488_array_iter].b.e._buffer);
                            _flick_abort21300:
                              if ((unsigned int )_t3488_array_iter > 0)
                                goto _flick_abort21316;
                              goto _flick_abort21299;
                            }
                          }
                        flick_khazana_decode_new_glob(4);
                        flick_khazana_check_span(4, _flick_abort21318);
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_b1->d._length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)(auto_flick_alloc(_local_b1->d._length * sizeof(struct tb )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21318);
                          _local_b1->d._buffer = _t_alloc_ptr;
                          _local_b1->d._maximum = _local_b1->d._length;
                          _local_b1->d._release = 1;
                        }
                        for (_t3491_array_iter = 0; _t3491_array_iter < _local_b1->d._length; _t3491_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb(_stream, _local_b1->d._buffer + _t3491_array_iter))
                              goto _flick_abort21323;
                            continue;
                            {
                            _flick_abort21323:
                              goto _flick_abort21322;
                            }
                          }
                        _ev = (CORBA_Environment *)(&_t3492_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = obj_convert(_obj, _local_a1, _local_b1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21322);
                          flick_khazana_encode_new_glob(8, _flick_abort21322);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21330);
                                break;
                                {
                                _flick_abort21330:
                                  goto _flick_abort21322;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21331);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort21331:
                                  goto _flick_abort21322;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort21322:
                          auto_flick_free(_local_b1->d._buffer);
                        _flick_abort21318:
                          goto _flick_abort_block21808;
                        _flick_abort21299:
                          auto_flick_free(_local_b1->c._buffer);
                        _flick_abort21275:
                          auto_flick_free(_local_b1->b.b.e._buffer);
                        _flick_abort21269:
                          auto_flick_free(_local_a1->f.b.e._buffer);
                        _flick_abort21263:
                          auto_flick_free(_local_a1->e.c._buffer);
                        _flick_abort21255:
                          auto_flick_free(_local_a1->next._buffer);
                        _flick_abort21249:
                          auto_flick_free(_local_a1->c.b.e._buffer);
                        _flick_abort21243:
                          auto_flick_free(_local_a1->b.c._buffer);
                        _flick_abort21237:
                          goto _flick_abort21236;
                        }
                      }
                      break;
                      {
                      _flick_abort21236:
                        goto _flick_abort21073;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t3493_switch_tag;

          flick_khazana_check_span(20, _flick_abort21073);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t3493_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t3493_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t3494_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t3494_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t3494_switch_tag)
                  {
                  case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                    {
                      unsigned int _t3495_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t3495_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t3495_switch_tag)
                        {
                        case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                          {
                            char _t3496_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t3496_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t3496_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t3497_principal_len;
                                    CORBA_long _return;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t3498_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort21333);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t3497_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t3497_principal_len, _flick_abort21333);
                                    flick_khazana_decode_new_glob(_t3497_principal_len);
                                    flick_khazana_decode_new_chunk(_t3497_principal_len);
                                    flick_khazana_decode_end_chunk(_t3497_principal_len);
                                    flick_khazana_decode_end_glob(_t3497_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _ev = (CORBA_Environment *)(&_t3498_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = obj__get_my_attr(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21333);
                                      flick_khazana_encode_new_glob(8, _flick_abort21333);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21339);
                                            break;
                                            {
                                            _flick_abort21339:
                                              goto _flick_abort21333;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21340);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort21340:
                                              goto _flick_abort21333;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort21333:
                                      goto _flick_abort21332;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort21332:
                                    goto _flick_abort21073;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t3499_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t3499_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t3499_switch_tag)
                  {
                  case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                    {
                      unsigned int _t3500_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t3500_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t3500_switch_tag)
                        {
                        case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                          {
                            char _t3501_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t3501_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t3501_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t3502_principal_len;
                                    CORBA_long _local_my_attr;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t3503_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort21342);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t3502_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t3502_principal_len, _flick_abort21342);
                                    flick_khazana_decode_new_glob(_t3502_principal_len);
                                    flick_khazana_decode_new_chunk(_t3502_principal_len);
                                    flick_khazana_decode_end_chunk(_t3502_principal_len);
                                    flick_khazana_decode_end_glob(_t3502_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort21342);
                                    flick_cdr_decode_signed32(0, _local_my_attr, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t3503_storage);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    obj__set_my_attr(_obj, _local_my_attr, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21342);
                                      flick_khazana_encode_new_glob(4, _flick_abort21342);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21348);
                                            break;
                                            {
                                            _flick_abort21348:
                                              goto _flick_abort21342;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21349);
                                            flick_khazana_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort21349:
                                              goto _flick_abort21342;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort21342:
                                      goto _flick_abort21341;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort21341:
                                    goto _flick_abort21073;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t3504_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t3504_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t3504_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t3505_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t3505_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t3505_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t3506_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t3507_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t3508_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort21351);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t3506_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t3506_principal_len, _flick_abort21351);
                        flick_khazana_decode_new_glob(_t3506_principal_len);
                        flick_khazana_decode_new_chunk(_t3506_principal_len);
                        flick_khazana_decode_end_chunk(_t3506_principal_len);
                        flick_khazana_decode_end_glob(_t3506_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort21351);
                        flick_cdr_decode_unsigned32(0, _t3507_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t3507_temp_string_len);
                        flick_khazana_check_span(1 * _t3507_temp_string_len, _flick_abort21351);
                        flick_khazana_decode_new_chunk(1 * _t3507_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t3507_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t3507_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t3508_storage);
                        _par = flick_interface_parents_obj;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort21351);
                          flick_khazana_encode_new_glob(5, _flick_abort21351);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort21359);
                                break;
                                {
                                _flick_abort21359:
                                  goto _flick_abort21351;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21360);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort21360:
                                  goto _flick_abort21351;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort21351:
                          goto _flick_abort21350;
                        }
                      }
                      break;
                      {
                      _flick_abort21350:
                        goto _flick_abort21073;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort21073);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort21073:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort21072);
  _flick_abort21072:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

