#include "inherit-server.h"

/* This is the runtime type information */
char *flick_interface_parents_one[] = {
	"IDL:one:1.0",
	0
};

char *flick_interface_parents_two[] = {
	"IDL:two:1.0",
	"IDL:one:1.0",
	0
};

char *flick_interface_parents_three[] = {
	"IDL:three:1.0",
	"IDL:one:1.0",
	0
};

char *flick_interface_parents_four[] = {
	"IDL:four:1.0",
	"IDL:one:1.0",
	"IDL:two:1.0",
	"IDL:three:1.0",
	0
};

char *flick_interface_parents_five[] = {
	"IDL:five:1.0",
	"IDL:one:1.0",
	"IDL:two:1.0",
	"IDL:three:1.0",
	"IDL:four:1.0",
	0
};

char *flick_interface_parents_factory[] = {
	"IDL:factory:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_factory;
	s.vers_num = _VERS_factory;

	reg_success = flick_server_register(s, &factory_server);
	assert(reg_success);


	s.prog_num = _PROG_five;
	s.vers_num = _VERS_five;

	reg_success = flick_server_register(s, &five_server);
	assert(reg_success);


	s.prog_num = _PROG_four;
	s.vers_num = _VERS_four;

	reg_success = flick_server_register(s, &four_server);
	assert(reg_success);


	s.prog_num = _PROG_three;
	s.vers_num = _VERS_three;

	reg_success = flick_server_register(s, &three_server);
	assert(reg_success);


	s.prog_num = _PROG_two;
	s.vers_num = _VERS_two;

	reg_success = flick_server_register(s, &two_server);
	assert(reg_success);


	s.prog_num = _PROG_one;
	s.vers_num = _VERS_one;

	reg_success = flick_server_register(s, &one_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_one(flick_marshal_stream_t _stream, one *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_one(flick_marshal_stream_t _stream, one *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t one_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t19_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_check_span(48, _flick_abort4);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t19_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t20_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t20_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t20_switch_tag)
            {
            case 'o':
              {
                char _t21_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t21_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t21_switch_tag)
                  {
                  case 'p':
                    {
                      char _t22_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t22_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t22_switch_tag)
                        {
                        case '_':
                          {
                            char _t23_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t23_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t23_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t24_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t24_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t24_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t25_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t25_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t25_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t26_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t26_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t26_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      one _obj;
                                                      unsigned int _t27_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t28_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort28);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t27_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t27_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t27_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t27_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t28_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(48);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      one_op_one(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort28);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort28);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort34);
                                                              break;
                                                              {
                                                              _flick_abort34:
                                                                goto _flick_abort28;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort35);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort35:
                                                                goto _flick_abort28;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort28:
                                                        goto _flick_abort27;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort27:
                                                      goto _flick_abort4;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(48);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t29_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t29_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t29_switch_tag)
            {
            case '_':
              {
                char _t30_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t30_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t30_switch_tag)
                  {
                  case 'i':
                    {
                      char _t31_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t31_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t31_switch_tag)
                        {
                        case 's':
                          {
                            char _t32_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t32_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t32_switch_tag)
                              {
                              case '_':
                                {
                                  char _t33_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t33_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t33_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t34_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t34_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t34_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t35_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t36_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t37_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort37);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t35_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t35_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t35_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t35_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t36_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(1 * _t36_temp_string_len);
                                                flick_suntcp_check_span(1 * _t36_temp_string_len, _flick_abort37);
                                                flick_suntcp_decode_new_chunk(1 * _t36_temp_string_len);
                                                if ((_t36_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t36_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort37);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t36_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t36_temp_string_len);
                                                _local_id[_t36_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t36_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t37_storage);
                                                _par = flick_interface_parents_one;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort40);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort40);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort46);
                                                        break;
                                                        {
                                                        _flick_abort46:
                                                          goto _flick_abort40;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort47);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort47:
                                                          goto _flick_abort40;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort40:
                                                  auto_flick_free(_local_id);
                                                _flick_abort37:
                                                  goto _flick_abort36;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort36:
                                                goto _flick_abort4;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort4:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort3);
  _flick_abort3:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_two(flick_marshal_stream_t _stream, two *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort48);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_two(flick_marshal_stream_t _stream, two *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort49);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort49:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t two_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t62_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_check_span(48, _flick_abort52);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t62_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t62_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t63_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t63_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t63_switch_tag)
            {
            case 'o':
              {
                char _t64_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t64_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t64_switch_tag)
                  {
                  case 'p':
                    {
                      char _t65_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t65_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t65_switch_tag)
                        {
                        case '_':
                          {
                            char _t66_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t66_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t66_switch_tag)
                              {
                              case 't':
                                {
                                  char _t67_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t67_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t67_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t68_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t68_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t68_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t69_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t69_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t69_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      two _obj;
                                                      unsigned int _t70_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t71_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort85);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t70_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t70_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t70_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t70_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t71_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(48);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      two_op_two(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort85);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort85);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort91);
                                                              break;
                                                              {
                                                              _flick_abort91:
                                                                goto _flick_abort85;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort92);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort92:
                                                                goto _flick_abort85;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort85:
                                                        goto _flick_abort84;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort84:
                                                      goto _flick_abort52;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                                    flick_suntcp_decode_end_glob(48);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t72_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t72_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t72_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t73_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t73_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t73_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t74_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t74_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t74_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      two _obj;
                                                      unsigned int _t75_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t76_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort94);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t75_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t75_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t75_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t75_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t76_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(48);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      two_op_one(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort94);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort94);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort100);
                                                              break;
                                                              {
                                                              _flick_abort100:
                                                                goto _flick_abort94;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort101:
                                                                goto _flick_abort94;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort94:
                                                        goto _flick_abort93;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort93:
                                                      goto _flick_abort52;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                                    flick_suntcp_decode_end_glob(48);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t77_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t77_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t77_switch_tag)
            {
            case '_':
              {
                char _t78_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t78_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t78_switch_tag)
                  {
                  case 'i':
                    {
                      char _t79_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t79_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t79_switch_tag)
                        {
                        case 's':
                          {
                            char _t80_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t80_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t80_switch_tag)
                              {
                              case '_':
                                {
                                  char _t81_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t81_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t81_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t82_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t82_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t82_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t83_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t84_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t85_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort103);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t83_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t83_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t83_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t83_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t84_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(1 * _t84_temp_string_len);
                                                flick_suntcp_check_span(1 * _t84_temp_string_len, _flick_abort103);
                                                flick_suntcp_decode_new_chunk(1 * _t84_temp_string_len);
                                                if ((_t84_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t84_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort103);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t84_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t84_temp_string_len);
                                                _local_id[_t84_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t84_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t85_storage);
                                                _par = flick_interface_parents_two;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort106);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort106);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort112);
                                                        break;
                                                        {
                                                        _flick_abort112:
                                                          goto _flick_abort106;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort113);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort113:
                                                          goto _flick_abort106;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort106:
                                                  auto_flick_free(_local_id);
                                                _flick_abort103:
                                                  goto _flick_abort102;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort102:
                                                goto _flick_abort52;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort52);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort52:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort51);
  _flick_abort51:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_three(flick_marshal_stream_t _stream, three *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort114);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort114:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_three(flick_marshal_stream_t _stream, three *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort115);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort115:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t three_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t116_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_check_span(48, _flick_abort118);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t116_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t116_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t117_switch_tag;

          flick_suntcp_check_span(52, _flick_abort118);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t117_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t117_switch_tag)
            {
            case 'o':
              {
                char _t118_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t118_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t118_switch_tag)
                  {
                  case 'p':
                    {
                      char _t119_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t119_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t119_switch_tag)
                        {
                        case '_':
                          {
                            char _t120_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t120_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t120_switch_tag)
                              {
                              case 't':
                                {
                                  char _t121_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t121_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t121_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t122_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t122_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t122_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t123_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t123_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t123_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t124_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t124_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t124_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t125_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t125_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t125_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  three _obj;
                                                                  unsigned int _t126_ignore;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t127_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort151);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t126_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t126_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t126_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t126_ignore, unsigned int );
                                                                  _ev = (CORBA_Environment *)(&_t127_storage);
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(56);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  three_op_three(_obj, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort151);
                                                                    flick_suntcp_encode_new_glob(4, _flick_abort151);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort157);
                                                                          break;
                                                                          {
                                                                          _flick_abort157:
                                                                            goto _flick_abort151;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort158);
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                          {
                                                                          _flick_abort158:
                                                                            goto _flick_abort151;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort151:
                                                                    goto _flick_abort150;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort150:
                                                                  goto _flick_abort118;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                                                flick_suntcp_decode_end_glob(56);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t128_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t128_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t128_switch_tag)
            {
            case 'o':
              {
                char _t129_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t129_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t129_switch_tag)
                  {
                  case 'p':
                    {
                      char _t130_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t130_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t130_switch_tag)
                        {
                        case '_':
                          {
                            char _t131_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t131_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t131_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t132_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t132_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t132_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t133_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t133_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t133_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t134_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t134_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t134_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      three _obj;
                                                      unsigned int _t135_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t136_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort160);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t135_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t135_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t135_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t135_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t136_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      three_op_one(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort160);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort160);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort166);
                                                              break;
                                                              {
                                                              _flick_abort166:
                                                                goto _flick_abort160;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort167);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort167:
                                                                goto _flick_abort160;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort160:
                                                        goto _flick_abort159;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort159:
                                                      goto _flick_abort118;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t137_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t137_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t137_switch_tag)
            {
            case '_':
              {
                char _t138_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t138_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t138_switch_tag)
                  {
                  case 'i':
                    {
                      char _t139_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t139_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t139_switch_tag)
                        {
                        case 's':
                          {
                            char _t140_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t140_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t140_switch_tag)
                              {
                              case '_':
                                {
                                  char _t141_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t141_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t141_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t142_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t142_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t142_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t143_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t144_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t145_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort169);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t143_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t143_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t143_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t143_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t144_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(56);
                                                flick_suntcp_decode_new_glob(1 * _t144_temp_string_len);
                                                flick_suntcp_check_span(1 * _t144_temp_string_len, _flick_abort169);
                                                flick_suntcp_decode_new_chunk(1 * _t144_temp_string_len);
                                                if ((_t144_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t144_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort169);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t144_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t144_temp_string_len);
                                                _local_id[_t144_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t144_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t145_storage);
                                                _par = flick_interface_parents_three;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort172);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort172);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort178);
                                                        break;
                                                        {
                                                        _flick_abort178:
                                                          goto _flick_abort172;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort179);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort179:
                                                          goto _flick_abort172;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort172:
                                                  auto_flick_free(_local_id);
                                                _flick_abort169:
                                                  goto _flick_abort168;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort168:
                                                goto _flick_abort118;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort118);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort118:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort117);
  _flick_abort117:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_four(flick_marshal_stream_t _stream, four *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort180);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort180:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_four(flick_marshal_stream_t _stream, four *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort181);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort181:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t four_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t191_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_check_span(48, _flick_abort184);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t191_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t191_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t192_switch_tag;

          flick_suntcp_check_span(48, _flick_abort184);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t192_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t192_switch_tag)
            {
            case 'o':
              {
                char _t193_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t193_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t193_switch_tag)
                  {
                  case 'p':
                    {
                      char _t194_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t194_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t194_switch_tag)
                        {
                        case '_':
                          {
                            char _t195_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t195_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t195_switch_tag)
                              {
                              case 'f':
                                {
                                  char _t196_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t196_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t196_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t197_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t197_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t197_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t198_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t198_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t198_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t199_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t199_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t199_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            four _obj;
                                                            unsigned int _t200_ignore;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t201_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort235);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t200_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t200_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t200_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t200_ignore, unsigned int );
                                                            _ev = (CORBA_Environment *)(&_t201_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            four_op_four(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort235);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort235);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort241);
                                                                    break;
                                                                    {
                                                                    _flick_abort241:
                                                                      goto _flick_abort235;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort242);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort242:
                                                                      goto _flick_abort235;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort235:
                                                              goto _flick_abort234;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort234:
                                                            goto _flick_abort184;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t202_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t202_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t202_switch_tag)
            {
            case 'o':
              {
                char _t203_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t203_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t203_switch_tag)
                  {
                  case 'p':
                    {
                      char _t204_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t204_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t204_switch_tag)
                        {
                        case '_':
                          {
                            char _t205_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t205_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t205_switch_tag)
                              {
                              case 't':
                                {
                                  char _t206_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t206_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t206_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t207_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t207_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t207_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t208_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t208_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t208_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      four _obj;
                                                      unsigned int _t209_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t210_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort244);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t209_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t209_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t209_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t209_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t210_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      four_op_two(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort244);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort244);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort250);
                                                              break;
                                                              {
                                                              _flick_abort250:
                                                                goto _flick_abort244;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort251);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort251:
                                                                goto _flick_abort244;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort244:
                                                        goto _flick_abort243;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort243:
                                                      goto _flick_abort184;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t211_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t211_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t211_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t212_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t212_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t212_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t213_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t213_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t213_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      four _obj;
                                                      unsigned int _t214_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t215_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort253);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t214_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t214_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t214_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t214_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t215_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      four_op_one(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort253);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort253);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort259);
                                                              break;
                                                              {
                                                              _flick_abort259:
                                                                goto _flick_abort253;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort260);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort260:
                                                                goto _flick_abort253;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort253:
                                                        goto _flick_abort252;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort252:
                                                      goto _flick_abort184;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t216_switch_tag;

          flick_suntcp_check_span(52, _flick_abort184);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t216_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t216_switch_tag)
            {
            case 'o':
              {
                char _t217_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t217_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t217_switch_tag)
                  {
                  case 'p':
                    {
                      char _t218_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t218_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t218_switch_tag)
                        {
                        case '_':
                          {
                            char _t219_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t219_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t219_switch_tag)
                              {
                              case 't':
                                {
                                  char _t220_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t220_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t220_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t221_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t221_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t221_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t222_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t222_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t222_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t223_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t223_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t223_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t224_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t224_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t224_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  four _obj;
                                                                  unsigned int _t225_ignore;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t226_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort262);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t225_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t225_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t225_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t225_ignore, unsigned int );
                                                                  _ev = (CORBA_Environment *)(&_t226_storage);
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(56);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  four_op_three(_obj, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort262);
                                                                    flick_suntcp_encode_new_glob(4, _flick_abort262);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort268);
                                                                          break;
                                                                          {
                                                                          _flick_abort268:
                                                                            goto _flick_abort262;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort269);
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                          {
                                                                          _flick_abort269:
                                                                            goto _flick_abort262;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort262:
                                                                    goto _flick_abort261;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort261:
                                                                  goto _flick_abort184;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                                flick_suntcp_decode_end_glob(56);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t227_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t227_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t227_switch_tag)
            {
            case '_':
              {
                char _t228_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t228_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t228_switch_tag)
                  {
                  case 'i':
                    {
                      char _t229_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t229_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t229_switch_tag)
                        {
                        case 's':
                          {
                            char _t230_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t230_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t230_switch_tag)
                              {
                              case '_':
                                {
                                  char _t231_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t231_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t231_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t232_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t232_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t232_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t233_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t234_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t235_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort271);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t233_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t233_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t233_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t233_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t234_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(56);
                                                flick_suntcp_decode_new_glob(1 * _t234_temp_string_len);
                                                flick_suntcp_check_span(1 * _t234_temp_string_len, _flick_abort271);
                                                flick_suntcp_decode_new_chunk(1 * _t234_temp_string_len);
                                                if ((_t234_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t234_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort271);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t234_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t234_temp_string_len);
                                                _local_id[_t234_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t234_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t235_storage);
                                                _par = flick_interface_parents_four;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort274);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort274);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort280);
                                                        break;
                                                        {
                                                        _flick_abort280:
                                                          goto _flick_abort274;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort281);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort281:
                                                          goto _flick_abort274;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort274:
                                                  auto_flick_free(_local_id);
                                                _flick_abort271:
                                                  goto _flick_abort270;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort270:
                                                goto _flick_abort184;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort184);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort184:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort183);
  _flick_abort183:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_five(flick_marshal_stream_t _stream, five *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort282);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort282:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_five(flick_marshal_stream_t _stream, five *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort283);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort283:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t five_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t286_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_check_span(48, _flick_abort286);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t286_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t286_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t287_switch_tag;

          flick_suntcp_check_span(48, _flick_abort286);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t287_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t287_switch_tag)
            {
            case 'o':
              {
                char _t288_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t288_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t288_switch_tag)
                  {
                  case 'p':
                    {
                      char _t289_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t289_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t289_switch_tag)
                        {
                        case '_':
                          {
                            char _t290_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t290_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t290_switch_tag)
                              {
                              case 'f':
                                {
                                  char _t291_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t291_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t291_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t292_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t292_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t292_switch_tag)
                                          {
                                          case 'v':
                                            {
                                              char _t293_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t293_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t293_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t294_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t294_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t294_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            five _obj;
                                                            unsigned int _t295_ignore;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t296_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort346);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t295_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t295_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t295_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t295_ignore, unsigned int );
                                                            _ev = (CORBA_Environment *)(&_t296_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            five_op_five(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort346);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort346);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort352);
                                                                    break;
                                                                    {
                                                                    _flick_abort352:
                                                                      goto _flick_abort346;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort353);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort353:
                                                                      goto _flick_abort346;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort346:
                                                              goto _flick_abort345;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort345:
                                                            goto _flick_abort286;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    case 'o':
                                      {
                                        char _t297_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t297_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t297_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t298_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t298_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t298_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t299_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t299_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t299_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            five _obj;
                                                            unsigned int _t300_ignore;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t301_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort355);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t300_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t300_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t300_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t300_ignore, unsigned int );
                                                            _ev = (CORBA_Environment *)(&_t301_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            five_op_four(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort355);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort355);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort361);
                                                                    break;
                                                                    {
                                                                    _flick_abort361:
                                                                      goto _flick_abort355;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort362);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort362:
                                                                      goto _flick_abort355;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort355:
                                                              goto _flick_abort354;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort354:
                                                            goto _flick_abort286;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t302_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t302_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t302_switch_tag)
            {
            case 'o':
              {
                char _t303_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t303_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t303_switch_tag)
                  {
                  case 'p':
                    {
                      char _t304_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t304_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t304_switch_tag)
                        {
                        case '_':
                          {
                            char _t305_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t305_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t305_switch_tag)
                              {
                              case 't':
                                {
                                  char _t306_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t306_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t306_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t307_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t307_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t307_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t308_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t308_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t308_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      five _obj;
                                                      unsigned int _t309_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t310_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort364);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t309_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t309_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t309_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t309_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t310_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      five_op_two(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort364);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort364);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort370);
                                                              break;
                                                              {
                                                              _flick_abort370:
                                                                goto _flick_abort364;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort371);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort371:
                                                                goto _flick_abort364;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort364:
                                                        goto _flick_abort363;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort363:
                                                      goto _flick_abort286;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t311_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t311_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t311_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t312_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t312_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t312_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t313_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t313_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t313_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      five _obj;
                                                      unsigned int _t314_ignore;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t315_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort373);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t314_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t314_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t314_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t314_ignore, unsigned int );
                                                      _ev = (CORBA_Environment *)(&_t315_storage);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      five_op_one(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort373);
                                                        flick_suntcp_encode_new_glob(4, _flick_abort373);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort379);
                                                              break;
                                                              {
                                                              _flick_abort379:
                                                                goto _flick_abort373;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort380);
                                                              flick_suntcp_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort380:
                                                                goto _flick_abort373;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort373:
                                                        goto _flick_abort372;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort372:
                                                      goto _flick_abort286;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t316_switch_tag;

          flick_suntcp_check_span(52, _flick_abort286);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t316_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t316_switch_tag)
            {
            case 'o':
              {
                char _t317_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t317_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t317_switch_tag)
                  {
                  case 'p':
                    {
                      char _t318_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t318_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t318_switch_tag)
                        {
                        case '_':
                          {
                            char _t319_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t319_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t319_switch_tag)
                              {
                              case 't':
                                {
                                  char _t320_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t320_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t320_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t321_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t321_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t321_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t322_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t322_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t322_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t323_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t323_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t323_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t324_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t324_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t324_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  five _obj;
                                                                  unsigned int _t325_ignore;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t326_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort382);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t325_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t325_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t325_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t325_ignore, unsigned int );
                                                                  _ev = (CORBA_Environment *)(&_t326_storage);
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(56);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  five_op_three(_obj, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort382);
                                                                    flick_suntcp_encode_new_glob(4, _flick_abort382);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort388);
                                                                          break;
                                                                          {
                                                                          _flick_abort388:
                                                                            goto _flick_abort382;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort389);
                                                                          flick_suntcp_encode_end_glob(4);
                                                                          break;
                                                                          {
                                                                          _flick_abort389:
                                                                            goto _flick_abort382;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort382:
                                                                    goto _flick_abort381;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort381:
                                                                  goto _flick_abort286;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                                flick_suntcp_decode_end_glob(56);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t327_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t327_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t327_switch_tag)
            {
            case '_':
              {
                char _t328_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t328_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t328_switch_tag)
                  {
                  case 'i':
                    {
                      char _t329_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t329_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t329_switch_tag)
                        {
                        case 's':
                          {
                            char _t330_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t330_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t330_switch_tag)
                              {
                              case '_':
                                {
                                  char _t331_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t331_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t331_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t332_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t332_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t332_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t333_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t334_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t335_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort391);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t333_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t333_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t333_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t333_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t334_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(56);
                                                flick_suntcp_decode_new_glob(1 * _t334_temp_string_len);
                                                flick_suntcp_check_span(1 * _t334_temp_string_len, _flick_abort391);
                                                flick_suntcp_decode_new_chunk(1 * _t334_temp_string_len);
                                                if ((_t334_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t334_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort391);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t334_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t334_temp_string_len);
                                                _local_id[_t334_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t334_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t335_storage);
                                                _par = flick_interface_parents_five;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort394);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort394);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort400);
                                                        break;
                                                        {
                                                        _flick_abort400:
                                                          goto _flick_abort394;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort401);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort401:
                                                          goto _flick_abort394;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort394:
                                                  auto_flick_free(_local_id);
                                                _flick_abort391:
                                                  goto _flick_abort390;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort390:
                                                goto _flick_abort286;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort286);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort286:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort285);
  _flick_abort285:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_factory(flick_marshal_stream_t _stream, factory *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort402);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort402:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_factory(flick_marshal_stream_t _stream, factory *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort403);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort403:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t factory_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t389_switch_tag;

    flick_suntcp_decode_new_glob(60);
    flick_suntcp_check_span(48, _flick_abort406);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t389_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t389_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t390_switch_tag;

          flick_suntcp_check_span(48, _flick_abort406);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t390_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t390_switch_tag)
            {
            case 'g':
              {
                char _t391_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t391_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t391_switch_tag)
                  {
                  case 'e':
                    {
                      char _t392_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t392_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t392_switch_tag)
                        {
                        case 't':
                          {
                            char _t393_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t393_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t393_switch_tag)
                              {
                              case '_':
                                {
                                  char _t394_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t394_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t394_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t395_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t395_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t395_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t396_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t396_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t396_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t397_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t397_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t397_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            factory _obj;
                                                            unsigned int _t398_ignore;
                                                            one _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t399_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort466);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t398_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t398_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t398_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t398_ignore, unsigned int );
                                                            _ev = (CORBA_Environment *)(&_t399_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(60);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = factory_get_one(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort466);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort466);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_port32(0, _return, 0);
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort472);
                                                                    break;
                                                                    {
                                                                    _flick_abort472:
                                                                      goto _flick_abort466;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort473);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort473:
                                                                      goto _flick_abort466;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort466:
                                                              goto _flick_abort465;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort465:
                                                            goto _flick_abort406;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    case 't':
                                      {
                                        char _t400_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t400_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t400_switch_tag)
                                          {
                                          case 'w':
                                            {
                                              char _t401_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t401_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t401_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t402_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t402_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t402_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            factory _obj;
                                                            unsigned int _t403_ignore;
                                                            two _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t404_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort475);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t403_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t403_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t403_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t403_ignore, unsigned int );
                                                            _ev = (CORBA_Environment *)(&_t404_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(60);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = factory_get_two(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort475);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort475);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_port32(0, _return, 0);
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort481);
                                                                    break;
                                                                    {
                                                                    _flick_abort481:
                                                                      goto _flick_abort475;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort482);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort482:
                                                                      goto _flick_abort475;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort475:
                                                              goto _flick_abort474;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort474:
                                                            goto _flick_abort406;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t405_switch_tag;

          flick_suntcp_check_span(56, _flick_abort406);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t405_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t405_switch_tag)
            {
            case 'g':
              {
                char _t406_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t406_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t406_switch_tag)
                  {
                  case 'e':
                    {
                      char _t407_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t407_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t407_switch_tag)
                        {
                        case 't':
                          {
                            char _t408_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t408_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t408_switch_tag)
                              {
                              case '_':
                                {
                                  char _t409_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t409_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t409_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t410_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t410_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t410_switch_tag)
                                          {
                                          case 'h':
                                            {
                                              char _t411_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t411_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t411_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t412_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t412_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t412_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t413_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t413_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t413_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t414_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t414_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t414_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        factory _obj;
                                                                        unsigned int _t415_ignore;
                                                                        three _return;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t416_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort484);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t415_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t415_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t415_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t415_ignore, unsigned int );
                                                                        _ev = (CORBA_Environment *)(&_t416_storage);
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(60);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = factory_get_three(_obj, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort484);
                                                                          flick_suntcp_encode_new_glob(8, _flick_abort484);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_port32(0, _return, 0);
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort490);
                                                                                break;
                                                                                {
                                                                                _flick_abort490:
                                                                                  goto _flick_abort484;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort491);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                                {
                                                                                _flick_abort491:
                                                                                  goto _flick_abort484;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort484:
                                                                          goto _flick_abort483;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort483:
                                                                        goto _flick_abort406;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                                      flick_suntcp_decode_end_glob(60);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t417_switch_tag;

          flick_suntcp_check_span(52, _flick_abort406);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t417_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t417_switch_tag)
            {
            case 'g':
              {
                char _t418_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t418_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t418_switch_tag)
                  {
                  case 'e':
                    {
                      char _t419_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t419_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t419_switch_tag)
                        {
                        case 't':
                          {
                            char _t420_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t420_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t420_switch_tag)
                              {
                              case '_':
                                {
                                  char _t421_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t421_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t421_switch_tag)
                                    {
                                    case 'f':
                                      {
                                        char _t422_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t422_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t422_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t423_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t423_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t423_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t424_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t424_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t424_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t425_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t425_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t425_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  factory _obj;
                                                                  unsigned int _t426_ignore;
                                                                  four _return;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t427_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort493);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t426_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t426_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t426_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t426_ignore, unsigned int );
                                                                  _ev = (CORBA_Environment *)(&_t427_storage);
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = factory_get_four(_obj, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort493);
                                                                    flick_suntcp_encode_new_glob(8, _flick_abort493);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_port32(0, _return, 0);
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort499);
                                                                          break;
                                                                          {
                                                                          _flick_abort499:
                                                                            goto _flick_abort493;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort500);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                          {
                                                                          _flick_abort500:
                                                                            goto _flick_abort493;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort493:
                                                                    goto _flick_abort492;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort492:
                                                                  goto _flick_abort406;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'i':
                                            {
                                              char _t428_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t428_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t428_switch_tag)
                                                {
                                                case 'v':
                                                  {
                                                    char _t429_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t429_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t429_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t430_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t430_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t430_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  factory _obj;
                                                                  unsigned int _t431_ignore;
                                                                  five _return;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t432_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort502);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t431_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t431_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t431_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t431_ignore, unsigned int );
                                                                  _ev = (CORBA_Environment *)(&_t432_storage);
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = factory_get_five(_obj, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort502);
                                                                    flick_suntcp_encode_new_glob(8, _flick_abort502);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_port32(0, _return, 0);
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort508);
                                                                          break;
                                                                          {
                                                                          _flick_abort508:
                                                                            goto _flick_abort502;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort509);
                                                                          flick_suntcp_encode_end_glob(8);
                                                                          break;
                                                                          {
                                                                          _flick_abort509:
                                                                            goto _flick_abort502;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort502:
                                                                    goto _flick_abort501;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort501:
                                                                  goto _flick_abort406;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t433_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t433_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t433_switch_tag)
            {
            case '_':
              {
                char _t434_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t434_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t434_switch_tag)
                  {
                  case 'i':
                    {
                      char _t435_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t435_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t435_switch_tag)
                        {
                        case 's':
                          {
                            char _t436_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t436_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t436_switch_tag)
                              {
                              case '_':
                                {
                                  char _t437_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t437_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t437_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t438_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t438_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t438_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t439_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t440_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t441_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort511);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t439_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t439_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t439_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t439_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t440_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(60);
                                                flick_suntcp_decode_new_glob(1 * _t440_temp_string_len);
                                                flick_suntcp_check_span(1 * _t440_temp_string_len, _flick_abort511);
                                                flick_suntcp_decode_new_chunk(1 * _t440_temp_string_len);
                                                if ((_t440_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t440_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort511);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t440_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t440_temp_string_len);
                                                _local_id[_t440_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t440_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t441_storage);
                                                _par = flick_interface_parents_factory;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort514);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort514);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort520);
                                                        break;
                                                        {
                                                        _flick_abort520:
                                                          goto _flick_abort514;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort521);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort521:
                                                          goto _flick_abort514;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort514:
                                                  auto_flick_free(_local_id);
                                                _flick_abort511:
                                                  goto _flick_abort510;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort510:
                                                goto _flick_abort406;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort406);
          flick_suntcp_decode_end_glob(60);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort406:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort405);
  _flick_abort405:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

