#include "parm_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort2);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->a, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort3);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->a, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, _data->a, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(1 * _t0_temp_string_len, _flick_abort4);
  flick_suntcp_encode_new_chunk(1 * _t0_temp_string_len);
  flick_xdr_encode_bcopy(0, _data->a, 1 * _t0_temp_string_len);
  CORBA_flick_free(_data->a);
  flick_suntcp_encode_end_chunk(1 * _t0_temp_string_len);
  flick_suntcp_encode_end_glob(1 * _t0_temp_string_len);
  flick_suntcp_encode_new_glob(3, _flick_abort4);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(3);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort7);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(1 * _t1_temp_string_len);
  flick_suntcp_check_span(1 * _t1_temp_string_len, _flick_abort7);
  flick_suntcp_decode_new_chunk(1 * _t1_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t1_temp_string_len + 1) * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->a = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->a, 1 * _t1_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t1_temp_string_len);
  _data->a[_t1_temp_string_len] = 0;
  flick_suntcp_decode_end_glob(1 * _t1_temp_string_len);
  flick_suntcp_decode_new_glob(3);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(3);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort11);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d, CORBA_long );
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x, CORBA_long );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z, CORBA_char );
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort17);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d, CORBA_long );
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x, CORBA_long );
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z, CORBA_char );
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort23);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d, CORBA_long );
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t3_temp_string_len;

        flick_xdr_stringlen(CORBA_char *, _data->_u.a, flick_unsigned32_t , _t3_temp_string_len);

        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(8);
        flick_suntcp_encode_new_glob(1 * _t3_temp_string_len, _flick_abort29);
        flick_suntcp_encode_new_chunk(1 * _t3_temp_string_len);
        flick_xdr_encode_bcopy(0, _data->_u.a, 1 * _t3_temp_string_len);
        CORBA_flick_free(_data->_u.a);
        flick_suntcp_encode_end_chunk(1 * _t3_temp_string_len);
        flick_suntcp_encode_end_glob(1 * _t3_temp_string_len);
        flick_suntcp_encode_new_glob(3, _flick_abort29);
        flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
        flick_suntcp_encode_end_chunk(0);
        flick_suntcp_encode_end_glob(3);
        break;
        {
        _flick_abort29:
          goto _flick_abort23;
        }
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z, CORBA_char );
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort33);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d, CORBA_long );
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t5_temp_string_len;

        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_unsigned32(0, _t5_temp_string_len, flick_unsigned32_t );
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(8);
        flick_suntcp_decode_new_glob(1 * _t5_temp_string_len);
        flick_suntcp_check_span(1 * _t5_temp_string_len, _flick_abort41);
        flick_suntcp_decode_new_chunk(1 * _t5_temp_string_len);
        {
          CORBA_char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t5_temp_string_len + 1) * sizeof(CORBA_char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort41);
          _data->_u.a = _t_alloc_ptr;
        }
        flick_xdr_decode_bcopy(0, _data->_u.a, 1 * _t5_temp_string_len);
        flick_suntcp_decode_end_chunk(1 * _t5_temp_string_len);
        _data->_u.a[_t5_temp_string_len] = 0;
        flick_suntcp_decode_end_glob(1 * _t5_temp_string_len);
        flick_suntcp_decode_new_glob(3);
        flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
        flick_suntcp_decode_end_chunk(0);
        flick_suntcp_decode_end_glob(3);
        break;
        {
        _flick_abort41:
          goto _flick_abort33;
        }
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z, CORBA_char );
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort47);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort47:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort48);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t6_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(40, _flick_abort49);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t6_array_iter = 0; _t6_array_iter < 10; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t6_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_bcopy(0, *_data, 40);
  flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(40);
  return 0;
  {
  _flick_abort49:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t7_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < 10; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t7_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(40, _flick_abort64);
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_bcopy(0, *_data, 40);
  flick_suntcp_decode_end_chunk(40);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(40);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort64:
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t8_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(44, _flick_abort65);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort68);
  for (_t8_array_iter = 0; _t8_array_iter < _data->_length; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t8_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
#else /* BIG_ENDIAN - do a bcopy*/
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort72);
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort68:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort72:
#endif /* ENDIANness */
  _flick_abort65:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t9_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(44);
  flick_suntcp_check_span(4, _flick_abort73);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(4 * _data->_length, _flick_abort76);
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort76);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort76);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t9_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort81);
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort81);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort76:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort81:
#endif /* ENDIANness */
  _flick_abort73:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t273_switch_tag;

    flick_suntcp_decode_new_glob(144);
    flick_suntcp_check_span(48, _flick_abort85);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t273_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t273_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t274_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t274_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t274_switch_tag)
            {
            case 'S':
              {
                char _t275_switch_tag;

                flick_suntcp_check_span(44, _flick_abort85);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t275_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t275_switch_tag)
                  {
                  case 'h':
                    {
                      char _t276_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t276_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t276_switch_tag)
                        {
                        case 'o':
                          {
                            char _t277_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t277_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t277_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t278_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t278_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t278_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t279_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t279_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t279_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                unsigned int _t280_ignore;
                                                CORBA_short _return;
                                                CORBA_short _local_a;
                                                CORBA_short *_local_b;
                                                CORBA_short _t281_storage;
                                                CORBA_short *_local_c;
                                                CORBA_short _t282_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t283_storage;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort541);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t280_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t280_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t280_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t280_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_signed16(16, _local_a, CORBA_short );
                                                _local_b = (CORBA_short *)(&_t281_storage);
                                                flick_xdr_decode_signed16(20, *_local_b, CORBA_short );
                                                _local_c = (CORBA_short *)(&_t282_storage);
                                                _ev = (CORBA_Environment *)(&_t283_storage);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort541);
                                                  flick_suntcp_encode_new_glob(16, _flick_abort541);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(12);
                                                        flick_xdr_encode_signed16(0, _return, CORBA_short );
                                                        flick_xdr_encode_signed16(4, *_local_b, CORBA_short );
                                                        flick_xdr_encode_signed16(8, *_local_c, CORBA_short );
                                                        flick_suntcp_encode_end_chunk(12);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort547);
                                                        break;
                                                        {
                                                        _flick_abort547:
                                                          goto _flick_abort541;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort548);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort548:
                                                          goto _flick_abort541;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort541:
                                                  goto _flick_abort540;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort540:
                                                goto _flick_abort85;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'U':
              {
                char _t284_switch_tag;

                flick_suntcp_check_span(44, _flick_abort85);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t284_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t284_switch_tag)
                  {
                  case 'L':
                    {
                      char _t285_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t285_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t285_switch_tag)
                        {
                        case 'o':
                          {
                            char _t286_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t286_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t286_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t287_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t287_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t287_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t288_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t288_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t288_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                unsigned int _t289_ignore;
                                                CORBA_unsigned_long _return;
                                                CORBA_unsigned_long _local_a;
                                                CORBA_unsigned_long *_local_b;
                                                CORBA_unsigned_long _t290_storage;
                                                CORBA_unsigned_long *_local_c;
                                                CORBA_unsigned_long _t291_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t292_storage;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort550);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t289_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t289_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t289_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t289_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _local_a, CORBA_unsigned_long );
                                                _local_b = (CORBA_unsigned_long *)(&_t290_storage);
                                                flick_xdr_decode_unsigned32(20, *_local_b, CORBA_unsigned_long );
                                                _local_c = (CORBA_unsigned_long *)(&_t291_storage);
                                                _ev = (CORBA_Environment *)(&_t292_storage);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort550);
                                                  flick_suntcp_encode_new_glob(16, _flick_abort550);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(12);
                                                        flick_xdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                        flick_xdr_encode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                                                        flick_xdr_encode_unsigned32(8, *_local_c, CORBA_unsigned_long );
                                                        flick_suntcp_encode_end_chunk(12);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort556);
                                                        break;
                                                        {
                                                        _flick_abort556:
                                                          goto _flick_abort550;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort557);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort557:
                                                          goto _flick_abort550;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort550:
                                                  goto _flick_abort549;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort549:
                                                goto _flick_abort85;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'F':
              {
                char _t293_switch_tag;

                flick_suntcp_check_span(44, _flick_abort85);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t293_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t293_switch_tag)
                  {
                  case 'l':
                    {
                      char _t294_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t294_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t294_switch_tag)
                        {
                        case 'o':
                          {
                            char _t295_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t295_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t295_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t296_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t296_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t296_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t297_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t297_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t297_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                unsigned int _t298_ignore;
                                                CORBA_float _return;
                                                CORBA_float _local_a;
                                                CORBA_float *_local_b;
                                                CORBA_float _t299_storage;
                                                CORBA_float *_local_c;
                                                CORBA_float _t300_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t301_storage;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort559);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t298_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t298_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t298_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t298_ignore, unsigned int );
                                                _return = 0.000000;
                                                flick_xdr_decode_float32(16, _local_a, CORBA_float );
                                                _local_b = (CORBA_float *)(&_t299_storage);
                                                flick_xdr_decode_float32(20, *_local_b, CORBA_float );
                                                _local_c = (CORBA_float *)(&_t300_storage);
                                                _ev = (CORBA_Environment *)(&_t301_storage);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort559);
                                                  flick_suntcp_encode_new_glob(16, _flick_abort559);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(12);
                                                        flick_xdr_encode_float32(0, _return, CORBA_float );
                                                        flick_xdr_encode_float32(4, *_local_b, CORBA_float );
                                                        flick_xdr_encode_float32(8, *_local_c, CORBA_float );
                                                        flick_suntcp_encode_end_chunk(12);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort565);
                                                        break;
                                                        {
                                                        _flick_abort565:
                                                          goto _flick_abort559;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort566);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort566:
                                                          goto _flick_abort559;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort559:
                                                  goto _flick_abort558;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort558:
                                                goto _flick_abort85;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'O':
              {
                char _t302_switch_tag;

                flick_suntcp_check_span(44, _flick_abort85);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t302_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t302_switch_tag)
                  {
                  case 'c':
                    {
                      char _t303_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t303_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t303_switch_tag)
                        {
                        case 't':
                          {
                            char _t304_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t304_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t304_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t305_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t305_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t305_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t306_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t306_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t306_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                unsigned int _t307_ignore;
                                                CORBA_octet _return;
                                                CORBA_octet _local_a;
                                                CORBA_octet *_local_b;
                                                CORBA_octet _t308_storage;
                                                CORBA_octet *_local_c;
                                                CORBA_octet _t309_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t310_storage;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort568);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t307_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t307_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t307_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t307_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned8(16, _local_a, CORBA_octet );
                                                _local_b = (CORBA_octet *)(&_t308_storage);
                                                flick_xdr_decode_unsigned8(20, *_local_b, CORBA_octet );
                                                _local_c = (CORBA_octet *)(&_t309_storage);
                                                _ev = (CORBA_Environment *)(&_t310_storage);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort568);
                                                  flick_suntcp_encode_new_glob(16, _flick_abort568);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(12);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_octet );
                                                        flick_xdr_encode_unsigned8(4, *_local_b, CORBA_octet );
                                                        flick_xdr_encode_unsigned8(8, *_local_c, CORBA_octet );
                                                        flick_suntcp_encode_end_chunk(12);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort574);
                                                        break;
                                                        {
                                                        _flick_abort574:
                                                          goto _flick_abort568;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort575);
                                                        flick_suntcp_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort575:
                                                          goto _flick_abort568;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort568:
                                                  goto _flick_abort567;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort567:
                                                goto _flick_abort85;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'A':
              {
                char _t311_switch_tag;

                flick_suntcp_check_span(116, _flick_abort85);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t311_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t311_switch_tag)
                  {
                  case 'r':
                    {
                      char _t312_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t312_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t312_switch_tag)
                        {
                        case 'r':
                          {
                            char _t313_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t313_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t313_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t314_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t314_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t314_switch_tag)
                                    {
                                    case 'y':
                                      {
                                        char _t315_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t315_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t315_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                unsigned int _t316_ignore;
                                                test_arr_slice *_return;
                                                CORBA_long *_local_a;
#if BYTE_ORDER != BIG_ENDIAN
                                                CORBA_long _t317_storage[10];
                                                flick_unsigned32_t _t318_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                CORBA_long *_local_b;
#if BYTE_ORDER != BIG_ENDIAN
                                                CORBA_long _t319_storage[10];
                                                flick_unsigned32_t _t320_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
                                                CORBA_long _t321_storage[10];
#endif /* ENDIANness */
                                                CORBA_long *_local_c;
                                                CORBA_long _t322_storage[10];
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t323_storage;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort577);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(16);
                                                flick_xdr_decode_unsigned32(0, _t316_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t316_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t316_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t316_ignore, unsigned int );
                                                _return = 0;
                                                flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
                                                _local_a = (CORBA_long *)_t317_storage;
                                                for (_t318_array_iter = 0; _t318_array_iter < 10; _t318_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_signed32(0, _local_a[_t318_array_iter], CORBA_long );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    continue;
                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                flick_suntcp_decode_new_chunk(40);
                                                flick_xdr_decode_msgptr(0, _local_a, CORBA_long *);
                                                flick_suntcp_decode_end_chunk(40);
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                _local_b = (CORBA_long *)_t319_storage;
                                                for (_t320_array_iter = 0; _t320_array_iter < 10; _t320_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_signed32(0, _local_b[_t320_array_iter], CORBA_long );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    continue;
                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                flick_suntcp_decode_new_chunk(40);
                                                _local_b = (CORBA_long *)_t321_storage;
                                                flick_xdr_decode_bcopy(0, _local_b, 40);
                                                flick_suntcp_decode_end_chunk(40);
#endif /* ENDIANness */
                                                _local_c = (CORBA_long *)_t322_storage;
                                                _ev = (CORBA_Environment *)(&_t323_storage);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block714);
                                                  flick_suntcp_encode_new_glob(124, _flick_abort_block714);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
#if BYTE_ORDER != BIG_ENDIAN
                                                        flick_unsigned32_t _t327_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                        flick_unsigned32_t _t328_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                        flick_unsigned32_t _t329_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

#if BYTE_ORDER != BIG_ENDIAN
                                                        for (_t327_array_iter = 0; _t327_array_iter < 10; _t327_array_iter++)
                                                          {
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _return[_t327_array_iter], CORBA_long );
                                                            flick_suntcp_encode_end_chunk(4);
                                                            continue;
                                                          }
                                                        CORBA_flick_free(_return);
                                                        _return = 0;
#else /* BIG_ENDIAN - do a bcopy*/
                                                        flick_suntcp_encode_new_chunk(40);
                                                        flick_xdr_encode_bcopy(0, _return, 40);
                                                        CORBA_flick_free(_return);
                                                        _return = 0;
                                                        flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                        for (_t328_array_iter = 0; _t328_array_iter < 10; _t328_array_iter++)
                                                          {
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _local_b[_t328_array_iter], CORBA_long );
                                                            flick_suntcp_encode_end_chunk(4);
                                                            continue;
                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                        flick_suntcp_encode_new_chunk(40);
                                                        flick_xdr_encode_bcopy(0, _local_b, 40);
                                                        flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                        for (_t329_array_iter = 0; _t329_array_iter < 10; _t329_array_iter++)
                                                          {
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _local_c[_t329_array_iter], CORBA_long );
                                                            flick_suntcp_encode_end_chunk(4);
                                                            continue;
                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                        flick_suntcp_encode_new_chunk(40);
                                                        flick_xdr_encode_bcopy(0, _local_c, 40);
                                                        flick_suntcp_encode_end_chunk(40);
#endif /* ENDIANness */
                                                        flick_suntcp_encode_end_glob(124);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(124);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort640);
                                                        break;
                                                        {
                                                        _flick_abort640:
                                                          goto _flick_abort_block714;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort641);
                                                        flick_suntcp_encode_end_glob(124);
                                                        break;
                                                        {
                                                        _flick_abort641:
                                                          goto _flick_abort_block714;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort_block714:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                _flick_abort577:
                                                  goto _flick_abort576;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort576:
                                                goto _flick_abort85;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case '_':
              {
                char _t330_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t330_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t330_switch_tag)
                  {
                  case 'i':
                    {
                      char _t331_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t331_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t331_switch_tag)
                        {
                        case 's':
                          {
                            char _t332_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t332_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t332_switch_tag)
                              {
                              case '_':
                                {
                                  char _t333_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t333_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t333_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t334_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t334_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t334_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t335_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t336_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t337_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort643);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t335_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t335_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t335_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t335_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t336_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_decode_new_glob(1 * _t336_temp_string_len);
                                                flick_suntcp_check_span(1 * _t336_temp_string_len, _flick_abort643);
                                                flick_suntcp_decode_new_chunk(1 * _t336_temp_string_len);
                                                if ((_t336_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t336_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort643);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t336_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t336_temp_string_len);
                                                _local_id[_t336_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t336_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t337_storage);
                                                _par = flick_interface_parents_test;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort646);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort646);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort652);
                                                        break;
                                                        {
                                                        _flick_abort652:
                                                          goto _flick_abort646;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort653);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort653:
                                                          goto _flick_abort646;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort646:
                                                  auto_flick_free(_local_id);
                                                _flick_abort643:
                                                  goto _flick_abort642;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort642:
                                                goto _flick_abort85;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t338_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t338_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t338_switch_tag)
            {
            case 'L':
              {
                char _t339_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t339_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t339_switch_tag)
                  {
                  case 'o':
                    {
                      char _t340_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t340_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t340_switch_tag)
                        {
                        case 'n':
                          {
                            char _t341_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t341_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t341_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t342_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t342_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t342_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          unsigned int _t343_ignore;
                                          CORBA_long _return;
                                          CORBA_long _local_a;
                                          CORBA_long *_local_b;
                                          CORBA_long _t344_storage;
                                          CORBA_long *_local_c;
                                          CORBA_long _t345_storage;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t346_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort655);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t343_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t343_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t343_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t343_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                                          _local_b = (CORBA_long *)(&_t344_storage);
                                          flick_xdr_decode_signed32(20, *_local_b, CORBA_long );
                                          _local_c = (CORBA_long *)(&_t345_storage);
                                          _ev = (CORBA_Environment *)(&_t346_storage);
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort655);
                                            flick_suntcp_encode_new_glob(16, _flick_abort655);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(12);
                                                  flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_xdr_encode_signed32(4, *_local_b, CORBA_long );
                                                  flick_xdr_encode_signed32(8, *_local_c, CORBA_long );
                                                  flick_suntcp_encode_end_chunk(12);
                                                  flick_suntcp_encode_end_glob(16);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(16);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort661);
                                                  break;
                                                  {
                                                  _flick_abort661:
                                                    goto _flick_abort655;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort662);
                                                  flick_suntcp_encode_end_glob(16);
                                                  break;
                                                  {
                                                  _flick_abort662:
                                                    goto _flick_abort655;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort655:
                                            goto _flick_abort654;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort654:
                                          goto _flick_abort85;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'C':
              {
                char _t347_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t347_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t347_switch_tag)
                  {
                  case 'h':
                    {
                      char _t348_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t348_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t348_switch_tag)
                        {
                        case 'a':
                          {
                            char _t349_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t349_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t349_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t350_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t350_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t350_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          unsigned int _t351_ignore;
                                          CORBA_char _return;
                                          CORBA_char _local_a;
                                          CORBA_char *_local_b;
                                          CORBA_char _t352_storage;
                                          CORBA_char *_local_c;
                                          CORBA_char _t353_storage;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t354_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort664);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t351_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t351_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t351_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t351_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_char8(16, _local_a, CORBA_char );
                                          _local_b = (CORBA_char *)(&_t352_storage);
                                          flick_xdr_decode_char8(20, *_local_b, CORBA_char );
                                          _local_c = (CORBA_char *)(&_t353_storage);
                                          _ev = (CORBA_Environment *)(&_t354_storage);
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort664);
                                            flick_suntcp_encode_new_glob(16, _flick_abort664);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(12);
                                                  flick_xdr_encode_char8(0, _return, CORBA_char );
                                                  flick_xdr_encode_char8(4, *_local_b, CORBA_char );
                                                  flick_xdr_encode_char8(8, *_local_c, CORBA_char );
                                                  flick_suntcp_encode_end_chunk(12);
                                                  flick_suntcp_encode_end_glob(16);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(16);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort670);
                                                  break;
                                                  {
                                                  _flick_abort670:
                                                    goto _flick_abort664;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort671);
                                                  flick_suntcp_encode_end_glob(16);
                                                  break;
                                                  {
                                                  _flick_abort671:
                                                    goto _flick_abort664;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort664:
                                            goto _flick_abort663;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort663:
                                          goto _flick_abort85;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'E':
              {
                char _t355_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t355_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t355_switch_tag)
                  {
                  case 'n':
                    {
                      char _t356_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t356_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t356_switch_tag)
                        {
                        case 'u':
                          {
                            char _t357_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t357_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t357_switch_tag)
                              {
                              case 'm':
                                {
                                  char _t358_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t358_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t358_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          unsigned int _t359_ignore;
                                          Enumeration _return;
                                          Enumeration _local_a;
                                          Enumeration *_local_b;
                                          Enumeration _t360_storage;
                                          Enumeration *_local_c;
                                          Enumeration _t361_storage;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t362_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort673);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t359_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t359_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t359_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t359_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _local_a, CORBA_enum );
                                          _local_b = (Enumeration *)(&_t360_storage);
                                          flick_xdr_decode_unsigned32(20, *_local_b, CORBA_enum );
                                          _local_c = (Enumeration *)(&_t361_storage);
                                          _ev = (CORBA_Environment *)(&_t362_storage);
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort673);
                                            flick_suntcp_encode_new_glob(16, _flick_abort673);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(12);
                                                  flick_xdr_encode_unsigned32(0, _return, CORBA_enum );
                                                  flick_xdr_encode_unsigned32(4, *_local_b, CORBA_enum );
                                                  flick_xdr_encode_unsigned32(8, *_local_c, CORBA_enum );
                                                  flick_suntcp_encode_end_chunk(12);
                                                  flick_suntcp_encode_end_glob(16);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(16);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort679);
                                                  break;
                                                  {
                                                  _flick_abort679:
                                                    goto _flick_abort673;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort680);
                                                  flick_suntcp_encode_end_glob(16);
                                                  break;
                                                  {
                                                  _flick_abort680:
                                                    goto _flick_abort673;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort673:
                                            goto _flick_abort672;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort672:
                                          goto _flick_abort85;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t363_switch_tag;

          flick_suntcp_check_span(48, _flick_abort85);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t363_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t363_switch_tag)
            {
            case 'U':
              {
                char _t364_switch_tag;

                flick_suntcp_check_span(48, _flick_abort85);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t364_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t364_switch_tag)
                  {
                  case 'S':
                    {
                      char _t365_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t365_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t365_switch_tag)
                        {
                        case 'h':
                          {
                            char _t366_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t366_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t366_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t367_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t367_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t367_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t368_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t368_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t368_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t369_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t369_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t369_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      unsigned int _t370_ignore;
                                                      CORBA_unsigned_short _return;
                                                      CORBA_unsigned_short _local_a;
                                                      CORBA_unsigned_short *_local_b;
                                                      CORBA_unsigned_short _t371_storage;
                                                      CORBA_unsigned_short *_local_c;
                                                      CORBA_unsigned_short _t372_storage;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t373_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort682);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(24);
                                                      flick_xdr_decode_unsigned32(0, _t370_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t370_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t370_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t370_ignore, unsigned int );
                                                      _return = 0;
                                                      flick_xdr_decode_unsigned16(16, _local_a, CORBA_unsigned_short );
                                                      _local_b = (CORBA_unsigned_short *)(&_t371_storage);
                                                      flick_xdr_decode_unsigned16(20, *_local_b, CORBA_unsigned_short );
                                                      _local_c = (CORBA_unsigned_short *)(&_t372_storage);
                                                      _ev = (CORBA_Environment *)(&_t373_storage);
                                                      flick_suntcp_decode_end_chunk(24);
                                                      flick_suntcp_decode_end_glob(144);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort682);
                                                        flick_suntcp_encode_new_glob(16, _flick_abort682);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_new_chunk(12);
                                                              flick_xdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                                              flick_xdr_encode_unsigned16(4, *_local_b, CORBA_unsigned_short );
                                                              flick_xdr_encode_unsigned16(8, *_local_c, CORBA_unsigned_short );
                                                              flick_suntcp_encode_end_chunk(12);
                                                              flick_suntcp_encode_end_glob(16);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(16);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort688);
                                                              break;
                                                              {
                                                              _flick_abort688:
                                                                goto _flick_abort682;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort689);
                                                              flick_suntcp_encode_end_glob(16);
                                                              break;
                                                              {
                                                              _flick_abort689:
                                                                goto _flick_abort682;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort682:
                                                        goto _flick_abort681;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort681:
                                                      goto _flick_abort85;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t374_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t374_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t374_switch_tag)
                  {
                  case 't':
                    {
                      char _t375_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t375_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t375_switch_tag)
                        {
                        case 'r':
                          {
                            char _t376_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t376_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t376_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t377_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t377_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t377_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t378_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t378_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t378_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t379_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t379_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t379_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      unsigned int _t380_ignore;
                                                      CORBA_char *_return;
                                                      CORBA_char *_local_a;
                                                      flick_unsigned32_t _t381_temp_string_len;
                                                      CORBA_char **_local_b;
                                                      CORBA_char *_t382_storage;
                                                      flick_unsigned32_t _t383_temp_string_len;
                                                      CORBA_char **_local_c;
                                                      CORBA_char *_t384_storage;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t385_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort691);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(20);
                                                      flick_xdr_decode_unsigned32(0, _t380_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t380_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t380_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t380_ignore, unsigned int );
                                                      _return = 0;
                                                      flick_xdr_decode_unsigned32(16, _t381_temp_string_len, flick_unsigned32_t );
                                                      flick_suntcp_decode_end_chunk(20);
                                                      flick_suntcp_decode_end_glob(144);
                                                      flick_suntcp_decode_new_glob(1 * _t381_temp_string_len);
                                                      flick_suntcp_check_span(1 * _t381_temp_string_len, _flick_abort691);
                                                      flick_suntcp_decode_new_chunk(1 * _t381_temp_string_len);
                                                      if ((_t381_temp_string_len + 3) & ~3)
                                                        {
                                                          flick_xdr_decode_msgptr(0, _local_a, CORBA_char *);
                                                        }
                                                      else
                                                        {
                                                          {
                                                            CORBA_char *_t_alloc_ptr;

                                                            _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t381_temp_string_len + 1) * sizeof(CORBA_char )));
                                                            if (!_t_alloc_ptr)
                                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort691);
                                                            _local_a = _t_alloc_ptr;
                                                          }
                                                          flick_xdr_decode_bcopy(0, _local_a, 1 * _t381_temp_string_len);
                                                        }
                                                      flick_suntcp_decode_end_chunk(1 * _t381_temp_string_len);
                                                      _local_a[_t381_temp_string_len] = 0;
                                                      flick_suntcp_decode_end_glob(1 * _t381_temp_string_len);
                                                      flick_suntcp_decode_new_glob(7);
                                                      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_suntcp_check_span(4, _flick_abort694);
                                                      _local_b = (CORBA_char **)(&_t382_storage);
                                                      flick_xdr_decode_unsigned32(0, _t383_temp_string_len, flick_unsigned32_t );
                                                      flick_suntcp_decode_end_chunk(4);
                                                      flick_suntcp_decode_end_glob(7);
                                                      flick_suntcp_decode_new_glob(1 * _t383_temp_string_len);
                                                      flick_suntcp_check_span(1 * _t383_temp_string_len, _flick_abort694);
                                                      flick_suntcp_decode_new_chunk(1 * _t383_temp_string_len);
                                                      {
                                                        CORBA_char *_t_alloc_ptr;

                                                        _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t383_temp_string_len + 1) * sizeof(CORBA_char )));
                                                        if (!_t_alloc_ptr)
                                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort694);
                                                        *_local_b = _t_alloc_ptr;
                                                      }
                                                      flick_xdr_decode_bcopy(0, *_local_b, 1 * _t383_temp_string_len);
                                                      flick_suntcp_decode_end_chunk(1 * _t383_temp_string_len);
                                                      (*_local_b)[_t383_temp_string_len] = 0;
                                                      flick_suntcp_decode_end_glob(1 * _t383_temp_string_len);
                                                      flick_suntcp_decode_new_glob(3);
                                                      flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                      _local_c = (CORBA_char **)(&_t384_storage);
                                                      _ev = (CORBA_Environment *)(&_t385_storage);
                                                      flick_suntcp_decode_end_chunk(0);
                                                      flick_suntcp_decode_end_glob(3);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort697);
                                                        flick_suntcp_encode_new_glob(8, _flick_abort697);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_unsigned32_t _t389_temp_string_len;
                                                              flick_unsigned32_t _t390_temp_string_len;
                                                              flick_unsigned32_t _t391_temp_string_len;

                                                              flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t389_temp_string_len);
                                                              flick_xdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t390_temp_string_len);
                                                              flick_xdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t391_temp_string_len);

                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_unsigned32(0, _t389_temp_string_len, flick_unsigned32_t );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              flick_suntcp_encode_end_glob(8);
                                                              flick_suntcp_encode_new_glob(1 * _t389_temp_string_len, _flick_abort708);
                                                              flick_suntcp_encode_new_chunk(1 * _t389_temp_string_len);
                                                              flick_xdr_encode_bcopy(0, _return, 1 * _t389_temp_string_len);
                                                              CORBA_flick_free(_return);
                                                              _return = 0;
                                                              flick_suntcp_encode_end_chunk(1 * _t389_temp_string_len);
                                                              flick_suntcp_encode_end_glob(1 * _t389_temp_string_len);
                                                              flick_suntcp_encode_new_glob(7, _flick_abort708);
                                                              flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                              flick_xdr_encode_unsigned32(0, _t390_temp_string_len, flick_unsigned32_t );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              flick_suntcp_encode_end_glob(7);
                                                              flick_suntcp_encode_new_glob(1 * _t390_temp_string_len, _flick_abort708);
                                                              flick_suntcp_encode_new_chunk(1 * _t390_temp_string_len);
                                                              flick_xdr_encode_bcopy(0, *_local_b, 1 * _t390_temp_string_len);
                                                              CORBA_flick_free(*_local_b);
                                                              *_local_b = 0;
                                                              flick_suntcp_encode_end_chunk(1 * _t390_temp_string_len);
                                                              flick_suntcp_encode_end_glob(1 * _t390_temp_string_len);
                                                              flick_suntcp_encode_new_glob(7, _flick_abort708);
                                                              flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                              flick_xdr_encode_unsigned32(0, _t391_temp_string_len, flick_unsigned32_t );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              flick_suntcp_encode_end_glob(7);
                                                              flick_suntcp_encode_new_glob(1 * _t391_temp_string_len, _flick_abort708);
                                                              flick_suntcp_encode_new_chunk(1 * _t391_temp_string_len);
                                                              flick_xdr_encode_bcopy(0, *_local_c, 1 * _t391_temp_string_len);
                                                              CORBA_flick_free(*_local_c);
                                                              *_local_c = 0;
                                                              flick_suntcp_encode_end_chunk(1 * _t391_temp_string_len);
                                                              flick_suntcp_encode_end_glob(1 * _t391_temp_string_len);
                                                              flick_suntcp_encode_new_glob(3, _flick_abort708);
                                                              flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                              flick_suntcp_encode_end_chunk(0);
                                                              flick_suntcp_encode_end_glob(3);
                                                              break;
                                                              {
                                                              _flick_abort708:
                                                                goto _flick_abort697;
                                                              }
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(8);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort715);
                                                              break;
                                                              {
                                                              _flick_abort715:
                                                                goto _flick_abort697;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort716);
                                                              flick_suntcp_encode_end_glob(8);
                                                              break;
                                                              {
                                                              _flick_abort716:
                                                                goto _flick_abort697;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort697:
                                                        CORBA_flick_free(*_local_b);
                                                      _flick_abort694:
                                                        auto_flick_free(_local_a);
                                                      _flick_abort691:
                                                        goto _flick_abort690;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort690:
                                                      goto _flick_abort85;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t392_switch_tag;

          flick_suntcp_check_span(56, _flick_abort85);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t392_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t392_switch_tag)
            {
            case 'B':
              {
                char _t393_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t393_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t393_switch_tag)
                  {
                  case 'o':
                    {
                      char _t394_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t394_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t394_switch_tag)
                        {
                        case 'o':
                          {
                            char _t395_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t395_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t395_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t396_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t396_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t396_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t397_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t397_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t397_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t398_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t398_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t398_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t399_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t399_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t399_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            unsigned int _t400_ignore;
                                                            CORBA_boolean _return;
                                                            CORBA_boolean _local_a;
                                                            CORBA_boolean *_local_b;
                                                            CORBA_boolean _t401_storage;
                                                            CORBA_boolean *_local_c;
                                                            CORBA_boolean _t402_storage;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t403_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort718);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t400_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t400_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t400_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t400_ignore, unsigned int );
                                                            _return = 0;
                                                            flick_xdr_decode_unsigned8(16, _local_a, CORBA_boolean );
                                                            _local_b = (CORBA_boolean *)(&_t401_storage);
                                                            flick_xdr_decode_unsigned8(20, *_local_b, CORBA_boolean );
                                                            _local_c = (CORBA_boolean *)(&_t402_storage);
                                                            _ev = (CORBA_Environment *)(&_t403_storage);
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(144);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort718);
                                                              flick_suntcp_encode_new_glob(16, _flick_abort718);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(12);
                                                                    flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                                    flick_xdr_encode_unsigned8(4, *_local_b, CORBA_boolean );
                                                                    flick_xdr_encode_unsigned8(8, *_local_c, CORBA_boolean );
                                                                    flick_suntcp_encode_end_chunk(12);
                                                                    flick_suntcp_encode_end_glob(16);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(16);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort724);
                                                                    break;
                                                                    {
                                                                    _flick_abort724:
                                                                      goto _flick_abort718;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort725);
                                                                    flick_suntcp_encode_end_glob(16);
                                                                    break;
                                                                    {
                                                                    _flick_abort725:
                                                                      goto _flick_abort718;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort718:
                                                              goto _flick_abort717;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort717:
                                                            goto _flick_abort85;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t404_switch_tag;

          flick_suntcp_check_span(68, _flick_abort85);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t404_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t404_switch_tag)
            {
            case 'F':
              {
                char _t405_switch_tag;

                flick_suntcp_check_span(68, _flick_abort85);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t405_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t405_switch_tag)
                  {
                  case 'i':
                    {
                      char _t406_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t406_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t406_switch_tag)
                        {
                        case 'x':
                          {
                            char _t407_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t407_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t407_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t408_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t408_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t408_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t409_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t409_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t409_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t410_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t410_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t410_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t411_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t411_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t411_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t412_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t412_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t412_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t413_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t413_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t413_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t414_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t414_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t414_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t415_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t415_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t415_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    unsigned int _t416_ignore;
                                                                                    struct FStruct _return;
                                                                                    struct FStruct *_local_a;
                                                                                    struct FStruct _t417_storage;
                                                                                    struct FStruct *_local_b;
                                                                                    struct FStruct _t418_storage;
                                                                                    struct FStruct *_local_c;
                                                                                    struct FStruct _t419_storage;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_Environment _t420_storage;

                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort727);
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(24);
                                                                                    flick_xdr_decode_unsigned32(0, _t416_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(4, _t416_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(8, _t416_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(12, _t416_ignore, unsigned int );
                                                                                    _local_a = (struct FStruct *)(&_t417_storage);
                                                                                    flick_xdr_decode_signed16(16, _local_a->a, CORBA_short );
                                                                                    _local_b = (struct FStruct *)(&_t418_storage);
                                                                                    flick_xdr_decode_signed16(20, _local_b->a, CORBA_short );
                                                                                    _local_c = (struct FStruct *)(&_t419_storage);
                                                                                    _ev = (CORBA_Environment *)(&_t420_storage);
                                                                                    flick_suntcp_decode_end_chunk(24);
                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                    _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort727);
                                                                                      flick_suntcp_encode_new_glob(16, _flick_abort727);
                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      switch (_ev->_major)
                                                                                        {
                                                                                        case CORBA_NO_EXCEPTION:
                                                                                          {
                                                                                            flick_suntcp_encode_new_chunk(12);
                                                                                            flick_xdr_encode_signed16(0, _return.a, CORBA_short );
                                                                                            flick_xdr_encode_signed16(4, _local_b->a, CORBA_short );
                                                                                            flick_xdr_encode_signed16(8, _local_c->a, CORBA_short );
                                                                                            flick_suntcp_encode_end_chunk(12);
                                                                                            flick_suntcp_encode_end_glob(16);
                                                                                            break;
                                                                                          }
                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                          {
                                                                                            flick_suntcp_encode_end_glob(16);
                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort733);
                                                                                            break;
                                                                                            {
                                                                                            _flick_abort733:
                                                                                              goto _flick_abort727;
                                                                                            }
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort734);
                                                                                            flick_suntcp_encode_end_glob(16);
                                                                                            break;
                                                                                            {
                                                                                            _flick_abort734:
                                                                                              goto _flick_abort727;
                                                                                            }
                                                                                          }
                                                                                        }
                                                                                    }
                                                                                    flick_suntcp_server_end_encode();
                                                                                    break;
                                                                                    {
                                                                                    _flick_abort727:
                                                                                      goto _flick_abort726;
                                                                                    }
                                                                                  }
                                                                                  break;
                                                                                  {
                                                                                  _flick_abort726:
                                                                                    goto _flick_abort85;
                                                                                  }
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'B':
              {
                char _t421_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t421_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t421_switch_tag)
                  {
                  case 'o':
                    {
                      char _t422_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t422_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t422_switch_tag)
                        {
                        case 'u':
                          {
                            char _t423_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t423_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t423_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t424_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t424_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t424_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t425_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t425_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t425_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t426_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t426_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t426_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t427_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t427_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t427_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t428_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t428_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t428_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t429_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t429_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t429_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t430_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t430_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t430_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t431_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t431_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t431_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    unsigned int _t432_ignore;
                                                                                    CORBA_char *_return;
                                                                                    CORBA_char *_local_a;
                                                                                    flick_unsigned32_t _t433_temp_string_len;
                                                                                    CORBA_char **_local_b;
                                                                                    CORBA_char *_t435_storage;
                                                                                    flick_unsigned32_t _t436_temp_string_len;
                                                                                    CORBA_char **_local_c;
                                                                                    CORBA_char *_t437_storage;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_Environment _t438_storage;

                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort736);
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(20);
                                                                                    flick_xdr_decode_unsigned32(0, _t432_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(4, _t432_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(8, _t432_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(12, _t432_ignore, unsigned int );
                                                                                    _return = 0;
                                                                                    flick_xdr_decode_unsigned32(16, _t433_temp_string_len, flick_unsigned32_t );
                                                                                    if (_t433_temp_string_len + 1 > 21)
                                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort736);
                                                                                    flick_suntcp_decode_end_chunk(20);
                                                                                    flick_suntcp_check_span(1 * _t433_temp_string_len, _flick_abort736);
                                                                                    flick_suntcp_decode_new_chunk(1 * _t433_temp_string_len);
                                                                                    if ((_t433_temp_string_len + 3) & ~3)
                                                                                      {
                                                                                        flick_xdr_decode_msgptr(0, _local_a, CORBA_char *);
                                                                                      }
                                                                                    else
                                                                                      {
                                                                                        CORBA_char _t434_storage[21];

                                                                                        _local_a = (CORBA_char *)_t434_storage;
                                                                                        flick_xdr_decode_bcopy(0, _local_a, 1 * _t433_temp_string_len);
                                                                                      }
                                                                                    flick_suntcp_decode_end_chunk(1 * _t433_temp_string_len);
                                                                                    _local_a[_t433_temp_string_len] = 0;
                                                                                    flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                                                    flick_suntcp_check_span(4, _flick_abort736);
                                                                                    _local_b = (CORBA_char **)(&_t435_storage);
                                                                                    flick_xdr_decode_unsigned32(0, _t436_temp_string_len, flick_unsigned32_t );
                                                                                    if (_t436_temp_string_len + 1 > 21)
                                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort736);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    flick_suntcp_check_span(1 * _t436_temp_string_len, _flick_abort736);
                                                                                    flick_suntcp_decode_new_chunk(1 * _t436_temp_string_len);
                                                                                    {
                                                                                      CORBA_char *_t_alloc_ptr;

                                                                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
                                                                                      if (!_t_alloc_ptr)
                                                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort736);
                                                                                      *_local_b = _t_alloc_ptr;
                                                                                    }
                                                                                    flick_xdr_decode_bcopy(0, *_local_b, 1 * _t436_temp_string_len);
                                                                                    flick_suntcp_decode_end_chunk(1 * _t436_temp_string_len);
                                                                                    (*_local_b)[_t436_temp_string_len] = 0;
                                                                                    flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                                                    _local_c = (CORBA_char **)(&_t437_storage);
                                                                                    _ev = (CORBA_Environment *)(&_t438_storage);
                                                                                    flick_suntcp_decode_end_chunk(0);
                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                    _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort741);
                                                                                      flick_suntcp_encode_new_glob(85, _flick_abort741);
                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      switch (_ev->_major)
                                                                                        {
                                                                                        case CORBA_NO_EXCEPTION:
                                                                                          {
                                                                                            flick_unsigned32_t _t442_temp_string_len;
                                                                                            flick_unsigned32_t _t443_temp_string_len;
                                                                                            flick_unsigned32_t _t444_temp_string_len;

                                                                                            flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t442_temp_string_len);
                                                                                            flick_xdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t443_temp_string_len);
                                                                                            flick_xdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t444_temp_string_len);

                                                                                            flick_suntcp_encode_new_chunk(4 + 1 * _t442_temp_string_len);
                                                                                            flick_xdr_encode_unsigned32(0, _t442_temp_string_len, flick_unsigned32_t );
                                                                                            if (_t442_temp_string_len + 1 > 21)
                                                                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort752);
                                                                                            flick_xdr_encode_bcopy(4, _return, 1 * _t442_temp_string_len);
                                                                                            CORBA_flick_free(_return);
                                                                                            _return = 0;
                                                                                            flick_suntcp_encode_end_chunk(4 + 1 * _t442_temp_string_len);
                                                                                            flick_suntcp_encode_new_chunk_align(4 + 1 * _t443_temp_string_len, 2, 0, 0);
                                                                                            flick_xdr_encode_unsigned32(0, _t443_temp_string_len, flick_unsigned32_t );
                                                                                            if (_t443_temp_string_len + 1 > 21)
                                                                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort752);
                                                                                            flick_xdr_encode_bcopy(4, *_local_b, 1 * _t443_temp_string_len);
                                                                                            CORBA_flick_free(*_local_b);
                                                                                            *_local_b = 0;
                                                                                            flick_suntcp_encode_end_chunk(4 + 1 * _t443_temp_string_len);
                                                                                            flick_suntcp_encode_new_chunk_align(4 + 1 * _t444_temp_string_len, 2, 0, 0);
                                                                                            flick_xdr_encode_unsigned32(0, _t444_temp_string_len, flick_unsigned32_t );
                                                                                            if (_t444_temp_string_len + 1 > 21)
                                                                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort752);
                                                                                            flick_xdr_encode_bcopy(4, *_local_c, 1 * _t444_temp_string_len);
                                                                                            CORBA_flick_free(*_local_c);
                                                                                            *_local_c = 0;
                                                                                            flick_suntcp_encode_end_chunk(4 + 1 * _t444_temp_string_len);
                                                                                            flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                            flick_suntcp_encode_end_chunk(0);
                                                                                            flick_suntcp_encode_end_glob(85);
                                                                                            break;
                                                                                            {
                                                                                            _flick_abort752:
                                                                                              goto _flick_abort741;
                                                                                            }
                                                                                          }
                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                          {
                                                                                            flick_suntcp_encode_end_glob(85);
                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort759);
                                                                                            break;
                                                                                            {
                                                                                            _flick_abort759:
                                                                                              goto _flick_abort741;
                                                                                            }
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort760);
                                                                                            flick_suntcp_encode_end_glob(85);
                                                                                            break;
                                                                                            {
                                                                                            _flick_abort760:
                                                                                              goto _flick_abort741;
                                                                                            }
                                                                                          }
                                                                                        }
                                                                                    }
                                                                                    flick_suntcp_server_end_encode();
                                                                                    break;
                                                                                    {
                                                                                    _flick_abort741:
                                                                                      CORBA_flick_free(*_local_b);
                                                                                    _flick_abort736:
                                                                                      goto _flick_abort735;
                                                                                    }
                                                                                  }
                                                                                  break;
                                                                                  {
                                                                                  _flick_abort735:
                                                                                    goto _flick_abort85;
                                                                                  }
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t445_switch_tag;

          flick_suntcp_check_span(60, _flick_abort85);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t445_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t445_switch_tag)
            {
            case 'V':
              {
                char _t446_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t446_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t446_switch_tag)
                  {
                  case 'a':
                    {
                      char _t447_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t447_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t447_switch_tag)
                        {
                        case 'r':
                          {
                            char _t448_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t448_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t448_switch_tag)
                              {
                              case 'S':
                                {
                                  char _t449_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t449_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t449_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t450_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t450_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t450_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t451_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t451_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t451_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t452_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t452_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t452_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t453_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t453_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t453_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t454_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t454_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t454_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test _obj;
                                                                        unsigned int _t455_ignore;
                                                                        struct VStruct *_return;
                                                                        struct VStruct *_local_a;
                                                                        struct VStruct _t456_storage;
                                                                        flick_unsigned32_t _t457_temp_string_len;
                                                                        struct VStruct *_local_b;
                                                                        struct VStruct _t458_storage;
                                                                        flick_unsigned32_t _t459_temp_string_len;
                                                                        struct VStruct **_local_c;
                                                                        struct VStruct *_t460_storage;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t461_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort762);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t455_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t455_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t455_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t455_ignore, unsigned int );
                                                                        _return = 0;
                                                                        _local_a = (struct VStruct *)(&_t456_storage);
                                                                        flick_xdr_decode_unsigned32(16, _t457_temp_string_len, flick_unsigned32_t );
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        flick_suntcp_decode_new_glob(1 * _t457_temp_string_len);
                                                                        flick_suntcp_check_span(1 * _t457_temp_string_len, _flick_abort762);
                                                                        flick_suntcp_decode_new_chunk(1 * _t457_temp_string_len);
                                                                        if ((_t457_temp_string_len + 3) & ~3)
                                                                          {
                                                                            flick_xdr_decode_msgptr(0, _local_a->a, CORBA_char *);
                                                                          }
                                                                        else
                                                                          {
                                                                            {
                                                                              CORBA_char *_t_alloc_ptr;

                                                                              _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t457_temp_string_len + 1) * sizeof(CORBA_char )));
                                                                              if (!_t_alloc_ptr)
                                                                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort762);
                                                                              _local_a->a = _t_alloc_ptr;
                                                                            }
                                                                            flick_xdr_decode_bcopy(0, _local_a->a, 1 * _t457_temp_string_len);
                                                                          }
                                                                        flick_suntcp_decode_end_chunk(1 * _t457_temp_string_len);
                                                                        _local_a->a[_t457_temp_string_len] = 0;
                                                                        flick_suntcp_decode_end_glob(1 * _t457_temp_string_len);
                                                                        flick_suntcp_decode_new_glob(7);
                                                                        flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                                        flick_suntcp_check_span(4, _flick_abort765);
                                                                        _local_b = (struct VStruct *)(&_t458_storage);
                                                                        flick_xdr_decode_unsigned32(0, _t459_temp_string_len, flick_unsigned32_t );
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(7);
                                                                        flick_suntcp_decode_new_glob(1 * _t459_temp_string_len);
                                                                        flick_suntcp_check_span(1 * _t459_temp_string_len, _flick_abort765);
                                                                        flick_suntcp_decode_new_chunk(1 * _t459_temp_string_len);
                                                                        {
                                                                          CORBA_char *_t_alloc_ptr;

                                                                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t459_temp_string_len + 1) * sizeof(CORBA_char )));
                                                                          if (!_t_alloc_ptr)
                                                                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort765);
                                                                          _local_b->a = _t_alloc_ptr;
                                                                        }
                                                                        flick_xdr_decode_bcopy(0, _local_b->a, 1 * _t459_temp_string_len);
                                                                        flick_suntcp_decode_end_chunk(1 * _t459_temp_string_len);
                                                                        _local_b->a[_t459_temp_string_len] = 0;
                                                                        flick_suntcp_decode_end_glob(1 * _t459_temp_string_len);
                                                                        flick_suntcp_decode_new_glob(3);
                                                                        flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                                        _local_c = (struct VStruct **)(&_t460_storage);
                                                                        _ev = (CORBA_Environment *)(&_t461_storage);
                                                                        flick_suntcp_decode_end_chunk(0);
                                                                        flick_suntcp_decode_end_glob(3);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort768);
                                                                          flick_suntcp_encode_new_glob(8, _flick_abort768);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_unsigned32_t _t465_temp_string_len;
                                                                                flick_unsigned32_t _t466_temp_string_len;
                                                                                flick_unsigned32_t _t467_temp_string_len;

                                                                                flick_xdr_stringlen(CORBA_char *, _return->a, flick_unsigned32_t , _t465_temp_string_len);
                                                                                flick_xdr_stringlen(CORBA_char *, _local_b->a, flick_unsigned32_t , _t466_temp_string_len);
                                                                                flick_xdr_stringlen(CORBA_char *, (*_local_c)->a, flick_unsigned32_t , _t467_temp_string_len);

                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_unsigned32(0, _t465_temp_string_len, flick_unsigned32_t );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                flick_suntcp_encode_new_glob(1 * _t465_temp_string_len, _flick_abort779);
                                                                                flick_suntcp_encode_new_chunk(1 * _t465_temp_string_len);
                                                                                flick_xdr_encode_bcopy(0, _return->a, 1 * _t465_temp_string_len);
                                                                                CORBA_flick_free(_return->a);
                                                                                _return->a = 0;
                                                                                flick_suntcp_encode_end_chunk(1 * _t465_temp_string_len);
                                                                                flick_suntcp_encode_end_glob(1 * _t465_temp_string_len);
                                                                                flick_suntcp_encode_new_glob(7, _flick_abort779);
                                                                                flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                                CORBA_flick_free(_return);
                                                                                _return = 0;
                                                                                flick_xdr_encode_unsigned32(0, _t466_temp_string_len, flick_unsigned32_t );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(7);
                                                                                flick_suntcp_encode_new_glob(1 * _t466_temp_string_len, _flick_abort779);
                                                                                flick_suntcp_encode_new_chunk(1 * _t466_temp_string_len);
                                                                                flick_xdr_encode_bcopy(0, _local_b->a, 1 * _t466_temp_string_len);
                                                                                CORBA_flick_free(_local_b->a);
                                                                                _local_b->a = 0;
                                                                                flick_suntcp_encode_end_chunk(1 * _t466_temp_string_len);
                                                                                flick_suntcp_encode_end_glob(1 * _t466_temp_string_len);
                                                                                flick_suntcp_encode_new_glob(7, _flick_abort779);
                                                                                flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                                flick_xdr_encode_unsigned32(0, _t467_temp_string_len, flick_unsigned32_t );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(7);
                                                                                flick_suntcp_encode_new_glob(1 * _t467_temp_string_len, _flick_abort779);
                                                                                flick_suntcp_encode_new_chunk(1 * _t467_temp_string_len);
                                                                                flick_xdr_encode_bcopy(0, (*_local_c)->a, 1 * _t467_temp_string_len);
                                                                                CORBA_flick_free((*_local_c)->a);
                                                                                (*_local_c)->a = 0;
                                                                                flick_suntcp_encode_end_chunk(1 * _t467_temp_string_len);
                                                                                flick_suntcp_encode_end_glob(1 * _t467_temp_string_len);
                                                                                flick_suntcp_encode_new_glob(3, _flick_abort779);
                                                                                flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                CORBA_flick_free(*_local_c);
                                                                                *_local_c = 0;
                                                                                flick_suntcp_encode_end_chunk(0);
                                                                                flick_suntcp_encode_end_glob(3);
                                                                                break;
                                                                                {
                                                                                _flick_abort779:
                                                                                  goto _flick_abort768;
                                                                                }
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort786);
                                                                                break;
                                                                                {
                                                                                _flick_abort786:
                                                                                  goto _flick_abort768;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort787);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                                {
                                                                                _flick_abort787:
                                                                                  goto _flick_abort768;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort768:
                                                                          CORBA_flick_free(_local_b->a);
                                                                        _flick_abort765:
                                                                          auto_flick_free(_local_a->a);
                                                                        _flick_abort762:
                                                                          goto _flick_abort761;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort761:
                                                                        goto _flick_abort85;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t468_switch_tag;

          flick_suntcp_check_span(76, _flick_abort85);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t468_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t468_switch_tag)
            {
            case 'F':
              {
                char _t469_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t469_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t469_switch_tag)
                  {
                  case 'i':
                    {
                      char _t470_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t470_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t470_switch_tag)
                        {
                        case 'x':
                          {
                            char _t471_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t471_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t471_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t472_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t472_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t472_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t473_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t473_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t473_switch_tag)
                                          {
                                          case 'U':
                                            {
                                              char _t474_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t474_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t474_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t475_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t475_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t475_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t476_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t476_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t476_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t477_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t477_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t477_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t478_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t478_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t478_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              unsigned int _t479_ignore;
                                                                              struct FUnion _return;
                                                                              struct FUnion *_local_a;
                                                                              struct FUnion _t480_storage;
                                                                              struct FUnion *_local_b;
                                                                              struct FUnion _t481_storage;
                                                                              struct FUnion *_local_c;
                                                                              struct FUnion _t482_storage;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t483_storage;

                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort789);
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t479_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(4, _t479_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(8, _t479_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(12, _t479_ignore, unsigned int );
                                                                              _local_a = (struct FUnion *)(&_t480_storage);
                                                                              flick_xdr_decode_signed32(16, _local_a->_d, CORBA_long );
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              switch (_local_a->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_signed32(0, _local_a->_u.x, CORBA_long );
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              _local_b = (struct FUnion *)(&_t481_storage);
                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_signed32(0, _local_b->_d, CORBA_long );
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch (_local_b->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_signed32(0, _local_b->_u.x, CORBA_long );
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              _local_c = (struct FUnion *)(&_t482_storage);
                                                                              _ev = (CORBA_Environment *)(&_t483_storage);
                                                                              flick_suntcp_decode_end_glob(144);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                              _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                              _stub_state.state = FLICK_STATE_MARSHAL;
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort789);
                                                                                flick_suntcp_encode_new_glob(28, _flick_abort789);
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                switch (_ev->_major)
                                                                                  {
                                                                                  case CORBA_NO_EXCEPTION:
                                                                                    {
                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                      flick_xdr_encode_signed32(0, _return._d, CORBA_long );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      switch (_return._d)
                                                                                        {
                                                                                        case 1:
                                                                                          {
                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                            flick_xdr_encode_signed32(0, _return._u.x, CORBA_long );
                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                            flick_xdr_encode_char8(0, _return._u.z, CORBA_char );
                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                      flick_xdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      switch (_local_b->_d)
                                                                                        {
                                                                                        case 1:
                                                                                          {
                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                            flick_xdr_encode_signed32(0, _local_b->_u.x, CORBA_long );
                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                            flick_xdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                      flick_xdr_encode_signed32(0, _local_c->_d, CORBA_long );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      switch (_local_c->_d)
                                                                                        {
                                                                                        case 1:
                                                                                          {
                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                            flick_xdr_encode_signed32(0, _local_c->_u.x, CORBA_long );
                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                            flick_xdr_encode_char8(0, _local_c->_u.z, CORBA_char );
                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      flick_suntcp_encode_end_glob(28);
                                                                                      break;
                                                                                    }
                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                    {
                                                                                      flick_suntcp_encode_end_glob(28);
                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort835);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort835:
                                                                                        goto _flick_abort789;
                                                                                      }
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort836);
                                                                                      flick_suntcp_encode_end_glob(28);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort836:
                                                                                        goto _flick_abort789;
                                                                                      }
                                                                                    }
                                                                                  }
                                                                              }
                                                                              flick_suntcp_server_end_encode();
                                                                              break;
                                                                              {
                                                                              _flick_abort789:
                                                                                goto _flick_abort788;
                                                                              }
                                                                            }
                                                                            break;
                                                                            {
                                                                            _flick_abort788:
                                                                              goto _flick_abort85;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t484_switch_tag;

          flick_suntcp_check_span(56, _flick_abort85);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t484_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t484_switch_tag)
            {
            case 'V':
              {
                char _t485_switch_tag;

                flick_suntcp_check_span(56, _flick_abort85);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t485_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t485_switch_tag)
                  {
                  case 'a':
                    {
                      char _t486_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t486_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t486_switch_tag)
                        {
                        case 'r':
                          {
                            char _t487_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t487_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t487_switch_tag)
                              {
                              case 'U':
                                {
                                  char _t488_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t488_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t488_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t489_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t489_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t489_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t490_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t490_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t490_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t491_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t491_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t491_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t492_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t492_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t492_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  unsigned int _t493_ignore;
                                                                  struct VUnion *_return;
                                                                  struct VUnion *_local_a;
                                                                  struct VUnion _t494_storage;
                                                                  struct VUnion *_local_b;
                                                                  struct VUnion _t497_storage;
                                                                  struct VUnion **_local_c;
                                                                  struct VUnion *_t500_storage;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t501_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort838);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t493_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t493_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t493_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t493_ignore, unsigned int );
                                                                  _return = 0;
                                                                  _local_a = (struct VUnion *)(&_t494_storage);
                                                                  flick_xdr_decode_signed32(16, _local_a->_d, CORBA_long );
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  switch (_local_a->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_unsigned32_t _t496_temp_string_len;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_unsigned32(0, _t496_temp_string_len, flick_unsigned32_t );
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        flick_suntcp_decode_new_glob(1 * _t496_temp_string_len);
                                                                        flick_suntcp_check_span(1 * _t496_temp_string_len, _flick_abort846);
                                                                        flick_suntcp_decode_new_chunk(1 * _t496_temp_string_len);
                                                                        if ((_t496_temp_string_len + 3) & ~3)
                                                                          {
                                                                            flick_xdr_decode_msgptr(0, _local_a->_u.a, CORBA_char *);
                                                                          }
                                                                        else
                                                                          {
                                                                            {
                                                                              CORBA_char *_t_alloc_ptr;

                                                                              _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t496_temp_string_len + 1) * sizeof(CORBA_char )));
                                                                              if (!_t_alloc_ptr)
                                                                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort846);
                                                                              _local_a->_u.a = _t_alloc_ptr;
                                                                            }
                                                                            flick_xdr_decode_bcopy(0, _local_a->_u.a, 1 * _t496_temp_string_len);
                                                                          }
                                                                        flick_suntcp_decode_end_chunk(1 * _t496_temp_string_len);
                                                                        _local_a->_u.a[_t496_temp_string_len] = 0;
                                                                        flick_suntcp_decode_end_glob(1 * _t496_temp_string_len);
                                                                        flick_suntcp_decode_new_glob(3);
                                                                        flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                                        flick_suntcp_check_span(8, _flick_abort849);
                                                                        flick_suntcp_decode_end_chunk(0);
                                                                        flick_suntcp_decode_end_glob(3);
                                                                        break;
                                                                      _flick_abort_block1040:
                                                                        {
                                                                        _flick_abort849:
                                                                          auto_flick_free(_local_a->_u.a);
                                                                        _flick_abort846:
                                                                          goto _flick_abort838;
                                                                        }
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_suntcp_check_span(12, _flick_abort850);
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        break;
                                                                        {
                                                                        _flick_abort850:
                                                                          goto _flick_abort838;
                                                                        }
                                                                      }
                                                                    _flick_abort_block1039:
                                                                      {
                                                                        switch (_local_a->_d)
                                                                          {
                                                                          case 1:
                                                                            goto _flick_abort_block1040;
                                                                          default:
                                                                            goto _flick_abort838;
                                                                          }
                                                                      }
                                                                    }
                                                                  _local_b = (struct VUnion *)(&_t497_storage);
                                                                  flick_suntcp_decode_new_glob(8);
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_signed32(0, _local_b->_d, CORBA_long );
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch (_local_b->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_unsigned32_t _t499_temp_string_len;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_unsigned32(0, _t499_temp_string_len, flick_unsigned32_t );
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(8);
                                                                        flick_suntcp_decode_new_glob(1 * _t499_temp_string_len);
                                                                        flick_suntcp_check_span(1 * _t499_temp_string_len, _flick_abort859);
                                                                        flick_suntcp_decode_new_chunk(1 * _t499_temp_string_len);
                                                                        {
                                                                          CORBA_char *_t_alloc_ptr;

                                                                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t499_temp_string_len + 1) * sizeof(CORBA_char )));
                                                                          if (!_t_alloc_ptr)
                                                                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort859);
                                                                          _local_b->_u.a = _t_alloc_ptr;
                                                                        }
                                                                        flick_xdr_decode_bcopy(0, _local_b->_u.a, 1 * _t499_temp_string_len);
                                                                        flick_suntcp_decode_end_chunk(1 * _t499_temp_string_len);
                                                                        _local_b->_u.a[_t499_temp_string_len] = 0;
                                                                        flick_suntcp_decode_end_glob(1 * _t499_temp_string_len);
                                                                        flick_suntcp_decode_new_glob(3);
                                                                        flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                                        flick_suntcp_decode_end_chunk(0);
                                                                        flick_suntcp_decode_end_glob(3);
                                                                        break;
                                                                      _flick_abort_block1053:
                                                                        {
                                                                          CORBA_flick_free(_local_b->_u.a);
                                                                        _flick_abort859:
                                                                          goto _flick_abort851;
                                                                        }
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    _flick_abort_block1052:
                                                                      {
                                                                        switch (_local_b->_d)
                                                                          {
                                                                          case 1:
                                                                            goto _flick_abort_block1053;
                                                                          default:
                                                                            goto _flick_abort851;
                                                                          }
                                                                      }
                                                                    }
                                                                  _local_c = (struct VUnion **)(&_t500_storage);
                                                                  _ev = (CORBA_Environment *)(&_t501_storage);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort864);
                                                                    flick_suntcp_encode_new_glob(12, _flick_abort864);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _return->_d, CORBA_long );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_return->_d)
                                                                            {
                                                                            case 1:
                                                                              {
                                                                                flick_unsigned32_t _t509_temp_string_len;

                                                                                flick_xdr_stringlen(CORBA_char *, _return->_u.a, flick_unsigned32_t , _t509_temp_string_len);

                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_unsigned32(0, _t509_temp_string_len, flick_unsigned32_t );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(12);
                                                                                flick_suntcp_encode_new_glob(1 * _t509_temp_string_len, _flick_abort902);
                                                                                flick_suntcp_encode_new_chunk(1 * _t509_temp_string_len);
                                                                                flick_xdr_encode_bcopy(0, _return->_u.a, 1 * _t509_temp_string_len);
                                                                                CORBA_flick_free(_return->_u.a);
                                                                                _return->_u.a = 0;
                                                                                flick_suntcp_encode_end_chunk(1 * _t509_temp_string_len);
                                                                                flick_suntcp_encode_end_glob(1 * _t509_temp_string_len);
                                                                                flick_suntcp_encode_new_glob(3, _flick_abort902);
                                                                                flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                flick_suntcp_encode_end_chunk(0);
                                                                                flick_suntcp_encode_end_glob(3);
                                                                                break;
                                                                                {
                                                                                _flick_abort902:
                                                                                  goto _flick_abort896;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_char8(0, _return->_u.z, CORBA_char );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(12);
                                                                                break;
                                                                              }
                                                                            }
                                                                          CORBA_flick_free(_return);
                                                                          _return = 0;
                                                                          flick_suntcp_encode_new_glob(8, _flick_abort896);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_local_b->_d)
                                                                            {
                                                                            case 1:
                                                                              {
                                                                                flick_unsigned32_t _t511_temp_string_len;

                                                                                flick_xdr_stringlen(CORBA_char *, _local_b->_u.a, flick_unsigned32_t , _t511_temp_string_len);

                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_unsigned32(0, _t511_temp_string_len, flick_unsigned32_t );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                flick_suntcp_encode_new_glob(1 * _t511_temp_string_len, _flick_abort911);
                                                                                flick_suntcp_encode_new_chunk(1 * _t511_temp_string_len);
                                                                                flick_xdr_encode_bcopy(0, _local_b->_u.a, 1 * _t511_temp_string_len);
                                                                                CORBA_flick_free(_local_b->_u.a);
                                                                                _local_b->_u.a = 0;
                                                                                flick_suntcp_encode_end_chunk(1 * _t511_temp_string_len);
                                                                                flick_suntcp_encode_end_glob(1 * _t511_temp_string_len);
                                                                                flick_suntcp_encode_new_glob(3, _flick_abort911);
                                                                                flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                flick_suntcp_encode_end_chunk(0);
                                                                                flick_suntcp_encode_end_glob(3);
                                                                                break;
                                                                                {
                                                                                _flick_abort911:
                                                                                  goto _flick_abort896;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                              }
                                                                            }
                                                                          flick_suntcp_encode_new_glob(8, _flick_abort896);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, (*_local_c)->_d, CORBA_long );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch ((*_local_c)->_d)
                                                                            {
                                                                            case 1:
                                                                              {
                                                                                flick_unsigned32_t _t513_temp_string_len;

                                                                                flick_xdr_stringlen(CORBA_char *, (*_local_c)->_u.a, flick_unsigned32_t , _t513_temp_string_len);

                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_unsigned32(0, _t513_temp_string_len, flick_unsigned32_t );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                flick_suntcp_encode_new_glob(1 * _t513_temp_string_len, _flick_abort920);
                                                                                flick_suntcp_encode_new_chunk(1 * _t513_temp_string_len);
                                                                                flick_xdr_encode_bcopy(0, (*_local_c)->_u.a, 1 * _t513_temp_string_len);
                                                                                CORBA_flick_free((*_local_c)->_u.a);
                                                                                (*_local_c)->_u.a = 0;
                                                                                flick_suntcp_encode_end_chunk(1 * _t513_temp_string_len);
                                                                                flick_suntcp_encode_end_glob(1 * _t513_temp_string_len);
                                                                                flick_suntcp_encode_new_glob(3, _flick_abort920);
                                                                                flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                flick_suntcp_encode_end_chunk(0);
                                                                                flick_suntcp_encode_end_glob(3);
                                                                                break;
                                                                                {
                                                                                _flick_abort920:
                                                                                  goto _flick_abort896;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_char8(0, (*_local_c)->_u.z, CORBA_char );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                              }
                                                                            }
                                                                          CORBA_flick_free(*_local_c);
                                                                          *_local_c = 0;
                                                                          break;
                                                                          {
                                                                          _flick_abort896:
                                                                            goto _flick_abort864;
                                                                          }
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(12);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort924);
                                                                          break;
                                                                          {
                                                                          _flick_abort924:
                                                                            goto _flick_abort864;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort925);
                                                                          flick_suntcp_encode_end_glob(12);
                                                                          break;
                                                                          {
                                                                          _flick_abort925:
                                                                            goto _flick_abort864;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort864:
                                                                    goto _flick_abort_block1052;
                                                                  _flick_abort851:
                                                                    goto _flick_abort_block1039;
                                                                  _flick_abort838:
                                                                    goto _flick_abort837;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort837:
                                                                  goto _flick_abort85;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t514_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t514_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t514_switch_tag)
                  {
                  case 'e':
                    {
                      char _t515_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t515_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t515_switch_tag)
                        {
                        case 'q':
                          {
                            char _t516_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t516_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t516_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t517_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t517_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t517_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t518_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t518_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t518_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t519_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t519_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t519_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t520_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t520_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t520_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t521_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t521_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t521_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  unsigned int _t522_ignore;
                                                                  test_seq *_return;
                                                                  test_seq *_local_a;
                                                                  test_seq _t523_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  CORBA_long _t524_storage[10];
                                                                  CORBA_unsigned_long _t525_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                  test_seq *_local_b;
                                                                  test_seq _t526_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  CORBA_unsigned_long _t527_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                  test_seq **_local_c;
                                                                  test_seq *_t528_storage;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t529_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort927);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t522_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t522_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t522_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t522_ignore, unsigned int );
                                                                  _return = 0;
                                                                  _local_a = (test_seq *)(&_t523_storage);
                                                                  flick_xdr_decode_unsigned32(16, _local_a->_length, CORBA_unsigned_long );
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_suntcp_check_span(4 * _local_a->_length + 4, _flick_abort930);
                                                                  if (_local_a->_length + 1 > 10)
                                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort930);
                                                                  _local_a->_buffer = (CORBA_long *)_t524_storage;
                                                                  _local_a->_maximum = 10;
                                                                  _local_a->_release = 0;
                                                                  for (_t525_array_iter = 0; _t525_array_iter < _local_a->_length; _t525_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_a->_buffer[_t525_array_iter], CORBA_long );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      continue;
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  if (_local_a->_length + 1 > 10)
                                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort934);
                                                                  flick_suntcp_decode_new_chunk(4 * _local_a->_length);
                                                                  flick_xdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
                                                                  _local_a->_maximum = _local_a->_length;
                                                                  _local_a->_release = 0;
                                                                  flick_suntcp_decode_end_chunk(4 * _local_a->_length);
#endif /* ENDIANness */
                                                                  _local_b = (test_seq *)(&_t526_storage);
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                                                  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_suntcp_check_span(4 * _local_b->_length, _flick_abort937);
                                                                  if (_local_b->_length + 1 > 10)
                                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort937);
                                                                  {
                                                                    CORBA_long *_t_alloc_ptr;

                                                                    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                                                    if (!_t_alloc_ptr)
                                                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort937);
                                                                    _local_b->_buffer = _t_alloc_ptr;
                                                                    _local_b->_maximum = 10;
                                                                    _local_b->_release = 1;
                                                                  }
                                                                  for (_t527_array_iter = 0; _t527_array_iter < _local_b->_length; _t527_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_b->_buffer[_t527_array_iter], CORBA_long );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      continue;
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  if (_local_b->_length + 1 > 10)
                                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort942);
                                                                  flick_suntcp_decode_new_chunk(4 * _local_b->_length);
                                                                  {
                                                                    CORBA_long *_t_alloc_ptr;

                                                                    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                                                    if (!_t_alloc_ptr)
                                                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort942);
                                                                    _local_b->_buffer = _t_alloc_ptr;
                                                                    _local_b->_maximum = 10;
                                                                    _local_b->_release = 1;
                                                                  }
                                                                  flick_xdr_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                                                                  flick_suntcp_decode_end_chunk(4 * _local_b->_length);
#endif /* ENDIANness */
                                                                  _local_c = (test_seq **)(&_t528_storage);
                                                                  _ev = (CORBA_Environment *)(&_t529_storage);
                                                                  flick_suntcp_decode_end_glob(144);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block1157);
                                                                    flick_suntcp_encode_new_glob(136, _flick_abort_block1157);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
#if BYTE_ORDER != BIG_ENDIAN
                                                                          CORBA_unsigned_long _t533_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                          CORBA_unsigned_long _t534_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                          CORBA_unsigned_long _t535_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                                                          flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          if (_return->_length + 1 > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort972);
                                                                          for (_t533_array_iter = 0; _t533_array_iter < _return->_length; _t533_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _return->_buffer[_t533_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
                                                                          if (_return->_release)
                                                                            CORBA_flick_free(_return->_buffer);
                                                                          _return->_maximum = 0;
                                                                          _return->_release = 0;
                                                                          _return->_buffer = 0;
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          if (_return->_length + 1 > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort976);
                                                                          flick_suntcp_encode_new_chunk(4 * _return->_length);
                                                                          flick_xdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                                                          if (_return->_release)
                                                                            CORBA_flick_free(_return->_buffer);
                                                                          _return->_maximum = 0;
                                                                          _return->_release = 0;
                                                                          _return->_buffer = 0;
                                                                          flick_suntcp_encode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
                                                                          CORBA_flick_free(_return);
                                                                          _return = 0;
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                                                          flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          if (_local_b->_length + 1 > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort979);
                                                                          for (_t534_array_iter = 0; _t534_array_iter < _local_b->_length; _t534_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _local_b->_buffer[_t534_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
                                                                          if (_local_b->_release)
                                                                            CORBA_flick_free(_local_b->_buffer);
                                                                          _local_b->_maximum = 0;
                                                                          _local_b->_release = 0;
                                                                          _local_b->_buffer = 0;
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          if (_local_b->_length + 1 > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort983);
                                                                          flick_suntcp_encode_new_chunk(4 * _local_b->_length);
                                                                          flick_xdr_encode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                                                                          if (_local_b->_release)
                                                                            CORBA_flick_free(_local_b->_buffer);
                                                                          _local_b->_maximum = 0;
                                                                          _local_b->_release = 0;
                                                                          _local_b->_buffer = 0;
                                                                          flick_suntcp_encode_end_chunk(4 * _local_b->_length);
#endif /* ENDIANness */
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                                                          flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          if ((*_local_c)->_length + 1 > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort986);
                                                                          for (_t535_array_iter = 0; _t535_array_iter < (*_local_c)->_length; _t535_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, (*_local_c)->_buffer[_t535_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
                                                                          if ((*_local_c)->_release)
                                                                            CORBA_flick_free((*_local_c)->_buffer);
                                                                          (*_local_c)->_maximum = 0;
                                                                          (*_local_c)->_release = 0;
                                                                          (*_local_c)->_buffer = 0;
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          if ((*_local_c)->_length + 1 > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort990);
                                                                          flick_suntcp_encode_new_chunk(4 * (*_local_c)->_length);
                                                                          flick_xdr_encode_bcopy(0, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                                                          if ((*_local_c)->_release)
                                                                            CORBA_flick_free((*_local_c)->_buffer);
                                                                          (*_local_c)->_maximum = 0;
                                                                          (*_local_c)->_release = 0;
                                                                          (*_local_c)->_buffer = 0;
                                                                          flick_suntcp_encode_end_chunk(4 * (*_local_c)->_length);
#endif /* ENDIANness */
                                                                          CORBA_flick_free(*_local_c);
                                                                          *_local_c = 0;
                                                                          flick_suntcp_encode_end_glob(136);
                                                                          break;
                                                                          {
#if BYTE_ORDER != BIG_ENDIAN
                                                                          _flick_abort986:
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          _flick_abort990:
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                          _flick_abort979:
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          _flick_abort983:
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                          _flick_abort972:
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          _flick_abort976:
#endif /* ENDIANness */
                                                                            goto _flick_abort_block1157;
                                                                          }
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(136);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort991);
                                                                          break;
                                                                          {
                                                                          _flick_abort991:
                                                                            goto _flick_abort_block1157;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort992);
                                                                          flick_suntcp_encode_end_glob(136);
                                                                          break;
                                                                          {
                                                                          _flick_abort992:
                                                                            goto _flick_abort_block1157;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort_block1157:
#if BYTE_ORDER != BIG_ENDIAN
                                                                    CORBA_flick_free(_local_b->_buffer);
                                                                  _flick_abort937:
#else /* BIG_ENDIAN - do a bcopy*/
                                                                    CORBA_flick_free(_local_b->_buffer);
                                                                  _flick_abort942:
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                  _flick_abort930:
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  _flick_abort934:
#endif /* ENDIANness */
                                                                  _flick_abort927:
                                                                    goto _flick_abort926;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort926:
                                                                  goto _flick_abort85;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort85);
          flick_suntcp_decode_end_glob(144);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort85:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort84);
  _flick_abort84:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

