#include "simple2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_simple[] = {
	"IDL:simple:1.0",
	0
};

char *flick_interface_parents_simple2[] = {
	"IDL:simple2:1.0",
	"IDL:simple:1.0",
	0
};

char *flick_interface_parents_simple3[] = {
	"IDL:simple3:1.0",
	"IDL:simple:1.0",
	"IDL:simple2:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_simple3;
	s.vers_num = _VERS_simple3;

	reg_success = flick_server_register(s, &simple3_server);
	assert(reg_success);


	s.prog_num = _PROG_simple2;
	s.vers_num = _VERS_simple2;

	reg_success = flick_server_register(s, &simple2_server);
	assert(reg_success);


	s.prog_num = _PROG_simple;
	s.vers_num = _VERS_simple;

	reg_success = flick_server_register(s, &simple_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(44, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
#else /* BIG_ENDIAN - do a bcopy*/
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort3:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort7:
#endif /* ENDIANness */
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(44);
  flick_suntcp_check_span(4, _flick_abort8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(4 * _data->_length, _flick_abort11);
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort11);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort16);
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort11:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort16:
#endif /* ENDIANness */
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort18);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort19);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t simple_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t19_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_check_span(40, _flick_abort22);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t19_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t20_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t20_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t20_switch_tag)
            {
            case 'o':
              {
                char _t21_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t21_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t21_switch_tag)
                  {
                  case 'p':
                    {
                      char _t22_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t22_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t22_switch_tag)
                        {
                        case 0:
                          {
                            {
                              simple _obj;
                              unsigned int _t23_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              simple *_local_b;
                              simple _t24_storage;
                              CORBA_long *_local_c;
                              CORBA_long _t25_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t26_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort46);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(24);
                              flick_xdr_decode_unsigned32(0, _t23_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t23_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t23_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t23_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _local_b = (simple *)(&_t24_storage);
                              _local_c = (CORBA_long *)(&_t25_storage);
                              flick_xdr_decode_signed32(20, *_local_c, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t26_storage);
                              flick_suntcp_decode_end_chunk(24);
                              flick_suntcp_decode_end_glob(48);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort46);
                                flick_suntcp_encode_new_glob(16, _flick_abort46);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(12);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_xdr_encode_port32(4, *_local_b, 0);
                                      flick_xdr_encode_signed32(8, *_local_c, CORBA_long );
                                      flick_suntcp_encode_end_chunk(12);
                                      flick_suntcp_encode_end_glob(16);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(16);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort52);
                                      break;
                                      {
                                      _flick_abort52:
                                        goto _flick_abort46;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort53);
                                      flick_suntcp_encode_end_glob(16);
                                      break;
                                      {
                                      _flick_abort53:
                                        goto _flick_abort46;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort46:
                                goto _flick_abort45;
                              }
                            }
                            break;
                            {
                            _flick_abort45:
                              goto _flick_abort22;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t27_switch_tag;

          flick_suntcp_check_span(44, _flick_abort22);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t27_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t27_switch_tag)
            {
            case '_':
              {
                char _t28_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t28_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t28_switch_tag)
                  {
                  case 'i':
                    {
                      char _t29_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t29_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t29_switch_tag)
                        {
                        case 's':
                          {
                            char _t30_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t30_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t30_switch_tag)
                              {
                              case '_':
                                {
                                  char _t31_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t31_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t31_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t32_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t32_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t32_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t33_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t34_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t35_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort55);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t33_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t33_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t33_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t33_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t34_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(1 * _t34_temp_string_len);
                                                flick_suntcp_check_span(1 * _t34_temp_string_len, _flick_abort55);
                                                flick_suntcp_decode_new_chunk(1 * _t34_temp_string_len);
                                                if ((_t34_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t34_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort55);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t34_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t34_temp_string_len);
                                                _local_id[_t34_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t34_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t35_storage);
                                                _par = flick_interface_parents_simple;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort58);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort58);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort64);
                                                        break;
                                                        {
                                                        _flick_abort64:
                                                          goto _flick_abort58;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort65);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort65:
                                                          goto _flick_abort58;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort58:
                                                  auto_flick_free(_local_id);
                                                _flick_abort55:
                                                  goto _flick_abort54;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort54:
                                                goto _flick_abort22;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort22:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort21);
  _flick_abort21:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort66);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort66:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort67);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort67:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t simple2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t60_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_check_span(40, _flick_abort70);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t60_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t60_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t61_switch_tag;

          flick_suntcp_check_span(40, _flick_abort70);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t61_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t61_switch_tag)
            {
            case 'o':
              {
                char _t62_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t62_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t62_switch_tag)
                  {
                  case 'p':
                    {
                      char _t63_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t63_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t63_switch_tag)
                        {
                        case '2':
                          {
                            char _t64_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t64_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t64_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    simple2 _obj;
                                    unsigned int _t65_ignore;
                                    CORBA_long _return;
                                    CORBA_long _local_a;
                                    simple _local_b;
                                    simple2 *_local_c;
                                    simple2 _t66_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t67_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort103);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t65_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t65_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t65_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t65_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                                    flick_xdr_decode_port32(20, _local_b, 1);
                                    flick_suntcp_mark_port_for_cleanup(_local_b, 1);
                                    _local_c = (simple2 *)(&_t66_storage);
                                    _ev = (CORBA_Environment *)(&_t67_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort103);
                                      flick_suntcp_encode_new_glob(12, _flick_abort103);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(8);
                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                            flick_xdr_encode_port32(4, *_local_c, 0);
                                            flick_suntcp_encode_end_chunk(8);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(12);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort109);
                                            break;
                                            {
                                            _flick_abort109:
                                              goto _flick_abort103;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort110);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                            {
                                            _flick_abort110:
                                              goto _flick_abort103;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort103:
                                      goto _flick_abort102;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort102:
                                    goto _flick_abort70;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t68_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t68_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t68_switch_tag)
            {
            case 'o':
              {
                char _t69_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t69_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t69_switch_tag)
                  {
                  case 'p':
                    {
                      char _t70_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t70_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t70_switch_tag)
                        {
                        case 0:
                          {
                            {
                              simple2 _obj;
                              unsigned int _t71_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              simple *_local_b;
                              simple _t72_storage;
                              CORBA_long *_local_c;
                              CORBA_long _t73_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t74_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort112);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(24);
                              flick_xdr_decode_unsigned32(0, _t71_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t71_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t71_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t71_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _local_b = (simple *)(&_t72_storage);
                              _local_c = (CORBA_long *)(&_t73_storage);
                              flick_xdr_decode_signed32(20, *_local_c, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t74_storage);
                              flick_suntcp_decode_end_chunk(24);
                              flick_suntcp_decode_end_glob(48);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort112);
                                flick_suntcp_encode_new_glob(16, _flick_abort112);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(12);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_xdr_encode_port32(4, *_local_b, 0);
                                      flick_xdr_encode_signed32(8, *_local_c, CORBA_long );
                                      flick_suntcp_encode_end_chunk(12);
                                      flick_suntcp_encode_end_glob(16);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(16);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort118);
                                      break;
                                      {
                                      _flick_abort118:
                                        goto _flick_abort112;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort119);
                                      flick_suntcp_encode_end_glob(16);
                                      break;
                                      {
                                      _flick_abort119:
                                        goto _flick_abort112;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort112:
                                goto _flick_abort111;
                              }
                            }
                            break;
                            {
                            _flick_abort111:
                              goto _flick_abort70;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t75_switch_tag;

          flick_suntcp_check_span(44, _flick_abort70);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t75_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t75_switch_tag)
            {
            case '_':
              {
                char _t76_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t76_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t76_switch_tag)
                  {
                  case 'i':
                    {
                      char _t77_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t77_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t77_switch_tag)
                        {
                        case 's':
                          {
                            char _t78_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t78_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t78_switch_tag)
                              {
                              case '_':
                                {
                                  char _t79_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t79_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t79_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t80_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t80_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t80_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t81_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t82_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t83_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort121);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t81_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t81_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t81_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t81_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t82_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(1 * _t82_temp_string_len);
                                                flick_suntcp_check_span(1 * _t82_temp_string_len, _flick_abort121);
                                                flick_suntcp_decode_new_chunk(1 * _t82_temp_string_len);
                                                if ((_t82_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t82_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort121);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t82_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t82_temp_string_len);
                                                _local_id[_t82_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t82_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t83_storage);
                                                _par = flick_interface_parents_simple2;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort124);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort124);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort130);
                                                        break;
                                                        {
                                                        _flick_abort130:
                                                          goto _flick_abort124;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort131);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort131:
                                                          goto _flick_abort124;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort124:
                                                  auto_flick_free(_local_id);
                                                _flick_abort121:
                                                  goto _flick_abort120;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort120:
                                                goto _flick_abort70;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort70:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort69);
  _flick_abort69:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_simple3(flick_marshal_stream_t _stream, simple3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort132);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort132:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3(flick_marshal_stream_t _stream, simple3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort133);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort133:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_unsigned32_t _t84_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, _data->msg, flick_unsigned32_t , _t84_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort134);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a, CORBA_long );
  flick_xdr_encode_unsigned32(4, _t84_temp_string_len, flick_unsigned32_t );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_suntcp_encode_new_glob(1 * _t84_temp_string_len, _flick_abort134);
  flick_suntcp_encode_new_chunk(1 * _t84_temp_string_len);
  flick_xdr_encode_bcopy(0, _data->msg, 1 * _t84_temp_string_len);
  CORBA_flick_free(_data->msg);
  flick_suntcp_encode_end_chunk(1 * _t84_temp_string_len);
  flick_suntcp_encode_end_glob(1 * _t84_temp_string_len);
  flick_suntcp_encode_new_glob(3, _flick_abort134);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(3);
  return 0;
  {
  _flick_abort134:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_unsigned32_t _t85_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort137);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a, CORBA_long );
  flick_xdr_decode_unsigned32(4, _t85_temp_string_len, flick_unsigned32_t );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_suntcp_decode_new_glob(1 * _t85_temp_string_len);
  flick_suntcp_check_span(1 * _t85_temp_string_len, _flick_abort137);
  flick_suntcp_decode_new_chunk(1 * _t85_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t85_temp_string_len + 1) * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort137);
    _data->msg = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->msg, 1 * _t85_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t85_temp_string_len);
  _data->msg[_t85_temp_string_len] = 0;
  flick_suntcp_decode_end_glob(1 * _t85_temp_string_len);
  flick_suntcp_decode_new_glob(3);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(3);
  return 0;
  {
  _flick_abort137:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_unsigned32_t _t86_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, _data->msg, flick_unsigned32_t , _t86_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort141);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->b, CORBA_long );
  flick_xdr_encode_unsigned32(4, _t86_temp_string_len, flick_unsigned32_t );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_suntcp_encode_new_glob(1 * _t86_temp_string_len, _flick_abort141);
  flick_suntcp_encode_new_chunk(1 * _t86_temp_string_len);
  flick_xdr_encode_bcopy(0, _data->msg, 1 * _t86_temp_string_len);
  CORBA_flick_free(_data->msg);
  flick_suntcp_encode_end_chunk(1 * _t86_temp_string_len);
  flick_suntcp_encode_end_glob(1 * _t86_temp_string_len);
  flick_suntcp_encode_new_glob(3, _flick_abort141);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(3);
  return 0;
  {
  _flick_abort141:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_unsigned32_t _t87_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort144);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->b, CORBA_long );
  flick_xdr_decode_unsigned32(4, _t87_temp_string_len, flick_unsigned32_t );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_suntcp_decode_new_glob(1 * _t87_temp_string_len);
  flick_suntcp_check_span(1 * _t87_temp_string_len, _flick_abort144);
  flick_suntcp_decode_new_chunk(1 * _t87_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t87_temp_string_len + 1) * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort144);
    _data->msg = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->msg, 1 * _t87_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t87_temp_string_len);
  _data->msg[_t87_temp_string_len] = 0;
  flick_suntcp_decode_end_glob(1 * _t87_temp_string_len);
  flick_suntcp_decode_new_glob(3);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(3);
  return 0;
  {
  _flick_abort144:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t88_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(44, _flick_abort148);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  if (_data->c._length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort151);
  for (_t88_array_iter = 0; _t88_array_iter < _data->c._length; _t88_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->c._buffer[_t88_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  if (_data->c._release)
    CORBA_flick_free(_data->c._buffer);
  _data->c._maximum = 0;
  _data->c._release = 0;
#else /* BIG_ENDIAN - do a bcopy*/
  if (_data->c._length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort155);
  flick_suntcp_encode_new_chunk(4 * _data->c._length);
  flick_xdr_encode_bcopy(0, _data->c._buffer, 4 * _data->c._length);
  if (_data->c._release)
    CORBA_flick_free(_data->c._buffer);
  _data->c._maximum = 0;
  _data->c._release = 0;
  flick_suntcp_encode_end_chunk(4 * _data->c._length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort151:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort155:
#endif /* ENDIANness */
  _flick_abort148:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t89_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(44);
  flick_suntcp_check_span(4, _flick_abort156);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(4 * _data->c._length, _flick_abort159);
  if (_data->c._length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort159);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort159);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = 10;
    _data->c._release = 1;
  }
  for (_t89_array_iter = 0; _t89_array_iter < _data->c._length; _t89_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->c._buffer[_t89_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  if (_data->c._length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort164);
  flick_suntcp_decode_new_chunk(4 * _data->c._length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort164);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = 10;
    _data->c._release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->c._buffer, 4 * _data->c._length);
  flick_suntcp_decode_end_chunk(4 * _data->c._length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort159:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort164:
#endif /* ENDIANness */
  _flick_abort156:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_unsigned32_t _t90_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, _data->reason, flick_unsigned32_t , _t90_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort166);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _t90_temp_string_len, flick_unsigned32_t );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(1 * _t90_temp_string_len, _flick_abort166);
  flick_suntcp_encode_new_chunk(1 * _t90_temp_string_len);
  flick_xdr_encode_bcopy(0, _data->reason, 1 * _t90_temp_string_len);
  CORBA_flick_free(_data->reason);
  flick_suntcp_encode_end_chunk(1 * _t90_temp_string_len);
  flick_suntcp_encode_end_glob(1 * _t90_temp_string_len);
  flick_suntcp_encode_new_glob(3, _flick_abort166);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(3);
  return 0;
  {
  _flick_abort166:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_unsigned32_t _t91_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort169);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t91_temp_string_len, flick_unsigned32_t );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(1 * _t91_temp_string_len);
  flick_suntcp_check_span(1 * _t91_temp_string_len, _flick_abort169);
  flick_suntcp_decode_new_chunk(1 * _t91_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t91_temp_string_len + 1) * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort169);
    _data->reason = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->reason, 1 * _t91_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t91_temp_string_len);
  _data->reason[_t91_temp_string_len] = 0;
  flick_suntcp_decode_end_glob(1 * _t91_temp_string_len);
  flick_suntcp_decode_new_glob(3);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(3);
  return 0;
  {
  _flick_abort169:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t simple3_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t158_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_check_span(36, _flick_abort175);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t158_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t158_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t159_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t159_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t159_switch_tag)
            {
            case 'o':
              {
                char _t160_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t160_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t160_switch_tag)
                  {
                  case 'p':
                    {
                      char _t161_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t161_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t161_switch_tag)
                        {
                        case '3':
                          {
                            char _t162_switch_tag;

                            flick_suntcp_check_span(24, _flick_abort175);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t162_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t162_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    simple3 _obj;
                                    unsigned int _t163_ignore;
                                    CORBA_long _return;
                                    CORBA_long _local_a;
                                    simple3 *_local_b;
                                    simple3 _t164_storage;
                                    simple2 *_local_c;
                                    simple2 _t165_storage;
                                    simple *_local_d;
                                    simple _t166_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t167_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort339);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t163_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t163_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t163_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t163_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                                    _local_b = (simple3 *)(&_t164_storage);
                                    _local_c = (simple2 *)(&_t165_storage);
                                    _local_d = (simple *)(&_t166_storage);
                                    _ev = (CORBA_Environment *)(&_t167_storage);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = simple3_op3(_obj, _local_a, _local_b, _local_c, _local_d, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort339);
                                      flick_suntcp_encode_new_glob(144, _flick_abort339);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(16);
                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                            flick_xdr_encode_port32(4, *_local_b, 0);
                                            flick_xdr_encode_port32(8, *_local_c, 0);
                                            flick_xdr_encode_port32(12, *_local_d, 0);
                                            flick_suntcp_encode_end_chunk(16);
                                            flick_suntcp_encode_end_glob(144);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(144);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort374);
                                            break;
                                            {
                                            _flick_abort374:
                                              goto _flick_abort339;
                                            }
                                          }
                                        default:
                                          {
                                            switch ((unsigned int )(1+strlen(_ev->_id)))
                                              {
                                              case (unsigned int) 25:
                                                {
                                                  switch (*(char *)(_ev->_id + 0))
                                                    {
                                                    case 'I':
                                                      {
                                                        switch (*(char *)(_ev->_id + 1))
                                                          {
                                                          case 'D':
                                                            {
                                                              switch (*(char *)(_ev->_id + 2))
                                                                {
                                                                case 'L':
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 3))
                                                                      {
                                                                      case ':':
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 4))
                                                                            {
                                                                            case 's':
                                                                              {
                                                                                switch (*(char *)(_ev->_id + 5))
                                                                                  {
                                                                                  case 'i':
                                                                                    {
                                                                                      switch (*(char *)(_ev->_id + 6))
                                                                                        {
                                                                                        case 'm':
                                                                                          {
                                                                                            switch (*(char *)(_ev->_id + 7))
                                                                                              {
                                                                                              case 'p':
                                                                                                {
                                                                                                  switch (*(char *)(_ev->_id + 8))
                                                                                                    {
                                                                                                    case 'l':
                                                                                                      {
                                                                                                        switch (*(char *)(_ev->_id + 9))
                                                                                                          {
                                                                                                          case 'e':
                                                                                                            {
                                                                                                              switch (*(char *)(_ev->_id + 10))
                                                                                                                {
                                                                                                                case '3':
                                                                                                                  {
                                                                                                                    switch (*(char *)(_ev->_id + 11))
                                                                                                                      {
                                                                                                                      case '/':
                                                                                                                        {
                                                                                                                          switch (*(char *)(_ev->_id + 12))
                                                                                                                            {
                                                                                                                            case 'O':
                                                                                                                              {
                                                                                                                                switch (*(char *)(_ev->_id + 13))
                                                                                                                                  {
                                                                                                                                  case 'V':
                                                                                                                                    {
                                                                                                                                      switch (*(char *)(_ev->_id + 14))
                                                                                                                                        {
                                                                                                                                        case 'E':
                                                                                                                                          {
                                                                                                                                            switch (*(char *)(_ev->_id + 15))
                                                                                                                                              {
                                                                                                                                              case 'R':
                                                                                                                                                {
                                                                                                                                                  switch (*(char *)(_ev->_id + 16))
                                                                                                                                                    {
                                                                                                                                                    case 'F':
                                                                                                                                                      {
                                                                                                                                                        switch (*(char *)(_ev->_id + 17))
                                                                                                                                                          {
                                                                                                                                                          case 'L':
                                                                                                                                                            {
                                                                                                                                                              switch (*(char *)(_ev->_id + 18))
                                                                                                                                                                {
                                                                                                                                                                case 'O':
                                                                                                                                                                  {
                                                                                                                                                                    switch (*(char *)(_ev->_id + 19))
                                                                                                                                                                      {
                                                                                                                                                                      case 'W':
                                                                                                                                                                        {
                                                                                                                                                                          switch (*(char *)(_ev->_id + 20))
                                                                                                                                                                            {
                                                                                                                                                                            case ':':
                                                                                                                                                                              {
                                                                                                                                                                                switch (*(char *)(_ev->_id + 21))
                                                                                                                                                                                  {
                                                                                                                                                                                  case '1':
                                                                                                                                                                                    {
                                                                                                                                                                                      switch (*(char *)(_ev->_id + 22))
                                                                                                                                                                                        {
                                                                                                                                                                                        case '.':
                                                                                                                                                                                          {
                                                                                                                                                                                            switch (*(char *)(_ev->_id + 23))
                                                                                                                                                                                              {
                                                                                                                                                                                              case '0':
                                                                                                                                                                                                {
                                                                                                                                                                                                  switch (*(char *)(_ev->_id + 24))
                                                                                                                                                                                                    {
                                                                                                                                                                                                    case 0:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_unsigned32_t _t177_temp_string_len;

                                                                                                                                                                                                        flick_xdr_stringlen(CORBA_char *, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t177_temp_string_len);

                                                                                                                                                                                                        flick_suntcp_encode_new_chunk(112);
                                                                                                                                                                                                        flick_xdr_encode_unsigned32(0, 25, flick_unsigned32_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(4, 'I', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(8, 'D', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(12, 'L', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(16, ':', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(20, 's', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(24, 'i', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(28, 'm', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(32, 'p', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(36, 'l', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(40, 'e', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(44, '3', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(48, '/', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(52, 'O', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(56, 'V', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(60, 'E', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(64, 'R', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(68, 'F', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(72, 'L', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(76, 'O', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(80, 'W', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(84, ':', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(88, '1', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(92, '.', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(96, '0', flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_char8(100, 0, flick_char8_t );
                                                                                                                                                                                                        flick_xdr_encode_signed32(104, ((simple3_OVERFLOW *)(_ev->_value._user_except))->a, CORBA_long );
                                                                                                                                                                                                        flick_xdr_encode_unsigned32(108, _t177_temp_string_len, flick_unsigned32_t );
                                                                                                                                                                                                        flick_suntcp_encode_end_chunk(112);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                                        flick_suntcp_encode_new_glob(1 * _t177_temp_string_len, _flick_abort391);
                                                                                                                                                                                                        flick_suntcp_encode_new_chunk(1 * _t177_temp_string_len);
                                                                                                                                                                                                        flick_xdr_encode_bcopy(0, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, 1 * _t177_temp_string_len);
                                                                                                                                                                                                        CORBA_flick_free(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg);
                                                                                                                                                                                                        flick_suntcp_encode_end_chunk(1 * _t177_temp_string_len);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(1 * _t177_temp_string_len);
                                                                                                                                                                                                        flick_suntcp_encode_new_glob(3, _flick_abort391);
                                                                                                                                                                                                        flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                                                                                                                                        CORBA_flick_free((simple3_OVERFLOW *)(_ev->_value._user_except));
                                                                                                                                                                                                        flick_suntcp_encode_end_chunk(0);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(3);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                        {
                                                                                                                                                                                                        _flick_abort391:
                                                                                                                                                                                                          goto _flick_abort375;
                                                                                                                                                                                                        }
                                                                                                                                                                                                      }
                                                                                                                                                                                                    default:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                      }
                                                                                                                                                                                                    }
                                                                                                                                                                                                  break;
                                                                                                                                                                                                }
                                                                                                                                                                                              default:
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                                  flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                                  break;
                                                                                                                                                                                                }
                                                                                                                                                                                              }
                                                                                                                                                                                            break;
                                                                                                                                                                                          }
                                                                                                                                                                                        default:
                                                                                                                                                                                          {
                                                                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                            flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                            break;
                                                                                                                                                                                          }
                                                                                                                                                                                        }
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  default:
                                                                                                                                                                                    {
                                                                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                      flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  }
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            default:
                                                                                                                                                                              {
                                                                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            }
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      default:
                                                                                                                                                                        {
                                                                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                          flick_suntcp_encode_end_glob(144);
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      }
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                default:
                                                                                                                                                                  {
                                                                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                    flick_suntcp_encode_end_glob(144);
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                }
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          default:
                                                                                                                                                            {
                                                                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                              flick_suntcp_encode_end_glob(144);
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          }
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                        flick_suntcp_encode_end_glob(144);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                  flick_suntcp_encode_end_glob(144);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        default:
                                                                                                                                          {
                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                            flick_suntcp_encode_end_glob(144);
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  default:
                                                                                                                                    {
                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                      flick_suntcp_encode_end_glob(144);
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            default:
                                                                                                                              {
                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                flick_suntcp_encode_end_glob(144);
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            }
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      default:
                                                                                                                        {
                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                          flick_suntcp_encode_end_glob(144);
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      }
                                                                                                                    break;
                                                                                                                  }
                                                                                                                default:
                                                                                                                  {
                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                    flick_suntcp_encode_end_glob(144);
                                                                                                                    break;
                                                                                                                  }
                                                                                                                }
                                                                                                              break;
                                                                                                            }
                                                                                                          default:
                                                                                                            {
                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                              flick_suntcp_encode_end_glob(144);
                                                                                                              break;
                                                                                                            }
                                                                                                          }
                                                                                                        break;
                                                                                                      }
                                                                                                    default:
                                                                                                      {
                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                        flick_suntcp_encode_end_glob(144);
                                                                                                        break;
                                                                                                      }
                                                                                                    }
                                                                                                  break;
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                  flick_suntcp_encode_end_glob(144);
                                                                                                  break;
                                                                                                }
                                                                                              }
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                            flick_suntcp_encode_end_glob(144);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      break;
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                      flick_suntcp_encode_end_glob(144);
                                                                                      break;
                                                                                    }
                                                                                  }
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                flick_suntcp_encode_end_glob(144);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                          flick_suntcp_encode_end_glob(144);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                    flick_suntcp_encode_end_glob(144);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                              flick_suntcp_encode_end_glob(144);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                        flick_suntcp_encode_end_glob(144);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              case (unsigned int) 26:
                                                {
                                                  switch (*(char *)(_ev->_id + 0))
                                                    {
                                                    case 'I':
                                                      {
                                                        switch (*(char *)(_ev->_id + 1))
                                                          {
                                                          case 'D':
                                                            {
                                                              switch (*(char *)(_ev->_id + 2))
                                                                {
                                                                case 'L':
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 3))
                                                                      {
                                                                      case ':':
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 4))
                                                                            {
                                                                            case 's':
                                                                              {
                                                                                switch (*(char *)(_ev->_id + 5))
                                                                                  {
                                                                                  case 'i':
                                                                                    {
                                                                                      switch (*(char *)(_ev->_id + 6))
                                                                                        {
                                                                                        case 'm':
                                                                                          {
                                                                                            switch (*(char *)(_ev->_id + 7))
                                                                                              {
                                                                                              case 'p':
                                                                                                {
                                                                                                  switch (*(char *)(_ev->_id + 8))
                                                                                                    {
                                                                                                    case 'l':
                                                                                                      {
                                                                                                        switch (*(char *)(_ev->_id + 9))
                                                                                                          {
                                                                                                          case 'e':
                                                                                                            {
                                                                                                              switch (*(char *)(_ev->_id + 10))
                                                                                                                {
                                                                                                                case '3':
                                                                                                                  {
                                                                                                                    switch (*(char *)(_ev->_id + 11))
                                                                                                                      {
                                                                                                                      case '/':
                                                                                                                        {
                                                                                                                          switch (*(char *)(_ev->_id + 12))
                                                                                                                            {
                                                                                                                            case 'U':
                                                                                                                              {
                                                                                                                                switch (*(char *)(_ev->_id + 13))
                                                                                                                                  {
                                                                                                                                  case 'N':
                                                                                                                                    {
                                                                                                                                      switch (*(char *)(_ev->_id + 14))
                                                                                                                                        {
                                                                                                                                        case 'D':
                                                                                                                                          {
                                                                                                                                            switch (*(char *)(_ev->_id + 15))
                                                                                                                                              {
                                                                                                                                              case 'E':
                                                                                                                                                {
                                                                                                                                                  switch (*(char *)(_ev->_id + 16))
                                                                                                                                                    {
                                                                                                                                                    case 'R':
                                                                                                                                                      {
                                                                                                                                                        switch (*(char *)(_ev->_id + 17))
                                                                                                                                                          {
                                                                                                                                                          case 'F':
                                                                                                                                                            {
                                                                                                                                                              switch (*(char *)(_ev->_id + 18))
                                                                                                                                                                {
                                                                                                                                                                case 'L':
                                                                                                                                                                  {
                                                                                                                                                                    switch (*(char *)(_ev->_id + 19))
                                                                                                                                                                      {
                                                                                                                                                                      case 'O':
                                                                                                                                                                        {
                                                                                                                                                                          switch (*(char *)(_ev->_id + 20))
                                                                                                                                                                            {
                                                                                                                                                                            case 'W':
                                                                                                                                                                              {
                                                                                                                                                                                switch (*(char *)(_ev->_id + 21))
                                                                                                                                                                                  {
                                                                                                                                                                                  case ':':
                                                                                                                                                                                    {
                                                                                                                                                                                      switch (*(char *)(_ev->_id + 22))
                                                                                                                                                                                        {
                                                                                                                                                                                        case '1':
                                                                                                                                                                                          {
                                                                                                                                                                                            switch (*(char *)(_ev->_id + 23))
                                                                                                                                                                                              {
                                                                                                                                                                                              case '.':
                                                                                                                                                                                                {
                                                                                                                                                                                                  switch (*(char *)(_ev->_id + 24))
                                                                                                                                                                                                    {
                                                                                                                                                                                                    case '0':
                                                                                                                                                                                                      {
                                                                                                                                                                                                        switch (*(char *)(_ev->_id + 25))
                                                                                                                                                                                                          {
                                                                                                                                                                                                          case 0:
                                                                                                                                                                                                            {
                                                                                                                                                                                                              flick_unsigned32_t _t178_temp_string_len;

                                                                                                                                                                                                              flick_xdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t178_temp_string_len);

                                                                                                                                                                                                              flick_suntcp_encode_new_chunk(116);
                                                                                                                                                                                                              flick_xdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(4, 'I', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(8, 'D', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(12, 'L', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(16, ':', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(20, 's', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(24, 'i', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(28, 'm', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(32, 'p', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(36, 'l', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(40, 'e', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(44, '3', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(48, '/', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(52, 'U', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(56, 'N', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(60, 'D', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(64, 'E', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(68, 'R', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(72, 'F', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(76, 'L', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(80, 'O', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(84, 'W', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(88, ':', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(92, '1', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(96, '.', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(100, '0', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(104, 0, flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_signed32(108, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                                                                                                                                                              flick_xdr_encode_unsigned32(112, _t178_temp_string_len, flick_unsigned32_t );
                                                                                                                                                                                                              flick_suntcp_encode_end_chunk(116);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                                              flick_suntcp_encode_new_glob(1 * _t178_temp_string_len, _flick_abort394);
                                                                                                                                                                                                              flick_suntcp_encode_new_chunk(1 * _t178_temp_string_len);
                                                                                                                                                                                                              flick_xdr_encode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t178_temp_string_len);
                                                                                                                                                                                                              CORBA_flick_free(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg);
                                                                                                                                                                                                              flick_suntcp_encode_end_chunk(1 * _t178_temp_string_len);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(1 * _t178_temp_string_len);
                                                                                                                                                                                                              flick_suntcp_encode_new_glob(3, _flick_abort394);
                                                                                                                                                                                                              flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                                                                                                                                              CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                                                                                                                                                              flick_suntcp_encode_end_chunk(0);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(3);
                                                                                                                                                                                                              break;
                                                                                                                                                                                                              {
                                                                                                                                                                                                              _flick_abort394:
                                                                                                                                                                                                                goto _flick_abort375;
                                                                                                                                                                                                              }
                                                                                                                                                                                                            }
                                                                                                                                                                                                          default:
                                                                                                                                                                                                            {
                                                                                                                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                                              break;
                                                                                                                                                                                                            }
                                                                                                                                                                                                          }
                                                                                                                                                                                                        break;
                                                                                                                                                                                                      }
                                                                                                                                                                                                    default:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                      }
                                                                                                                                                                                                    }
                                                                                                                                                                                                  break;
                                                                                                                                                                                                }
                                                                                                                                                                                              default:
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                                  flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                                  break;
                                                                                                                                                                                                }
                                                                                                                                                                                              }
                                                                                                                                                                                            break;
                                                                                                                                                                                          }
                                                                                                                                                                                        default:
                                                                                                                                                                                          {
                                                                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                            flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                            break;
                                                                                                                                                                                          }
                                                                                                                                                                                        }
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  default:
                                                                                                                                                                                    {
                                                                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                      flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  }
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            default:
                                                                                                                                                                              {
                                                                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            }
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      default:
                                                                                                                                                                        {
                                                                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                          flick_suntcp_encode_end_glob(144);
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      }
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                default:
                                                                                                                                                                  {
                                                                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                    flick_suntcp_encode_end_glob(144);
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                }
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          default:
                                                                                                                                                            {
                                                                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                              flick_suntcp_encode_end_glob(144);
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          }
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                        flick_suntcp_encode_end_glob(144);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                  flick_suntcp_encode_end_glob(144);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        default:
                                                                                                                                          {
                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                            flick_suntcp_encode_end_glob(144);
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  default:
                                                                                                                                    {
                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                      flick_suntcp_encode_end_glob(144);
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            default:
                                                                                                                              {
                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                flick_suntcp_encode_end_glob(144);
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            }
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      default:
                                                                                                                        {
                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                          flick_suntcp_encode_end_glob(144);
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      }
                                                                                                                    break;
                                                                                                                  }
                                                                                                                default:
                                                                                                                  {
                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                    flick_suntcp_encode_end_glob(144);
                                                                                                                    break;
                                                                                                                  }
                                                                                                                }
                                                                                                              break;
                                                                                                            }
                                                                                                          default:
                                                                                                            {
                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                              flick_suntcp_encode_end_glob(144);
                                                                                                              break;
                                                                                                            }
                                                                                                          }
                                                                                                        break;
                                                                                                      }
                                                                                                    default:
                                                                                                      {
                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                        flick_suntcp_encode_end_glob(144);
                                                                                                        break;
                                                                                                      }
                                                                                                    }
                                                                                                  break;
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                  flick_suntcp_encode_end_glob(144);
                                                                                                  break;
                                                                                                }
                                                                                              }
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                            flick_suntcp_encode_end_glob(144);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      break;
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                      flick_suntcp_encode_end_glob(144);
                                                                                      break;
                                                                                    }
                                                                                  }
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                flick_suntcp_encode_end_glob(144);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                          flick_suntcp_encode_end_glob(144);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                    flick_suntcp_encode_end_glob(144);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                              flick_suntcp_encode_end_glob(144);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                        flick_suntcp_encode_end_glob(144);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              case (unsigned int) 23:
                                                {
                                                  switch (*(char *)(_ev->_id + 0))
                                                    {
                                                    case 'I':
                                                      {
                                                        switch (*(char *)(_ev->_id + 1))
                                                          {
                                                          case 'D':
                                                            {
                                                              switch (*(char *)(_ev->_id + 2))
                                                                {
                                                                case 'L':
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 3))
                                                                      {
                                                                      case ':':
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 4))
                                                                            {
                                                                            case 's':
                                                                              {
                                                                                switch (*(char *)(_ev->_id + 5))
                                                                                  {
                                                                                  case 'i':
                                                                                    {
                                                                                      switch (*(char *)(_ev->_id + 6))
                                                                                        {
                                                                                        case 'm':
                                                                                          {
                                                                                            switch (*(char *)(_ev->_id + 7))
                                                                                              {
                                                                                              case 'p':
                                                                                                {
                                                                                                  switch (*(char *)(_ev->_id + 8))
                                                                                                    {
                                                                                                    case 'l':
                                                                                                      {
                                                                                                        switch (*(char *)(_ev->_id + 9))
                                                                                                          {
                                                                                                          case 'e':
                                                                                                            {
                                                                                                              switch (*(char *)(_ev->_id + 10))
                                                                                                                {
                                                                                                                case '3':
                                                                                                                  {
                                                                                                                    switch (*(char *)(_ev->_id + 11))
                                                                                                                      {
                                                                                                                      case '/':
                                                                                                                        {
                                                                                                                          switch (*(char *)(_ev->_id + 12))
                                                                                                                            {
                                                                                                                            case 'B':
                                                                                                                              {
                                                                                                                                switch (*(char *)(_ev->_id + 13))
                                                                                                                                  {
                                                                                                                                  case 'A':
                                                                                                                                    {
                                                                                                                                      switch (*(char *)(_ev->_id + 14))
                                                                                                                                        {
                                                                                                                                        case 'D':
                                                                                                                                          {
                                                                                                                                            switch (*(char *)(_ev->_id + 15))
                                                                                                                                              {
                                                                                                                                              case 'N':
                                                                                                                                                {
                                                                                                                                                  switch (*(char *)(_ev->_id + 16))
                                                                                                                                                    {
                                                                                                                                                    case 'U':
                                                                                                                                                      {
                                                                                                                                                        switch (*(char *)(_ev->_id + 17))
                                                                                                                                                          {
                                                                                                                                                          case 'M':
                                                                                                                                                            {
                                                                                                                                                              switch (*(char *)(_ev->_id + 18))
                                                                                                                                                                {
                                                                                                                                                                case ':':
                                                                                                                                                                  {
                                                                                                                                                                    switch (*(char *)(_ev->_id + 19))
                                                                                                                                                                      {
                                                                                                                                                                      case '1':
                                                                                                                                                                        {
                                                                                                                                                                          switch (*(char *)(_ev->_id + 20))
                                                                                                                                                                            {
                                                                                                                                                                            case '.':
                                                                                                                                                                              {
                                                                                                                                                                                switch (*(char *)(_ev->_id + 21))
                                                                                                                                                                                  {
                                                                                                                                                                                  case '0':
                                                                                                                                                                                    {
                                                                                                                                                                                      switch (*(char *)(_ev->_id + 22))
                                                                                                                                                                                        {
                                                                                                                                                                                        case 0:
                                                                                                                                                                                          {
#if BYTE_ORDER != BIG_ENDIAN
                                                                                                                                                                                            CORBA_unsigned_long _t179_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                                                                                                                                                                                            flick_suntcp_encode_new_chunk(100);
                                                                                                                                                                                            flick_xdr_encode_unsigned32(0, 23, flick_unsigned32_t );
                                                                                                                                                                                            flick_xdr_encode_char8(4, 'I', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(8, 'D', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(12, 'L', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(16, ':', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(20, 's', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(24, 'i', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(28, 'm', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(32, 'p', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(36, 'l', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(40, 'e', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(44, '3', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(48, '/', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(52, 'B', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(56, 'A', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(60, 'D', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(64, 'N', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(68, 'U', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(72, 'M', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(76, ':', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(80, '1', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(84, '.', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(88, '0', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(92, 0, flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_unsigned32(96, ((simple3_BADNUM *)(_ev->_value._user_except))->c._length, CORBA_unsigned_long );
                                                                                                                                                                                            flick_suntcp_encode_end_chunk(100);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                                                                                                                            if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length + 1 > 10)
                                                                                                                                                                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort400);
                                                                                                                                                                                            for (_t179_array_iter = 0; _t179_array_iter < ((simple3_BADNUM *)(_ev->_value._user_except))->c._length; _t179_array_iter++)
                                                                                                                                                                                              {
                                                                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                flick_xdr_encode_signed32(0, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer[_t179_array_iter], CORBA_long );
                                                                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                continue;
                                                                                                                                                                                              }
                                                                                                                                                                                            if (((simple3_BADNUM *)(_ev->_value._user_except))->c._release)
                                                                                                                                                                                              CORBA_flick_free(((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer);
                                                                                                                                                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._maximum = 0;
                                                                                                                                                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._release = 0;
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                                                                                                                            if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length + 1 > 10)
                                                                                                                                                                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort404);
                                                                                                                                                                                            flick_suntcp_encode_new_chunk(4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                                                                                                                                            flick_xdr_encode_bcopy(0, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                                                                                                                                            if (((simple3_BADNUM *)(_ev->_value._user_except))->c._release)
                                                                                                                                                                                              CORBA_flick_free(((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer);
                                                                                                                                                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._maximum = 0;
                                                                                                                                                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._release = 0;
                                                                                                                                                                                            flick_suntcp_encode_end_chunk(4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
#endif /* ENDIANness */
                                                                                                                                                                                            CORBA_flick_free((simple3_BADNUM *)(_ev->_value._user_except));
                                                                                                                                                                                            flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                            break;
                                                                                                                                                                                            {
#if BYTE_ORDER != BIG_ENDIAN
                                                                                                                                                                                            _flick_abort400:
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                                                                                                                            _flick_abort404:
#endif /* ENDIANness */
                                                                                                                                                                                              goto _flick_abort375;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        default:
                                                                                                                                                                                          {
                                                                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                            flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                            break;
                                                                                                                                                                                          }
                                                                                                                                                                                        }
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  default:
                                                                                                                                                                                    {
                                                                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                      flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  }
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            default:
                                                                                                                                                                              {
                                                                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                                flick_suntcp_encode_end_glob(144);
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            }
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      default:
                                                                                                                                                                        {
                                                                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                          flick_suntcp_encode_end_glob(144);
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      }
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                default:
                                                                                                                                                                  {
                                                                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                                    flick_suntcp_encode_end_glob(144);
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                }
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          default:
                                                                                                                                                            {
                                                                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                              flick_suntcp_encode_end_glob(144);
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          }
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                        flick_suntcp_encode_end_glob(144);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                                  flick_suntcp_encode_end_glob(144);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        default:
                                                                                                                                          {
                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                            flick_suntcp_encode_end_glob(144);
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  default:
                                                                                                                                    {
                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                      flick_suntcp_encode_end_glob(144);
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            default:
                                                                                                                              {
                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                                flick_suntcp_encode_end_glob(144);
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            }
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      default:
                                                                                                                        {
                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                          flick_suntcp_encode_end_glob(144);
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      }
                                                                                                                    break;
                                                                                                                  }
                                                                                                                default:
                                                                                                                  {
                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                                    flick_suntcp_encode_end_glob(144);
                                                                                                                    break;
                                                                                                                  }
                                                                                                                }
                                                                                                              break;
                                                                                                            }
                                                                                                          default:
                                                                                                            {
                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                              flick_suntcp_encode_end_glob(144);
                                                                                                              break;
                                                                                                            }
                                                                                                          }
                                                                                                        break;
                                                                                                      }
                                                                                                    default:
                                                                                                      {
                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                        flick_suntcp_encode_end_glob(144);
                                                                                                        break;
                                                                                                      }
                                                                                                    }
                                                                                                  break;
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                                  flick_suntcp_encode_end_glob(144);
                                                                                                  break;
                                                                                                }
                                                                                              }
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                            flick_suntcp_encode_end_glob(144);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      break;
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                      flick_suntcp_encode_end_glob(144);
                                                                                      break;
                                                                                    }
                                                                                  }
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                                flick_suntcp_encode_end_glob(144);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                          flick_suntcp_encode_end_glob(144);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                                    flick_suntcp_encode_end_glob(144);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                              flick_suntcp_encode_end_glob(144);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                        flick_suntcp_encode_end_glob(144);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort375);
                                                  flick_suntcp_encode_end_glob(144);
                                                  break;
                                                }
                                              }
                                            break;
                                            {
                                            _flick_abort375:
                                              goto _flick_abort339;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort339:
                                      goto _flick_abort338;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort338:
                                    goto _flick_abort175;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t180_switch_tag;

                            flick_suntcp_check_span(24, _flick_abort175);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t180_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t180_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    simple3 _obj;
                                    unsigned int _t181_ignore;
                                    CORBA_char *_return;
                                    CORBA_char *_local_x;
                                    flick_unsigned32_t _t182_temp_string_len;
                                    CORBA_char **_local_y;
                                    CORBA_char *_t183_storage;
                                    flick_unsigned32_t _t184_temp_string_len;
                                    CORBA_char **_local_z;
                                    CORBA_char *_t185_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t186_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort406);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t181_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t181_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t181_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t181_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_unsigned32(16, _t182_temp_string_len, flick_unsigned32_t );
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_decode_new_glob(1 * _t182_temp_string_len);
                                    flick_suntcp_check_span(1 * _t182_temp_string_len, _flick_abort406);
                                    flick_suntcp_decode_new_chunk(1 * _t182_temp_string_len);
                                    if ((_t182_temp_string_len + 3) & ~3)
                                      {
                                        flick_xdr_decode_msgptr(0, _local_x, CORBA_char *);
                                      }
                                    else
                                      {
                                        {
                                          CORBA_char *_t_alloc_ptr;

                                          _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t182_temp_string_len + 1) * sizeof(CORBA_char )));
                                          if (!_t_alloc_ptr)
                                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort406);
                                          _local_x = _t_alloc_ptr;
                                        }
                                        flick_xdr_decode_bcopy(0, _local_x, 1 * _t182_temp_string_len);
                                      }
                                    flick_suntcp_decode_end_chunk(1 * _t182_temp_string_len);
                                    _local_x[_t182_temp_string_len] = 0;
                                    flick_suntcp_decode_end_glob(1 * _t182_temp_string_len);
                                    flick_suntcp_decode_new_glob(7);
                                    flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_suntcp_check_span(4, _flick_abort409);
                                    _local_y = (CORBA_char **)(&_t183_storage);
                                    flick_xdr_decode_unsigned32(0, _t184_temp_string_len, flick_unsigned32_t );
                                    flick_suntcp_decode_end_chunk(4);
                                    flick_suntcp_decode_end_glob(7);
                                    flick_suntcp_decode_new_glob(1 * _t184_temp_string_len);
                                    flick_suntcp_check_span(1 * _t184_temp_string_len, _flick_abort409);
                                    flick_suntcp_decode_new_chunk(1 * _t184_temp_string_len);
                                    {
                                      CORBA_char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t184_temp_string_len + 1) * sizeof(CORBA_char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort409);
                                      *_local_y = _t_alloc_ptr;
                                    }
                                    flick_xdr_decode_bcopy(0, *_local_y, 1 * _t184_temp_string_len);
                                    flick_suntcp_decode_end_chunk(1 * _t184_temp_string_len);
                                    (*_local_y)[_t184_temp_string_len] = 0;
                                    flick_suntcp_decode_end_glob(1 * _t184_temp_string_len);
                                    flick_suntcp_decode_new_glob(3);
                                    flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                    _local_z = (CORBA_char **)(&_t185_storage);
                                    _ev = (CORBA_Environment *)(&_t186_storage);
                                    flick_suntcp_decode_end_chunk(0);
                                    flick_suntcp_decode_end_glob(3);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = simple3_op4(_obj, _local_x, _local_y, _local_z, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort412);
                                      flick_suntcp_encode_new_glob(120, _flick_abort412);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t192_temp_string_len;
                                            flick_unsigned32_t _t193_temp_string_len;
                                            flick_unsigned32_t _t194_temp_string_len;

                                            flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t192_temp_string_len);
                                            flick_xdr_stringlen(CORBA_char *, *_local_y, flick_unsigned32_t , _t193_temp_string_len);
                                            flick_xdr_stringlen(CORBA_char *, *_local_z, flick_unsigned32_t , _t194_temp_string_len);

                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_unsigned32(0, _t192_temp_string_len, flick_unsigned32_t );
                                            flick_suntcp_encode_end_chunk(4);
                                            flick_suntcp_encode_end_glob(120);
                                            flick_suntcp_encode_new_glob(1 * _t192_temp_string_len, _flick_abort430);
                                            flick_suntcp_encode_new_chunk(1 * _t192_temp_string_len);
                                            flick_xdr_encode_bcopy(0, _return, 1 * _t192_temp_string_len);
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_suntcp_encode_end_chunk(1 * _t192_temp_string_len);
                                            flick_suntcp_encode_end_glob(1 * _t192_temp_string_len);
                                            flick_suntcp_encode_new_glob(7, _flick_abort430);
                                            flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_xdr_encode_unsigned32(0, _t193_temp_string_len, flick_unsigned32_t );
                                            flick_suntcp_encode_end_chunk(4);
                                            flick_suntcp_encode_end_glob(7);
                                            flick_suntcp_encode_new_glob(1 * _t193_temp_string_len, _flick_abort430);
                                            flick_suntcp_encode_new_chunk(1 * _t193_temp_string_len);
                                            flick_xdr_encode_bcopy(0, *_local_y, 1 * _t193_temp_string_len);
                                            CORBA_flick_free(*_local_y);
                                            *_local_y = 0;
                                            flick_suntcp_encode_end_chunk(1 * _t193_temp_string_len);
                                            flick_suntcp_encode_end_glob(1 * _t193_temp_string_len);
                                            flick_suntcp_encode_new_glob(7, _flick_abort430);
                                            flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_xdr_encode_unsigned32(0, _t194_temp_string_len, flick_unsigned32_t );
                                            flick_suntcp_encode_end_chunk(4);
                                            flick_suntcp_encode_end_glob(7);
                                            flick_suntcp_encode_new_glob(1 * _t194_temp_string_len, _flick_abort430);
                                            flick_suntcp_encode_new_chunk(1 * _t194_temp_string_len);
                                            flick_xdr_encode_bcopy(0, *_local_z, 1 * _t194_temp_string_len);
                                            CORBA_flick_free(*_local_z);
                                            *_local_z = 0;
                                            flick_suntcp_encode_end_chunk(1 * _t194_temp_string_len);
                                            flick_suntcp_encode_end_glob(1 * _t194_temp_string_len);
                                            flick_suntcp_encode_new_glob(3, _flick_abort430);
                                            flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                            flick_suntcp_encode_end_chunk(0);
                                            flick_suntcp_encode_end_glob(3);
                                            break;
                                            {
                                            _flick_abort430:
                                              goto _flick_abort412;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(120);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort437);
                                            break;
                                            {
                                            _flick_abort437:
                                              goto _flick_abort412;
                                            }
                                          }
                                        default:
                                          {
                                            switch ((unsigned int )(1+strlen(_ev->_id)))
                                              {
                                              case (unsigned int) 26:
                                                {
                                                  switch (*(char *)(_ev->_id + 0))
                                                    {
                                                    case 'I':
                                                      {
                                                        switch (*(char *)(_ev->_id + 1))
                                                          {
                                                          case 'D':
                                                            {
                                                              switch (*(char *)(_ev->_id + 2))
                                                                {
                                                                case 'L':
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 3))
                                                                      {
                                                                      case ':':
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 4))
                                                                            {
                                                                            case 's':
                                                                              {
                                                                                switch (*(char *)(_ev->_id + 5))
                                                                                  {
                                                                                  case 'i':
                                                                                    {
                                                                                      switch (*(char *)(_ev->_id + 6))
                                                                                        {
                                                                                        case 'm':
                                                                                          {
                                                                                            switch (*(char *)(_ev->_id + 7))
                                                                                              {
                                                                                              case 'p':
                                                                                                {
                                                                                                  switch (*(char *)(_ev->_id + 8))
                                                                                                    {
                                                                                                    case 'l':
                                                                                                      {
                                                                                                        switch (*(char *)(_ev->_id + 9))
                                                                                                          {
                                                                                                          case 'e':
                                                                                                            {
                                                                                                              switch (*(char *)(_ev->_id + 10))
                                                                                                                {
                                                                                                                case '3':
                                                                                                                  {
                                                                                                                    switch (*(char *)(_ev->_id + 11))
                                                                                                                      {
                                                                                                                      case '/':
                                                                                                                        {
                                                                                                                          switch (*(char *)(_ev->_id + 12))
                                                                                                                            {
                                                                                                                            case 'U':
                                                                                                                              {
                                                                                                                                switch (*(char *)(_ev->_id + 13))
                                                                                                                                  {
                                                                                                                                  case 'N':
                                                                                                                                    {
                                                                                                                                      switch (*(char *)(_ev->_id + 14))
                                                                                                                                        {
                                                                                                                                        case 'D':
                                                                                                                                          {
                                                                                                                                            switch (*(char *)(_ev->_id + 15))
                                                                                                                                              {
                                                                                                                                              case 'E':
                                                                                                                                                {
                                                                                                                                                  switch (*(char *)(_ev->_id + 16))
                                                                                                                                                    {
                                                                                                                                                    case 'R':
                                                                                                                                                      {
                                                                                                                                                        switch (*(char *)(_ev->_id + 17))
                                                                                                                                                          {
                                                                                                                                                          case 'F':
                                                                                                                                                            {
                                                                                                                                                              switch (*(char *)(_ev->_id + 18))
                                                                                                                                                                {
                                                                                                                                                                case 'L':
                                                                                                                                                                  {
                                                                                                                                                                    switch (*(char *)(_ev->_id + 19))
                                                                                                                                                                      {
                                                                                                                                                                      case 'O':
                                                                                                                                                                        {
                                                                                                                                                                          switch (*(char *)(_ev->_id + 20))
                                                                                                                                                                            {
                                                                                                                                                                            case 'W':
                                                                                                                                                                              {
                                                                                                                                                                                switch (*(char *)(_ev->_id + 21))
                                                                                                                                                                                  {
                                                                                                                                                                                  case ':':
                                                                                                                                                                                    {
                                                                                                                                                                                      switch (*(char *)(_ev->_id + 22))
                                                                                                                                                                                        {
                                                                                                                                                                                        case '1':
                                                                                                                                                                                          {
                                                                                                                                                                                            switch (*(char *)(_ev->_id + 23))
                                                                                                                                                                                              {
                                                                                                                                                                                              case '.':
                                                                                                                                                                                                {
                                                                                                                                                                                                  switch (*(char *)(_ev->_id + 24))
                                                                                                                                                                                                    {
                                                                                                                                                                                                    case '0':
                                                                                                                                                                                                      {
                                                                                                                                                                                                        switch (*(char *)(_ev->_id + 25))
                                                                                                                                                                                                          {
                                                                                                                                                                                                          case 0:
                                                                                                                                                                                                            {
                                                                                                                                                                                                              flick_unsigned32_t _t196_temp_string_len;

                                                                                                                                                                                                              flick_xdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t196_temp_string_len);

                                                                                                                                                                                                              flick_suntcp_encode_new_chunk(116);
                                                                                                                                                                                                              flick_xdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(4, 'I', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(8, 'D', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(12, 'L', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(16, ':', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(20, 's', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(24, 'i', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(28, 'm', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(32, 'p', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(36, 'l', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(40, 'e', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(44, '3', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(48, '/', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(52, 'U', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(56, 'N', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(60, 'D', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(64, 'E', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(68, 'R', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(72, 'F', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(76, 'L', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(80, 'O', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(84, 'W', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(88, ':', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(92, '1', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(96, '.', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(100, '0', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(104, 0, flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_signed32(108, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                                                                                                                                                              flick_xdr_encode_unsigned32(112, _t196_temp_string_len, flick_unsigned32_t );
                                                                                                                                                                                                              flick_suntcp_encode_end_chunk(116);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(120);
                                                                                                                                                                                                              flick_suntcp_encode_new_glob(1 * _t196_temp_string_len, _flick_abort443);
                                                                                                                                                                                                              flick_suntcp_encode_new_chunk(1 * _t196_temp_string_len);
                                                                                                                                                                                                              flick_xdr_encode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t196_temp_string_len);
                                                                                                                                                                                                              CORBA_flick_free(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg);
                                                                                                                                                                                                              flick_suntcp_encode_end_chunk(1 * _t196_temp_string_len);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(1 * _t196_temp_string_len);
                                                                                                                                                                                                              flick_suntcp_encode_new_glob(3, _flick_abort443);
                                                                                                                                                                                                              flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                                                                                                                                              CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                                                                                                                                                              flick_suntcp_encode_end_chunk(0);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(3);
                                                                                                                                                                                                              break;
                                                                                                                                                                                                              {
                                                                                                                                                                                                              _flick_abort443:
                                                                                                                                                                                                                goto _flick_abort438;
                                                                                                                                                                                                              }
                                                                                                                                                                                                            }
                                                                                                                                                                                                          default:
                                                                                                                                                                                                            {
                                                                                                                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(120);
                                                                                                                                                                                                              break;
                                                                                                                                                                                                            }
                                                                                                                                                                                                          }
                                                                                                                                                                                                        break;
                                                                                                                                                                                                      }
                                                                                                                                                                                                    default:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(120);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                      }
                                                                                                                                                                                                    }
                                                                                                                                                                                                  break;
                                                                                                                                                                                                }
                                                                                                                                                                                              default:
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                                                                                  flick_suntcp_encode_end_glob(120);
                                                                                                                                                                                                  break;
                                                                                                                                                                                                }
                                                                                                                                                                                              }
                                                                                                                                                                                            break;
                                                                                                                                                                                          }
                                                                                                                                                                                        default:
                                                                                                                                                                                          {
                                                                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                                                                            flick_suntcp_encode_end_glob(120);
                                                                                                                                                                                            break;
                                                                                                                                                                                          }
                                                                                                                                                                                        }
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  default:
                                                                                                                                                                                    {
                                                                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                                                                      flick_suntcp_encode_end_glob(120);
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  }
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            default:
                                                                                                                                                                              {
                                                                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                                                                flick_suntcp_encode_end_glob(120);
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            }
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      default:
                                                                                                                                                                        {
                                                                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                                                          flick_suntcp_encode_end_glob(120);
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      }
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                default:
                                                                                                                                                                  {
                                                                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                                                    flick_suntcp_encode_end_glob(120);
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                }
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          default:
                                                                                                                                                            {
                                                                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                                              flick_suntcp_encode_end_glob(120);
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          }
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                                        flick_suntcp_encode_end_glob(120);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                                  flick_suntcp_encode_end_glob(120);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        default:
                                                                                                                                          {
                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                            flick_suntcp_encode_end_glob(120);
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  default:
                                                                                                                                    {
                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                      flick_suntcp_encode_end_glob(120);
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            default:
                                                                                                                              {
                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                                flick_suntcp_encode_end_glob(120);
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            }
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      default:
                                                                                                                        {
                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                          flick_suntcp_encode_end_glob(120);
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      }
                                                                                                                    break;
                                                                                                                  }
                                                                                                                default:
                                                                                                                  {
                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                                    flick_suntcp_encode_end_glob(120);
                                                                                                                    break;
                                                                                                                  }
                                                                                                                }
                                                                                                              break;
                                                                                                            }
                                                                                                          default:
                                                                                                            {
                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                              flick_suntcp_encode_end_glob(120);
                                                                                                              break;
                                                                                                            }
                                                                                                          }
                                                                                                        break;
                                                                                                      }
                                                                                                    default:
                                                                                                      {
                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                        flick_suntcp_encode_end_glob(120);
                                                                                                        break;
                                                                                                      }
                                                                                                    }
                                                                                                  break;
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                                  flick_suntcp_encode_end_glob(120);
                                                                                                  break;
                                                                                                }
                                                                                              }
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                            flick_suntcp_encode_end_glob(120);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      break;
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                      flick_suntcp_encode_end_glob(120);
                                                                                      break;
                                                                                    }
                                                                                  }
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                                flick_suntcp_encode_end_glob(120);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                          flick_suntcp_encode_end_glob(120);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                                    flick_suntcp_encode_end_glob(120);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                              flick_suntcp_encode_end_glob(120);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                        flick_suntcp_encode_end_glob(120);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort438);
                                                  flick_suntcp_encode_end_glob(120);
                                                  break;
                                                }
                                              }
                                            break;
                                            {
                                            _flick_abort438:
                                              goto _flick_abort412;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort412:
                                      CORBA_flick_free(*_local_y);
                                    _flick_abort409:
                                      auto_flick_free(_local_x);
                                    _flick_abort406:
                                      goto _flick_abort405;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort405:
                                    goto _flick_abort175;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t197_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t197_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t197_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    simple3 _obj;
                                    unsigned int _t198_ignore;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t199_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort447);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(16);
                                    flick_xdr_decode_unsigned32(0, _t198_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t198_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t198_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t198_ignore, unsigned int );
                                    _ev = (CORBA_Environment *)(&_t199_storage);
                                    flick_suntcp_decode_end_chunk(16);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    simple3_op5(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort447);
                                      flick_suntcp_encode_new_glob(116, _flick_abort447);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(116);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(116);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort460);
                                            break;
                                            {
                                            _flick_abort460:
                                              goto _flick_abort447;
                                            }
                                          }
                                        default:
                                          {
                                            switch ((unsigned int )(1+strlen(_ev->_id)))
                                              {
                                              case (unsigned int) 26:
                                                {
                                                  switch (*(char *)(_ev->_id + 0))
                                                    {
                                                    case 'I':
                                                      {
                                                        switch (*(char *)(_ev->_id + 1))
                                                          {
                                                          case 'D':
                                                            {
                                                              switch (*(char *)(_ev->_id + 2))
                                                                {
                                                                case 'L':
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 3))
                                                                      {
                                                                      case ':':
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 4))
                                                                            {
                                                                            case 's':
                                                                              {
                                                                                switch (*(char *)(_ev->_id + 5))
                                                                                  {
                                                                                  case 'i':
                                                                                    {
                                                                                      switch (*(char *)(_ev->_id + 6))
                                                                                        {
                                                                                        case 'm':
                                                                                          {
                                                                                            switch (*(char *)(_ev->_id + 7))
                                                                                              {
                                                                                              case 'p':
                                                                                                {
                                                                                                  switch (*(char *)(_ev->_id + 8))
                                                                                                    {
                                                                                                    case 'l':
                                                                                                      {
                                                                                                        switch (*(char *)(_ev->_id + 9))
                                                                                                          {
                                                                                                          case 'e':
                                                                                                            {
                                                                                                              switch (*(char *)(_ev->_id + 10))
                                                                                                                {
                                                                                                                case '3':
                                                                                                                  {
                                                                                                                    switch (*(char *)(_ev->_id + 11))
                                                                                                                      {
                                                                                                                      case '/':
                                                                                                                        {
                                                                                                                          switch (*(char *)(_ev->_id + 12))
                                                                                                                            {
                                                                                                                            case 'U':
                                                                                                                              {
                                                                                                                                switch (*(char *)(_ev->_id + 13))
                                                                                                                                  {
                                                                                                                                  case 'S':
                                                                                                                                    {
                                                                                                                                      switch (*(char *)(_ev->_id + 14))
                                                                                                                                        {
                                                                                                                                        case 'E':
                                                                                                                                          {
                                                                                                                                            switch (*(char *)(_ev->_id + 15))
                                                                                                                                              {
                                                                                                                                              case 'R':
                                                                                                                                                {
                                                                                                                                                  switch (*(char *)(_ev->_id + 16))
                                                                                                                                                    {
                                                                                                                                                    case 'E':
                                                                                                                                                      {
                                                                                                                                                        switch (*(char *)(_ev->_id + 17))
                                                                                                                                                          {
                                                                                                                                                          case 'R':
                                                                                                                                                            {
                                                                                                                                                              switch (*(char *)(_ev->_id + 18))
                                                                                                                                                                {
                                                                                                                                                                case 'R':
                                                                                                                                                                  {
                                                                                                                                                                    switch (*(char *)(_ev->_id + 19))
                                                                                                                                                                      {
                                                                                                                                                                      case 'O':
                                                                                                                                                                        {
                                                                                                                                                                          switch (*(char *)(_ev->_id + 20))
                                                                                                                                                                            {
                                                                                                                                                                            case 'R':
                                                                                                                                                                              {
                                                                                                                                                                                switch (*(char *)(_ev->_id + 21))
                                                                                                                                                                                  {
                                                                                                                                                                                  case ':':
                                                                                                                                                                                    {
                                                                                                                                                                                      switch (*(char *)(_ev->_id + 22))
                                                                                                                                                                                        {
                                                                                                                                                                                        case '1':
                                                                                                                                                                                          {
                                                                                                                                                                                            switch (*(char *)(_ev->_id + 23))
                                                                                                                                                                                              {
                                                                                                                                                                                              case '.':
                                                                                                                                                                                                {
                                                                                                                                                                                                  switch (*(char *)(_ev->_id + 24))
                                                                                                                                                                                                    {
                                                                                                                                                                                                    case '0':
                                                                                                                                                                                                      {
                                                                                                                                                                                                        switch (*(char *)(_ev->_id + 25))
                                                                                                                                                                                                          {
                                                                                                                                                                                                          case 0:
                                                                                                                                                                                                            {
                                                                                                                                                                                                              flick_unsigned32_t _t203_temp_string_len;

                                                                                                                                                                                                              flick_xdr_stringlen(CORBA_char *, ((simple3_USERERROR *)(_ev->_value._user_except))->reason, flick_unsigned32_t , _t203_temp_string_len);

                                                                                                                                                                                                              flick_suntcp_encode_new_chunk(112);
                                                                                                                                                                                                              flick_xdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(4, 'I', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(8, 'D', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(12, 'L', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(16, ':', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(20, 's', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(24, 'i', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(28, 'm', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(32, 'p', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(36, 'l', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(40, 'e', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(44, '3', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(48, '/', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(52, 'U', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(56, 'S', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(60, 'E', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(64, 'R', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(68, 'E', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(72, 'R', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(76, 'R', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(80, 'O', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(84, 'R', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(88, ':', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(92, '1', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(96, '.', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(100, '0', flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_char8(104, 0, flick_char8_t );
                                                                                                                                                                                                              flick_xdr_encode_unsigned32(108, _t203_temp_string_len, flick_unsigned32_t );
                                                                                                                                                                                                              flick_suntcp_encode_end_chunk(112);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(116);
                                                                                                                                                                                                              flick_suntcp_encode_new_glob(1 * _t203_temp_string_len, _flick_abort466);
                                                                                                                                                                                                              flick_suntcp_encode_new_chunk(1 * _t203_temp_string_len);
                                                                                                                                                                                                              flick_xdr_encode_bcopy(0, ((simple3_USERERROR *)(_ev->_value._user_except))->reason, 1 * _t203_temp_string_len);
                                                                                                                                                                                                              CORBA_flick_free(((simple3_USERERROR *)(_ev->_value._user_except))->reason);
                                                                                                                                                                                                              flick_suntcp_encode_end_chunk(1 * _t203_temp_string_len);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(1 * _t203_temp_string_len);
                                                                                                                                                                                                              flick_suntcp_encode_new_glob(3, _flick_abort466);
                                                                                                                                                                                                              flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                                                                                                                                              CORBA_flick_free((simple3_USERERROR *)(_ev->_value._user_except));
                                                                                                                                                                                                              flick_suntcp_encode_end_chunk(0);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(3);
                                                                                                                                                                                                              break;
                                                                                                                                                                                                              {
                                                                                                                                                                                                              _flick_abort466:
                                                                                                                                                                                                                goto _flick_abort461;
                                                                                                                                                                                                              }
                                                                                                                                                                                                            }
                                                                                                                                                                                                          default:
                                                                                                                                                                                                            {
                                                                                                                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                                                                                              flick_suntcp_encode_end_glob(116);
                                                                                                                                                                                                              break;
                                                                                                                                                                                                            }
                                                                                                                                                                                                          }
                                                                                                                                                                                                        break;
                                                                                                                                                                                                      }
                                                                                                                                                                                                    default:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(116);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                      }
                                                                                                                                                                                                    }
                                                                                                                                                                                                  break;
                                                                                                                                                                                                }
                                                                                                                                                                                              default:
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                                                                                  flick_suntcp_encode_end_glob(116);
                                                                                                                                                                                                  break;
                                                                                                                                                                                                }
                                                                                                                                                                                              }
                                                                                                                                                                                            break;
                                                                                                                                                                                          }
                                                                                                                                                                                        default:
                                                                                                                                                                                          {
                                                                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                                                                            flick_suntcp_encode_end_glob(116);
                                                                                                                                                                                            break;
                                                                                                                                                                                          }
                                                                                                                                                                                        }
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  default:
                                                                                                                                                                                    {
                                                                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                                                                      flick_suntcp_encode_end_glob(116);
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  }
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            default:
                                                                                                                                                                              {
                                                                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                                                                flick_suntcp_encode_end_glob(116);
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            }
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      default:
                                                                                                                                                                        {
                                                                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                                                          flick_suntcp_encode_end_glob(116);
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      }
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                default:
                                                                                                                                                                  {
                                                                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                                                    flick_suntcp_encode_end_glob(116);
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                }
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          default:
                                                                                                                                                            {
                                                                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                                              flick_suntcp_encode_end_glob(116);
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          }
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                                        flick_suntcp_encode_end_glob(116);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                                  flick_suntcp_encode_end_glob(116);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        default:
                                                                                                                                          {
                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                            flick_suntcp_encode_end_glob(116);
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  default:
                                                                                                                                    {
                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                      flick_suntcp_encode_end_glob(116);
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            default:
                                                                                                                              {
                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                                flick_suntcp_encode_end_glob(116);
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            }
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      default:
                                                                                                                        {
                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                          flick_suntcp_encode_end_glob(116);
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      }
                                                                                                                    break;
                                                                                                                  }
                                                                                                                default:
                                                                                                                  {
                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                                    flick_suntcp_encode_end_glob(116);
                                                                                                                    break;
                                                                                                                  }
                                                                                                                }
                                                                                                              break;
                                                                                                            }
                                                                                                          default:
                                                                                                            {
                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                              flick_suntcp_encode_end_glob(116);
                                                                                                              break;
                                                                                                            }
                                                                                                          }
                                                                                                        break;
                                                                                                      }
                                                                                                    default:
                                                                                                      {
                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                        flick_suntcp_encode_end_glob(116);
                                                                                                        break;
                                                                                                      }
                                                                                                    }
                                                                                                  break;
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                                  flick_suntcp_encode_end_glob(116);
                                                                                                  break;
                                                                                                }
                                                                                              }
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                            flick_suntcp_encode_end_glob(116);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      break;
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                      flick_suntcp_encode_end_glob(116);
                                                                                      break;
                                                                                    }
                                                                                  }
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                                flick_suntcp_encode_end_glob(116);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                          flick_suntcp_encode_end_glob(116);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                                    flick_suntcp_encode_end_glob(116);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                              flick_suntcp_encode_end_glob(116);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                        flick_suntcp_encode_end_glob(116);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort461);
                                                  flick_suntcp_encode_end_glob(116);
                                                  break;
                                                }
                                              }
                                            break;
                                            {
                                            _flick_abort461:
                                              goto _flick_abort447;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort447:
                                      goto _flick_abort446;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort446:
                                    goto _flick_abort175;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t204_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort175);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t204_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t204_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    simple3 _obj;
                                    unsigned int _t205_ignore;
                                    CORBA_long _return;
                                    CORBA_long _local_a;
                                    simple _local_b;
                                    simple2 *_local_c;
                                    simple2 _t206_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t207_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort470);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t205_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t205_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t205_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t205_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                                    flick_xdr_decode_port32(20, _local_b, 1);
                                    flick_suntcp_mark_port_for_cleanup(_local_b, 1);
                                    _local_c = (simple2 *)(&_t206_storage);
                                    _ev = (CORBA_Environment *)(&_t207_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = simple3_op2(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort470);
                                      flick_suntcp_encode_new_glob(12, _flick_abort470);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(8);
                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                            flick_xdr_encode_port32(4, *_local_c, 0);
                                            flick_suntcp_encode_end_chunk(8);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(12);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort476);
                                            break;
                                            {
                                            _flick_abort476:
                                              goto _flick_abort470;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort477);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                            {
                                            _flick_abort477:
                                              goto _flick_abort470;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort470:
                                      goto _flick_abort469;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort469:
                                    goto _flick_abort175;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t208_switch_tag;

          flick_suntcp_check_span(36, _flick_abort175);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t208_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t208_switch_tag)
            {
            case 'o':
              {
                char _t209_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t209_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t209_switch_tag)
                  {
                  case 'p':
                    {
                      char _t210_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t210_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t210_switch_tag)
                        {
                        case 0:
                          {
                            {
                              simple3 _obj;
                              unsigned int _t211_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              simple *_local_b;
                              simple _t212_storage;
                              CORBA_long *_local_c;
                              CORBA_long _t213_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t214_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort479);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(24);
                              flick_xdr_decode_unsigned32(0, _t211_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t211_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t211_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t211_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _local_b = (simple *)(&_t212_storage);
                              _local_c = (CORBA_long *)(&_t213_storage);
                              flick_xdr_decode_signed32(20, *_local_c, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t214_storage);
                              flick_suntcp_decode_end_chunk(24);
                              flick_suntcp_decode_end_glob(48);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = simple3_op(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort479);
                                flick_suntcp_encode_new_glob(16, _flick_abort479);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(12);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_xdr_encode_port32(4, *_local_b, 0);
                                      flick_xdr_encode_signed32(8, *_local_c, CORBA_long );
                                      flick_suntcp_encode_end_chunk(12);
                                      flick_suntcp_encode_end_glob(16);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(16);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort485);
                                      break;
                                      {
                                      _flick_abort485:
                                        goto _flick_abort479;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort486);
                                      flick_suntcp_encode_end_glob(16);
                                      break;
                                      {
                                      _flick_abort486:
                                        goto _flick_abort479;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort479:
                                goto _flick_abort478;
                              }
                            }
                            break;
                            {
                            _flick_abort478:
                              goto _flick_abort175;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t215_switch_tag;

          flick_suntcp_check_span(44, _flick_abort175);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t215_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t215_switch_tag)
            {
            case '_':
              {
                char _t216_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t216_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t216_switch_tag)
                  {
                  case 'i':
                    {
                      char _t217_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t217_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t217_switch_tag)
                        {
                        case 's':
                          {
                            char _t218_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t218_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t218_switch_tag)
                              {
                              case '_':
                                {
                                  char _t219_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t219_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t219_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t220_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t220_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t220_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t221_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t222_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t223_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort488);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t221_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t221_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t221_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t221_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t222_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(1 * _t222_temp_string_len);
                                                flick_suntcp_check_span(1 * _t222_temp_string_len, _flick_abort488);
                                                flick_suntcp_decode_new_chunk(1 * _t222_temp_string_len);
                                                if ((_t222_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t222_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort488);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t222_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t222_temp_string_len);
                                                _local_id[_t222_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t222_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t223_storage);
                                                _par = flick_interface_parents_simple3;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort491);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort491);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort497);
                                                        break;
                                                        {
                                                        _flick_abort497:
                                                          goto _flick_abort491;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort498);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort498:
                                                          goto _flick_abort491;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort491:
                                                  auto_flick_free(_local_id);
                                                _flick_abort488:
                                                  goto _flick_abort487;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort487:
                                                goto _flick_abort175;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort175);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort175:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort174);
  _flick_abort174:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

