#include "dif2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_ex1[] = {
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex2[] = {
	"IDL:ex2:1.0",
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex3[] = {
	"IDL:ex3:1.0",
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex4[] = {
	"IDL:ex4:1.0",
	"IDL:ex1:1.0",
	"IDL:ex2:1.0",
	"IDL:ex3:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t ex1_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t22_switch_tag;

    flick_trapeze_decode_new_glob(22);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t22_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t22_switch_tag)
      {
      case (signed int) 0:
        {
          {
            ex1 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t23_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort77);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t23_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex1_op0(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort77);
              flick_trapeze_encode_new_glob(12, _flick_abort77);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
                    break;
                    {
                    _flick_abort84:
                      goto _flick_abort77;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort77:
              goto _flick_abort76;
            }
          }
          break;
          {
          _flick_abort76:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            ex1 _obj;
            CORBA_float _return;
            CORBA_float _local_f;
            CORBA_double *_local_d;
            CORBA_double _t24_storage;
            CORBA_long *_local_l;
            CORBA_long _t25_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t26_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort86);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort86);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_cdr_decode_float32(4, _local_f, CORBA_float );
            _local_d = (CORBA_double *)(&_t24_storage);
            _local_l = (CORBA_long *)(&_t25_storage);
            flick_cdr_decode_signed32(8, *_local_l, CORBA_long );
            _ev = (CORBA_Environment *)(&_t26_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort86);
              flick_trapeze_encode_new_glob(24, _flick_abort86);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_float32(0, _return, CORBA_float );
                    flick_trapeze_encode_end_chunk(4);
                    flick_trapeze_encode_new_chunk_align(12, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                    flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort93);
                    break;
                    {
                    _flick_abort93:
                      goto _flick_abort86;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(24);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort86:
              goto _flick_abort85;
            }
          }
          break;
          {
          _flick_abort85:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            ex1 _obj;
            CORBA_double _return;
            CORBA_double _local_d;
            CORBA_long *_local_l;
            CORBA_long _t27_storage;
            CORBA_short *_local_s;
            CORBA_short _t28_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t29_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort95);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(10, 3, 2, 0);
            flick_trapeze_check_span(10, _flick_abort95);
            flick_cdr_decode_float64(0, _local_d, CORBA_double );
            _local_l = (CORBA_long *)(&_t27_storage);
            _local_s = (CORBA_short *)(&_t28_storage);
            flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
            _ev = (CORBA_Environment *)(&_t29_storage);
            flick_trapeze_decode_end_chunk(10);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort95);
              flick_trapeze_encode_new_glob(22, _flick_abort95);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(14, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return, CORBA_double );
                    flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                    flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                    flick_trapeze_encode_end_chunk(14);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                    break;
                    {
                    _flick_abort102:
                      goto _flick_abort95;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(22);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort95:
              goto _flick_abort94;
            }
          }
          break;
          {
          _flick_abort94:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            ex1 _obj;
            CORBA_long _return;
            CORBA_long _local_l;
            CORBA_short *_local_s;
            CORBA_short _t30_storage;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t31_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t32_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort104);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort104);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_l, CORBA_long );
            _local_s = (CORBA_short *)(&_t30_storage);
            _local_ul = (CORBA_unsigned_long *)(&_t31_storage);
            flick_cdr_decode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
            _ev = (CORBA_Environment *)(&_t32_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort104);
              flick_trapeze_encode_new_glob(16, _flick_abort104);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                    flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
                    break;
                    {
                    _flick_abort111:
                      goto _flick_abort104;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort104:
              goto _flick_abort103;
            }
          }
          break;
          {
          _flick_abort103:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            ex1 _obj;
            CORBA_short _return;
            CORBA_short _local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t33_storage;
            CORBA_unsigned_short *_local_us;
            CORBA_unsigned_short _t34_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t35_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort113);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort113);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_s, CORBA_short );
            _local_ul = (CORBA_unsigned_long *)(&_t33_storage);
            _local_us = (CORBA_unsigned_short *)(&_t34_storage);
            flick_cdr_decode_unsigned16(6, *_local_us, CORBA_unsigned_short );
            _ev = (CORBA_Environment *)(&_t35_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort113);
              flick_trapeze_encode_new_glob(14, _flick_abort113);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(10);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                    flick_trapeze_encode_end_chunk(10);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort120);
                    break;
                    {
                    _flick_abort120:
                      goto _flick_abort113;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(14);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort113:
              goto _flick_abort112;
            }
          }
          break;
          {
          _flick_abort112:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            ex1 _obj;
            CORBA_unsigned_long _return;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t36_storage;
            CORBA_unsigned_short _local_us;
            CORBA_char *_local_c;
            CORBA_char _t37_storage;
            CORBA_boolean _local_b;
            CORBA_Environment *_ev;
            CORBA_Environment _t38_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort122);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(11, _flick_abort122);
            flick_trapeze_decode_new_chunk(11);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_ul = (CORBA_unsigned_long *)(&_t36_storage);
            flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
            flick_cdr_decode_unsigned16(8, _local_us, CORBA_unsigned_short );
            _local_c = (CORBA_char *)(&_t37_storage);
            flick_cdr_decode_unsigned8(10, _local_b, CORBA_boolean );
            _ev = (CORBA_Environment *)(&_t38_storage);
            flick_trapeze_decode_end_chunk(11);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort122);
              flick_trapeze_encode_new_glob(13, _flick_abort122);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(9);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                    flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                    flick_trapeze_encode_end_chunk(9);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort129);
                    break;
                    {
                    _flick_abort129:
                      goto _flick_abort122;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(13);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort122:
              goto _flick_abort121;
            }
          }
          break;
          {
          _flick_abort121:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            ex1 _obj;
            CORBA_unsigned_short _return;
            CORBA_unsigned_short *_local_us;
            CORBA_unsigned_short _t39_storage;
            CORBA_char *_local_c;
            CORBA_char _t40_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t41_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort131);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(5, _flick_abort131);
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_us = (CORBA_unsigned_short *)(&_t39_storage);
            _local_c = (CORBA_char *)(&_t40_storage);
            flick_cdr_decode_char8(4, *_local_c, CORBA_char );
            _ev = (CORBA_Environment *)(&_t41_storage);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex1_op6(_obj, _local_us, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort131);
              flick_trapeze_encode_new_glob(12, _flick_abort131);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(5);
                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                    flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                    flick_trapeze_encode_end_chunk(5);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort138);
                    break;
                    {
                    _flick_abort138:
                      goto _flick_abort131;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort131:
              goto _flick_abort130;
            }
          }
          break;
          {
          _flick_abort130:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t42_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t43_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort140);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort140);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t42_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t42_temp_string_len);
            _ev = (CORBA_Environment *)(&_t43_storage);
            _par = flick_interface_parents_ex1;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort140);
              flick_trapeze_encode_new_glob(12, _flick_abort140);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort147);
                    break;
                    {
                    _flick_abort147:
                      goto _flick_abort140;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort140:
              goto _flick_abort139;
            }
          }
          break;
          {
          _flick_abort139:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(22);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t ex2_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t138_switch_tag;

    flick_trapeze_decode_new_glob(34);
    flick_trapeze_check_span(8, _flick_abort295);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t138_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t138_switch_tag)
      {
      case (signed int) 8:
        {
          {
            ex2 _obj;
            CORBA_char _return;
            CORBA_char _local_c;
            CORBA_boolean *_local_b;
            CORBA_boolean _t139_storage;
            CORBA_octet *_local_o;
            CORBA_octet _t140_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t141_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort441);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(6, _flick_abort441);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_char8(4, _local_c, CORBA_char );
            _local_b = (CORBA_boolean *)(&_t139_storage);
            _local_o = (CORBA_octet *)(&_t140_storage);
            flick_cdr_decode_unsigned8(5, *_local_o, CORBA_octet );
            _ev = (CORBA_Environment *)(&_t141_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort441);
              flick_trapeze_encode_new_glob(12, _flick_abort441);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_char8(0, _return, CORBA_char );
                    flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                    flick_cdr_encode_unsigned8(2, *_local_o, CORBA_octet );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort448);
                    break;
                    {
                    _flick_abort448:
                      goto _flick_abort441;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort441:
              goto _flick_abort440;
            }
          }
          break;
          {
          _flick_abort440:
            goto _flick_abort295;
          }
        }
      case (signed int) 9:
        {
          {
            ex2 _obj;
            CORBA_boolean _return;
            CORBA_boolean *_local_b;
            CORBA_boolean _t142_storage;
            CORBA_octet _local_o;
            CORBA_Environment *_ev;
            CORBA_Environment _t143_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort450);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(5, _flick_abort450);
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_b = (CORBA_boolean *)(&_t142_storage);
            flick_cdr_decode_unsigned8(4, _local_o, CORBA_octet );
            _ev = (CORBA_Environment *)(&_t143_storage);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op8(_obj, _local_b, _local_o, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort450);
              flick_trapeze_encode_new_glob(12, _flick_abort450);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(2);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(2);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort457);
                    break;
                    {
                    _flick_abort457:
                      goto _flick_abort450;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort450:
              goto _flick_abort449;
            }
          }
          break;
          {
          _flick_abort449:
            goto _flick_abort295;
          }
        }
      case (signed int) 10:
        {
          {
            ex2 _obj;
            CORBA_octet _return;
            CORBA_octet *_local_o;
            CORBA_octet _t144_storage;
            CORBA_char **_local_s;
            CORBA_char *_t145_storage;
            CORBA_char *_local_ls;
            flick_unsigned32_t _t146_temp_string_len;
            CORBA_long *_local_l;
            CORBA_long _t147_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t148_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort459);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort459);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_o = (CORBA_octet *)(&_t144_storage);
            flick_cdr_decode_unsigned8(4, *_local_o, CORBA_octet );
            _local_s = (CORBA_char **)(&_t145_storage);
            flick_cdr_decode_unsigned32(8, _t146_temp_string_len, flick_unsigned32_t );
            if (_t146_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort459);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_check_span(1 * _t146_temp_string_len, _flick_abort459);
            flick_trapeze_decode_new_chunk(1 * _t146_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_ls, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t146_temp_string_len);
            _local_l = (CORBA_long *)(&_t147_storage);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(4, _flick_abort459);
            flick_cdr_decode_signed32(0, *_local_l, CORBA_long );
            _ev = (CORBA_Environment *)(&_t148_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort459);
              flick_trapeze_encode_new_glob(16, _flick_abort459);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t150_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t150_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                    flick_cdr_encode_unsigned8(1, *_local_o, CORBA_octet );
                    flick_cdr_encode_unsigned32(4, _t150_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_s, 1 * _t150_temp_string_len);
                    flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort468);
                    break;
                    {
                    _flick_abort468:
                      goto _flick_abort459;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort459:
              goto _flick_abort458;
            }
          }
          break;
          {
          _flick_abort458:
            goto _flick_abort295;
          }
        }
      case (signed int) 11:
        {
          {
            ex2 _obj;
            CORBA_char *_return;
            CORBA_char *_local_s;
            flick_unsigned32_t _t151_temp_string_len;
            CORBA_char **_local_ls;
            CORBA_char *_t152_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t153_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort470);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort470);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t151_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_s, 1 * _t151_temp_string_len);
            _local_ls = (CORBA_char **)(&_t152_storage);
            _ev = (CORBA_Environment *)(&_t153_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort470);
              flick_trapeze_encode_new_glob(23, _flick_abort470);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t156_temp_string_len;
                    flick_unsigned32_t _t157_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t156_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t157_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8 + 1 * _t157_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t156_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return, 1 * _t156_temp_string_len);
                    flick_cdr_encode_unsigned32(4, _t157_temp_string_len, flick_unsigned32_t );
                    if (_t157_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort477);
                    flick_cdr_encode_bcopy(8, *_local_ls, 1 * _t157_temp_string_len);
                    CORBA_flick_free(*_local_ls);
                    *_local_ls = 0;
                    flick_trapeze_encode_end_chunk(8 + 1 * _t157_temp_string_len);
                    break;
                    {
                    _flick_abort477:
                      goto _flick_abort470;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort481);
                    break;
                    {
                    _flick_abort481:
                      goto _flick_abort470;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(23);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort470:
              goto _flick_abort469;
            }
          }
          break;
          {
          _flick_abort469:
            goto _flick_abort295;
          }
        }
      case (signed int) 12:
        {
          {
            ex2 _obj;
            CORBA_char *_return;
            CORBA_char **_local_ls;
            CORBA_char *_t158_storage;
            flick_unsigned32_t _t159_temp_string_len;
            CORBA_long *_local_l;
            CORBA_long _t160_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t161_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort483);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort483);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_ls = (CORBA_char **)(&_t158_storage);
            flick_cdr_decode_unsigned32(4, _t159_temp_string_len, flick_unsigned32_t );
            if (_t159_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort483);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(1 * _t159_temp_string_len, _flick_abort483);
            flick_trapeze_decode_new_chunk(1 * _t159_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort483);
              *_local_ls = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, *_local_ls, 1 * _t159_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t159_temp_string_len);
            _local_l = (CORBA_long *)(&_t160_storage);
            _ev = (CORBA_Environment *)(&_t161_storage);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort486);
              flick_trapeze_encode_new_glob(44, _flick_abort486);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t164_temp_string_len;
                    flick_unsigned32_t _t165_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t164_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t165_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4 + 1 * _t164_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t164_temp_string_len, flick_unsigned32_t );
                    if (_t164_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort495);
                    flick_cdr_encode_bcopy(4, _return, 1 * _t164_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = 0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t164_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(4 + 1 * _t165_temp_string_len, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, _t165_temp_string_len, flick_unsigned32_t );
                    if (_t165_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort495);
                    flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t165_temp_string_len);
                    CORBA_flick_free(*_local_ls);
                    *_local_ls = 0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t165_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                    {
                    _flick_abort495:
                      goto _flick_abort486;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort501);
                    break;
                    {
                    _flick_abort501:
                      goto _flick_abort486;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(44);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort486:
              CORBA_flick_free(*_local_ls);
            _flick_abort483:
              goto _flick_abort482;
            }
          }
          break;
          {
          _flick_abort482:
            goto _flick_abort295;
          }
        }
      case (signed int) 13:
        {
          {
            ex2 _obj;
            CORBA_long _return;
            CORBA_long _local_l;
            CORBA_Environment *_ev;
            CORBA_Environment _t166_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort503);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort503);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_l, CORBA_long );
            _ev = (CORBA_Environment *)(&_t166_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op12(_obj, _local_l, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort503);
              flick_trapeze_encode_new_glob(12, _flick_abort503);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort510);
                    break;
                    {
                    _flick_abort510:
                      goto _flick_abort503;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort503:
              goto _flick_abort502;
            }
          }
          break;
          {
          _flick_abort502:
            goto _flick_abort295;
          }
        }
      case (signed int) 14:
        {
          {
            ex2 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t167_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort512);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t167_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex2_op0(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort512);
              flick_trapeze_encode_new_glob(12, _flick_abort512);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort519);
                    break;
                    {
                    _flick_abort519:
                      goto _flick_abort512;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort512:
              goto _flick_abort511;
            }
          }
          break;
          {
          _flick_abort511:
            goto _flick_abort295;
          }
        }
      case (signed int) 15:
        {
          {
            ex2 _obj;
            CORBA_float _return;
            CORBA_float _local_f;
            CORBA_double *_local_d;
            CORBA_double _t168_storage;
            CORBA_long *_local_l;
            CORBA_long _t169_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t170_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort521);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort521);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_cdr_decode_float32(4, _local_f, CORBA_float );
            _local_d = (CORBA_double *)(&_t168_storage);
            _local_l = (CORBA_long *)(&_t169_storage);
            flick_cdr_decode_signed32(8, *_local_l, CORBA_long );
            _ev = (CORBA_Environment *)(&_t170_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort521);
              flick_trapeze_encode_new_glob(24, _flick_abort521);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_float32(0, _return, CORBA_float );
                    flick_trapeze_encode_end_chunk(4);
                    flick_trapeze_encode_new_chunk_align(12, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                    flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort528);
                    break;
                    {
                    _flick_abort528:
                      goto _flick_abort521;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(24);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort521:
              goto _flick_abort520;
            }
          }
          break;
          {
          _flick_abort520:
            goto _flick_abort295;
          }
        }
      case (signed int) 16:
        {
          {
            ex2 _obj;
            CORBA_double _return;
            CORBA_double _local_d;
            CORBA_long *_local_l;
            CORBA_long _t171_storage;
            CORBA_short *_local_s;
            CORBA_short _t172_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t173_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort530);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(10, 3, 2, 0);
            flick_trapeze_check_span(10, _flick_abort530);
            flick_cdr_decode_float64(0, _local_d, CORBA_double );
            _local_l = (CORBA_long *)(&_t171_storage);
            _local_s = (CORBA_short *)(&_t172_storage);
            flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
            _ev = (CORBA_Environment *)(&_t173_storage);
            flick_trapeze_decode_end_chunk(10);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort530);
              flick_trapeze_encode_new_glob(22, _flick_abort530);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(14, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return, CORBA_double );
                    flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                    flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                    flick_trapeze_encode_end_chunk(14);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort537);
                    break;
                    {
                    _flick_abort537:
                      goto _flick_abort530;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(22);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort530:
              goto _flick_abort529;
            }
          }
          break;
          {
          _flick_abort529:
            goto _flick_abort295;
          }
        }
      case (signed int) 17:
        {
          {
            ex2 _obj;
            CORBA_long _return;
            CORBA_long _local_l;
            CORBA_short *_local_s;
            CORBA_short _t174_storage;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t175_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t176_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort539);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort539);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_l, CORBA_long );
            _local_s = (CORBA_short *)(&_t174_storage);
            _local_ul = (CORBA_unsigned_long *)(&_t175_storage);
            flick_cdr_decode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
            _ev = (CORBA_Environment *)(&_t176_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort539);
              flick_trapeze_encode_new_glob(16, _flick_abort539);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                    flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort546);
                    break;
                    {
                    _flick_abort546:
                      goto _flick_abort539;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort539:
              goto _flick_abort538;
            }
          }
          break;
          {
          _flick_abort538:
            goto _flick_abort295;
          }
        }
      case (signed int) 18:
        {
          {
            ex2 _obj;
            CORBA_short _return;
            CORBA_short _local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t177_storage;
            CORBA_unsigned_short *_local_us;
            CORBA_unsigned_short _t178_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t179_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort548);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort548);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_s, CORBA_short );
            _local_ul = (CORBA_unsigned_long *)(&_t177_storage);
            _local_us = (CORBA_unsigned_short *)(&_t178_storage);
            flick_cdr_decode_unsigned16(6, *_local_us, CORBA_unsigned_short );
            _ev = (CORBA_Environment *)(&_t179_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort548);
              flick_trapeze_encode_new_glob(14, _flick_abort548);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(10);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                    flick_trapeze_encode_end_chunk(10);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort555);
                    break;
                    {
                    _flick_abort555:
                      goto _flick_abort548;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(14);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort548:
              goto _flick_abort547;
            }
          }
          break;
          {
          _flick_abort547:
            goto _flick_abort295;
          }
        }
      case (signed int) 19:
        {
          {
            ex2 _obj;
            CORBA_unsigned_long _return;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t180_storage;
            CORBA_unsigned_short _local_us;
            CORBA_char *_local_c;
            CORBA_char _t181_storage;
            CORBA_boolean _local_b;
            CORBA_Environment *_ev;
            CORBA_Environment _t182_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort557);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(11, _flick_abort557);
            flick_trapeze_decode_new_chunk(11);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_ul = (CORBA_unsigned_long *)(&_t180_storage);
            flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
            flick_cdr_decode_unsigned16(8, _local_us, CORBA_unsigned_short );
            _local_c = (CORBA_char *)(&_t181_storage);
            flick_cdr_decode_unsigned8(10, _local_b, CORBA_boolean );
            _ev = (CORBA_Environment *)(&_t182_storage);
            flick_trapeze_decode_end_chunk(11);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort557);
              flick_trapeze_encode_new_glob(13, _flick_abort557);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(9);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                    flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                    flick_trapeze_encode_end_chunk(9);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort564);
                    break;
                    {
                    _flick_abort564:
                      goto _flick_abort557;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(13);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort557:
              goto _flick_abort556;
            }
          }
          break;
          {
          _flick_abort556:
            goto _flick_abort295;
          }
        }
      case (signed int) 20:
        {
          {
            ex2 _obj;
            CORBA_unsigned_short _return;
            CORBA_unsigned_short *_local_us;
            CORBA_unsigned_short _t183_storage;
            CORBA_char *_local_c;
            CORBA_char _t184_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t185_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort566);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(5, _flick_abort566);
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_us = (CORBA_unsigned_short *)(&_t183_storage);
            _local_c = (CORBA_char *)(&_t184_storage);
            flick_cdr_decode_char8(4, *_local_c, CORBA_char );
            _ev = (CORBA_Environment *)(&_t185_storage);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex2_op6(_obj, _local_us, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort566);
              flick_trapeze_encode_new_glob(12, _flick_abort566);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(5);
                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                    flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                    flick_trapeze_encode_end_chunk(5);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort573);
                    break;
                    {
                    _flick_abort573:
                      goto _flick_abort566;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort566:
              goto _flick_abort565;
            }
          }
          break;
          {
          _flick_abort565:
            goto _flick_abort295;
          }
        }
      case (signed int) 21:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t186_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t187_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort575);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort575);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t186_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t186_temp_string_len);
            _ev = (CORBA_Environment *)(&_t187_storage);
            _par = flick_interface_parents_ex2;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort575);
              flick_trapeze_encode_new_glob(12, _flick_abort575);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort582);
                    break;
                    {
                    _flick_abort582:
                      goto _flick_abort575;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort575:
              goto _flick_abort574;
            }
          }
          break;
          {
          _flick_abort574:
            goto _flick_abort295;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort295);
          flick_trapeze_decode_end_glob(34);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort295:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort294);
  _flick_abort294:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t ex3_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t317_switch_tag;

    flick_trapeze_decode_new_glob(22);
    flick_trapeze_check_span(8, _flick_abort872);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t317_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t317_switch_tag)
      {
      case (signed int) 22:
        {
          {
            ex3 _obj;
            CORBA_float _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t318_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1010);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            _ev = (CORBA_Environment *)(&_t318_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex3__get_float_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1010);
              flick_trapeze_encode_new_glob(12, _flick_abort1010);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_float32(0, _return, CORBA_float );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1017);
                    break;
                    {
                    _flick_abort1017:
                      goto _flick_abort1010;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1010:
              goto _flick_abort1009;
            }
          }
          break;
          {
          _flick_abort1009:
            goto _flick_abort872;
          }
        }
      case (signed int) 23:
        {
          {
            ex3 _obj;
            CORBA_double _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t319_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1019);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            _ev = (CORBA_Environment *)(&_t319_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex3__get_double_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1019);
              flick_trapeze_encode_new_glob(16, _flick_abort1019);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return, CORBA_double );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1026);
                    break;
                    {
                    _flick_abort1026:
                      goto _flick_abort1019;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1019:
              goto _flick_abort1018;
            }
          }
          break;
          {
          _flick_abort1018:
            goto _flick_abort872;
          }
        }
      case (signed int) 24:
        {
          {
            ex3 _obj;
            CORBA_double _local_double_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t320_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1028);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(8, 3, 2, 0);
            flick_trapeze_check_span(8, _flick_abort1028);
            flick_cdr_decode_float64(0, _local_double_attribute, CORBA_double );
            _ev = (CORBA_Environment *)(&_t320_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1028);
              flick_trapeze_encode_new_glob(12, _flick_abort1028);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1035);
                    break;
                    {
                    _flick_abort1035:
                      goto _flick_abort1028;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1028:
              goto _flick_abort1027;
            }
          }
          break;
          {
          _flick_abort1027:
            goto _flick_abort872;
          }
        }
      case (signed int) 25:
        {
          {
            ex3 _obj;
            CORBA_long _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t321_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1037);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t321_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex3__get_long_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1037);
              flick_trapeze_encode_new_glob(12, _flick_abort1037);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1044);
                    break;
                    {
                    _flick_abort1044:
                      goto _flick_abort1037;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1037:
              goto _flick_abort1036;
            }
          }
          break;
          {
          _flick_abort1036:
            goto _flick_abort872;
          }
        }
      case (signed int) 26:
        {
          {
            ex3 _obj;
            CORBA_short _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t322_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1046);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t322_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex3__get_short_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1046);
              flick_trapeze_encode_new_glob(12, _flick_abort1046);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_trapeze_encode_end_chunk(2);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1053);
                    break;
                    {
                    _flick_abort1053:
                      goto _flick_abort1046;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1046:
              goto _flick_abort1045;
            }
          }
          break;
          {
          _flick_abort1045:
            goto _flick_abort872;
          }
        }
      case (signed int) 27:
        {
          {
            ex3 _obj;
            CORBA_short _local_short_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t323_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1055);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(6, _flick_abort1055);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_short_attribute, CORBA_short );
            _ev = (CORBA_Environment *)(&_t323_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1055);
              flick_trapeze_encode_new_glob(12, _flick_abort1055);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1062);
                    break;
                    {
                    _flick_abort1062:
                      goto _flick_abort1055;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1055:
              goto _flick_abort1054;
            }
          }
          break;
          {
          _flick_abort1054:
            goto _flick_abort872;
          }
        }
      case (signed int) 28:
        {
          {
            ex3 _obj;
            CORBA_unsigned_long _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t324_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1064);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t324_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex3__get_unsigned_long_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1064);
              flick_trapeze_encode_new_glob(12, _flick_abort1064);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1071);
                    break;
                    {
                    _flick_abort1071:
                      goto _flick_abort1064;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1064:
              goto _flick_abort1063;
            }
          }
          break;
          {
          _flick_abort1063:
            goto _flick_abort872;
          }
        }
      case (signed int) 29:
        {
          {
            ex3 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t325_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1073);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t325_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex3_op0(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1073);
              flick_trapeze_encode_new_glob(12, _flick_abort1073);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1080);
                    break;
                    {
                    _flick_abort1080:
                      goto _flick_abort1073;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1073:
              goto _flick_abort1072;
            }
          }
          break;
          {
          _flick_abort1072:
            goto _flick_abort872;
          }
        }
      case (signed int) 30:
        {
          {
            ex3 _obj;
            CORBA_float _return;
            CORBA_float _local_f;
            CORBA_double *_local_d;
            CORBA_double _t326_storage;
            CORBA_long *_local_l;
            CORBA_long _t327_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t328_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1082);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort1082);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_cdr_decode_float32(4, _local_f, CORBA_float );
            _local_d = (CORBA_double *)(&_t326_storage);
            _local_l = (CORBA_long *)(&_t327_storage);
            flick_cdr_decode_signed32(8, *_local_l, CORBA_long );
            _ev = (CORBA_Environment *)(&_t328_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1082);
              flick_trapeze_encode_new_glob(24, _flick_abort1082);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_float32(0, _return, CORBA_float );
                    flick_trapeze_encode_end_chunk(4);
                    flick_trapeze_encode_new_chunk_align(12, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                    flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1089);
                    break;
                    {
                    _flick_abort1089:
                      goto _flick_abort1082;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(24);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1082:
              goto _flick_abort1081;
            }
          }
          break;
          {
          _flick_abort1081:
            goto _flick_abort872;
          }
        }
      case (signed int) 31:
        {
          {
            ex3 _obj;
            CORBA_double _return;
            CORBA_double _local_d;
            CORBA_long *_local_l;
            CORBA_long _t329_storage;
            CORBA_short *_local_s;
            CORBA_short _t330_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t331_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1091);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(10, 3, 2, 0);
            flick_trapeze_check_span(10, _flick_abort1091);
            flick_cdr_decode_float64(0, _local_d, CORBA_double );
            _local_l = (CORBA_long *)(&_t329_storage);
            _local_s = (CORBA_short *)(&_t330_storage);
            flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
            _ev = (CORBA_Environment *)(&_t331_storage);
            flick_trapeze_decode_end_chunk(10);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1091);
              flick_trapeze_encode_new_glob(22, _flick_abort1091);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(14, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return, CORBA_double );
                    flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                    flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                    flick_trapeze_encode_end_chunk(14);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1098);
                    break;
                    {
                    _flick_abort1098:
                      goto _flick_abort1091;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(22);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1091:
              goto _flick_abort1090;
            }
          }
          break;
          {
          _flick_abort1090:
            goto _flick_abort872;
          }
        }
      case (signed int) 32:
        {
          {
            ex3 _obj;
            CORBA_long _return;
            CORBA_long _local_l;
            CORBA_short *_local_s;
            CORBA_short _t332_storage;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t333_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t334_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1100);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort1100);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_l, CORBA_long );
            _local_s = (CORBA_short *)(&_t332_storage);
            _local_ul = (CORBA_unsigned_long *)(&_t333_storage);
            flick_cdr_decode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
            _ev = (CORBA_Environment *)(&_t334_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1100);
              flick_trapeze_encode_new_glob(16, _flick_abort1100);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                    flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1107);
                    break;
                    {
                    _flick_abort1107:
                      goto _flick_abort1100;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1100:
              goto _flick_abort1099;
            }
          }
          break;
          {
          _flick_abort1099:
            goto _flick_abort872;
          }
        }
      case (signed int) 33:
        {
          {
            ex3 _obj;
            CORBA_short _return;
            CORBA_short _local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t335_storage;
            CORBA_unsigned_short *_local_us;
            CORBA_unsigned_short _t336_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t337_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1109);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort1109);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_s, CORBA_short );
            _local_ul = (CORBA_unsigned_long *)(&_t335_storage);
            _local_us = (CORBA_unsigned_short *)(&_t336_storage);
            flick_cdr_decode_unsigned16(6, *_local_us, CORBA_unsigned_short );
            _ev = (CORBA_Environment *)(&_t337_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1109);
              flick_trapeze_encode_new_glob(14, _flick_abort1109);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(10);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                    flick_trapeze_encode_end_chunk(10);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1116);
                    break;
                    {
                    _flick_abort1116:
                      goto _flick_abort1109;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(14);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1109:
              goto _flick_abort1108;
            }
          }
          break;
          {
          _flick_abort1108:
            goto _flick_abort872;
          }
        }
      case (signed int) 34:
        {
          {
            ex3 _obj;
            CORBA_unsigned_long _return;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t338_storage;
            CORBA_unsigned_short _local_us;
            CORBA_char *_local_c;
            CORBA_char _t339_storage;
            CORBA_boolean _local_b;
            CORBA_Environment *_ev;
            CORBA_Environment _t340_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1118);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(11, _flick_abort1118);
            flick_trapeze_decode_new_chunk(11);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_ul = (CORBA_unsigned_long *)(&_t338_storage);
            flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
            flick_cdr_decode_unsigned16(8, _local_us, CORBA_unsigned_short );
            _local_c = (CORBA_char *)(&_t339_storage);
            flick_cdr_decode_unsigned8(10, _local_b, CORBA_boolean );
            _ev = (CORBA_Environment *)(&_t340_storage);
            flick_trapeze_decode_end_chunk(11);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1118);
              flick_trapeze_encode_new_glob(13, _flick_abort1118);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(9);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                    flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                    flick_trapeze_encode_end_chunk(9);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1125);
                    break;
                    {
                    _flick_abort1125:
                      goto _flick_abort1118;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(13);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1118:
              goto _flick_abort1117;
            }
          }
          break;
          {
          _flick_abort1117:
            goto _flick_abort872;
          }
        }
      case (signed int) 35:
        {
          {
            ex3 _obj;
            CORBA_unsigned_short _return;
            CORBA_unsigned_short *_local_us;
            CORBA_unsigned_short _t341_storage;
            CORBA_char *_local_c;
            CORBA_char _t342_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t343_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1127);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(5, _flick_abort1127);
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_us = (CORBA_unsigned_short *)(&_t341_storage);
            _local_c = (CORBA_char *)(&_t342_storage);
            flick_cdr_decode_char8(4, *_local_c, CORBA_char );
            _ev = (CORBA_Environment *)(&_t343_storage);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex3_op6(_obj, _local_us, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1127);
              flick_trapeze_encode_new_glob(12, _flick_abort1127);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(5);
                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                    flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                    flick_trapeze_encode_end_chunk(5);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1134);
                    break;
                    {
                    _flick_abort1134:
                      goto _flick_abort1127;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1127:
              goto _flick_abort1126;
            }
          }
          break;
          {
          _flick_abort1126:
            goto _flick_abort872;
          }
        }
      case (signed int) 36:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t344_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t345_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1136);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort1136);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t344_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t344_temp_string_len);
            _ev = (CORBA_Environment *)(&_t345_storage);
            _par = flick_interface_parents_ex3;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1136);
              flick_trapeze_encode_new_glob(12, _flick_abort1136);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1143);
                    break;
                    {
                    _flick_abort1143:
                      goto _flick_abort1136;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1136:
              goto _flick_abort1135;
            }
          }
          break;
          {
          _flick_abort1135:
            goto _flick_abort872;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort872);
          flick_trapeze_decode_end_glob(22);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort872:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort871);
  _flick_abort871:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t ex4_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t475_switch_tag;

    flick_trapeze_decode_new_glob(34);
    flick_trapeze_check_span(8, _flick_abort1417);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t475_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t475_switch_tag)
      {
      case (signed int) 37:
        {
          {
            ex4 _obj;
            CORBA_unsigned_short _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t476_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1711);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t476_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4__get_unsigned_short_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1711);
              flick_trapeze_encode_new_glob(12, _flick_abort1711);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(2);
                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                    flick_trapeze_encode_end_chunk(2);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1718);
                    break;
                    {
                    _flick_abort1718:
                      goto _flick_abort1711;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1711:
              goto _flick_abort1710;
            }
          }
          break;
          {
          _flick_abort1710:
            goto _flick_abort1417;
          }
        }
      case (signed int) 38:
        {
          {
            ex4 _obj;
            CORBA_unsigned_short _local_unsigned_short_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t477_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1720);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(6, _flick_abort1720);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned16(4, _local_unsigned_short_attribute, CORBA_unsigned_short );
            _ev = (CORBA_Environment *)(&_t477_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1720);
              flick_trapeze_encode_new_glob(12, _flick_abort1720);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1727);
                    break;
                    {
                    _flick_abort1727:
                      goto _flick_abort1720;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1720:
              goto _flick_abort1719;
            }
          }
          break;
          {
          _flick_abort1719:
            goto _flick_abort1417;
          }
        }
      case (signed int) 39:
        {
          {
            ex4 _obj;
            CORBA_char _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t478_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1729);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t478_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4__get_char_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1729);
              flick_trapeze_encode_new_glob(12, _flick_abort1729);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_char8(0, _return, CORBA_char );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1736);
                    break;
                    {
                    _flick_abort1736:
                      goto _flick_abort1729;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1729:
              goto _flick_abort1728;
            }
          }
          break;
          {
          _flick_abort1728:
            goto _flick_abort1417;
          }
        }
      case (signed int) 40:
        {
          {
            ex4 _obj;
            CORBA_boolean _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t479_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1738);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t479_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4__get_boolean_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1738);
              flick_trapeze_encode_new_glob(12, _flick_abort1738);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1745);
                    break;
                    {
                    _flick_abort1745:
                      goto _flick_abort1738;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1738:
              goto _flick_abort1737;
            }
          }
          break;
          {
          _flick_abort1737:
            goto _flick_abort1417;
          }
        }
      case (signed int) 41:
        {
          {
            ex4 _obj;
            CORBA_boolean _local_boolean_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t480_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1747);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(5, _flick_abort1747);
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned8(4, _local_boolean_attribute, CORBA_boolean );
            _ev = (CORBA_Environment *)(&_t480_storage);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1747);
              flick_trapeze_encode_new_glob(12, _flick_abort1747);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1754);
                    break;
                    {
                    _flick_abort1754:
                      goto _flick_abort1747;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1747:
              goto _flick_abort1746;
            }
          }
          break;
          {
          _flick_abort1746:
            goto _flick_abort1417;
          }
        }
      case (signed int) 42:
        {
          {
            ex4 _obj;
            CORBA_octet _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t481_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1756);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t481_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4__get_octet_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1756);
              flick_trapeze_encode_new_glob(12, _flick_abort1756);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1763);
                    break;
                    {
                    _flick_abort1763:
                      goto _flick_abort1756;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1756:
              goto _flick_abort1755;
            }
          }
          break;
          {
          _flick_abort1755:
            goto _flick_abort1417;
          }
        }
      case (signed int) 43:
        {
          {
            ex4 _obj;
            CORBA_char *_return;
            CORBA_Environment *_ev;
            CORBA_Environment _t482_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1765);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t482_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4__get_string_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1765);
              flick_trapeze_encode_new_glob(12, _flick_abort1765);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t484_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t484_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t484_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return, 1 * _t484_temp_string_len);
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1772);
                    break;
                    {
                    _flick_abort1772:
                      goto _flick_abort1765;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1765:
              goto _flick_abort1764;
            }
          }
          break;
          {
          _flick_abort1764:
            goto _flick_abort1417;
          }
        }
      case (signed int) 44:
        {
          {
            ex4 _obj;
            CORBA_char *_local_string_attribute;
            flick_unsigned32_t _t485_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t486_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1774);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort1774);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _t485_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_string_attribute, 1 * _t485_temp_string_len);
            _ev = (CORBA_Environment *)(&_t486_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1774);
              flick_trapeze_encode_new_glob(12, _flick_abort1774);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1781);
                    break;
                    {
                    _flick_abort1781:
                      goto _flick_abort1774;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1774:
              goto _flick_abort1773;
            }
          }
          break;
          {
          _flick_abort1773:
            goto _flick_abort1417;
          }
        }
      case (signed int) 45:
        {
          {
            ex4 _obj;
            CORBA_char *_return;
            CORBA_Environment *_ev;
            CORBA_Environment _t487_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1783);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t487_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4__get_limited_string_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1783);
              flick_trapeze_encode_new_glob(19, _flick_abort1783);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t489_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t489_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4 + 1 * _t489_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t489_temp_string_len, flick_unsigned32_t );
                    if (_t489_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1790);
                    flick_cdr_encode_bcopy(4, _return, 1 * _t489_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = 0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t489_temp_string_len);
                    break;
                    {
                    _flick_abort1790:
                      goto _flick_abort1783;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1794);
                    break;
                    {
                    _flick_abort1794:
                      goto _flick_abort1783;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(19);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1783:
              goto _flick_abort1782;
            }
          }
          break;
          {
          _flick_abort1782:
            goto _flick_abort1417;
          }
        }
      case (signed int) 46:
        {
          {
            ex4 _obj;
            CORBA_char _return;
            CORBA_char _local_c;
            CORBA_boolean *_local_b;
            CORBA_boolean _t490_storage;
            CORBA_octet *_local_o;
            CORBA_octet _t491_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t492_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1796);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(6, _flick_abort1796);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_char8(4, _local_c, CORBA_char );
            _local_b = (CORBA_boolean *)(&_t490_storage);
            _local_o = (CORBA_octet *)(&_t491_storage);
            flick_cdr_decode_unsigned8(5, *_local_o, CORBA_octet );
            _ev = (CORBA_Environment *)(&_t492_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1796);
              flick_trapeze_encode_new_glob(12, _flick_abort1796);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(3);
                    flick_cdr_encode_char8(0, _return, CORBA_char );
                    flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                    flick_cdr_encode_unsigned8(2, *_local_o, CORBA_octet );
                    flick_trapeze_encode_end_chunk(3);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1803);
                    break;
                    {
                    _flick_abort1803:
                      goto _flick_abort1796;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1796:
              goto _flick_abort1795;
            }
          }
          break;
          {
          _flick_abort1795:
            goto _flick_abort1417;
          }
        }
      case (signed int) 47:
        {
          {
            ex4 _obj;
            CORBA_boolean _return;
            CORBA_boolean *_local_b;
            CORBA_boolean _t493_storage;
            CORBA_octet _local_o;
            CORBA_Environment *_ev;
            CORBA_Environment _t494_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1805);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(5, _flick_abort1805);
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_b = (CORBA_boolean *)(&_t493_storage);
            flick_cdr_decode_unsigned8(4, _local_o, CORBA_octet );
            _ev = (CORBA_Environment *)(&_t494_storage);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op8(_obj, _local_b, _local_o, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1805);
              flick_trapeze_encode_new_glob(12, _flick_abort1805);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(2);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(2);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1812);
                    break;
                    {
                    _flick_abort1812:
                      goto _flick_abort1805;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1805:
              goto _flick_abort1804;
            }
          }
          break;
          {
          _flick_abort1804:
            goto _flick_abort1417;
          }
        }
      case (signed int) 48:
        {
          {
            ex4 _obj;
            CORBA_octet _return;
            CORBA_octet *_local_o;
            CORBA_octet _t495_storage;
            CORBA_char **_local_s;
            CORBA_char *_t496_storage;
            CORBA_char *_local_ls;
            flick_unsigned32_t _t497_temp_string_len;
            CORBA_long *_local_l;
            CORBA_long _t498_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t499_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1814);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort1814);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_o = (CORBA_octet *)(&_t495_storage);
            flick_cdr_decode_unsigned8(4, *_local_o, CORBA_octet );
            _local_s = (CORBA_char **)(&_t496_storage);
            flick_cdr_decode_unsigned32(8, _t497_temp_string_len, flick_unsigned32_t );
            if (_t497_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1814);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_check_span(1 * _t497_temp_string_len, _flick_abort1814);
            flick_trapeze_decode_new_chunk(1 * _t497_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_ls, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t497_temp_string_len);
            _local_l = (CORBA_long *)(&_t498_storage);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_trapeze_check_span(4, _flick_abort1814);
            flick_cdr_decode_signed32(0, *_local_l, CORBA_long );
            _ev = (CORBA_Environment *)(&_t499_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1814);
              flick_trapeze_encode_new_glob(16, _flick_abort1814);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t501_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t501_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                    flick_cdr_encode_unsigned8(1, *_local_o, CORBA_octet );
                    flick_cdr_encode_unsigned32(4, _t501_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_s, 1 * _t501_temp_string_len);
                    flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1823);
                    break;
                    {
                    _flick_abort1823:
                      goto _flick_abort1814;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1814:
              goto _flick_abort1813;
            }
          }
          break;
          {
          _flick_abort1813:
            goto _flick_abort1417;
          }
        }
      case (signed int) 49:
        {
          {
            ex4 _obj;
            CORBA_char *_return;
            CORBA_char *_local_s;
            flick_unsigned32_t _t502_temp_string_len;
            CORBA_char **_local_ls;
            CORBA_char *_t503_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t504_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1825);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort1825);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t502_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_s, 1 * _t502_temp_string_len);
            _local_ls = (CORBA_char **)(&_t503_storage);
            _ev = (CORBA_Environment *)(&_t504_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1825);
              flick_trapeze_encode_new_glob(23, _flick_abort1825);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t507_temp_string_len;
                    flick_unsigned32_t _t508_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t507_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t508_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8 + 1 * _t508_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t507_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return, 1 * _t507_temp_string_len);
                    flick_cdr_encode_unsigned32(4, _t508_temp_string_len, flick_unsigned32_t );
                    if (_t508_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1832);
                    flick_cdr_encode_bcopy(8, *_local_ls, 1 * _t508_temp_string_len);
                    CORBA_flick_free(*_local_ls);
                    *_local_ls = 0;
                    flick_trapeze_encode_end_chunk(8 + 1 * _t508_temp_string_len);
                    break;
                    {
                    _flick_abort1832:
                      goto _flick_abort1825;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1836);
                    break;
                    {
                    _flick_abort1836:
                      goto _flick_abort1825;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(23);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1825:
              goto _flick_abort1824;
            }
          }
          break;
          {
          _flick_abort1824:
            goto _flick_abort1417;
          }
        }
      case (signed int) 50:
        {
          {
            ex4 _obj;
            CORBA_char *_return;
            CORBA_char **_local_ls;
            CORBA_char *_t509_storage;
            flick_unsigned32_t _t510_temp_string_len;
            CORBA_long *_local_l;
            CORBA_long _t511_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t512_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1838);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort1838);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_ls = (CORBA_char **)(&_t509_storage);
            flick_cdr_decode_unsigned32(4, _t510_temp_string_len, flick_unsigned32_t );
            if (_t510_temp_string_len > 11)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1838);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(1 * _t510_temp_string_len, _flick_abort1838);
            flick_trapeze_decode_new_chunk(1 * _t510_temp_string_len);
            {
              CORBA_char *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1838);
              *_local_ls = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, *_local_ls, 1 * _t510_temp_string_len);
            flick_trapeze_decode_end_chunk(1 * _t510_temp_string_len);
            _local_l = (CORBA_long *)(&_t511_storage);
            _ev = (CORBA_Environment *)(&_t512_storage);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1841);
              flick_trapeze_encode_new_glob(44, _flick_abort1841);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t515_temp_string_len;
                    flick_unsigned32_t _t516_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t515_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t516_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4 + 1 * _t515_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t515_temp_string_len, flick_unsigned32_t );
                    if (_t515_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1850);
                    flick_cdr_encode_bcopy(4, _return, 1 * _t515_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = 0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t515_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(4 + 1 * _t516_temp_string_len, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, _t516_temp_string_len, flick_unsigned32_t );
                    if (_t516_temp_string_len > 11)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1850);
                    flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t516_temp_string_len);
                    CORBA_flick_free(*_local_ls);
                    *_local_ls = 0;
                    flick_trapeze_encode_end_chunk(4 + 1 * _t516_temp_string_len);
                    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                    {
                    _flick_abort1850:
                      goto _flick_abort1841;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1856);
                    break;
                    {
                    _flick_abort1856:
                      goto _flick_abort1841;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(44);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1841:
              CORBA_flick_free(*_local_ls);
            _flick_abort1838:
              goto _flick_abort1837;
            }
          }
          break;
          {
          _flick_abort1837:
            goto _flick_abort1417;
          }
        }
      case (signed int) 51:
        {
          {
            ex4 _obj;
            CORBA_long _return;
            CORBA_long _local_l;
            CORBA_Environment *_ev;
            CORBA_Environment _t517_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1858);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort1858);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_l, CORBA_long );
            _ev = (CORBA_Environment *)(&_t517_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op12(_obj, _local_l, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1858);
              flick_trapeze_encode_new_glob(12, _flick_abort1858);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1865);
                    break;
                    {
                    _flick_abort1865:
                      goto _flick_abort1858;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1858:
              goto _flick_abort1857;
            }
          }
          break;
          {
          _flick_abort1857:
            goto _flick_abort1417;
          }
        }
      case (signed int) 52:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t518_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1867);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t518_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex4_op0(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1867);
              flick_trapeze_encode_new_glob(12, _flick_abort1867);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1874);
                    break;
                    {
                    _flick_abort1874:
                      goto _flick_abort1867;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1867:
              goto _flick_abort1866;
            }
          }
          break;
          {
          _flick_abort1866:
            goto _flick_abort1417;
          }
        }
      case (signed int) 53:
        {
          {
            ex4 _obj;
            CORBA_float _return;
            CORBA_float _local_f;
            CORBA_double *_local_d;
            CORBA_double _t519_storage;
            CORBA_long *_local_l;
            CORBA_long _t520_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t521_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1876);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort1876);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_cdr_decode_float32(4, _local_f, CORBA_float );
            _local_d = (CORBA_double *)(&_t519_storage);
            _local_l = (CORBA_long *)(&_t520_storage);
            flick_cdr_decode_signed32(8, *_local_l, CORBA_long );
            _ev = (CORBA_Environment *)(&_t521_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1876);
              flick_trapeze_encode_new_glob(24, _flick_abort1876);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_float32(0, _return, CORBA_float );
                    flick_trapeze_encode_end_chunk(4);
                    flick_trapeze_encode_new_chunk_align(12, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                    flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1883);
                    break;
                    {
                    _flick_abort1883:
                      goto _flick_abort1876;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(24);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1876:
              goto _flick_abort1875;
            }
          }
          break;
          {
          _flick_abort1875:
            goto _flick_abort1417;
          }
        }
      case (signed int) 54:
        {
          {
            ex4 _obj;
            CORBA_double _return;
            CORBA_double _local_d;
            CORBA_long *_local_l;
            CORBA_long _t522_storage;
            CORBA_short *_local_s;
            CORBA_short _t523_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t524_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1885);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(10, 3, 2, 0);
            flick_trapeze_check_span(10, _flick_abort1885);
            flick_cdr_decode_float64(0, _local_d, CORBA_double );
            _local_l = (CORBA_long *)(&_t522_storage);
            _local_s = (CORBA_short *)(&_t523_storage);
            flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
            _ev = (CORBA_Environment *)(&_t524_storage);
            flick_trapeze_decode_end_chunk(10);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1885);
              flick_trapeze_encode_new_glob(22, _flick_abort1885);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(14, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return, CORBA_double );
                    flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                    flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                    flick_trapeze_encode_end_chunk(14);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1892);
                    break;
                    {
                    _flick_abort1892:
                      goto _flick_abort1885;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(22);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1885:
              goto _flick_abort1884;
            }
          }
          break;
          {
          _flick_abort1884:
            goto _flick_abort1417;
          }
        }
      case (signed int) 55:
        {
          {
            ex4 _obj;
            CORBA_long _return;
            CORBA_long _local_l;
            CORBA_short *_local_s;
            CORBA_short _t525_storage;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t526_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t527_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1894);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(12, _flick_abort1894);
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_l, CORBA_long );
            _local_s = (CORBA_short *)(&_t525_storage);
            _local_ul = (CORBA_unsigned_long *)(&_t526_storage);
            flick_cdr_decode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
            _ev = (CORBA_Environment *)(&_t527_storage);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1894);
              flick_trapeze_encode_new_glob(16, _flick_abort1894);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                    flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(12);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1901);
                    break;
                    {
                    _flick_abort1901:
                      goto _flick_abort1894;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1894:
              goto _flick_abort1893;
            }
          }
          break;
          {
          _flick_abort1893:
            goto _flick_abort1417;
          }
        }
      case (signed int) 56:
        {
          {
            ex4 _obj;
            CORBA_short _return;
            CORBA_short _local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t528_storage;
            CORBA_unsigned_short *_local_us;
            CORBA_unsigned_short _t529_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t530_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1903);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort1903);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed16(4, _local_s, CORBA_short );
            _local_ul = (CORBA_unsigned_long *)(&_t528_storage);
            _local_us = (CORBA_unsigned_short *)(&_t529_storage);
            flick_cdr_decode_unsigned16(6, *_local_us, CORBA_unsigned_short );
            _ev = (CORBA_Environment *)(&_t530_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1903);
              flick_trapeze_encode_new_glob(14, _flick_abort1903);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(10);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                    flick_trapeze_encode_end_chunk(10);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1910);
                    break;
                    {
                    _flick_abort1910:
                      goto _flick_abort1903;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(14);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1903:
              goto _flick_abort1902;
            }
          }
          break;
          {
          _flick_abort1902:
            goto _flick_abort1417;
          }
        }
      case (signed int) 57:
        {
          {
            ex4 _obj;
            CORBA_unsigned_long _return;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_long _t531_storage;
            CORBA_unsigned_short _local_us;
            CORBA_char *_local_c;
            CORBA_char _t532_storage;
            CORBA_boolean _local_b;
            CORBA_Environment *_ev;
            CORBA_Environment _t533_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1912);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(11, _flick_abort1912);
            flick_trapeze_decode_new_chunk(11);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_ul = (CORBA_unsigned_long *)(&_t531_storage);
            flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
            flick_cdr_decode_unsigned16(8, _local_us, CORBA_unsigned_short );
            _local_c = (CORBA_char *)(&_t532_storage);
            flick_cdr_decode_unsigned8(10, _local_b, CORBA_boolean );
            _ev = (CORBA_Environment *)(&_t533_storage);
            flick_trapeze_decode_end_chunk(11);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1912);
              flick_trapeze_encode_new_glob(13, _flick_abort1912);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(9);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                    flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                    flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                    flick_trapeze_encode_end_chunk(9);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1919);
                    break;
                    {
                    _flick_abort1919:
                      goto _flick_abort1912;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(13);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1912:
              goto _flick_abort1911;
            }
          }
          break;
          {
          _flick_abort1911:
            goto _flick_abort1417;
          }
        }
      case (signed int) 58:
        {
          {
            ex4 _obj;
            CORBA_unsigned_short _return;
            CORBA_unsigned_short *_local_us;
            CORBA_unsigned_short _t534_storage;
            CORBA_char *_local_c;
            CORBA_char _t535_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t536_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1921);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(5, _flick_abort1921);
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_us = (CORBA_unsigned_short *)(&_t534_storage);
            _local_c = (CORBA_char *)(&_t535_storage);
            flick_cdr_decode_char8(4, *_local_c, CORBA_char );
            _ev = (CORBA_Environment *)(&_t536_storage);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4_op6(_obj, _local_us, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1921);
              flick_trapeze_encode_new_glob(12, _flick_abort1921);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(5);
                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                    flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                    flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                    flick_trapeze_encode_end_chunk(5);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1928);
                    break;
                    {
                    _flick_abort1928:
                      goto _flick_abort1921;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1921:
              goto _flick_abort1920;
            }
          }
          break;
          {
          _flick_abort1920:
            goto _flick_abort1417;
          }
        }
      case (signed int) 59:
        {
          {
            ex4 _obj;
            CORBA_float _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t537_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1930);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            _ev = (CORBA_Environment *)(&_t537_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4__get_float_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1930);
              flick_trapeze_encode_new_glob(12, _flick_abort1930);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_float32(0, _return, CORBA_float );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1937);
                    break;
                    {
                    _flick_abort1937:
                      goto _flick_abort1930;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1930:
              goto _flick_abort1929;
            }
          }
          break;
          {
          _flick_abort1929:
            goto _flick_abort1417;
          }
        }
      case (signed int) 60:
        {
          {
            ex4 _obj;
            CORBA_double _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t538_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1939);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0.000000;
            _ev = (CORBA_Environment *)(&_t538_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4__get_double_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1939);
              flick_trapeze_encode_new_glob(16, _flick_abort1939);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, _return, CORBA_double );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1946);
                    break;
                    {
                    _flick_abort1946:
                      goto _flick_abort1939;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(16);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1939:
              goto _flick_abort1938;
            }
          }
          break;
          {
          _flick_abort1938:
            goto _flick_abort1417;
          }
        }
      case (signed int) 61:
        {
          {
            ex4 _obj;
            CORBA_double _local_double_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t539_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1948);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(8, 3, 2, 0);
            flick_trapeze_check_span(8, _flick_abort1948);
            flick_cdr_decode_float64(0, _local_double_attribute, CORBA_double );
            _ev = (CORBA_Environment *)(&_t539_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1948);
              flick_trapeze_encode_new_glob(12, _flick_abort1948);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1955);
                    break;
                    {
                    _flick_abort1955:
                      goto _flick_abort1948;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1948:
              goto _flick_abort1947;
            }
          }
          break;
          {
          _flick_abort1947:
            goto _flick_abort1417;
          }
        }
      case (signed int) 62:
        {
          {
            ex4 _obj;
            CORBA_long _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t540_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1957);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t540_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4__get_long_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1957);
              flick_trapeze_encode_new_glob(12, _flick_abort1957);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1964);
                    break;
                    {
                    _flick_abort1964:
                      goto _flick_abort1957;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1957:
              goto _flick_abort1956;
            }
          }
          break;
          {
          _flick_abort1956:
            goto _flick_abort1417;
          }
        }
      case (signed int) 63:
        {
          {
            ex4 _obj;
            CORBA_short _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t541_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1966);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t541_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4__get_short_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1966);
              flick_trapeze_encode_new_glob(12, _flick_abort1966);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_trapeze_encode_end_chunk(2);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1973);
                    break;
                    {
                    _flick_abort1973:
                      goto _flick_abort1966;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1966:
              goto _flick_abort1965;
            }
          }
          break;
          {
          _flick_abort1965:
            goto _flick_abort1417;
          }
        }
      case (signed int) 64:
        {
          {
            ex4 _obj;
            CORBA_short _local_short_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t542_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1975);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(6, _flick_abort1975);
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_short_attribute, CORBA_short );
            _ev = (CORBA_Environment *)(&_t542_storage);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1975);
              flick_trapeze_encode_new_glob(12, _flick_abort1975);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1982);
                    break;
                    {
                    _flick_abort1982:
                      goto _flick_abort1975;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1975:
              goto _flick_abort1974;
            }
          }
          break;
          {
          _flick_abort1974:
            goto _flick_abort1417;
          }
        }
      case (signed int) 65:
        {
          {
            ex4 _obj;
            CORBA_unsigned_long _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t543_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1984);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t543_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ex4__get_unsigned_long_attribute(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1984);
              flick_trapeze_encode_new_glob(12, _flick_abort1984);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1991);
                    break;
                    {
                    _flick_abort1991:
                      goto _flick_abort1984;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1984:
              goto _flick_abort1983;
            }
          }
          break;
          {
          _flick_abort1983:
            goto _flick_abort1417;
          }
        }
      case (signed int) 66:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t544_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t545_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort1993);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort1993);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t544_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t544_temp_string_len);
            _ev = (CORBA_Environment *)(&_t545_storage);
            _par = flick_interface_parents_ex4;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(34);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort1993);
              flick_trapeze_encode_new_glob(12, _flick_abort1993);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2000);
                    break;
                    {
                    _flick_abort2000:
                      goto _flick_abort1993;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort1993:
              goto _flick_abort1992;
            }
          }
          break;
          {
          _flick_abort1992:
            goto _flick_abort1417;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1417);
          flick_trapeze_decode_end_glob(34);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort1417:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1416);
  _flick_abort1416:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

